GNU bug report logs - #1305
All code that currently beeps should use visual bell instead

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: "Jason Spiro" <jasonspiro4@HIDDEN>; merged with #53196; dated Tue, 4 Nov 2008 23:00:03 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 1305 53196. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 2 May 2021 10:44:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun May 02 06:44:40 2021
Received: from localhost ([127.0.0.1]:42135 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ld9aa-0003ef-2V
	for submit <at> debbugs.gnu.org; Sun, 02 May 2021 06:44:40 -0400
Received: from mail-pl1-f175.google.com ([209.85.214.175]:40957)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1ld9aY-0003eQ-KU
 for 1305 <at> debbugs.gnu.org; Sun, 02 May 2021 06:44:38 -0400
Received: by mail-pl1-f175.google.com with SMTP id n16so1219853plf.7
 for <1305 <at> debbugs.gnu.org>; Sun, 02 May 2021 03:44:38 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=jXV8TjVDylUa+kqvkxBuRXc1PNiTJ1zjhHrWtEAlioM=;
 b=BU2m9xAijBct23OyD4Fz3ScjMutMNUdN5ETphDvXb9qoZ0uZ5vx28xL0BMteVqItq5
 yE9UyPmEtAYp+VegLGtTbgUC3OqBR5SxTIgMYbGEO+jrFM0TCZixpN40AQhfn3qrmB9g
 0LBukDYs1ym4IcuYBelj6D/SGEXs/9Dwn9e3pYeYIFmX/KtYPa1TP6UvsnvqnJnUZx67
 80TX1eEer9KXdT/eiqZsuPeTeEu/IBXSZxKWBQI4EhjKQvKT3Uoy9sGmGBk4jxT9i582
 c5aYnAmMPgY5Czn+VSEfjlUKkDHBTQb3GEvtRVeTTj9fWEnrXE2BK3YhHbX/5/jDjLo7
 PeRQ==
X-Gm-Message-State: AOAM5300s6D0aYmp0lNzi8C0U0M24RlzF+eNgPzYHJP+4jVG1uKlNtGp
 lJ7L9lVl/s5CluIc+o9fMK5qxu7mwkPZun7J3TQ=
X-Google-Smtp-Source: ABdhPJzdPkySr4IYH7dO9TKVExrbDf+CM+lXqHHMmN3jo5OTxzWubIiNQZs8soinL6SUkRBissVjeAOqLUzB+zLUwVc=
X-Received: by 2002:a17:902:ecc5:b029:ee:cb82:fbc6 with SMTP id
 a5-20020a170902ecc5b02900eecb82fbc6mr2768340plh.70.1619952272722; Sun, 02 May
 2021 03:44:32 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 2 May 2021 05:44:32 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <jwvk0oi4jns.fsf-monnier+emacs@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <SA2PR10MB4474CC87B7760A57A86007FCF35F9@HIDDEN>
 <4edb1435264f2530594d@HIDDEN> <jwvk0oi4jns.fsf-monnier+emacs@HIDDEN>
MIME-Version: 1.0
Date: Sun, 2 May 2021 05:44:32 -0500
Message-ID: <CADwFkmm=dPGEV-ff_SQ_eN3DwU+naDa5xkGwBgO1G_HPq6b_-g@HIDDEN>
Subject: Re: bug#1305: [External] : bug#1305: All code that currently beeps
 should use visual bell instead
To: Stefan Monnier <monnier@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, "1305 <at> debbugs.gnu.org" <1305 <at> debbugs.gnu.org>,
 Michael Welsh Duggan <mwd@HIDDEN>,
 "jasonspiro4@HIDDEN" <jasonspiro4@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Stefan Monnier <monnier@HIDDEN> writes:

> [ When I saw that complaint, it rang quite right to me; I thought "yeah,
>   of course the error message should be visible during the flash, just
>   as is the case with the GNU/Linux visual-bell I use and love", and
>   then I hit `C-g` and saw that the message only appears after the
>   flashing ;-)  ]

Good catch!  Sorry for introducing the confusion.  But at least we
identified something we could improve, I guess...

(FWIW, I think I pressed `C-g C-g', in which case you can actually read
"Quit" while it is flashing.  ;-))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 1 May 2021 16:55:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 01 12:55:59 2021
Received: from localhost ([127.0.0.1]:37296 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcsuM-0001K8-UL
	for submit <at> debbugs.gnu.org; Sat, 01 May 2021 12:55:59 -0400
Received: from heytings.org ([95.142.160.155]:33122)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lcsuK-0001K2-T4
 for 1305 <at> debbugs.gnu.org; Sat, 01 May 2021 12:55:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619888155;
 bh=rLXgweO70RjzBXW0jQHQU4MrRxGexoWOunB1HuwlahI=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=tYiJUWnE2KyYtD87evS+nSlHY5CPoIA3BmbcGwkHSnBsvs5W39eS9Udw4UG7L1LTo
 df/RUQhxKyWJQwvAkPsOodopcadq94HF2lumo2cBL5KMrXiQN97FmZxz65YYAb0KIx
 bEdLISh6S/Go+dkOIURu2g4SAh8Itu1/30qcKSE+6WMiBIxwzSfAB3GrfqGvYKxIoO
 w0XaAZjNj/B/Po6z3QG+EoaxfMjXGPL7vv5SWLlVzbaogzeDnaJfmliSop9vy30ZAr
 yBX0HLmDfBpJybq/l9/nQ9NFPyxvdGBXNlEQXYRbpEVlB1Qcuj9fkODMROgtC+FVBc
 RNKUbHy3ZlTaA==
Date: Sat, 01 May 2021 16:55:55 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: RE: bug#1305: [External] : bug#1305: All code that currently beeps
 should use visual bell instead
In-Reply-To: <SA2PR10MB44745F7BC98D858ED545A364F35D9@HIDDEN>
Message-ID: <4edb1435263f6220bcd8@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN>
 <87zgxmjkr9.fsf@HIDDEN> <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN>
 <874kfs3585.fsf@HIDDEN> <fe6aee4ffd72e8568001@HIDDEN>
 <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <SA2PR10MB4474CC87B7760A57A86007FCF35F9@HIDDEN>
 <4edb1435264f2530594d@HIDDEN>
 <SA2PR10MB44745F7BC98D858ED545A364F35D9@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, "1305 <at> debbugs.gnu.org" <1305 <at> debbugs.gnu.org>,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 "jasonspiro4@HIDDEN" <jasonspiro4@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> Have the passive voicers actually tried it?
>

Yes, and I tried it, too, and after trying a solution where you have to 
wait and another where you don't have to wait I agree that this slight 
delay is a bit annoying.  As I just said to Stefan M, my feeling is that 
this delay is more annoying when flashing with a background color instead 
of flashing with an inverse video effect.

>
> In that case, change the default to 0.02 sec or whatever the passive 
> voices consider optimal.
>

The flash can't be too short, otherwise it isn't visible anymore...

>
> What's needed - regardless of what default behavior is chosen, is a 
> simple way for users to customize things.
>

It's already there, and it's already used: ring-bell-function.  What is 
(if I'm not mistaken) discussed in this thread is what a better default 
would be / whether another default behavior would be better.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 1 May 2021 16:48:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 01 12:48:55 2021
Received: from localhost ([127.0.0.1]:37247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcsnW-0001Dp-UL
	for submit <at> debbugs.gnu.org; Sat, 01 May 2021 12:48:55 -0400
Received: from heytings.org ([95.142.160.155]:33096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lcsnU-0001Dj-VH
 for 1305 <at> debbugs.gnu.org; Sat, 01 May 2021 12:48:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619887731;
 bh=WJbdHufmq12aVyjbbYB8XkE5lJNz4rusg4uNrBs3jEY=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=PpQwUW3YHuEuTdKLiZf4yzZJGn7IlZQ4qt5VbY5Qf75mzNDqX7Wdqp/J/yvZDvHHU
 FYkZS1NbpcvyTittC7D/QgaAs6XOaokfS79E26JOd2R89eu5OXbr3wYC6t2YFRBeE9
 vwDxl7SsI9CgP9MOhzO3ru6ezM2PF056G21+VvCAnPCfIgPsFjtQh3TW73uQ6UaD3U
 SqeSz759jeQ50sqR3PQDAllTN6OJtfkrkilgclG9pqgLJ7Qp46diwqyBl4hfOScN57
 I0dv4Yw0WwH35ggbXqj4pPcVzMuSJbkyI4kYQxx4aSLa8FauKK2i9Oo4/U75ilOoPL
 qfuw2vulWM8Zw==
Date: Sat, 01 May 2021 16:48:51 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#1305: [External] : bug#1305: All code that currently beeps
 should use visual bell instead
In-Reply-To: <jwvk0oi4jns.fsf-monnier+emacs@HIDDEN>
Message-ID: <4edb14352609adc24c52@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <SA2PR10MB4474CC87B7760A57A86007FCF35F9@HIDDEN>
 <4edb1435264f2530594d@HIDDEN> <jwvk0oi4jns.fsf-monnier+emacs@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, "1305 <at> debbugs.gnu.org" <1305 <at> debbugs.gnu.org>,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 "jasonspiro4@HIDDEN" <jasonspiro4@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> You may have seen earlier in this thread that having to wait for the 
>> end of the animation to see the error message is not considered 
>> optimal.
>
> That's the current behavior of `visual-bell` and I can't remember anyone 
> complaining about it.  So maybe the complaint you refer to was due to a 
> slightly longer duration of the animation?
>

Ah yes, indeed!  I don't know why I didn't see this when Stefan K made 
that objection.  OTOH, now that I'm using the patch in which there is no 
such delay (except when 'ding' is used), I agree with him that it's better 
to see the error message immediately.  Perhaps this delay is less visible, 
from a psychological viewpoint, with an inverse video flash?

>
> [ When I saw that complaint, it rang quite right to me; I thought "yeah, 
> of course the error message should be visible during the flash, just as 
> is the case with the GNU/Linux visual-bell I use and love", and then I 
> hit `C-g` and saw that the message only appears after the flashing ;-) ]
>

I'm reassured to see that I wasn't alone to err in the darkness of 
ignorance ;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 1 May 2021 14:28:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 01 10:28:21 2021
Received: from localhost ([127.0.0.1]:36577 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcqbV-0006Cz-Il
	for submit <at> debbugs.gnu.org; Sat, 01 May 2021 10:28:21 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:20087)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1lcqbT-0006Ct-DB
 for 1305 <at> debbugs.gnu.org; Sat, 01 May 2021 10:28:20 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id B8B6944072F;
 Sat,  1 May 2021 10:28:13 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 2F0C1440653;
 Sat,  1 May 2021 10:28:12 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1619879292;
 bh=ogLS8V/cyaSAu6HVtM1N2fUQVi1wrmlAFIFRREMxKk0=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=PHeH63YKeset0kdmX+a9swkdulYMl0oAFFVBcsGIBxPCtXTgRtNJGP37zULhE5Ifi
 quYkjppxeBMm5pffkk+GzfWEB/x9pSdyr9YLFtJZtNUblyaSWh8pHXpZB4UsPe93s7
 9itqcvGjlNpIrQRILIOb8OqDUTbgQvBeUWwe1wavVXsoZuhdHZ0NKzl6tPMUuWMbQ5
 BgFvt3xaafXmMZpbhxankhhc34RbxJjG6NiFu/o47VfqUY/U/zjPCgY5IyhBy+sCuk
 sSCpkMowobEdh/tOntThXqGVyqSrggwac2VsPQYNCZDkjahVV9ZcT7VhJQ612ObOBM
 XUNv4Dq9jhh6w==
Received: from alfajor (unknown [108.161.125.61])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id C3490120187;
 Sat,  1 May 2021 10:28:11 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#1305: [External] : bug#1305: All code that currently beeps
 should use visual bell instead
Message-ID: <jwvk0oi4jns.fsf-monnier+emacs@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <SA2PR10MB4474CC87B7760A57A86007FCF35F9@HIDDEN>
 <4edb1435264f2530594d@HIDDEN>
Date: Sat, 01 May 2021 10:28:11 -0400
In-Reply-To: <4edb1435264f2530594d@HIDDEN> (Gregory Heytings's message
 of "Sat, 01 May 2021 07:50:13 +0000")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.177 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, "1305 <at> debbugs.gnu.org" <1305 <at> debbugs.gnu.org>,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 "jasonspiro4@HIDDEN" <jasonspiro4@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> You may have seen earlier in this thread that having to wait for the end of
> the animation to see the error message is not considered optimal.

That's the current behavior of `visual-bell` and I can't remember anyone
complaining about it.  So maybe the complaint you refer to was due to
a slightly longer duration of the animation?

[ When I saw that complaint, it rang quite right to me; I thought "yeah,
  of course the error message should be visible during the flash, just
  as is the case with the GNU/Linux visual-bell I use and love", and
  then I hit `C-g` and saw that the message only appears after the
  flashing ;-)  ]


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 1 May 2021 14:13:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 01 10:13:25 2021
Received: from localhost ([127.0.0.1]:36518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcqN3-00064T-5N
	for submit <at> debbugs.gnu.org; Sat, 01 May 2021 10:13:25 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:49366)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lcqN1-00064L-MP
 for 1305 <at> debbugs.gnu.org; Sat, 01 May 2021 10:13:24 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 141E3ZhD181091;
 Sat, 1 May 2021 14:13:17 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=wBBZCG3YhBsiij0etayLYTqVAbL0zrmzj3IX0baYee4=;
 b=bi7yQfhRw+MQeitSPmgYiBlBupJuFEdjVrMMpinwtsFrQyGpFd0aWZiYl+URYRaMtdNi
 h1TRvnG0LjhJyVROViTvKMHNfVpq6Sos19/Z9RR7FVm6JWTxq8qTmjBYcSNN6qAaQLcF
 SYfNOlxb6MSR9p87yjpuAXZPYLaH3IKi8Q36za+4qkkBKOQVE0+ySB+K2emSxrKeUY1n
 WsTC54cliVuYyZkE+7ysrzt0opP+ng/wGjfhv15tULAvB+xmanIHHwpyu8U0tlQgi0xu
 C886PSRFJQFH8uLUyFYKQ/id32vtNkdEPRlyNES4j+HeSDG6mKzOzOxyMS8N9IuPXa8A EQ== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by userp2130.oracle.com with ESMTP id 388xdrrqty-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 01 May 2021 14:13:17 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 141EAuNg034780;
 Sat, 1 May 2021 14:13:17 GMT
Received: from nam12-mw2-obe.outbound.protection.outlook.com
 (mail-mw2nam12lp2046.outbound.protection.outlook.com [104.47.66.46])
 by userp3020.oracle.com with ESMTP id 388xakd7e0-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 01 May 2021 14:13:17 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=CqkJhAoetVEM5b5NzWGMWrvU56k+QB21jNmo3ba3Q4CMd937YW6rQ5UCM+DO5c/idqDpyQmvf3Wn73SnZrwiW7yFoRqml5j9QDbmLjfGfvb6tcTzWqbTCJdKsq+HTgRUN2wxfGhpzZxExp1NSC3gEU6hHTK/GxvxrgWU93tOWVE6J7jm0jJbjkxjX8GRhNRiDcT2IqkKUWQISxuHKCZzDowksai2kIz9mroaHIhYyaPNXws77DLc3XjOEeskKMmxLYRMirW5+cHdX4DOpdntNq45oG3tU26XxW6ivmAoXyxKPINjgwQSmFE/dl+XFU1s9CNPFKQlvFTinYOetEzdFQ==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=wBBZCG3YhBsiij0etayLYTqVAbL0zrmzj3IX0baYee4=;
 b=Go91dEz7mlz0NI+D6WLZjWWNKCfXBNmasZFSQbZlH81uvcz1tv6FiJfUIJy+spRxCYnRwKAbuR/nUcOnBqnWmRauAqW0YokaF/ozvTST8vFEhI2IUdDaArJGBat5GQ7h/MMXQkddIRU2NnR2A3JJpagQJd6ywihciPHaN/4v13MgQwXwuX4YLO6HpQ7Yweg9wRa5DbEmff+aRLbY8BMv+acY0n9BCaEHwCUMuq2PViVZqzwuN3Ujh+e8ZguH/SFCSkQw+qbUtFAu1B8ccJcUxJFYRD22aKqpMVdCA/kJA1Dl7k7R6KGsKrtFwoxJSvBPKhzEsxbnR9yl1y4j+j7vUQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=wBBZCG3YhBsiij0etayLYTqVAbL0zrmzj3IX0baYee4=;
 b=krDNApDR95jUhw2A08ukajWstaIxT/sprofY5d8cpw7CvPx0zXz2h3ndh2Xm0Le5+/QEO4CTsFRP3gUQhAvYIgqQ1G6AcXPN6XwiGKNc1dE77aDz9a/eM7lZVH9umqMzuOFPDH+74gFMlsPIAFosCaqiWmU9vnJZqn26nHi4BB0=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB2958.namprd10.prod.outlook.com (2603:10b6:805:db::31)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4087.38; Sat, 1 May
 2021 14:13:13 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4087.039; Sat, 1 May 2021
 14:13:13 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: RE: bug#1305: [External] : bug#1305: All code that currently beeps
 should use visual bell instead
Thread-Topic: bug#1305: [External] : bug#1305: All code that currently beeps
 should use visual bell instead
Thread-Index: AQHXPl6m+ebfTonn7EapFyT+aJ0xcarOqF+w
Date: Sat, 1 May 2021 14:13:13 +0000
Message-ID: <SA2PR10MB44745F7BC98D858ED545A364F35D9@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <SA2PR10MB4474CC87B7760A57A86007FCF35F9@HIDDEN>
 <4edb1435264f2530594d@HIDDEN>
In-Reply-To: <4edb1435264f2530594d@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: heytings.org; dkim=none (message not signed)
 header.d=none;heytings.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: cd1a5633-a963-4091-0b6e-08d90cab4217
x-ms-traffictypediagnostic: SN6PR10MB2958:
x-microsoft-antispam-prvs: <SN6PR10MB2958B27753D239899D1D98B4F35D9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:7691;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 0YpsILW82x8kZZHx5SVlTH+RyVF+OiVCt3LlhCtdAk1ygHIJklz3lQAKho8904eImcMI7qNLMy65JRo6SyU+mMAYqrl0KWnhXWDJltwMpUkdoaXQAqxvR827OfCslp3YvvwmtgEkDZaZKXffVVnwca3X+F7OtloANrILzUNUVU0hX3ZYcsXNTXtBB01UAC6KT78A+mbrczFW02o2fz+TvGNdnaY1Op8itI32u2xaB8Gr4RIQMMH2Ps7ZOpdaPZ4XBg/gpI7J3YlnE1sjnuQ5jLam7HsoKiPxrPPS7YCh9zYk4vHT0QkGfihInNHCmna+h9lmabXvUMq1hcuS+A4Q0/SGEHcRKpy2NSk2dFt0gS5G2MvwagLY+o0aOfzUsr4rsH+WsV/VjBV67IA30NXSG7vi7KytRrT585KsPtsLRWv/SLGYocrZMuXNDA5RfDNhAPk9haNTRJIryKji5fpu/O1j9eivBEQUu/rxhT67n6WfNWeXfpEx+sxD0Z47mg3f0M9P9rxnidEotQ3KissLiAXE0f78U0pwJmtiGm9HfsIrSg1YvJE2qVCKt6pqAr6VqyN7bLwCv4I0dtSMZHChfgXg2M8axkSmSttf7mCFu48=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(136003)(39860400002)(346002)(366004)(376002)(396003)(2906002)(6506007)(478600001)(52536014)(33656002)(7696005)(86362001)(8676002)(83380400001)(54906003)(38100700002)(71200400001)(76116006)(55016002)(66556008)(66476007)(66446008)(9686003)(64756008)(44832011)(66946007)(26005)(8936002)(6916009)(5660300002)(4326008)(316002)(186003)(122000001);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?iTP045r9Sar9hHH6plahb3DiVxWsmPfb0Xe9+eUIByLIdSI8JLPhmibRmq4d?=
 =?us-ascii?Q?OiKqfuaN5ZLT0bCB+xMto4lJED8C6/FU+30LNrzFAPOOM4hhDRJTydoPGo/5?=
 =?us-ascii?Q?pUfq6xwN7kQtOYJsv5AtWtOid9qRw/ecxzxchAA7RkmgM0tvp840E/Con4JW?=
 =?us-ascii?Q?WS2ROu4VHto5E63fJq9SeSoojMjp89vQFkG4xcEAOJqRDMMLsQBbYeiIN62I?=
 =?us-ascii?Q?zYql227fNcX5vaQhrcnMcAtVSfKq+lFtCdoTRLuDi0uAIz6wleAsoC8CGPBs?=
 =?us-ascii?Q?rRtpP8N0oWvyklCXGbqCInU1NiYMlwFF8fPVdfJXVNtxo5El9sXy83KFIh0f?=
 =?us-ascii?Q?NS6zUpnF6BM9DfCpb82GCfd35Z6MoYb1jFXMX0alfyTRsshatt36vX8wNVRR?=
 =?us-ascii?Q?EWwYF+b+McaA8vOR0THFnyNMJAOf9yjOmH3B0b05ZKtsGBEnJHkwa76ZSYuB?=
 =?us-ascii?Q?/oN+q3dkjY6KYF89IasnnCGVKdnEGa6uyq8XsYakDnSGOdIuTY4dEs6eZVB6?=
 =?us-ascii?Q?9T1hpoMWqgzVKU79+q/XtsS23K2gv3jzE1wQy1IozE6GcBufuiedyzopjnso?=
 =?us-ascii?Q?r0zVnCrOSlbhdQFDzgdXw4p5SqpFtnVCpCkAOK+xStXn1oWGin+Gx3i8+q57?=
 =?us-ascii?Q?Fgt2Ft53wmwGjWiGncAnjy9OPdvs0VxbhuItr0X2UrcTy2QG0BkxX/+7r8o4?=
 =?us-ascii?Q?glSMtTZCrkS2U26jmOKya6zPNWfrx+4cS7Am7VxH25qeqRTooofAPeIbfWLI?=
 =?us-ascii?Q?9SOpxsgTZ/Ev8hDOponRzlz9VZn4rI2lHJtjwVcy5TRBNX3TmOwT697D2CmY?=
 =?us-ascii?Q?qwPfCuR6FtPXGsyu+yJ11k/3okuN5VNF5cS4RVuvKH4TMqqygzrgDG+Fzd08?=
 =?us-ascii?Q?gWCt2g7e/iLeHItaCrzkWj4LyxUfPxq9ul8Hp9/0JGo3peIuMd17zXIkL1v1?=
 =?us-ascii?Q?pWbyZ9TOuPWEN2fc05DzGPlZ+kJyH3r8XZKPbVLZ92XiBZvZHlPjkP9ppUYp?=
 =?us-ascii?Q?ustj2+sCCpKgmvB3Damjz6CjJpHwp2xHMSFvEb41dvxfOxyOGW4PJgX5+hms?=
 =?us-ascii?Q?OGzcumQWsAWSol17wbbd5dJ+lQmAC2DYUJ06h6iuIEjMXvRPdbdJNaX7Mwl5?=
 =?us-ascii?Q?VDC4hc3gcqDDxGpT9+KqtJ9Z3aRNw4uEg9A7/crFF7rp3HCWh9BVFmOBybDs?=
 =?us-ascii?Q?DPMF91OjxkrXMeLKVh5S/26rPuTj3soEIM4kQcYI6jSHNM5/1pl+KQwdh92d?=
 =?us-ascii?Q?s2uBuFL5PmF5+Bi20hIoW7uHfCtHBSi6NP77F60kufmO8YJAzOXinjlCV9+F?=
 =?us-ascii?Q?QZeIkP38xw7w0V7uY83gWvUv?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: cd1a5633-a963-4091-0b6e-08d90cab4217
X-MS-Exchange-CrossTenant-originalarrivaltime: 01 May 2021 14:13:13.7104 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: zbC7swESSJt9dAc9SW/2VMMDUPyCG9Rkb26YYmyr4D6ltivh0jYuraFzAeJoI41wBb1eF4zeX1QKSu7tROn5RQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB2958
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9971
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 spamscore=0
 adultscore=0 mlxscore=0
 phishscore=0 suspectscore=0 malwarescore=0 mlxlogscore=999 bulkscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104060000
 definitions=main-2105010102
X-Proofpoint-ORIG-GUID: 85Qu6r1Mpooh31oOo7fzncQNDvb5oIR8
X-Proofpoint-GUID: 85Qu6r1Mpooh31oOo7fzncQNDvb5oIR8
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9971
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 impostorscore=0
 clxscore=1015
 lowpriorityscore=0 adultscore=0 spamscore=0 priorityscore=1501
 mlxlogscore=999 bulkscore=0 mlxscore=0 suspectscore=0 malwarescore=0
 phishscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2104060000 definitions=main-2105010101
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, "1305 <at> debbugs.gnu.org" <1305 <at> debbugs.gnu.org>,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 "jasonspiro4@HIDDEN" <jasonspiro4@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > What part of the `echo-bell' "animation" in the echo area didn't you
> > like?
>=20
> You may have seen earlier in this thread that having to wait for the
> end of the animation to see the error message is not considered optimal.

"is not considered": passive voice.  Who doesn't
consider it, and why?  Have the passive voicers
actually tried it?

The default period to "wait" is 0.2 sec.  Having to
wait 0.2 sec is "not considered optimal" by default?
Really?  In that case, change the default to 0.02
sec or whatever the passive voices consider optimal.

Seriously, this thread seems way overblown to me.
All the talk of different platforms, animations...

What's needed - regardless of what default behavior
is chosen, is a simple way for users to customize
things.  I mentioned the kinds of things.  And I
mentioned that it's an additional advantage to have
the indication be recorded in *Messages*.

Provide that additional advantage and some ways for
users to customize the behavior in various ways, and
be sure to do it with Lisp, and you should get a
usable, cross-platform feature.  Then you can argue
about the default behavior...

It should be clear, I hope, that I don't really care
what Emacs does in this regard, beyond thinking that
things should be kept simple and flexible.  I didn't
write the initial code behind echo-bell (Miles Bader
did), and I don't even use it!  I just turn off sound,
for the most part, and I don't need an alarm of any kind.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 1 May 2021 07:50:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 01 03:50:16 2021
Received: from localhost ([127.0.0.1]:60212 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lckOG-0003Z1-CJ
	for submit <at> debbugs.gnu.org; Sat, 01 May 2021 03:50:16 -0400
Received: from heytings.org ([95.142.160.155]:60758)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lckOE-0003Yp-8g
 for 1305 <at> debbugs.gnu.org; Sat, 01 May 2021 03:50:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619855413;
 bh=yi6z5qZWZp8+riKy9PhAypGHYJTN/1hWFAOoBVdi414=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=S4VYaZWRNXWh/fT4+8mpmElOLMzKYPImtTudWxbKvsz8Z8Iiu/79NHdhFyIDOvJHY
 hWYRqybN7XibcQYQvcdtroclpcp6zr6gRr+zPtvPY5s/s/CNyBQ3iY9LDyBlHt1y1v
 zOVVyoyP7w1GzCJmIeW5ja2+RNHre4Tsy2DG3AFdD8X6Nv3uXOtJtcPmV+J+eBkFun
 fO2vsfHNzyxLAuVG2mh5N+A5X7nj9NpokBYUKI4pStlnRVq1tEhTe2jy1P7xYJujta
 GS633N4gD8S0B4JYZa06Y+MIZ+4iMUTQQJuOhMEYY50W/m/zU3QV9YheVQHt9Qbh16
 n7K9mKXRODiHw==
Date: Sat, 01 May 2021 07:50:13 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#1305: [External] : bug#1305: All code that currently beeps
 should use visual bell instead
In-Reply-To: <SA2PR10MB4474CC87B7760A57A86007FCF35F9@HIDDEN>
Message-ID: <4edb1435264f2530594d@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <SA2PR10MB4474CC87B7760A57A86007FCF35F9@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, "1305 <at> debbugs.gnu.org" <1305 <at> debbugs.gnu.org>,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 "jasonspiro4@HIDDEN" <jasonspiro4@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> What part of the `echo-bell' "animation" in the echo area didn't you 
> like?
>

You may have seen earlier in this thread that having to wait for the end 
of the animation to see the error message is not considered optimal.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 1 May 2021 07:50:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 01 03:50:11 2021
Received: from localhost ([127.0.0.1]:60209 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lckOB-0003Yd-5g
	for submit <at> debbugs.gnu.org; Sat, 01 May 2021 03:50:11 -0400
Received: from heytings.org ([95.142.160.155]:60738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lckO9-0003YT-KM
 for 1305 <at> debbugs.gnu.org; Sat, 01 May 2021 03:50:10 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619855408;
 bh=czl5qCFnoIrLldCSROJ7iAKabQO/vnrVZfN4QR8+SjM=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=Gmc8/G6bcfbUMRoV8qXKvSG82ZEqjAls85S02wPiMsmJ1z7E8dRqPa0hBbMvIDGKY
 U+qEnh0Mx92RIy7FM1U066bsqU1g/eqpZE1+sEwyi/t50I1slBwXPDvXpcJoP8SGvd
 O/yO3ElAMfiLsz89cVk/r31IEsNHRx8QMgR+Y+x+YeP4xG42kKS3x9zgIODGRpXiza
 S90RH44GgkEIr12C/SyAFvpJ5Y4Keh8+NDUCXzq/v6bah05EK9WxpImy+NSm8cSdKZ
 O0Z1yZh9NHO7OTLcANUdRZSdZRm12B3Q+9y0wkRCMB3vO4NshTpNugredCDJDoeRe0
 q3YiTBvFxHing==
Date: Sat, 01 May 2021 07:50:07 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <8758da3a-1f44-36ec-1c58-68683604945a@HIDDEN>
Message-ID: <4edb143526e2dea27984@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <cc0d8432402d3f235d8a@HIDDEN>
 <f78089b4-582f-1a1a-d7ee-66255b9d70a2@HIDDEN>
 <cc0d8432403b413cd1d3@HIDDEN>
 <e19b8fbc-b43d-6898-19ca-ab11f1652f05@HIDDEN>
 <4edb1435269b6cdaa9ff@HIDDEN>
 <8758da3a-1f44-36ec-1c58-68683604945a@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> And the fix used by the author of the issue, and agreed with by the one 
>> who suggested that "first proposed fix", is to turn visible-bell off.
>
> You said there's no evidence of this behavior having been used widely.
>

No.  I said it is ugly.  You said it isn't, and it is in your opinion 
"proven" enough to become the default on three platforms.  I said I 
disagree with this, it is not used enough to be "proven" enough.  The 
"evidence" you now presented show that a few hundred people are using it, 
which doesn't prove anything.  Of course, it's there, so some use it.

What I see is instead that there are various solutions available that 
implement a "better" visual bell, which shows that the default one isn't 
satisfactory.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 1 May 2021 02:05:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 22:05:30 2021
Received: from localhost ([127.0.0.1]:60125 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcf0c-0000yQ-1J
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 22:05:30 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:57328)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lcf0Z-0000yE-U9
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 22:05:29 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 14125M7c183699;
 Sat, 1 May 2021 02:05:22 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=c9TmQox6MH6jus/KOrseaQ0G83QQ2R2un4UTqCxKhn8=;
 b=XGGACLk6ELtv08PSWZu7+7V3wFbWrKTfl2DSlRRVdu+dLBhtiyJ8e4MVlXvzKEreBrwq
 8MUTeHCpbSAxSP5daZmpaRHXUvbxi6vJJf3mHWhS8ZvRt/lLsZKkRHC7r5MmGA/4r9hT
 7hqXaxbvub0SyAoPowLNXTY669dWYPgU4+uQMEbH6dclIJQRT5YIvUQNmxKZZ4Nrt8SY
 O3Va8fKwnmlVobcQ/G5lTDowAdLScmLcAq/e19Atz9nIBg8WXPZquJO+dc4Xd6tR5do/
 46o+gDcTGW3tWHJC2FwQzpWHJQp8QGwS0yeCH3SAOu9gFZAIJkrW3yWTWW0wAptbGhoR Sg== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by aserp2120.oracle.com with ESMTP id 385ahc1auf-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 01 May 2021 02:05:21 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 1411u0J2043894;
 Sat, 1 May 2021 02:05:21 GMT
Received: from nam11-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam11lp2174.outbound.protection.outlook.com [104.47.57.174])
 by aserp3020.oracle.com with ESMTP id 388s419knk-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 01 May 2021 02:05:21 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=VhsIU1hbw0UBRKZlYVOf032x3CXgoNARZKIAsDWWzOnGbYzPmGlMOxlyxbtr3wABlD3AMst1cX4K502YFIN+8Gge13GKFcS1x+oBDujvbdAJHFYsA/WbXb4Nd14y9rBxZHJ5w8r/ZsKCah4UH5265r33ZXVrES5ToyWCkxbHe7MNN1XMmF/o14wqYGg8c70CAo+mxDibAmqs+eJ+Mhw6VuZSUwscSjDs9y5EE1NczeWy71zrLG8JvkXH7fAR9WfxqWpH2UDE3GyTGr1RUeb1GKMzB2Zo6AWSUSyjlTdGOVTpQ1nA3B1X5vLoyqUsdfSDT0DD+Di2bHME8/S0xmYsLw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=c9TmQox6MH6jus/KOrseaQ0G83QQ2R2un4UTqCxKhn8=;
 b=kWZnPeHQl5f1thVb7guRquAjEpeuk2xIo64ij5/WpZ3SbO4F0T5Pki9ZEVbCqtnyXZwZ2wmi9nxYhNNqFNIMmv04n1KvzEehxxOv4xIpElo5KfUyov7MO0CARygftXGE6zbtWzpGQnePEDYsvPcJf5PuMeGXhxyI/qOadWGJdoByh8aDOgeCABzMyLy6nJpq5dlwsW9zbNc8OwlAE1FPXG8ElxLF0oQRD5nTVAkcoTs0wxtZvtqdeF9Ougx9Haaxx51DBSuDG69yrIOZSg0qzppOrrCqF9s2w+PquGNIbGDgO+uKei5U2aB5m9Le045qnxbOA63uxUMraE+LawhPLw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=c9TmQox6MH6jus/KOrseaQ0G83QQ2R2un4UTqCxKhn8=;
 b=og44V/Dx1mwA9cQ8qQvIMZYbG7V1OZV8vJm1eMWEYZQTawcmd4vC5irGhsBvC/EQ0GTuqNLhESJ093pc/rFzrEm3rcujk46ASz2bdShYA35cS9M6z4tH91mXmKe2nJfIFUvexLqY94xzd9Q1rZhqVrerfm139nsnLh4ZQNU+LsQ=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB2992.namprd10.prod.outlook.com (2603:10b6:805:d7::10)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4087.35; Sat, 1 May
 2021 02:05:19 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4087.035; Sat, 1 May 2021
 02:05:19 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, Gregory Heytings <gregory@HIDDEN>
Subject: RE: bug#1305: [External] : bug#1305: All code that currently beeps
 should use visual bell instead
Thread-Topic: bug#1305: [External] : bug#1305: All code that currently beeps
 should use visual bell instead
Thread-Index: AQHXPiaGu9e/OAaR+0qvaf04qnUVM6rN4A6g
Date: Sat, 1 May 2021 02:05:19 +0000
Message-ID: <SA2PR10MB44742D144B82B5D20AB66628F35D9@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <cc0d8432402d3f235d8a@HIDDEN>
 <f78089b4-582f-1a1a-d7ee-66255b9d70a2@HIDDEN>
 <cc0d8432403b413cd1d3@HIDDEN>
 <e19b8fbc-b43d-6898-19ca-ab11f1652f05@HIDDEN>
 <SA2PR10MB4474B5D2183142CD56EE5703F35D9@HIDDEN>
 <689883a4-a852-8efd-8b91-76c7adcc6e15@HIDDEN>
In-Reply-To: <689883a4-a852-8efd-8b91-76c7adcc6e15@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: yandex.ru; dkim=none (message not signed)
 header.d=none;yandex.ru; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 21cc6c9b-2bb8-4a53-a940-08d90c459243
x-ms-traffictypediagnostic: SN6PR10MB2992:
x-microsoft-antispam-prvs: <SN6PR10MB29928FE85C4907D01E487E0AF35D9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:10000;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: FEvNrmSM/Mvkq+9QQ+TtJe3Y8I2PdESR/BpO6ID9i6s53QaLGeadqrW/iqqmAf9gRDYN/58RHXDUQ7Q10CXmuQ8/h/s84NaMbFao2XtH6czVfs95CBYcqxRwJB3laYx8bwSWM+zNcgCB2U/tyr9ObxwZGI53zCN0dnvJtX3+Q/iNdYIH9lnWVrXSj2YnaKknYnj9HzlTA5+LT1pWPfZdTGetIE+nBaRZXuR1ZYIqGCp83OWjkBvJ7O6RTu6CQVMJEE9qBj03c0QN09h4fG0mNZCFba7/z3ydo+8KmFhcwIdC/SO+jXjzW694fuIJNFFNlq1fa23KHiRr50XkHWDsoaVOO4q+U66dUfmJxk7U/C2D8FbRimqB5q+X+HqpAWwCpAln/Gb1rV9hyUzzh8vTlva3U7ZRRZ+/rWsMLlznRxz3kKbpCaML+7x/gB5Aoy+NFXAbpgXGK6RowG0xUFfWvGfG7JOr/eBhmXcMNcMnqfRWTo99DN16o8SMFzWZln40cTnOJWE5NHabLPzSbB1X8V+E4G2JJtzgzJgFYIuWaYUJsRaElFtEYSKzpcFP2JNk/OagY/xJ4d1js7kOxIWS3KKY5D6KZjjjM8DyTLaRDoPoqlzYGnczUMDJNaMy1TdhNesUAUzdksZva2YNCKoaSVvsbl+EDBnSW4PmbtxZFJ4zs/PSsAhUtH1ppj9nRunC
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(136003)(39860400002)(366004)(346002)(376002)(396003)(5660300002)(52536014)(7696005)(4326008)(38100700002)(44832011)(2906002)(55016002)(66556008)(66476007)(9686003)(8676002)(66946007)(26005)(66446008)(122000001)(64756008)(4744005)(8936002)(76116006)(71200400001)(6506007)(186003)(33656002)(316002)(478600001)(86362001)(110136005)(54906003);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?cjg1QUFPZVlyVlc0WEdCQnY3VTEzYm5TVmpoRVRYTXdIdm5mRDdiRFRlVThM?=
 =?utf-8?B?dDZUMXpXdzdNdldaZGJCUlg4ckpVWFQ1bVczcjBKdnVrWURrd2ozOWpLMHJU?=
 =?utf-8?B?Zld4bUsrdnBvTHVJdGg2Qnl6MnpleXhKYmJGRm5DKytaNHpEWkNsYnpPazl6?=
 =?utf-8?B?Rm40dmZnZ0Mrem9MdEhzWFpXR2hFa3drOGQwSGlRR08vUmJwdk9aOHpSUzZW?=
 =?utf-8?B?R0RIWHVoeHFLN1h5dVF3K25tdE5oUC84THFWb2FQdmUzNVQvRStNZXJtbGI5?=
 =?utf-8?B?NW5TUXU4WURXRjNkVVNESUZoOE9PTVR2NWtuQzBHaS9DbEZSQnY3N01NOHkr?=
 =?utf-8?B?R0U2M2NTbDJLcHJXVjhUT0J4M0t6bDFJU0NPbXVib3pkNS93ZytZd2t1a0tm?=
 =?utf-8?B?YmxjU1p5d21UR1UwUUE0NGoxbUV0Tlo0N3FPMEk1M25Dc3JpdWhSRmdmS0E0?=
 =?utf-8?B?QlVYUk1HczBWSzBOSkVKaUZpM2xCZDUzK2ZKaEgyb2Y1dmVqMHlHbi85Y0NX?=
 =?utf-8?B?N0Y4ajhzRVJzQXozbDdqdTk1aW9HcFIxMDVndW1nQnhrTXhOUGM0dDhPdmVB?=
 =?utf-8?B?MXEvNEVEU3ovRGdjUlNUQmFwWWNoQitDejk3U21ZcWRrbjFIZHYrMzE0UTlI?=
 =?utf-8?B?OXpyQ3FPRFRHYnlFdGl1eTcwaEd3MTBYbjRMUk1UNW5ybjNQYml4Uktid2JY?=
 =?utf-8?B?aURGY2k1TTlxbzF6V1ROYUR3cnBYbTRFQTZ4WWNwMXd1ajBKWE5TY2FQdERH?=
 =?utf-8?B?Sk9xZUpZbVQxdXYrdTN0Rkp3Q3RmRW8yUHF2c2xzV1l6UnAveTJROUZ2MTJG?=
 =?utf-8?B?YmVZVUROM2MxWFhic3B6MmVuaStTY2ZIc3RVQmFSam5JSDFmdG8wQWdpS0Nq?=
 =?utf-8?B?allkMk52QUxMS2Ird3IyQ1EzY0lZNWlXWWdqWVg4U1FRV0FRSVN0ZDRhNGI5?=
 =?utf-8?B?czIzN095bGdrTGJSaXlHbVFHdDNyL01KK3djTmpqQXlUamxnb1UyeDNkbjNF?=
 =?utf-8?B?cmVhQTVCRXRhbWkvOGdidVB4d21OLzkvQnR4N2EzY0ZoK3gyUTNZL085R1J5?=
 =?utf-8?B?QzVabnhsSUpWMDRaNXN4VnZ3a2xmU3c1R203N0t1a2J1RXE1OVczQi9OU3VG?=
 =?utf-8?B?WjY2eEloTFJtV080eXpWc1hKMUFCL1pQM3duSHp1Y0RVVDhDaGZMdGFXeCs0?=
 =?utf-8?B?V2hkTFJselFuMzdCQkdwY2pMSHNUWjFWaHRlOGN0eGF4RWlWUkIyTEx2R1ov?=
 =?utf-8?B?ajUyRWc3N1ZJdWdSSzRjbHJkeCs5eFJVYXZGWFFDYm5mdzJjVXhBZ2d3SnEr?=
 =?utf-8?B?SEpLbEJBVUJENElWWVhYcDZEK2FHRzhFQm85eHdwMmxDQ2lna3hwUXVqUC9W?=
 =?utf-8?B?ZFdneUkwR0ZOcElqdFUzUjNSOGl3bk0wdFVwMW8rWHlCKzNFL3QxKzcrR2xQ?=
 =?utf-8?B?N1RLV2VSQ0I4NjlISGVwUmJ4VUh0b3daK1A2REoxQzVjRlc5bFZvZkJWQ3JE?=
 =?utf-8?B?aUo4ZDBMTFJCSTd4b1ZPUVFxa3QvUHRlSWR0am83UEw5T1JwcVEwT2w2bGdj?=
 =?utf-8?B?MWo5ZHBrZVFkY1FLaE5waDZkbitac2ZDaUc0THFWSUNwUFVXc3lrVDBlRnBy?=
 =?utf-8?B?RnVDSGh5RGJLTUlIczRKYjN1RzVXOVM4aDEvSWVwY3Y0djVNSkZsb3EvQUFY?=
 =?utf-8?B?YnBQUkx4VHJUTkplaklDYlI2Zi9RRGdSOXJURjl1MjhTdVBuczVIc3FEWi9J?=
 =?utf-8?Q?9nnn8FHhZ2YZ3ROBS6l6Ws7dfVnWeVxO2ffNQok?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 21cc6c9b-2bb8-4a53-a940-08d90c459243
X-MS-Exchange-CrossTenant-originalarrivaltime: 01 May 2021 02:05:19.5222 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: RJbQcR0Jqev+Ke/T1FddE5y1dsWxLfqXVG8YLiD1Za/vbRxdlPOmLeJ3pLEZKjaVm7y+07l0WpnawdSzyKOUfw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB2992
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9970
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 bulkscore=0 suspectscore=0
 spamscore=0 malwarescore=0 mlxscore=0 phishscore=0 mlxlogscore=964
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104060000
 definitions=main-2105010010
X-Proofpoint-GUID: Ps2s4Lsjvwl4_hFWCzSMzdK1-7dq_L47
X-Proofpoint-ORIG-GUID: Ps2s4Lsjvwl4_hFWCzSMzdK1-7dq_L47
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9970
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxscore=0
 bulkscore=0 mlxlogscore=999
 priorityscore=1501 clxscore=1015 adultscore=0 suspectscore=0 spamscore=0
 phishscore=0 malwarescore=0 lowpriorityscore=0 impostorscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104060000
 definitions=main-2105010011
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, "1305 <at> debbugs.gnu.org" <1305 <at> debbugs.gnu.org>,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 "jasonspiro4@HIDDEN" <jasonspiro4@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

PiA+IFVzZXJzIGNhbiBlYXNpbHkgY29udHJvbCB0aGUgZHVyYXRpb24gb2YgdGhpcw0KPiA+ICJm
bGFzaCIsIGFzIHdlbGwgYXMgaXRzIGNvbG9yLiAgQW5kIHRoZXkgY2FuDQo+ID4gY29udHJvbCB3
aGF0IHRleHQsIGlmIGFueSwgaXMgc2hvd24gYXQgdGhlIHJpZ2h0DQo+ID4gZWRnZSBvZiB0aGUg
YXJlYS4gIFRoZSBkZWZhdWx0IHRleHQgaXMgbXVzaWNhbA0KPiA+IG5vdGUgY2hhcnMuDQo+IA0K
PiBCVFcsIHRoaXMgYXF1YW1hcmluZSBsb29rcyBhIGJpdCBuaWNlciB0aGFuIHRoZSB5ZWxsb3cg
Zmxhc2ggaW4NCj4gR3JlZ29yeSdzIHZlcnNpb24sIGFuZCBJIGxpa2UgdGhhdCBpdCdzIGltcGxl
bWVudGVkIHNvbGVseSBpbiBFbGlzcC4NCj4gDQo+IChodHRwczovL3VybGRlZmVuc2UuY29tL3Yz
L19faHR0cHM6Ly93d3cuZW1hY3N3aWtpLm9yZy9lbWFjcy9lY2hvLQ0KPiBiZWxsLmVsX187ISFH
cWl2UFZhN0JyaW8hTlh2Tnk0ZVBZSnU3LXlGeE5BTmRHdXFjSGowSzhmWHhGTUxsLQ0KPiBZNzIw
dGVJMjNFWFBkT1M2bkFMdm50X2NCcHEkICkNCj4gDQo+IFN0aWxsIG5vdCBzdXJlIGlmIHRoYXQg
aXMgdGhlIGJlaGF2aW9yIHdlIHdhbnQgdG8gcHJvdmlkZSBPT1RCIChubyBBdG9tDQo+IG9yIFZT
Q29kZS1sZXZlbCBvZiAic2xpY2tuZXNzIiBpbiB0aGVyZSksIGJ1dCB3aHkgbm90IGFzayBwZW9w
bGUuDQoNCkZvciB3aGF0ZXZlciB5b3UgZ3V5cyBkZWNpZGUgdG8gZG86DQoNCi4gVGhlcmUncyB0
aGUgcXVlc3Rpb24gb2YgdGhlIGRlZmF1bHQgYmVoYXZpb3IuDQoNCi4gQW5kIHRoZXJlJ3MgdGhl
IHF1ZXN0aW9uIG9mIGhvdyBlYXN5IGl0IGlzIGZvcg0KICB1c2VycyB0byBtb2RpZnkgdGhlIGJl
aGF2aW9yIGluIGRpZmZlcmVudCB3YXlzLg0K




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 1 May 2021 01:08:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 21:08:42 2021
Received: from localhost ([127.0.0.1]:60079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lce7e-000865-EY
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 21:08:42 -0400
Received: from mail-wm1-f43.google.com ([209.85.128.43]:38865)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lce7d-00085s-HL
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 21:08:41 -0400
Received: by mail-wm1-f43.google.com with SMTP id
 p6-20020a05600c3586b029014131bbe5c7so2542200wmq.3
 for <1305 <at> debbugs.gnu.org>; Fri, 30 Apr 2021 18:08:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=4BbWPIUbVBumur2LKwETcovH/iiwEqc3tC0BdHXrAsw=;
 b=J+/teHvHoZbZ2/WVWIenz/bc8AZpLk4MIrcn6j6+7wMLMspm1iAGqxTPJkMuiKACiC
 28gK4fcxMemrETzYJBy74q8jzoRejJlVVcQ5W2UBnXThwG/0a3udu3agpUnrDrGcsGkG
 /mw4t80e3xhordNPs9zNEi28+qwoefh62iN+0UALAz1Y9TjoVP7zwN/yGPseoVKjY68x
 J00Fi8Fqc6yiJRoiYF5cnr6CBCkYVckBKxibDqI1bWKEAHaRuhLLkzwOH4PrZcZjdVQd
 rTCsCWYggSBqw1AI2E+PDGNCd+bC5Sr544sIS4Fv0/KB93IE42PGJHVud0hr9VVd5FGJ
 C3fQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=4BbWPIUbVBumur2LKwETcovH/iiwEqc3tC0BdHXrAsw=;
 b=YEqnCDaMydLgp548u8Wwyj7SXKUxCQwGp0lzrEEbLxxWb6b49K0sijl8lBcNeIL+Op
 4QzHv+hwU+h6ZJB8ii/znzwnR0+FrQYJ25HG1U70HccsRSMbyP570rkoBV+H4MtCO0Ns
 N+zNU2fEwuycqePLIchtT9hUi/4bOTXm5X7bzRGGI1SqePKiwDEZLLkEDWWqNkkbJ/XR
 keB2vkJF8O43RaRN8lOZtcx2LR3oGXr0bYSaXJUfUT+rVlifjQX9vQAJAj7M+298X5Eg
 OPnGQF94ktboiyX89UFgyeJofzPpdaPxmVhnGboVBJuSiBrdluNk9yFu3gryvbP8GrAu
 7ZRw==
X-Gm-Message-State: AOAM533qqUtBiIFEryH4ivSYeWqZN8n6uD9PasL4FmvUTU6Jf+OMu4Fg
 RGCq1TKFwvCNTGQwmcuXWvE=
X-Google-Smtp-Source: ABdhPJyHcQf4XYCmMPs+ppD8wQqAZBFE1IvRVb6SNTfD3WQ1TJq1vxAoYb1bE75+c59Noc1Le2BgGw==
X-Received: by 2002:a1c:401:: with SMTP id 1mr14324922wme.138.1619831315754;
 Fri, 30 Apr 2021 18:08:35 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id b20sm4704314wmj.3.2021.04.30.18.08.34
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 30 Apr 2021 18:08:35 -0700 (PDT)
Subject: Re: bug#1305: [External] : bug#1305: All code that currently beeps
 should use visual bell instead
To: Drew Adams <drew.adams@HIDDEN>, Gregory Heytings <gregory@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <cc0d8432402d3f235d8a@HIDDEN>
 <f78089b4-582f-1a1a-d7ee-66255b9d70a2@HIDDEN>
 <cc0d8432403b413cd1d3@HIDDEN>
 <e19b8fbc-b43d-6898-19ca-ab11f1652f05@HIDDEN>
 <SA2PR10MB4474B5D2183142CD56EE5703F35D9@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <689883a4-a852-8efd-8b91-76c7adcc6e15@HIDDEN>
Date: Sat, 1 May 2021 04:08:33 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <SA2PR10MB4474B5D2183142CD56EE5703F35D9@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, "1305 <at> debbugs.gnu.org" <1305 <at> debbugs.gnu.org>,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 "jasonspiro4@HIDDEN" <jasonspiro4@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 01.05.2021 03:05, Drew Adams wrote:
> Users can easily control the duration of this
> "flash", as well as its color.  And they can
> control what text, if any, is shown at the right
> edge of the area.  The default text is musical
> note chars.

BTW, this aquamarine looks a bit nicer than the yellow flash in 
Gregory's version, and I like that it's implemented solely in Elisp.

(https://www.emacswiki.org/emacs/echo-bell.el)

Still not sure if that is the behavior we want to provide OOTB (no Atom 
or VSCode-level of "slickness" in there), but why not ask people.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 1 May 2021 00:57:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 20:57:48 2021
Received: from localhost ([127.0.0.1]:60074 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcdx6-0007pu-Ex
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 20:57:48 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:54872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lcdx5-0007pi-Or
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 20:57:48 -0400
Received: by mail-wm1-f46.google.com with SMTP id k128so15614wmk.4
 for <1305 <at> debbugs.gnu.org>; Fri, 30 Apr 2021 17:57:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=k2GaEYfxNRzf6lKSXr0u0044Me1ChZr8wTiBL1obT9M=;
 b=S5Uw7T4JCjdnmBtVL7wqMQhkWOraB+ckw12YACnx5pCQ20L4BFracCBD4Ov+3YOmqf
 NzGFEinh2wnaojFp3mk1kosXgL3DkjVBH51SoIhQHtfXWYcblRgknfQCysS9jnPqRrYX
 5nWPNdoAFededmZdR6F0p5a57GyMGSQbw1O5D7qauUu2zp+YIVqAspmbDcVxFWnJPJ86
 4evENtsFtrQ8NbbkTgfpz1UT02hIL6wmHG15A7en96WI5br1BUUjNWJLyq9RcpK0DhAk
 KBg2csl0ZZS+GmENWkKLZB0OrUQe89RhXkUhXhaM3+uCJw7O9+A5/nvmNx6Bb3Ddc0h4
 Khig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=k2GaEYfxNRzf6lKSXr0u0044Me1ChZr8wTiBL1obT9M=;
 b=fCAbnHLoO7FzhiEHF4nQxANqQKJRhMDNqqy4OoEk4gkUJfZns0sW7+hq9EcN4OTcZU
 jwfoMYVbLHsdgGsQHadRLD8Tru7JO2iggcF8mItdGw9QF4lun23XflpH+vKfdZbNBVOJ
 ayiKOz9+Ba8wGpyV05myd0TeP3kOcoNFvJrL6JWOzMrKG2qO2mprkeC5DbhYgXGCqK5h
 TWm5X11e/1cDB38jycI0rFwhEpLQvYdZzZ2Hn9WxNf+h6yIkfrQZnFYqxDRRczqiMncV
 evST+NKulQqGWfI3enCMCsdSaazV5PcQfRm+43RYQ2dZYgY05I0VSZDDMt69mJ0EKaqE
 l2rA==
X-Gm-Message-State: AOAM533TvZAZpzHKw/SEiyoW8pFMV2w3XzhrAa2tAbMVQvQWo0iyft7+
 CUuqGrwgFqozoFBQIQUMVZE=
X-Google-Smtp-Source: ABdhPJxzDIENwlK4vyj77w6gqYF6V2AeynIXMPPYsuqh5/plXgBMMSVbLBg6ZoPwlgzFBLu4e53Ckg==
X-Received: by 2002:a1c:9842:: with SMTP id a63mr10109284wme.125.1619830661805; 
 Fri, 30 Apr 2021 17:57:41 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id l25sm4322133wmi.17.2021.04.30.17.57.40
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 30 Apr 2021 17:57:41 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <cc0d8432402d3f235d8a@HIDDEN>
 <f78089b4-582f-1a1a-d7ee-66255b9d70a2@HIDDEN>
 <cc0d8432403b413cd1d3@HIDDEN>
 <e19b8fbc-b43d-6898-19ca-ab11f1652f05@HIDDEN>
 <4edb1435269b6cdaa9ff@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <8758da3a-1f44-36ec-1c58-68683604945a@HIDDEN>
Date: Sat, 1 May 2021 03:57:38 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <4edb1435269b6cdaa9ff@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 01.05.2021 03:00, Gregory Heytings wrote:

> And the fix used by the author of the issue, and agreed with by the one 
> who suggested that "first proposed fix", is to turn visible-bell off.

You said there's no evidence of this behavior having been used widely.

I presented such evidence. The rest is minor details (one report with 2 
participants, compared to 800 stars, or 3K stars for the previous 
version of that starter kit).

> Anyway, I fear this discussion will never end.  I proposed a patch, I'd 
> suggest you propose another one that does what you think would be TRT.

At this point I'm starting to wonder whether

   (setq ring-bell-function #'ignore)

would not be a good compromise, after all.

A poll could provide some better data, though.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 1 May 2021 00:05:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 20:05:31 2021
Received: from localhost ([127.0.0.1]:60057 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcd8U-0006ag-U6
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 20:05:31 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:34818)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lcd8S-0006aS-KO
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 20:05:29 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 14105JDN008498;
 Sat, 1 May 2021 00:05:22 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=gXSCveZ06/tTFzqn5Xdg6G7ggMRvHfonftyCXbVsaD0=;
 b=onBizutYI3AvfrEdTsuHX/X8HP7z39sWH4URvtNf5Bsg+NuvvT+AGsu8/38nlkR/Ms+y
 RzVzj2jxWXIW1SZ1AZWqkUhp9dosunhb5KGcB9EHLPVd1C2kgM5cBQZnSfQuzAfoEZo/
 EWnZLrvtrIS72+TV7Hj4t0xSeParC+gJ4lHAslYXRBkpY1Gp2McruXTmHwWWAIPGqr21
 HQ7SyQH2jaXcRj6ACM1IXUl8hagRlIySokJuQzsbI5AzuzM/J1v8RohogjC7SLLeUxYU
 0m6tJKFdCkbpZWtg9BssC0mj+9mLday7FR1oGx/81+bhcRvphETnH3nQuR/ZYxRafiJR eg== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by aserp2120.oracle.com with ESMTP id 385ahc17w9-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 01 May 2021 00:05:22 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 14104ss1165292;
 Sat, 1 May 2021 00:05:21 GMT
Received: from nam12-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam12lp2175.outbound.protection.outlook.com [104.47.59.175])
 by userp3020.oracle.com with ESMTP id 384w3ydh3j-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sat, 01 May 2021 00:05:21 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=eti5iRy/PpdTRg5w3aRv//PfEyCL/nuQ6VCO8wpSyZgC45gDBnSBJl5V2SdLtXIqzFx8EHdXBA6srxhxC/tgtVLxMdEj7fnPKvT7u0F2SfQdUcjrNGGmHLzsXF2w28tYLYWmI9JXeDwDkI9RX2uX59qpDkGmZNblAaaLxyiZxVo/HlP7YqzKPrXqEE58mGGtnfLSGJLElnkLZFUvUEy1Jz1qLPDiIbEp+/aM+JHpgA7Nu5/cEh/9bksWuH5zDCgLVul3fnjUvOo4babKPaPxwvv6QWb8NwyHqMFSdm8mC5tP5dzC5tnHwBlVhOpWpjrqph6ulnXU6yO9LKgkFqfMmA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=gXSCveZ06/tTFzqn5Xdg6G7ggMRvHfonftyCXbVsaD0=;
 b=ItXoxgs8az4Ke0jGcyH0Nl904ylN3VjJQwzggyCjeroKoy5A1oa5MoYuyO+J710A+ijlA682vdbtAiPSLQp/S23ANphvPEb5GCbnY/ZPUkDs9EIAAju2yMqmDFmWwGrgJnPMQrFV9KDpHJ82MbgMzibrZkiUWS2+gu4xr6x7UX30yULhyAcee6tbWgbQRrNstyim9thJKiOZcUB58pnhNvVMrRG/Cb3ToeLbm9nNj0LLF9kfwhXbRigUqlmlGtyxSkFZphPcw7fXWfU2SBRapyk3PO5YOpZ3IEBcVvYiGJrof4Mmjpq2YUYan69SDOHSTQbsU2W+22HMPvwSAmYKPQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=gXSCveZ06/tTFzqn5Xdg6G7ggMRvHfonftyCXbVsaD0=;
 b=rF5OLuxapI425WA+aMzyyCRA9vqc8aCreK6hWEN6LonFQxuwpIMp15/qU5t7OKLFFGJ6PtDKaJwcIQGpbjxmYlxkP1YcyIvErknEU2nBpEKEDZHv2e/0Ru09iDq8tx8/q1+8SHJi6sG86ny4uAkrctL5OSD+S3gxzAWFXFo9OWY=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB3071.namprd10.prod.outlook.com (2603:10b6:805:da::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4065.25; Sat, 1 May
 2021 00:05:19 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4087.035; Sat, 1 May 2021
 00:05:19 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, Gregory Heytings <gregory@HIDDEN>
Subject: RE: [External] : bug#1305: All code that currently beeps should use
 visual bell instead
Thread-Topic: [External] : bug#1305: All code that currently beeps should use
 visual bell instead
Thread-Index: AQHXPhiSU8gXuQXOIUm0DU5ELK4Wj6rNvBbg
Date: Sat, 1 May 2021 00:05:19 +0000
Message-ID: <SA2PR10MB4474B5D2183142CD56EE5703F35D9@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <cc0d8432402d3f235d8a@HIDDEN>
 <f78089b4-582f-1a1a-d7ee-66255b9d70a2@HIDDEN>
 <cc0d8432403b413cd1d3@HIDDEN>
 <e19b8fbc-b43d-6898-19ca-ab11f1652f05@HIDDEN>
In-Reply-To: <e19b8fbc-b43d-6898-19ca-ab11f1652f05@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: yandex.ru; dkim=none (message not signed)
 header.d=none;yandex.ru; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 9d4bbe60-78f3-4566-1769-08d90c34ceb4
x-ms-traffictypediagnostic: SN6PR10MB3071:
x-microsoft-antispam-prvs: <SN6PR10MB30714A5E80D36057FA15B380F35D9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:6790;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: dFCWtq1TXmoCfReFZ3gwO8tZ1DWRw3xYeCpEk0jnT8D/x1g3jsZ3PfemsZ6ODnyWVo7HIlY/M3YUJInc6Gvl1nqm4M5FWX+ZLzGyhSPZDxzdswnesCzspv6qqqPAAzaXn/OTXgd7rkRu7NriLVTUh/Z3GtwPJZe7vpTMIJejJBz2wLVPpKbsly1MkV8plwssBr7JQ0Yaq2Q0KbMjzxlzWTL/inrx9eBpiuJy0/dKi/MBSZkbfuH13HFobiNBNt3pvM7Vls2HRkSZhIUQKyvsKNEbDEhsYDuTMJnvHCnsJVZQ9hRkqC8ZNKO2X5y0dEqNhz47LAXOaJYa1MjFDQGpx3AKzttuwAUsFodJ97JkJHRqA5wLzzbIwAFiS/2AsjQoDMgk1MTTU3fUWcKnAKftH1lzqRVRNRIToVEP3FqeOWUmRKiQw2XaQYug8+rsPjfxxiOn14FDQCWLJBRixI1N2XqDSvzWQT+VI9oMmp3KJBylHyDmVu/PxTc+ZUqZ3XDSIKJEr57DSl37bDpEX+iRYQnU6ZA2K2lJg4mnVCAoQkHEShf5lDR1Bo2qHRQtMlQeZIKaJK3/BhoIO0UjTouUC5T6aPe9m/2aHGo4feYLMLc=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(346002)(136003)(366004)(39860400002)(376002)(396003)(5660300002)(478600001)(110136005)(52536014)(8676002)(316002)(38100700002)(186003)(122000001)(86362001)(4744005)(6506007)(2906002)(55016002)(8936002)(54906003)(9686003)(7696005)(66476007)(33656002)(71200400001)(66446008)(64756008)(4326008)(66946007)(44832011)(76116006)(26005)(66556008);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?utf-8?B?c1ZidFU4MjJuQ0ZMblZhWjJLaVF6dGtIZWYyaDcwVVE0L2hDNmErZ0QyMVl3?=
 =?utf-8?B?YlRRM0gzUldKejd3czRFTHQrRXZ2amhkSEJSVHRzaE1mdEcyRS9NdkU0d0RP?=
 =?utf-8?B?TkN6YzUvL0R4Y1c1S3BHT3dkblBTZkJKWmtvYTZuRTJXQ05SRVY3MWlRRGxS?=
 =?utf-8?B?WnlZMkZIYTRDcFlCNWx1d1BuNUIvbzg2cytaQTlkUkJxZENaaGhyNVUrVG05?=
 =?utf-8?B?aGptaU4rdnBlM0RHYTdRWWgyRjIvTTh0MlJpeVFHN3g2SnhRbm45TldVRlZH?=
 =?utf-8?B?bFlCTldaeE1xaFR1SDlpb21DMmplR2ZacXN5WHdRcFIzQUNNOUZIM2h1cTlI?=
 =?utf-8?B?dlZzSVRjR3U3Mks4UGtvMTFKZ1dBamdvaEQ1SkFCbGN4YnJBS1o0dk5ZdGxH?=
 =?utf-8?B?WERpRjl3cnBrZkNzMnZSb2E2SnZHN3FXaVNUaGg1dVM0RXJGUnNrMitlWHVS?=
 =?utf-8?B?b1ZsZFRFeERWM3htMDc4RThGQlN1MnRTUnluNWZUb1ZOaEFIUmFWcG01dnZE?=
 =?utf-8?B?NjVYUUdhTG1xbEFnL0ZISmJwYW51TGhNQUFUUTB1VnVVcGJqdktGZE15N1Z4?=
 =?utf-8?B?WHdPTHdQQXZqNTRUeU84azdBVStsZS8ybWJHUGZKcEdEdkk3VTRHMTNVMElk?=
 =?utf-8?B?Wnh6MFUrTEdtVVc4K2pON2pUa293SUM1THhjU29jeGRlVHB1em90SzZiMisx?=
 =?utf-8?B?eDh5T3dEbnZPdzkxdVFwQ1BpVVFCSmJRdGY4bXQyaG1WS0QxeWI0WmJtbFQy?=
 =?utf-8?B?U1RpbFFjTHFWR25tMUlyT0djSSsrQm0rRENBUzMyWUNqZW8vNnN4VzdQWkFi?=
 =?utf-8?B?dU14dTVJaHRlQWJmQ2tvZ21rR0ZJTTVCQ3NBOC81UlBpTW52SjAvdWFvU2Q0?=
 =?utf-8?B?NjloVXNPVk9SUXJ2RjFKL0ZxdHZQNlp0aDRPQktmeDJWQktyVjJ1WEs2aG10?=
 =?utf-8?B?VjhHYi9jc2RaTld1NWZ2eS81RTZQOElaNHdoa3JDZ3FVRWNvNGkycEZNQWg4?=
 =?utf-8?B?Y2crYnpYUHZJR1RvejRNek4xZlRERUtjdkg2NWVNTkt2TURsTVZJbVZRcjIw?=
 =?utf-8?B?dE5QWXBGdjQ3Qk9tSlhoWE52Q2V4QkRvZTRDT2laaEFsaWtpZGVjQXI2Ykpj?=
 =?utf-8?B?Y0pqQTEvSTlVQlVMbWNZV3p0Nk5wMkRyRWRxSHZ6Si9PZFQyS3U2anpVU2h4?=
 =?utf-8?B?YTdiZDdmYXA3YVFYVjFVZ3p1bWkxNE1LL0xwUEhyU1VnampGczNtU3oxS0l0?=
 =?utf-8?B?eGFHMTcrS1c5QytvQkU3N0lYYVRqU0VEOWNwRmNtQU51SHVrdTU5QVloMEVU?=
 =?utf-8?B?WHB6K1Fwb1h5QTdZZGZGVGYveUxPVGVZNjdha3NPQUR5T0RlU0xzQlVIdHFS?=
 =?utf-8?B?NVFzTWZLRW54Z2VQZGxia2Z4eGhuejhxd2RkK3BJbEhvM0lkY1FoaUlMRmo0?=
 =?utf-8?B?ZjN3VGdqa2ZiWkI5S2xCVDk2UU5FZ0FjckVXeU9waXhnMUVrKzVxaXRKS3dS?=
 =?utf-8?B?a1B6T1RhUFFudWlnVDNHVzEvOVV6UWRjSWl4bWRkR1lJajkvOVdMWGkwaGI2?=
 =?utf-8?B?TXVBK04zMWs3cHVaYkpvek1QeDhNT0xnNE5XRVhZT0hCMHFlU1h6WnpLQjYv?=
 =?utf-8?B?TjNCWGljTUg0bkloeEQ0OHplOVBkQ0ljTHArTHBQS3MxWDJEcTRTbG5pVEov?=
 =?utf-8?B?cG9uMzNoVUY1RzNadE4yVExhek93V3VCb08xOHhYUHlmMTlsL3VRRENONW9r?=
 =?utf-8?Q?QRa9+B4iAf/aTwSBspFT9XhosmlDIF+AwVy6OOa?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 9d4bbe60-78f3-4566-1769-08d90c34ceb4
X-MS-Exchange-CrossTenant-originalarrivaltime: 01 May 2021 00:05:19.4501 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: OHpjyIy4DJBrX/a+QeBho0d7DW2Fjc99oJhf7BTCZISh2+7q6tfEamzu0Ubsm12F3s4ZD6GTy7/DDgu7MZLryQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB3071
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9970
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 malwarescore=0 mlxscore=0
 mlxlogscore=646 bulkscore=0 phishscore=0 spamscore=0 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104060000
 definitions=main-2104300172
X-Proofpoint-GUID: sfZOBR4V62SLHPl-aD-eVmz_1nqIFzq2
X-Proofpoint-ORIG-GUID: sfZOBR4V62SLHPl-aD-eVmz_1nqIFzq2
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9970
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxscore=0
 bulkscore=0 mlxlogscore=952
 priorityscore=1501 clxscore=1015 adultscore=0 suspectscore=0 spamscore=0
 phishscore=0 malwarescore=0 lowpriorityscore=0 impostorscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104060000
 definitions=main-2104300172
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, "1305 <at> debbugs.gnu.org" <1305 <at> debbugs.gnu.org>,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 "jasonspiro4@HIDDEN" <jasonspiro4@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

PiA+IE1vdmluZz8/P8KgIFdoeSBkbyB5b3UgdGhpbmsgdGhpcyB3b3VsZCBiZSBiZXR0ZXINCj4g
PiB0aGFuIHNpbXBseSBibGlua2luZyB0aGUgZWNobyBhcmVhPw0KPiANCj4gIkJsaW5raW5nIiBp
cyBhbHNvIG1vdmVtZW50LiBJIGRvbid0IGhhdmUgYSBzcGVjaWZpYw0KPiBhbmltYXRpb24gaW4g
bWluZC4NCg0KIkJsaW5raW5nIiBpcyB0aGUgImFuaW1hdGlvbiIgcHJvdmlkZWQgYnkNCmBlY2hv
LWJlbGwtbW9kZScgKHlvdSBhc2tlZCBmb3IgdGhhdCk6IHRoZSBlY2hvDQphcmVhIGlzIGJyaWVm
bHkgaGlnaGxpZ2h0ZWQgd2l0aCBhIGRpZmZlcmVudA0KYmFja2dyb3VuZC4NCg0KVXNlcnMgY2Fu
IGVhc2lseSBjb250cm9sIHRoZSBkdXJhdGlvbiBvZiB0aGlzDQoiZmxhc2giLCBhcyB3ZWxsIGFz
IGl0cyBjb2xvci4gIEFuZCB0aGV5IGNhbg0KY29udHJvbCB3aGF0IHRleHQsIGlmIGFueSwgaXMg
c2hvd24gYXQgdGhlIHJpZ2h0DQplZGdlIG9mIHRoZSBhcmVhLiAgVGhlIGRlZmF1bHQgdGV4dCBp
cyBtdXNpY2FsDQpub3RlIGNoYXJzLg0KDQpEaWZmZXJlbnQgYmVoYXZpb3IgJiBhcHBlYXJhbmNl
IGFyZSBhcHByZWNpYXRlZA0KZGlmZmVyZW50bHkgYnkgZGlmZmVyZW50IHVzZXJzLiAgT25lIHVz
ZXIncw0KdmFsdWVkIGluZGljYXRpb24gaXMgYW5vdGhlcidzIGFubm95YW5jZS4gIFRoaXMNCnNp
bXBsZSBtb2RlIGxldHMgeW91IGVhc2lseSBoYXZlIG5vIGluZGljYXRpb24NCihtb2RlIG9mZikg
b3IgYW55IGRlZ3JlZSBvZiBpbnRlcnJ1cHRpb24geW91DQptaWdodCB3YW50Lg0K




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 1 May 2021 00:00:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 20:00:48 2021
Received: from localhost ([127.0.0.1]:60047 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcd3w-0006TH-5Z
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 20:00:48 -0400
Received: from heytings.org ([95.142.160.155]:60322)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lcd3u-0006T8-Ew
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 20:00:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619827245;
 bh=7cyq2iAOW3HpTjVEy/3HWmcKXCs++i++RUj+cltjNp8=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=dDPGZJF966g2P73HaOkdTI/mpxI5wASkFBsB6a9sEsP4dH57SswOjKX1vn64Umta4
 H+ILXTCxXa1s/J4nTjHLY3Tmsj9mddyKP0L8X65pJNkepEVL2t7IHsIyFhrp13l5g4
 G4cdYJd1AfK6FtFV44FIcHZZYeQ3pr1tAzmZJcLCatLIMWNNPDs7fwlLgg9XgM5Z9E
 60eZsPpzyYTh8ySb68CShkttlmNZ8zMivTFsIqpIZS/Ej4Adc+EnKcDxmjNfjWfo/R
 oDT06Gypqv+9IewBKSSU3sHMdJZQbJZ5b7ZP2ADqNQCPeaq09v8yFQaAlCQfcPyIW0
 CeVFvK0l4at7Q==
Date: Sat, 01 May 2021 00:00:44 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <e19b8fbc-b43d-6898-19ca-ab11f1652f05@HIDDEN>
Message-ID: <4edb1435269b6cdaa9ff@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <cc0d8432402d3f235d8a@HIDDEN>
 <f78089b4-582f-1a1a-d7ee-66255b9d70a2@HIDDEN>
 <cc0d8432403b413cd1d3@HIDDEN>
 <e19b8fbc-b43d-6898-19ca-ab11f1652f05@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> Have you read the comments?
>

Of course I did.

>
> People complain about macOS behavior, and the first proposed "fix" was 
> to make it work close to how it works on GNU/Linux (except flashing the 
> mode-line, probably because that is easier to implement).
>

And the fix used by the author of the issue, and agreed with by the one 
who suggested that "first proposed fix", is to turn visible-bell off.

Anyway, I fear this discussion will never end.  I proposed a patch, I'd 
suggest you propose another one that does what you think would be TRT.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 30 Apr 2021 23:28:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 19:28:58 2021
Received: from localhost ([127.0.0.1]:60022 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lccZ8-0005iF-Mb
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 19:28:58 -0400
Received: from mail-wr1-f44.google.com ([209.85.221.44]:42628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lccZ7-0005i3-Ld
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 19:28:57 -0400
Received: by mail-wr1-f44.google.com with SMTP id l2so19951940wrm.9
 for <1305 <at> debbugs.gnu.org>; Fri, 30 Apr 2021 16:28:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=9yiPUl+5MmMkNmGi8EQEF3rXZm7FQg9x2ttNjF1iJ6M=;
 b=NsD+tjjDa7kbsTYEOioxQM0ZyeMLhugZae4I42ij8icST61CLVcH/AdQUjMx+DKjIq
 OtqGTR/Z9vE2QylHw1QazVQ9Hy0MDulfBNeuUlz+EELht3rr5mGejyMd3kaxPP6sqgzh
 D/tF56qhRoPpzxtW9CbjL6V5ifhCTJdtm7LdyniwAl36tiraesIupqEVHFM0MA7RU/VR
 BM9auNeijOWjczSMqBqTvHHeKNrXeDWUYk3bXDPMIDVQH4okHhPnbY6hgQUuC4wpv6Sg
 vJLpnanZAdbDM3ghFOE8k2ReWal6Ro/zPsFdwGSZbaK2APPbxNsvQ/MCpJid2BFy3d5U
 AvBw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=9yiPUl+5MmMkNmGi8EQEF3rXZm7FQg9x2ttNjF1iJ6M=;
 b=XypDlVrlKsgJHeL231HUzcaazwP/PUpOlyE0b12RjFOlh8a7LqWjR0JW4EfEUn8Hm5
 zzIYiX7i8IUvJQ6o1mFGvIVF7HbOBp/hZ0Jr1izjNlmSN3XAw6xlUP+pdvO9dLyjpFPL
 I7HOgHFJyXBP/7P9q3aqAjngO1eoTpJBKftmll87VsrYD9eqQHnwLcVtT6XEWH9UidyZ
 nVFi8vgK4RDYUTn/QvimTEaUGSCmE48KZcTmipQj0S30T1mb3JwtPAOO5/+fXqOHPKU0
 FJhJPhjADEJPedpLs5xyNlPpceur0Sstyg/qr4M94fmnFXKvmuNvcTE1zNncRjpcIayM
 S4cA==
X-Gm-Message-State: AOAM532MKvOzrCUi/OVx33loGJhH+CR47A879+5TDffms2Pboe7GEqMt
 QjMsOGewq8w84zd7RQAeGfA=
X-Google-Smtp-Source: ABdhPJw2beif8IHFBOTxDyvsnv9b2bo/DoJekF9YBGJ1+U0RRansnnPhL50rOZRGPKxm2Knx9snsjw==
X-Received: by 2002:adf:de8b:: with SMTP id w11mr10272770wrl.315.1619825331815; 
 Fri, 30 Apr 2021 16:28:51 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id f25sm4069069wrd.67.2021.04.30.16.28.50
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 30 Apr 2021 16:28:51 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <cc0d8432402d3f235d8a@HIDDEN>
 <f78089b4-582f-1a1a-d7ee-66255b9d70a2@HIDDEN>
 <cc0d8432403b413cd1d3@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <e19b8fbc-b43d-6898-19ca-ab11f1652f05@HIDDEN>
Date: Sat, 1 May 2021 02:28:49 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <cc0d8432403b413cd1d3@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 01.05.2021 02:19, Gregory Heytings wrote:
> Amusingly, it's the only "better default" that isn't described in the 
> README, and against which there's a open issue: 
> https://github.com/technomancy/better-defaults/issues/27 .

Have you read the comments? People complain about macOS behavior, and 
the first proposed "fix" was to make it work close to how it works on 
GNU/Linux (except flashing the mode-line, probably because that is 
easier to implement).

Hence the reply: "that's strange; the behavior you describe is how it 
already works for me".

>> A moving reddish shape should bring enough attention, but of course 
>> different users have different levels of sensitivity (as the 
>> discussion in bug#47574 has shown). Only a practical experiment can tell.
>>
> 
> Moving???  Why do you think this would be better than simply blinking 
> the echo area?

"Blinking" is also movement. I don't have a specific animation in mind.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 30 Apr 2021 23:19:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 19:19:25 2021
Received: from localhost ([127.0.0.1]:59998 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lccPt-0005TW-A6
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 19:19:25 -0400
Received: from heytings.org ([95.142.160.155]:60284)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lccPq-0005TN-SX
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 19:19:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619824761;
 bh=GqHL/2ew9itzBo7nVCyL+KCxDczLAlvSHwV3kU1HATY=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=NhgFZXTMzTmwhrHRQArx6e+joAeby+uIR4Mx6LCThmZUBRI8cFFAxs56b/4Uiai4Q
 zeJHrOTcg3CSZfqVLraQh7AisJ/BLXdd9WihOO4CH2KkcNi8PhSCRIx0wBGPGtEXL6
 CCP/N4F5gNcXwC8Hmfkqs/kT5+dRjdXvCKRliuLOp3smq1qRfxafzoYj5zRpJoC8vy
 fUiX7Dv2RG/rD5Z0XZx2siLP6eBiotPgoIICr8O2XwNMpA4+lTzT/53RPdmJg8OOqH
 MSZLMMLhUKSd75pDMAaGv8EMcZxmxZk8nFz1jSa57nFmJfQ+vWdla6j/fYRpxwusGA
 ANGJtmeqKTJhw==
Date: Fri, 30 Apr 2021 23:19:20 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <f78089b4-582f-1a1a-d7ee-66255b9d70a2@HIDDEN>
Message-ID: <cc0d8432403b413cd1d3@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <cc0d8432402d3f235d8a@HIDDEN>
 <f78089b4-582f-1a1a-d7ee-66255b9d70a2@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> And AFAICS this is also what most popular starter kits do. So at least 
>> to me it's not clear whether it is widely used.
>
> better-defaults is an old project which has been there for at least a 
> decade in some form (and has a fair amount of stars on its archived 
> repository on github: https://github.com/technomancy/better-defaults). 
> It's the original "emacs starter kit".
>

Amusingly, it's the only "better default" that isn't described in the 
README, and against which there's a open issue: 
https://github.com/technomancy/better-defaults/issues/27 .

>
> A moving reddish shape should bring enough attention, but of course 
> different users have different levels of sensitivity (as the discussion 
> in bug#47574 has shown). Only a practical experiment can tell.
>

Moving???  Why do you think this would be better than simply blinking the 
echo area?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 30 Apr 2021 22:22:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 18:22:35 2021
Received: from localhost ([127.0.0.1]:59964 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcbWt-00046G-7Y
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 18:22:35 -0400
Received: from mail-wr1-f45.google.com ([209.85.221.45]:43581)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lcbWr-000462-6I
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 18:22:33 -0400
Received: by mail-wr1-f45.google.com with SMTP id x7so72106553wrw.10
 for <1305 <at> debbugs.gnu.org>; Fri, 30 Apr 2021 15:22:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=A8r/1UpLbh2313nEErJKxOcPekwM3Kn7aVRdl/daBaE=;
 b=g8G6eCJw8uvcyD1ODDhuOS1uEkEppf+p+ngUA9p05vKf4bL3L42atsrkVBMA22CC5/
 HmRQYHzqqtxfgjyVLlBMl7r8JAFexc27Yx5WBjJ2mf0c9ItRQeVqyt5RQjFQiDkAYxgb
 wbbv2YmS2s4HHdgANN/K/kxRiEEDYDc6ib9YWYt3ee3kcbSsEUiQ+EcbqhxyA94nxujh
 fLDOOcxBHJleTOyjMu1FLL8/ZeHYeKw3JBdVsmxlw8wHP94Nf3qLpliVdP/uAu6HCFr3
 YsynO6qOPYBeUpFo6hJdfFztI8BWnOyMCcDEFHnkpizizDdT7QEeUhqwnV9zCPHZUf2G
 Db7Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=A8r/1UpLbh2313nEErJKxOcPekwM3Kn7aVRdl/daBaE=;
 b=F37eZGAuvESlrmTpJaGo6tb7r0ZzuGzuK/pEgLIDvX64Jib+LEzKUU6KzVwt0qv8L1
 mVx9S8xkXfzfUnBbFBKjrYJCoi8i6JoXdYNjrr3qLPCuAbkkriZ922FH+lqnoWCiXNSE
 RMW9k7kI4qm8voK5I3KhwoUe7hDaD3Vu+aIKtnfYlC737Z9xO9X4H83bhaCArMGzlwWT
 CwJuSJ+Ex5jSVuErKumBoN6b4+1GLGshfd9UBrVoF7j+dSAxHCnwjfomqLG2InYjNG3+
 Z9PrLJIOvSx9f54oSj9eyHpsW0RliCQLmtxWP/ogqh9L0IYOZLonTuUDjYUU2ja7RoCJ
 1yYw==
X-Gm-Message-State: AOAM533LBZcD3xRKNYFkbJSdui+I2gukrASBaNkrttbMesR2+0RRSJ3X
 y9apE/0Tsv6cJhJwtjKAS9w=
X-Google-Smtp-Source: ABdhPJysqOxtEOx1PfkswiOHdGx+OHmzsEchr/KM38RDKPjcN3R9dRP6mc1cUMo6hXSbgBsx4FOt9Q==
X-Received: by 2002:adf:fb43:: with SMTP id c3mr10095298wrs.360.1619821347208; 
 Fri, 30 Apr 2021 15:22:27 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id q16sm4023242wmj.24.2021.04.30.15.22.25
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Fri, 30 Apr 2021 15:22:26 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <cc0d8432402d3f235d8a@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <f78089b4-582f-1a1a-d7ee-66255b9d70a2@HIDDEN>
Date: Sat, 1 May 2021 01:22:24 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <cc0d8432402d3f235d8a@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 30.04.2021 10:09, Gregory Heytings wrote:
> And AFAICS this is also what most popular starter kits do. So at least 
> to me it's not clear whether it is widely used.

better-defaults is an old project which has been there for at least a 
decade in some form (and has a fair amount of stars on its archived 
repository on github: https://github.com/technomancy/better-defaults). 
It's the original "emacs starter kit".

So yes, it must be widely used.

>> But it would be interesting to try some icon-based animation in the 
>> echo area, like the red circle on VSCode's pic.
>>
> 
> You mean, displaying such a red circle before the error message in the 
> echo area?  Not sure that would be visible enough.

Something like that, with a blinking or some brief "busy" animation.

A moving reddish shape should bring enough attention, but of course 
different users have different levels of sensitivity (as the discussion 
in bug#47574 has shown). Only a practical experiment can tell.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 30 Apr 2021 13:08:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 09:08:25 2021
Received: from localhost ([127.0.0.1]:57780 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcSsb-00009S-7w
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 09:08:25 -0400
Received: from heytings.org ([95.142.160.155]:59458)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lcSsZ-00009J-GH
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 09:08:24 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619788101;
 bh=t0DQNPGz2C4+Qg0S35DrT3WV+ZxDTHaAxSKUI7vgO/Y=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=c4M2WtculyxG0FmE9K/MwtvnYyACJZFciNRJKu+pCMXd7NsVo5h0XUEX3C4NQX8+V
 qkK/dT5ELEv8TtYfRIZ/YhRC+wdTQ7fOuo+pQBQfEBv3kpMEgcMjzxLD+relHHrdPi
 uzuM4+OiSGS0/isdFBZnXRztb5SF3SGcZwR0d023pwH8KIWbE26IvRzkm/GjsKeNOL
 Xunw1cLm31+UYhy6sDtuzIaHJwXVhNtOFZEJMLVQMwZ8V20AcDP8vZkLE5/n1fPZqd
 2i6E8r3i8gFYgrMLOh0tkg/JaoAQ/z8VVGjxXp2L2EipridevhmXDImW7yIJ36Ltqq
 4OgbubVF6ysQA==
Date: Fri, 30 Apr 2021 13:08:21 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <cc0d8432400c094d5bda@HIDDEN>
Message-ID: <cc0d843240dfe243d8e5@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN>
 <874kfs3585.fsf@HIDDEN> <fe6aee4ffd72e8568001@HIDDEN>
 <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <CADwFkmnxUoBU4opydF0KUNnu87DhZ67b4iYOFFpYTqsdoKGbBw@HIDDEN>
 <cc0d8432400c094d5bda@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="VdKKdMTAsF"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--VdKKdMTAsF
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable


>>>> I can't really say whether it's better or worse, with visible-bell t=
=20
>>>> on Windows the frame briefly flashes (with the FlashWindow function),=
=20
>>>> a bit like a flash in a terminal.=C2=A0 Among the three visible-bell t=
=20
>>>> behaviors, it's the best one IMO, in the sense that it's visible and=
=20
>>>> not intrusive.
>>>=20
>>> Is it possible to replicate on other systems?
>>=20
>> It would be useful if someone could post a screenshot for those of us=20
>> with no access to any Windows machines.
>
> I tried to do that, but it's not possible, it's a dynamic effect.
>

I tried again; see the attached screencast.
--VdKKdMTAsF
Content-Type: video/mp4; name=windows.mp4
Content-Transfer-Encoding: base64
Content-ID: <cc0d8432402e21270a0e@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=windows.mp4
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--VdKKdMTAsF--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 30 Apr 2021 08:41:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 04:41:38 2021
Received: from localhost ([127.0.0.1]:57450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcOiQ-0005f3-Dc
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 04:41:38 -0400
Received: from heytings.org ([95.142.160.155]:59180)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lcOiN-0005et-N5
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 04:41:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619772094;
 bh=V4ojq0ShMf2osY09/JaTMkqVIBkjQCMRH4ZXZo7VYaw=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=mcBpnukV1tSF+COZRiEwR+AjEbTCEn4VlD2uaXs4oM10B5+NXTH9eOk9DVsGExFQN
 iE0Lon7+NGlZN3CUbI+J9fa4OMEKeYfrR3GD2kPUSeVKR7I3ud1AjemMp2cxXnKkn7
 HHap65j6JMZs2QyAEl0hvDejyMe8FV+GyG7/s+fE2K4WCBBy73ZID/c6ndpaw5w7A4
 +VQEI9kyVLPoHkB+4FkpGP8bQ/D2KSgQRQETPJvUD8WT4c52FNU7dgD6LabRmTXeAc
 QbTMcqNAN90KhTQxY+5LXlNUxwsoyNReUqKD/EDH/FUzZJdoafSXI5At6WLl8ZEMe1
 UD4CXEuaNWZpQ==
Date: Fri, 30 Apr 2021 08:41:33 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <837dkkci6w.fsf@HIDDEN>
Message-ID: <cc0d84324035c7d87b5d@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <83k0okcqgg.fsf@HIDDEN> <cc0d8432400c219d3dfc@HIDDEN>
 <83h7jockv2.fsf@HIDDEN> <cc0d843240f30f9d2f8b@HIDDEN>
 <837dkkci6w.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: alan@HIDDEN, 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, monnier@HIDDEN, dgutov@HIDDEN,
 larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> "Flashing a window means changing the appearance of its caption bar as 
>> if the window were changing from inactive to active status, or vice 
>> versa. [...] Typically, a window is flashed to inform the user that the 
>> window requires attention but that it does not currently have the 
>> keyboard focus." [1]
>>
>> [1] https://docs.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-flashwindow
>>
>> But even that doesn't describe the effect accurately, the feeling I 
>> have is closer to "the frame briefly vibrates".  As I said, I use 
>> Windows only rarely, so my feeling is perhaps not right.
>
> What I see is exactly what the MS documentation describes: the frame's 
> title bar blinks (a.k.a. "flickers"), which is very hard to notice; and 
> the corresponding tab on the task bar flashes, which is much more 
> prominent.  IME, this happens in all Windows versions.
>

What I see on Windows 10 (without any customizations) is that the title 
bar flickers, the menu bar flickers, and the shadow effect around the 
frame flickers.  All this gives the feeling that the frame "vibrates".

And yes, the corresponding tab (on Windows 10 the default is an icon) 
flashes, its background color changes.  Indeed this is more prominent, the 
purpose of FlashWindow seems to be, as the documentation describes, "to 
inform the user that the window requires attention but that it does not 
currently have the keyboard focus", or IOW to inform the user that a 
window that it isn't the foreground window requires attention.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 30 Apr 2021 08:04:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 04:04:23 2021
Received: from localhost ([127.0.0.1]:57418 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcO8G-0004nu-5g
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 04:04:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54098)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lcO8C-0004nf-Ud
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 04:04:14 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58822)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lcO84-00065v-TE; Fri, 30 Apr 2021 04:04:04 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1404
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lcO7z-0003mg-Ic; Fri, 30 Apr 2021 04:04:03 -0400
Date: Fri, 30 Apr 2021 11:03:51 +0300
Message-Id: <837dkkci6w.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <cc0d843240f30f9d2f8b@HIDDEN> (message from Gregory
 Heytings on Fri, 30 Apr 2021 07:27:25 +0000)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <87blabpy54.fsf@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN> <83k0okcqgg.fsf@HIDDEN>
 <cc0d8432400c219d3dfc@HIDDEN> <83h7jockv2.fsf@HIDDEN>
 <cc0d843240f30f9d2f8b@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: alan@HIDDEN, 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, monnier@HIDDEN, dgutov@HIDDEN,
 larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Fri, 30 Apr 2021 07:27:25 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: dgutov@HIDDEN, alan@HIDDEN, 1305 <at> debbugs.gnu.org, mwd@HIDDEN, 
>     stefan@HIDDEN, jasonspiro4@HIDDEN, monnier@HIDDEN, 
>     larsi@HIDDEN
> 
> "Flashing a window means changing the appearance of its caption bar as if 
> the window were changing from inactive to active status, or vice versa. 
> [...] Typically, a window is flashed to inform the user that the window 
> requires attention but that it does not currently have the keyboard 
> focus." [1]
> 
> [1] https://docs.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-flashwindow
> 
> But even that doesn't describe the effect accurately, the feeling I have 
> is closer to "the frame briefly vibrates".  As I said, I use Windows only 
> rarely, so my feeling is perhaps not right.

What I see is exactly what the MS documentation describes: the frame's
title bar blinks (a.k.a. "flickers"), which is very hard to notice;
and the corresponding tab on the task bar flashes, which is much more
prominent.  IME, this happens in all Windows versions.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 30 Apr 2021 07:27:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 03:27:28 2021
Received: from localhost ([127.0.0.1]:57383 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcNYe-0003ti-Ld
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 03:27:28 -0400
Received: from heytings.org ([95.142.160.155]:59092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lcNYc-0003ta-Rn
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 03:27:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619767645;
 bh=4PRx2v9WK4Lg07s8bmMcr6EweE8JWot0BxbTptvamOQ=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=nAleuYr87pL6AHVuBfHpmYU+wSmtGxJu17CckMeGqh3X1Xw8CSTDhQuSAYB2YRN9n
 iw1AgEQxz91RIRkXXRVvb1dTBQLcSL+m1gZKOsW6G9FCdIuGFvc9ppRwFklIqtXe26
 B9yqzl6+l4yW4ZZYwHRJg1TI6IMl7kX3iDxvVZMBxILOpyMUZfuJSbwTUN0hb1RhnL
 LhULxnUALW1MNVhceyrahQRQYA6Z353fq59MlxijePWtBDfkAjWzUH7mMu33QoKmvu
 bHqSn/tlB3+EfsFCyfqs2Y+hS/DgHVGCe6ftS6G3CD/yolaJR5aQHtFDG4R6gpx0lg
 FpTTOP/vioOfw==
Date: Fri, 30 Apr 2021 07:27:25 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <83h7jockv2.fsf@HIDDEN>
Message-ID: <cc0d843240f30f9d2f8b@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN> <83k0okcqgg.fsf@HIDDEN>
 <cc0d8432400c219d3dfc@HIDDEN> <83h7jockv2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: alan@HIDDEN, 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, monnier@HIDDEN, dgutov@HIDDEN,
 larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> Yes, "flash" is perhaps not the best word here, perhaps "vibrate" is 
>> better.
>
> That word still doesn't tell me what you think happens.  Can you 
> describe in more detail what exactly you see, and on which version of 
> MS-Windows?
>

Windows 10.

I don't know how to describe this better than with the words "flash" or 
"vibrate", so I looked at the docs:

"Flashing a window means changing the appearance of its caption bar as if 
the window were changing from inactive to active status, or vice versa. 
[...] Typically, a window is flashed to inform the user that the window 
requires attention but that it does not currently have the keyboard 
focus." [1]

[1] https://docs.microsoft.com/en-us/windows/win32/api/winuser/nf-winuser-flashwindow

But even that doesn't describe the effect accurately, the feeling I have 
is closer to "the frame briefly vibrates".  As I said, I use Windows only 
rarely, so my feeling is perhaps not right.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 30 Apr 2021 07:13:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 03:13:26 2021
Received: from localhost ([127.0.0.1]:57364 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcNL4-0003Y1-M7
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 03:13:26 -0400
Received: from heytings.org ([95.142.160.155]:59058)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lcNL2-0003Xt-Kd
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 03:13:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619766804;
 bh=ozTw7LOF2YyNOwvpaA8O4DnyRLtoUnPo3OgHZD7fKHY=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=gIXw3bbpiZZA56J5Bm/Q3pM4WUhS/gJ6MHsuDlShkw50e/7gU9jCEZApZlMlHsu6K
 K5+pBpiGv4GmkpyfqxdBv+p8LtkT8rQZrFqmeEbAJpvcfX+pgE2fD1KskEaNCnfM9m
 DjYzpYXKQm0gif2PM1LnHgW9nT6NIuqxnSWM/F0bazFzoDol1U42VwEHMn6xIFsxqV
 QwYc0GkKTU/03E8oaGB7oeZ+OuPJEQiXK/ineKy1RWmtMfT/6ac1cdpt4nfmeGazsl
 XuX5+zspiagrgwMWmzrHbpuJuJRHvlHiNcXSikk6oWDaWPdas9lRpKKoLqzrzk2Tmy
 Rga6RfGRfpARA==
Date: Fri, 30 Apr 2021 07:13:23 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <jwv5z04d5xv.fsf-monnier+emacs@HIDDEN>
Message-ID: <cc0d8432403ef67e5777@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN>
 <874kfs3585.fsf@HIDDEN> <fe6aee4ffd72e8568001@HIDDEN>
 <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN> <jwv5z04d5xv.fsf-monnier+emacs@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> AFAICS in other editors error signals are far less frequent (e.g. they 
>> do nothing when you try to move past the beginning or end of the 
>> buffer, or when you press a key binding with no corresponding action, 
>> or when you enter characters in a read-only file, ...), they only 
>> signal "critical" errors.  So I'm not sure it's possible to get 
>> inspired by what they do. What they use are typically popups; I attach 
>> two examples with Visual Studio and Atom, one when a non-readable file 
>> is opened, another when a non-writable file is saved.
>
> This suggests we may want to introduce "levels" of beeping. We generally 
> follow the convention that a command should do *something* so if the 
> command cannot do what the user asked because it is "obviously" 
> non-sensical (e.g. try to move before the beginning or past the end of 
> the buffer, type a key that's not bound, ...) we'd emit a "low-priority" 
> beep, whereas in case of an actual error we'd emit a higher priority 
> beep.  We probably don't need many levels, (e.g. just 2, at most 3 might 
> be enough).
>

Indeed.  You may have seen that this is what my patch does, except that 
instead of hard-coding the error levels, it lets each user decide which 
errors they want to see with a flashing effect and which errors they want 
to see without flashing effect.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 30 Apr 2021 07:09:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 03:09:50 2021
Received: from localhost ([127.0.0.1]:57360 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcNHa-0003Sl-51
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 03:09:50 -0400
Received: from heytings.org ([95.142.160.155]:59028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lcNHX-0003Sa-BW
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 03:09:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619766586;
 bh=doPhvGIO1WqLd5G8vX5ZmUkPf/L5m3oGP/T30fZ1lK0=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=NTZ+k6rt8quPLZKzs5Zx7o6erzelRRgnC4vk9LwU4ouCQ5cfi1Ywsar44v2hXjA24
 /54u9fp1GGQWJ3YSchmRcFozaqzzJ4Cnn4ruhbWWK98WlDzjIN1pkan90yziKsB5tA
 od1jTGKCV+iu6YdltZf4aWCNaDSNkuJNtu7KbFgkkJI03zKBMCLZfKYZv/7R90364T
 waw2E6qjztTvp31JE0qqkfoRkHhREe9ZzEeOoyYxXK0UG8wh8YC0Ntjmo7b2MVuxQI
 xAKlh3+lR13bvaDJ45TaodkenqcNX7+9r3wSUBiuXfwg1+o1++o5f19xQcrcpJR4cV
 B8Nt5Cf2srszg==
Date: Fri, 30 Apr 2021 07:09:45 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
Message-ID: <cc0d8432402d3f235d8a@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="4etuyLLz2s"
Content-ID: <cc0d843240cdd050039e@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--4etuyLLz2s
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
Content-ID: <cc0d8432404c7db97b0f@HIDDEN>


>
> Fair enough. Still, it's more "proven" that yours, so to speak.
>

I don't know what you mean by "proven", but I never activated that visible=
=20
bell before this discussion started, like Lars I just disabled the bell=20
altogether.  And AFAICS this is also what most popular starter kits do.=20
So at least to me it's not clear whether it is widely used.

>
> I don't mind putting it to the vote sometime, here or some other place.
>

I'd be very surprised if people voted for that, but indeed a vote is=20
probably the best way to decide between the two.

>> Using inverse-video also creates extra colors, unless your frame=20
>> happens to display only black on white or white on black elements on=20
>> the first and last line.=C2=A0 Moreover with my patch the colors are ful=
ly=20
>> configurable, so you can adapt them to your theme.
>
> It uses only the colors that are already there, though. Just in inverse.
>

Which means "new colors".  Of course from a logical viewpoint this is=20
"just in inverse", but flashing a brown on white text in green on black,=20
or a blue on white text in yellow on black, does create new colors that=20
weren't there.  It's like photo negatives, the colors you see are not "the=
=20
colors that were there".

>
> But it would be interesting to try some icon-based animation in the echo=
=20
> area, like the red circle on VSCode's pic.
>

You mean, displaying such a red circle before the error message in the=20
echo area?  Not sure that would be visible enough.
--4etuyLLz2s--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 30 Apr 2021 07:06:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 03:06:39 2021
Received: from localhost ([127.0.0.1]:57356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcNEN-0003OG-2q
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 03:06:39 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43038)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lcNEL-0003O4-Ci
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 03:06:30 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58199)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lcNEE-0004y8-0F; Fri, 30 Apr 2021 03:06:22 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1853
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lcNEA-0000MP-PI; Fri, 30 Apr 2021 03:06:20 -0400
Date: Fri, 30 Apr 2021 10:06:09 +0300
Message-Id: <83h7jockv2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <cc0d8432400c219d3dfc@HIDDEN> (message from Gregory
 Heytings on Fri, 30 Apr 2021 06:51:47 +0000)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <87blabpy54.fsf@HIDDEN> <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN> <83k0okcqgg.fsf@HIDDEN>
 <cc0d8432400c219d3dfc@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: alan@HIDDEN, 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, monnier@HIDDEN, dgutov@HIDDEN,
 larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Fri, 30 Apr 2021 06:51:47 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> cc: Dmitry Gutov <dgutov@HIDDEN>, alan@HIDDEN, 1305 <at> debbugs.gnu.org, 
>     mwd@HIDDEN, stefan@HIDDEN, jasonspiro4@HIDDEN, 
>     monnier@HIDDEN, larsi@HIDDEN
> 
> > Just so we are on the same page: FlashWindow on MS-Windows doesn't 
> > necessarily flash the frame.  Or maybe I don't understand what Gregory 
> > meant by that.
> 
> Yes, "flash" is perhaps not the best word here, perhaps "vibrate" is 
> better.

That word still doesn't tell me what you think happens.  Can you
describe in more detail what exactly you see, and on which version of
MS-Windows?

> And no, I don't think it is possible to replicate that behavior on other 
> systems, it's a "window manager" primitive, which AFAIU exists on Windows 
> but not on macOS or GNU/Linux.

I think until now the idea was to abide by platform conventions in
this matter.  That's why we don't try to affect the audio bell,
either: we let the system sound whatever sound was configured for
that.  From that POV, using platform-specific visual cues is perfectly
fine, if such primitives exist.  Where they don't exist, we need to
emulate them, but that's another story.

So: do such WM APIs exist on X, GTK, macOS, and other platforms we
support?  (If this was already discussed, apologies.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 30 Apr 2021 06:58:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 02:58:18 2021
Received: from localhost ([127.0.0.1]:57350 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcN6Q-0003BI-8f
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 02:58:18 -0400
Received: from heytings.org ([95.142.160.155]:58984)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lcN6N-0003B8-MN
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 02:58:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619765894;
 bh=ZuHUXqo6sEGGHnllbvcn087qTgcpoE/jn4j655+/pc8=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=pzMAS47CV7HectygM60d1rrIuUzbCIGTh7FKY25RqwbaI4l4D23Lql0Tw9jVorLcF
 +29gsKPJOJxbt8LVonpIOCCh+pd2smeY+9lmf3i1yyuxBDj8mciwcpuXisQvXI9wz2
 7niGYlDrKpFFOJKlaAcqjJEEZYJW165Zm8WMUbDk/R+Uf8DprqsNYmlBUBTt8xfip9
 CiG4IUEPnjNr4+wuqPjPuX8Xv2dHZDyup7IiavECZHMyWzavQXcoQopyAnw5dug1rG
 wnsfAUCFwp9ifuumTd/wl8PLtNuv/blpzSS077tEjAoZ1/ZF/3KITw+I98/uIdESDN
 s5Fk6gPsLu8oQ==
Date: Fri, 30 Apr 2021 06:58:13 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <CADwFkmnxUoBU4opydF0KUNnu87DhZ67b4iYOFFpYTqsdoKGbBw@HIDDEN>
Message-ID: <cc0d8432400c094d5bda@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <CADwFkmnxUoBU4opydF0KUNnu87DhZ67b4iYOFFpYTqsdoKGbBw@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="85Ktlqcbov"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--85Ktlqcbov
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable


>>> I can't really say whether it's better or worse, with visible-bell t=20
>>> on Windows the frame briefly flashes (with the FlashWindow function),=
=20
>>> a bit like a flash in a terminal.=C2=A0 Among the three visible-bell t=
=20
>>> behaviors, it's the best one IMO, in the sense that it's visible and=20
>>> not intrusive.
>>
>> Is it possible to replicate on other systems?
>
> It would be useful if someone could post a screenshot for those of us=20
> with no access to any Windows machines.
>

I tried to do that, but it's not possible, it's a dynamic effect.
--85Ktlqcbov--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 30 Apr 2021 06:51:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 02:51:52 2021
Received: from localhost ([127.0.0.1]:57335 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcN0C-00031M-Ha
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 02:51:52 -0400
Received: from heytings.org ([95.142.160.155]:58956)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lcN09-00031C-DL
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 02:51:50 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619765508;
 bh=qW+qV5afbOExc4STAGsGVvnaBXzsf3EweHaMA83ya1M=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=mnzwEyOotli8hxgYNuEjLoVtqb1aql1QL23vGhoQ7RKbVBK2ZAIjTMXuphZaseSvA
 leXawXmx5F36Ux2PRH+gyvdqw1kA1lYZ5gK0wtC7Zk/hpgq/1T8OM7mKcGdDqIsfGj
 XYU3OF1NdhMkTcrMi6d85hcVodrp6Z7rUG8d1EIxWdb7hvdHr3804BKMzVM+a+2TKC
 VwR4EQizQtKYWTLwJbx5rNiAmVVwXmBFncDTUcMmEfWyew/5TLy8lHKJ1wxfdXgl9d
 XNoFGHZhrWOOILW7iQVqfpwheAHbo/TyOzjR+h6khwy0AzpE6qcMVMT2pIT1BJ49Is
 Sp197FoffcKaQ==
Date: Fri, 30 Apr 2021 06:51:47 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <83k0okcqgg.fsf@HIDDEN>
Message-ID: <cc0d8432400c219d3dfc@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN> <83k0okcqgg.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="eVCfeIuizR"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: alan@HIDDEN, 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, monnier@HIDDEN,
 Dmitry Gutov <dgutov@HIDDEN>, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--eVCfeIuizR
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable


>>> I can't really say whether it's better or worse, with visible-bell t=20
>>> on Windows the frame briefly flashes (with the FlashWindow function),=
=20
>>> a bit like a flash in a terminal.=C2=A0 Among the three visible-bell t=
=20
>>> behaviors, it's the best one IMO, in the sense that it's visible and=20
>>> not intrusive.
>>
>> Is it possible to replicate on other systems?
>
> Just so we are on the same page: FlashWindow on MS-Windows doesn't=20
> necessarily flash the frame.  Or maybe I don't understand what Gregory=20
> meant by that.
>

Yes, "flash" is perhaps not the best word here, perhaps "vibrate" is=20
better.

And no, I don't think it is possible to replicate that behavior on other=20
systems, it's a "window manager" primitive, which AFAIU exists on Windows=
=20
but not on macOS or GNU/Linux.
--eVCfeIuizR--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 30 Apr 2021 05:05:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 30 01:05:46 2021
Received: from localhost ([127.0.0.1]:57262 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcLLQ-0000KB-CW
	for submit <at> debbugs.gnu.org; Fri, 30 Apr 2021 01:05:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54626)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lcLLN-0000Jx-Jy
 for 1305 <at> debbugs.gnu.org; Fri, 30 Apr 2021 01:05:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56965)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lcLLE-0005rk-H2; Fri, 30 Apr 2021 01:05:29 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2445
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lcLLD-00069L-RF; Fri, 30 Apr 2021 01:05:28 -0400
Date: Fri, 30 Apr 2021 08:05:19 +0300
Message-Id: <83k0okcqgg.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
In-Reply-To: <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN> (message from
 Dmitry Gutov on Thu, 29 Apr 2021 23:17:58 +0300)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <87blabpy54.fsf@HIDDEN> <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: alan@HIDDEN, 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, gregory@HIDDEN, monnier@HIDDEN,
 larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Dmitry Gutov <dgutov@HIDDEN>
> Date: Thu, 29 Apr 2021 23:17:58 +0300
> Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
>  Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
>  jasonspiro4@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
>  Lars Ingebrigtsen <larsi@HIDDEN>
> 
> > I can't really say whether it's better or worse, with visible-bell t on 
> > Windows the frame briefly flashes (with the FlashWindow function), a bit 
> > like a flash in a terminal.  Among the three visible-bell t behaviors, 
> > it's the best one IMO, in the sense that it's visible and not intrusive.
> 
> Is it possible to replicate on other systems?

Just so we are on the same page: FlashWindow on MS-Windows doesn't
necessarily flash the frame.  Or maybe I don't understand what Gregory
meant by that.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 29 Apr 2021 23:52:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 19:52:38 2021
Received: from localhost ([127.0.0.1]:57104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcGSU-0001Ty-Lk
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 19:52:38 -0400
Received: from mail-wm1-f42.google.com ([209.85.128.42]:53948)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lcGSS-0001Tl-Fe
 for 1305 <at> debbugs.gnu.org; Thu, 29 Apr 2021 19:52:37 -0400
Received: by mail-wm1-f42.google.com with SMTP id s82so1785142wmf.3
 for <1305 <at> debbugs.gnu.org>; Thu, 29 Apr 2021 16:52:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=1+xQ04dWXx2wo5iuQRDTbdpUEUKOhdHGnBt0gJ+nYJc=;
 b=JJ0aAkkm0Wp7HqvyU/JcL9SyNQBDToH/HKZjvjHrfXlLN1waPZ6u9UWcYKC4C7OM2V
 sDkfkqwsRElVfVcMcI3yqXvX95idcKYMxORXly/GR7rbqld8lLFjyd0+UtK1VA43gHFm
 pR+Tpz4elpqJv+3NXzVXT3uu76a29LHV0UjaW7bTTdRGrLJ+ZYhXRvnHtX7H+1Rkm5QF
 5cBzzs8dfuRtZO/wE8dH1t+BLze3pmG5GttwJhR3yGO7vUMCEPIILevoB2Uh0kdEphSn
 G6MVuG3GzRfRXceyxBUJcAtmctykzS2J4di/NnEV5XXAQGzkeLJMF6BaFbi2YJV/qcuu
 0B1w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=1+xQ04dWXx2wo5iuQRDTbdpUEUKOhdHGnBt0gJ+nYJc=;
 b=uc0qapEzG1QWTflZT15fYnQpKA8thak0DDLAv9uPQt8Lh8Htm9G7dFMcBMHWbhmSd7
 Erjtqdmt6SKy+HQ4yKnn6Ep5Q8n6XkzRWpP+bu61sv8ueI+AVF+CebTHF0PXc5LpTSxd
 uJ2+xCTVN8hk9ntA3x89hcOXyXxHEljqF8RIbYWubVwElE/uwgsEAinfUSLyXtlT4zCX
 Gopad2/aNSorPTbxIh92XyUiqSS1ZAJbI+MVZQ4xLzQ/2c6vaSJWe832/AqqqnJ2ohN4
 dwvFfATbUDYE4MDrSQLdiD0rQVFGFe3R/y3/y5WGaK0+LV8Cfb/kd9SmUH5ez7a4vOt7
 P76Q==
X-Gm-Message-State: AOAM533v5ELD+U56VQIxUtXGLbvynnW7XVMzb4fqndGXHnDrL7jwOJS1
 srnw5JKevBRRsADEoPEWI+0=
X-Google-Smtp-Source: ABdhPJzd+Ksu1hUE5WxxAkz6kTnxDR9CHQrobS4hsgFmybE7f9P+bWNFhH/wvcQ8I9xhH2XepxGmsQ==
X-Received: by 2002:a1c:720d:: with SMTP id n13mr12749097wmc.89.1619740350654; 
 Thu, 29 Apr 2021 16:52:30 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id x9sm190871wrt.13.2021.04.29.16.52.28
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 29 Apr 2021 16:52:29 -0700 (PDT)
Subject: Re: bug#1305: [External] : bug#1305: All code that currently beeps
 should use visual bell instead
To: Drew Adams <drew.adams@HIDDEN>, Gregory Heytings <gregory@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
 <SA2PR10MB4474CC87B7760A57A86007FCF35F9@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <5d25cd4f-7d50-867a-638e-f6fafc4edfd1@HIDDEN>
Date: Fri, 30 Apr 2021 02:52:27 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <SA2PR10MB4474CC87B7760A57A86007FCF35F9@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, "1305 <at> debbugs.gnu.org" <1305 <at> debbugs.gnu.org>,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 "jasonspiro4@HIDDEN" <jasonspiro4@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 30.04.2021 02:35, Drew Adams wrote:
> What part of the `echo-bell' "animation" in the echo
> area didn't you like?

Which animation?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 29 Apr 2021 23:36:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 19:36:20 2021
Received: from localhost ([127.0.0.1]:57082 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcGCi-0007Oj-0u
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 19:36:20 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:31283)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1lcGCe-0007OT-ST
 for 1305 <at> debbugs.gnu.org; Thu, 29 Apr 2021 19:36:19 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 6395D10020E;
 Thu, 29 Apr 2021 19:36:11 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 2B0531000C4;
 Thu, 29 Apr 2021 19:36:09 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1619739369;
 bh=Dmwi+/owcq10rCWDGmW8/VbVE7TjvSRo0NayCaACjoU=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=E04b4GHkWgbJVDOZOiI7+axO5bVHetFO78OQ5bIasrZIoJEnTWdP3RjvLRKwiFraa
 DkLtjV/5T9mYsGweyQSCPw0haBU+lbngk5mDS5+0POAE4xvklwCX3ZoIpU1foWTeFF
 lelSXlzGFwio4j0AIBzNPpbXjMrsPhwUOuKgYs7T+00fE0Fgbs3JzzLcmREz8fe6v1
 wZL2oFqPHKlOXhDyuo6Et3su1m2DKc1MDv4956abHfR5aP241Dj5w1soRwDWXXU/4j
 KMbn0rcfmQRWch9hl2k7aN8VTaJbpPDH+Gj/iF3wOcEypvRRlCghUKm6P0zHUCogI4
 NSTzJ7ZV82w0A==
Received: from alfajor (unknown [108.161.125.61])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id BD51D120294;
 Thu, 29 Apr 2021 19:36:08 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
Message-ID: <jwv5z04d5xv.fsf-monnier+emacs@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
Date: Thu, 29 Apr 2021 19:36:01 -0400
In-Reply-To: <8fba78a42eb8bd480d61@HIDDEN> (Gregory Heytings's message
 of "Thu, 29 Apr 2021 21:46:26 +0000")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.037 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> AFAICS in other editors error signals are far less frequent (e.g. they do
>  nothing when you try to move past the beginning or end of the buffer, or
>  when you press a key binding with no corresponding action, or when you
>  enter characters in a read-only file, ...), they only signal "critical"
>  errors.  So I'm not sure it's possible to get inspired by what they
>  do. What they use are typically popups; I attach two examples with Visual
>  Studio and Atom, one when a non-readable file is opened, another when
>  a non-writable file is saved.

This suggests we may want to introduce "levels" of beeping.
We generally follow the convention that a command should do *something*
so if the command cannot do what the user asked because it is
"obviously" non-sensical (e.g. try to move before the beginning or past
the end of the buffer, type a key that's not bound, ...) we'd emit
a "low-priority" beep, whereas in case of an actual error we'd emit
a higher priority beep.  We probably don't need many levels, (e.g. just
2, at most 3 might be enough).

Not sure it's worth the trouble, since it could require a fair bit of
changes in a lot of code.  But it would let users configure their Emacs
to be similarly "discrete" as the editors you describe.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 29 Apr 2021 23:35:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 19:35:28 2021
Received: from localhost ([127.0.0.1]:57078 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcGBs-0007NH-Nc
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 19:35:28 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:59584)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lcGBo-0007N1-7J
 for 1305 <at> debbugs.gnu.org; Thu, 29 Apr 2021 19:35:27 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 13TNZIrG049630;
 Thu, 29 Apr 2021 23:35:18 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=R8JNOPe8gjxRqQtlh1Aw5ooLrjPS//npovf4hb9HAAU=;
 b=hgEbXCz4wt2Noz41MqbKoONR06udhciJjHJr+1FwfaGKzYAxqBa7M3G5kDlJWVE+0bEb
 rbvY9UV3pRBsYDZaokf8SukwMlZX61evPtrWBIAhHuJDKPfl3C9ljEdorOzT+LMmennE
 /BKW9WuDmE1CqmJ+vy/fGWxgp7AMUdPQU1CKePk2lNuqHeCIXcjIKJI4drpDth/MucgL
 qyWULnfdKZHc8AxC6G+tXcxytqcsZs2vd6MyeabpfftPhvSDaDVYOlFWzdgwub6Dmg2u
 KaK6Tq1drvWde/GSVyD7CtFxl2Thw/RuGsSfJE4WS0v4nUjhEHiCJmV9Hw6AmNpO+jh+ 2A== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by userp2130.oracle.com with ESMTP id 385aft60y2-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 29 Apr 2021 23:35:17 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.42/8.16.0.42) with SMTP id 13TNUsWA013440;
 Thu, 29 Apr 2021 23:35:17 GMT
Received: from nam10-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam10lp2104.outbound.protection.outlook.com [104.47.58.104])
 by aserp3030.oracle.com with ESMTP id 3874d47ec6-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Thu, 29 Apr 2021 23:35:16 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=IIxZz/clAXIVeA5OqtDncfXsruF9KHU77J6EVOKfnLVwY2Xsho8fzpYwEsb33j3RW6nWAyHAPagbcRqHkRdT/RZNW2yxZLFSRGOZpurYvJaSujnJQyKi/iWArFfMMFUM8oA2BcftcfDlurOh7ShWgcaDrfQrnkL5fCeOiPryHG/mU4OKsnbT67Q1ldrjBswBuKqiltfwDMOZ68cI5zr6pfjyPtuo2CU67evePLnLhoGKrkbrloDbLo/cw19dLvw0baS0dUnUHZV14VlEZdVlrvDkHBqdo6+EU9595rRk87G8ScXa2ETBA1wYwazX9nR7GblynxqdoEULrGFCGDeFEg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=R8JNOPe8gjxRqQtlh1Aw5ooLrjPS//npovf4hb9HAAU=;
 b=k4AMZIdJrKQj+0ozetJ5hWKzlMbhIY6dMMdpHzP7UOaAUlRtpoZfaL05ZDcRbDD1gG3XpQ18MCieNar3N/+QQWX7ubVrgsKMTnQwL/GX+UR+CffmoTEUmWoVmSm6NclZQfpnMz8GlCtts2yBCqevZYQNl0oP+G9+A43rnQZqNB5TWGmMeRBW0K4UFjhV+16XhfhWBhUPpuxRbyHu4V2a771368QjdcP/TCQ3N35y/V0ov6NBZLFRjQuM1cWJcvHTQY1fbKM5V0jMGrkoOImZTnd5NAMM8g2gdrvWv6wztSTz5bR4x1R0tK/dwvn2kSOh2j0CPDq6MZmhNiCS7s+hpA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=R8JNOPe8gjxRqQtlh1Aw5ooLrjPS//npovf4hb9HAAU=;
 b=eDs5kgN679FrzHSbpa3SoaQchybiRjl5ADWK5FNhfpAm23P6GrAkB59QpTxtRTWcpUAwlUlOrSdsyv+ibCdpsZj8XNy5eKgRzFSq8DOenMNU7CNejSYkFmN0MlLqGEB6JCI47Q8t5i+Ez9rxhCpA5B7NtmfoBMBVkkhyl/f3yZ4=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB3071.namprd10.prod.outlook.com (2603:10b6:805:da::15)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4065.25; Thu, 29 Apr
 2021 23:35:15 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4087.025; Thu, 29 Apr 2021
 23:35:15 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>, Gregory Heytings <gregory@HIDDEN>
Subject: RE: [External] : bug#1305: All code that currently beeps should use
 visual bell instead
Thread-Topic: [External] : bug#1305: All code that currently beeps should use
 visual bell instead
Thread-Index: AQHXPU64U8gXuQXOIUm0DU5ELK4Wj6rMJaUw
Date: Thu, 29 Apr 2021 23:35:15 +0000
Message-ID: <SA2PR10MB4474CC87B7760A57A86007FCF35F9@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
 <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
In-Reply-To: <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: yandex.ru; dkim=none (message not signed)
 header.d=none;yandex.ru; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 7e1c87c1-7f7f-4e9e-5648-08d90b6770cc
x-ms-traffictypediagnostic: SN6PR10MB3071:
x-microsoft-antispam-prvs: <SN6PR10MB3071C2244BBAA4A59C27B50BF35F9@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:7219;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: tGnAUqhggzUzEbTLWKrvgYF5+laN1L4xmz0WbJufy+bNwpSiaXm6dLt2HfEA93ZMEQoENvkfCPlI59D7yvJ3+6flMjdWhCtw9jLbJvGn161mF3Gs2iaR61pRdFTRn3ZZUZ1nv8pZ36WfWsVXTgu/oenPN/mLtCxXqrFkjFkUsCIznw2i5FNgOFy/FLKtaC9O0fN/RyRClPtksCZaYOHa1DtzOq3mAe1U8YjP1XeGSQV1EV2/TYvmPzC6gF6NbUsNPuy7vWkVrzRROi9Gam/q1HNLNJZvf3LyX8sOZvYAkVnWiL2B36QuYVBRQvF+jQH/i2TbgcHzw8JhYaGkUy2+jbupgETJWpy6QW+28dtaP4qOIzNkyEE/f2wCs6O02SQUf7w4yE+J1UsJO1rglaai+tIM32T4xAGPNNfv7wes1/Hm2gck0nqdrxcBC4ywGAV0DsiTS2dvU4nK6lhYeiPCb7dbjHn0KlsDwTYfo9MsqdSVms+EMJMJTukKUNADP8sh6gMZqDCsAXsfxaB/F5J9cVu0RzTqYVvQ/sbzd4pWSmJjPE32w/HLjtZhXnXW7J4tEO415yDeSNYg0orlsV/yffOiLTwSjb/HifNS8MCY62Q=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(136003)(366004)(39860400002)(346002)(376002)(396003)(110136005)(52536014)(316002)(8676002)(5660300002)(6506007)(86362001)(122000001)(478600001)(2906002)(54906003)(9686003)(7696005)(55016002)(8936002)(38100700002)(66556008)(71200400001)(33656002)(4326008)(558084003)(64756008)(66946007)(66476007)(66446008)(44832011)(26005)(76116006)(186003);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?xUgdNKWIKLQrT1vQPD3W7PUpuprhJtK+j56Qy11+P3UI2y3fGQcMAFJhvxDv?=
 =?us-ascii?Q?/9kQNAragNopZ8jiua7dnz5I2Tjl5mcV8cbu1n+ubS+XQDo1hMQPDbOrUZri?=
 =?us-ascii?Q?kccPqLYzJxjIzwEFDQoacej6szcPVXCMAxMafiTNGR33C/XK1JtZ7ymVGBIv?=
 =?us-ascii?Q?xf90yzRSKai2SFAUjbFXl8rMWlh4SBEiopXSVTHkl4VP7XAloFV61r2TVhfV?=
 =?us-ascii?Q?5X3XQZWnYx2FA+ICVrRm/eq0pfdqZk7JgvG3u5h0Z7D3t3YZBGLWINhUyosO?=
 =?us-ascii?Q?lPsIENeVCFh4fkcdNLDP36RG5VwuKkKspDlN9Sr5DXeS/bviGZxegMM86Ycv?=
 =?us-ascii?Q?XW9EIqCg/CbruobtLz5WKZBfOFaaqZKO2Kw4z2IgkOcw+sqPbCMn8IPpNS4g?=
 =?us-ascii?Q?7ehAgzwD/EpRY5NxJqu+/nQ/EEs8DEjQzliIbG0VpXStluVVYBprvP4fCYvm?=
 =?us-ascii?Q?9xdDhktZpYOvsFUz2zAGN7ZfEnzB8nLYUPTLh0PVQVy3M5JsF94vvkeIoxcZ?=
 =?us-ascii?Q?ixIolgyYA5bHkBbBa8FsBmL6Wye57NEiw2u8joDimPorWoA/sMDpiMHjlrUc?=
 =?us-ascii?Q?rJMHcRZW+El1k92W+CPD8SxsM8Y2C8DjxzNxWsh0IUAp5VVCILO86UA/WuNU?=
 =?us-ascii?Q?HzJsUUO1XMXWu03BIf4ousXCGomrE9USvNG3EC3Nm8kNaIwHtHS8U5GGCXfB?=
 =?us-ascii?Q?OzlVSylYuk/rHKO1D01veJP+5xfesNpFGv+uKcR6rmCziziGW/9rK9eRAOBP?=
 =?us-ascii?Q?kDbRvdSauvZYVeTJgCgnuCY2Puhom2lQp5716BqnY61cdpQ8jQd1PGvKO8WQ?=
 =?us-ascii?Q?lbWKLPsBPqSfRG1lmBmVpBeljEU97cNxOQ/8CZZBc34T5MUUtHp3KQjzqEoX?=
 =?us-ascii?Q?8GngLLPGrTFfw/2cepyMv6q1eKpDEw3DwqesSFOkTLCX7763tUcc3FWImBGe?=
 =?us-ascii?Q?KGBjE11Ltw4OX37aRMVj/18mSXQEAjZHsz6Q6oc6VpYwEROnNDjTYEaaIyvl?=
 =?us-ascii?Q?QaAdTtP1+77LxQhi/f3kzUhXfy8Xc7VN5cZH7jZStfMa69lUNHV/ovNrb/1o?=
 =?us-ascii?Q?nDB2gokx8pUSTt7JX6TOyY/UYeUgKCHDDezuwPidpJzEqbsR658eZmpbewAg?=
 =?us-ascii?Q?n+JbfInwdhypuqxqe6DCzL8V5XFLqwQ/GESRkrdBsSs729EgS6hJd3U5xjds?=
 =?us-ascii?Q?lFLyTKa7flQY9AKbiHOyKOB4g7DIpdtY6WM8ncUn0S/5/ADqST/QmMdS0V0I?=
 =?us-ascii?Q?808075UDmICMUu0sAYwEkz0OCL7mowoxcXkzzDdI/BcyDsUxdiVc4shjIaui?=
 =?us-ascii?Q?wnEvGv9CV9jq9+Br4JzXSMix?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 7e1c87c1-7f7f-4e9e-5648-08d90b6770cc
X-MS-Exchange-CrossTenant-originalarrivaltime: 29 Apr 2021 23:35:15.0905 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: gcQ3D53mm8nqHHkb+v8LTDcuv2WTD1xEw+crlP7ToEsDGxNkZ+2hNDqL67MgW9LW7scljMsXgp3drw5quheXGg==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB3071
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9969
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 phishscore=0
 spamscore=0 adultscore=0
 suspectscore=0 mlxscore=0 mlxlogscore=847 malwarescore=0 bulkscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104060000
 definitions=main-2104290152
X-Proofpoint-GUID: TukEooESZcqDWNVYpB5LaxbKw9r1Sojg
X-Proofpoint-ORIG-GUID: TukEooESZcqDWNVYpB5LaxbKw9r1Sojg
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9969
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 impostorscore=0
 lowpriorityscore=0
 mlxlogscore=999 malwarescore=0 phishscore=0 priorityscore=1501
 clxscore=1015 spamscore=0 bulkscore=0 suspectscore=0 adultscore=0
 mlxscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2104060000 definitions=main-2104290152
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, "1305 <at> debbugs.gnu.org" <1305 <at> debbugs.gnu.org>,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 "jasonspiro4@HIDDEN" <jasonspiro4@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> But it would be interesting to try some icon-based animation=20
> in the echo area

What part of the `echo-bell' "animation" in the echo
area didn't you like?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 29 Apr 2021 23:24:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 19:24:04 2021
Received: from localhost ([127.0.0.1]:57072 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcG0q-00076q-IT
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 19:24:04 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:47047)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lcG0o-00076M-TP
 for 1305 <at> debbugs.gnu.org; Thu, 29 Apr 2021 19:24:03 -0400
Received: by mail-wr1-f43.google.com with SMTP id x5so18262522wrv.13
 for <1305 <at> debbugs.gnu.org>; Thu, 29 Apr 2021 16:24:02 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=NJKytifgGfbKI8+CIfp+/lKmh006wd+0Kq4RRhv81x4=;
 b=eI9D6ef3TXphMVsqQxKRRSgaRStY5r7IxhVa84yYfxeOSv4pKg65bFm3RsVXKfXiUn
 eRNO2HM11AoZTwWVJayJv87o14mdMSdefMHesH/EH7LY3NuhjwZx75T0FJNerF8HNMcg
 0F2OAlFNQ9M0vtOvxVEkNkeZBLaV6jkKh79xdeqD264ZgGQXzFz+5MfQ7QSx6ZdgC24Y
 utPNzB0GCbnJlgGZlLfeTqooOit5/Ht4yjkmmjXsNAYPzRgiV+ekBCIIk8bs5BYOBzka
 PX4omAVINHYBAV2+N9WhAMVlBh+dUjLahf2AZgpuodUGIslik02wX7LumOZSWYEVhQC6
 Qveg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=NJKytifgGfbKI8+CIfp+/lKmh006wd+0Kq4RRhv81x4=;
 b=KBDAA9YaWjtPZkO/ixaWvr/FN/Agh4ZiJtKN+padzv1jfkXU9eTEY75szVUT11QOP2
 LAVU7BQ92EL4G7kK75AOmr9P1H4Hbw7JXz9bBN+hju7l5ven/3cA04dmBi2Q69TRVh/s
 9e7g4oIsOVgvUxLvxxO9VGTwyyzgLlA4okynawshKxw5+zQYtm/7o8jgY02CrGcpBkgu
 E1zFvACkjQ3W8hhE4SvBzkjcIgH/j8SlTseC6DRbcCm2P8PnYitUWCIBD7iN05dEfivv
 nRj0OxPZws9Nro9XtIn7ttSjLFTBpssvg+/JE5tjWKpG9nkgIOcFG6KESUx6P/TXX3I6
 aeUQ==
X-Gm-Message-State: AOAM533VNefECMC+H0gF6K930khsNZeu7/5nu09mCKpqtNDLI22eZryf
 lbjGhl4k6LwhnsnhMKiLjRM=
X-Google-Smtp-Source: ABdhPJy9G9YSVgnpQvWfPtkp1NEX2EkAEJjIj7oDIg6GYJtjW9TVC6iXL3hKCJ8HCXCLAIGDyGFYVg==
X-Received: by 2002:adf:f805:: with SMTP id s5mr265443wrp.143.1619738636974;
 Thu, 29 Apr 2021 16:23:56 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id a15sm160365wrx.9.2021.04.29.16.23.55
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 29 Apr 2021 16:23:56 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <8fba78a42eb8bd480d61@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <3a17b49f-2a5c-42b6-4375-7544b67fd471@HIDDEN>
Date: Fri, 30 Apr 2021 02:23:54 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <8fba78a42eb8bd480d61@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 30.04.2021 00:46, Gregory Heytings wrote:

> I know you like the current default on GNU/Linux, and it will remain 
> available. And what you like is not the default (you need to set 
> visible-bell in your init file), so from that point of view nothing 
> changes.

Fair enough. Still, it's more "proven" that yours, so to speak.

I don't mind putting it to the vote sometime, here or some other place.

>>> Would you imagine such a behavior in Visual Studio, Sublime or Atom?
>>
>> Briefly flashing some UI elements in a neutral fashion, without extra 
>> colors that may look out of place?
>>
> 
> Using inverse-video also creates extra colors, unless your frame happens 
> to display only black on white or white on black elements on the first 
> and last line. Moreover with my patch the colors are fully 
> configurable, so you can adapt them to your theme.

It uses only the colors that are already there, though. Just in inverse. 
Maybe it looks worse on some alternative themes, I have really only 
tried it with the default one, and themes that are similar enough to it.

>> That's also why I asked whether somebody knows a corresponding UI 
>> element/animation in either of these editors we could, uh, "get 
>> inspired by".
>>
> 
> AFAICS in other editors error signals are far less frequent (e.g. they 
> do nothing when you try to move past the beginning or end of the buffer, 
> or when you press a key binding with no corresponding action, or when 
> you enter characters in a read-only file, ...), they only signal 
> "critical" errors. So I'm not sure it's possible to get inspired by 
> what they do. What they use are typically popups; I attach two examples 
> with Visual Studio and Atom, one when a non-readable file is opened, 
> another when a non-writable file is saved.

Thanks for the screenshots.

I do not consider the 'ding' to be a warning or error notification, 
though: I far more often see it after pressing C-g myself, not when 
something unexpected happens. Otherwise a yellow notification, 
Atom-style, would be more pertinent.

But it would be interesting to try some icon-based animation in the echo 
area, like the red circle on VSCode's pic.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 29 Apr 2021 23:11:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 19:11:54 2021
Received: from localhost ([127.0.0.1]:57053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcFp4-0006nI-Jh
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 19:11:54 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:40851)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lcFp2-0006n4-Gh
 for 1305 <at> debbugs.gnu.org; Thu, 29 Apr 2021 19:11:53 -0400
Received: by mail-wr1-f49.google.com with SMTP id d4so81358wru.7
 for <1305 <at> debbugs.gnu.org>; Thu, 29 Apr 2021 16:11:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=tzCI6ZKrVIwwdZPQ3KMGZjdc0mraovbzhNrJa/Z0m6s=;
 b=gaBZE6gsq8ZPBlEsl2+649fddllwexMtfFA9QIUjjJTWId4Bi2sdOlWztDckyQuNRM
 G4V1fA6ozFBn6DaLINnsNa3/AT+P0U5WZ2XWQX7xOxGE1FehSgYNSFmIcHgWBKfkuk9e
 sIGIJAvj486YhraYehIuAfuhJ6IifDxDbAt0We+mTB6ptWvDwjPK929DCcKGibEnqrc3
 UIwJyKa7lKuZqJpw1ELK+o080qApfB4pPLyS7Tf3Bv6b/u1ijAZ8IBismRr4e+/Dlj3N
 YPrs+kb9oQ2M2vAvNhy9r0ZHbG9Z4sXkqz1QXGLuZPdnUdSAvaFMOxMqV2TQS8r4QdcW
 0hXg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=tzCI6ZKrVIwwdZPQ3KMGZjdc0mraovbzhNrJa/Z0m6s=;
 b=Fpd9f+Ga0A4Dk5rlPfWBK59NF792M+bYS4LMZVbxm8Z2hDvWSxE75heR+POo7L1l7n
 Rm1KSy/0C1sRQhkrh0CQm7jNsW8lrdFolB6HCn+8zHZ4A4gzmLuQpRGmUz9XYObwwATj
 xVkrf6qp4WVI/0gyAoZja+m0TcaF7GlBxJ7KXQF6dyC1hy22elv00XJNwu5ZS5syaOS0
 Z2/9E3NHtftGL/fQU9qrtEmFkC2P1VbvM4pcTiXttBUN8F3gsapd+vYV7c4tLNZJlF3f
 fO9+4k/C+xDz9S4dbnfdb3foSGL2lMi7BJJSjHTTunvtP1lC/9DGndJaRiCADcVQTAKh
 w0OQ==
X-Gm-Message-State: AOAM532HSFVLW6QPg2Ooe2Ig3rEXNCW4v44r++xY5dUdqNE6ihrfnyBZ
 MCThktN4u38JSQVzB/HLiZk=
X-Google-Smtp-Source: ABdhPJwoXJtZRohlt2wVCYpzjxWRyLuwAG4CzeW3KokOqD+meL/BO6/GM74H19+idbyotldD6BQIhA==
X-Received: by 2002:a5d:4acc:: with SMTP id y12mr2477838wrs.233.1619737906798; 
 Thu, 29 Apr 2021 16:11:46 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id e18sm80405wrc.85.2021.04.29.16.11.44
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 29 Apr 2021 16:11:45 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Stefan Kangas <stefan@HIDDEN>, Gregory Heytings <gregory@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
 <CADwFkmnxUoBU4opydF0KUNnu87DhZ67b4iYOFFpYTqsdoKGbBw@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <687e1847-0ab7-8477-7748-dd36806616d2@HIDDEN>
Date: Fri, 30 Apr 2021 02:11:44 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <CADwFkmnxUoBU4opydF0KUNnu87DhZ67b4iYOFFpYTqsdoKGbBw@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 30.04.2021 01:38, Stefan Kangas wrote:
> BTW, VSCode reasonably does not beep just because you reach the
> beginning or end of the buffer, heh.

Yep.

> (BTW#2, I tried "searching" the Emacs sources [i.e. grepping] which made
> the entire program freeze on me for half a minute.  So we are not the
> only ones who sometimes fail to be asynchronous enough.)

At least we've learned to that faster ;-)

> It would be useful if someone could post a screenshot for those of us
> with no access to any Windows machines.
+1




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 29 Apr 2021 22:38:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 18:38:13 2021
Received: from localhost ([127.0.0.1]:57024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcFIT-0003rz-6Y
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 18:38:13 -0400
Received: from mail-pl1-f173.google.com ([209.85.214.173]:33763)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lcFIR-0003rn-SV
 for 1305 <at> debbugs.gnu.org; Thu, 29 Apr 2021 18:38:12 -0400
Received: by mail-pl1-f173.google.com with SMTP id b21so7064984plz.0
 for <1305 <at> debbugs.gnu.org>; Thu, 29 Apr 2021 15:38:11 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=mb4xp4L/3vk+iHfehlDVG0Cc2msUjyiJnmu0Xe7qwmc=;
 b=IVgQDwexJQ5i+tt50AyZAnBrNDLcGCZ2F92SS9NgWotIXgJ8HodxcvdTudHeXRQj0B
 M+Wuxz8mBcmDRDG3W/TEioWjQB/RU/9LfEaFbBdd/O9XrtvZ4jay2EEK3bstB5ZzDoc3
 uBuLplOcajgKR7vJp+BMvONm/RpgMDYWdyASpwGvw7DqvAFsnWUMiuqKNqdrS1uC35x1
 NSbvyeCKHUud25QGs8aNjUY08dnJx/UrIGEQIUxnXlICMwETahdHmo3dV4MeCba8RXIz
 FsZFONrzIW1Ri2lorRkhHtprTbkVU3+hkPXWc8b7ai4AcjbivtYug69UX+B/pPtA7cc+
 oQvw==
X-Gm-Message-State: AOAM530Zg/66DD/yxIHAeV5IfonY8Shqk+IGJb+9/2fE2Xu1C1Bxv7WC
 dd/Vu01V0ihbGC4HNIpWXAotVVXaMPMww41BwIg=
X-Google-Smtp-Source: ABdhPJz/kxwMUZxmlfKqY/WDNJPdID5fQ5MCpU4fgXe589DkqEEBl3uCIu+Lhv/3eWbInTm1VDnvtVpbMnGRrAGcQlg=
X-Received: by 2002:a17:902:e788:b029:eb:2c5b:bce8 with SMTP id
 cp8-20020a170902e788b02900eb2c5bbce8mr2173161plb.41.1619735885992; Thu, 29
 Apr 2021 15:38:05 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 29 Apr 2021 17:38:05 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN> <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
MIME-Version: 1.0
Date: Thu, 29 Apr 2021 17:38:05 -0500
Message-ID: <CADwFkmnxUoBU4opydF0KUNnu87DhZ67b4iYOFFpYTqsdoKGbBw@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Dmitry Gutov <dgutov@HIDDEN>, Gregory Heytings <gregory@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Dmitry Gutov <dgutov@HIDDEN> writes:

> So from my POV, your proposal is not at that level of polish of VS
> Code/Atom either.
>
> That's also why I asked whether somebody knows a corresponding UI
> element/animation in either of these editors we could, uh, "get inspired
> by".

I installed VSCode to see what they do there.  But I failed to make it
flash or beep at me, or even present an error.  Does anyone know any way
to do that?

BTW, VSCode reasonably does not beep just because you reach the
beginning or end of the buffer, heh.

(BTW#2, I tried "searching" the Emacs sources [i.e. grepping] which made
the entire program freeze on me for half a minute.  So we are not the
only ones who sometimes fail to be asynchronous enough.)

>> I can't really say whether it's better or worse, with visible-bell t on
>> Windows the frame briefly flashes (with the FlashWindow function), a bit
>> like a flash in a terminal.=C2=A0 Among the three visible-bell t behavio=
rs,
>> it's the best one IMO, in the sense that it's visible and not intrusive.
>
> Is it possible to replicate on other systems?

It would be useful if someone could post a screenshot for those of us
with no access to any Windows machines.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 29 Apr 2021 21:46:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 17:46:30 2021
Received: from localhost ([127.0.0.1]:56982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcEUP-0002fX-Qx
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 17:46:30 -0400
Received: from heytings.org ([95.142.160.155]:58470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lcEUO-0002fP-2m
 for 1305 <at> debbugs.gnu.org; Thu, 29 Apr 2021 17:46:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619732786;
 bh=yq28sqNKR59RIl8GrcVm2kuyRpjAiijtNFfs4tzWdn0=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=GBgxknmM7Lo6dXujJ2KLOjwt8kzr1r42Qd4Dfv4xX/DjKk+yhXqsQjB+5mMUSBJbO
 lSqCgjYTuHrEYEqgvslzm2v51qDa6mUt3bb1HN07PyO/Su69WdpqQbmeJdGzQ2q0j8
 iBJTiayDCkWju2EURL6RXk5GFqKCgaZmtLELzefXZTfXVb7PtqSoS8KXdW3jIc31af
 BGGOX9UIoqRFF69JXE7EXuONhi5UU0pAATZ85G9ggBYk6znTK4MFGrlgsiCTJaYeM5
 14O1rd1MH84H2sW8ydsKs7xQBut4/QP+IOdGmbkmWv09tFZe424fXIATJebQVGcf8B
 n4ID4Io7RUjvg==
Date: Thu, 29 Apr 2021 21:46:26 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
Message-ID: <8fba78a42eb8bd480d61@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
 <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="oNHKzgzh88"
Content-ID: <8fba78a42ee248d57e47@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--oNHKzgzh88
Content-Type: text/plain; charset=us-ascii; format=flowed
Content-ID: <8fba78a42e73677d9b2d@HIDDEN>


>
> In practice, I like the current GNU/Linux's default better than your 
> proposal. We could work on converging on some version that satisfies 
> all, of course.
>

I know you like the current default on GNU/Linux, and it will remain 
available.  And what you like is not the default (you need to set 
visible-bell in your init file), so from that point of view nothing 
changes.

>> Would you imagine such a behavior in Visual Studio, Sublime or Atom?
>
> Briefly flashing some UI elements in a neutral fashion, without extra 
> colors that may look out of place?
>

Using inverse-video also creates extra colors, unless your frame happens 
to display only black on white or white on black elements on the first and 
last line.  Moreover with my patch the colors are fully configurable, so 
you can adapt them to your theme.

>
> That's also why I asked whether somebody knows a corresponding UI 
> element/animation in either of these editors we could, uh, "get inspired 
> by".
>

AFAICS in other editors error signals are far less frequent (e.g. they do 
nothing when you try to move past the beginning or end of the buffer, or 
when you press a key binding with no corresponding action, or when you 
enter characters in a read-only file, ...), they only signal "critical" 
errors.  So I'm not sure it's possible to get inspired by what they do. 
What they use are typically popups; I attach two examples with Visual 
Studio and Atom, one when a non-readable file is opened, another when a 
non-writable file is saved.
--oNHKzgzh88
Content-Type: image/png; name=atom-open.png
Content-Transfer-Encoding: base64
Content-ID: <8fba78a42e7c0812192a@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=atom-open.png
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--oNHKzgzh88
Content-Type: image/png; name=atom-save.png
Content-Transfer-Encoding: base64
Content-ID: <8fba78a42e2dc22291af@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=atom-save.png
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--oNHKzgzh88
Content-Type: image/png; name=vscode-open.png
Content-Transfer-Encoding: base64
Content-ID: <8fba78a42e75392b44cd@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=vscode-open.png
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--oNHKzgzh88
Content-Type: image/png; name=vscode-save.png
Content-Transfer-Encoding: base64
Content-ID: <8fba78a42e90c0e4de84@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=vscode-save.png
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--oNHKzgzh88--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 29 Apr 2021 20:18:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 16:18:09 2021
Received: from localhost ([127.0.0.1]:56871 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcD6v-0000c7-64
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 16:18:09 -0400
Received: from mail-wr1-f52.google.com ([209.85.221.52]:44701)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lcD6s-0000bj-TS
 for 1305 <at> debbugs.gnu.org; Thu, 29 Apr 2021 16:18:07 -0400
Received: by mail-wr1-f52.google.com with SMTP id h15so15932234wre.11
 for <1305 <at> debbugs.gnu.org>; Thu, 29 Apr 2021 13:18:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=vBkZVeIdVTw3d3Cq4QN+AjMcMoOP45kgBpgt6BT80dE=;
 b=Lp99WDM+SrqBljqQ78p4gPreCEeo9kD2aEmXmd+Jt665sCCcq9fOom1rlNFmq/7vyC
 CXC0EsT7bOmRIMZO9SQqVvCtqE++idLf8SDnGyPs/g2nUwxiHQQqnukq2t4CZIEHQyRQ
 i/lLZLqet+21+RWWQok8+PXBATQPdV2SWig6W2IlGKcoI2qYyDKOVfdVA5K1XDplNIEA
 AeO0e1c7Uk0dw35BL5USru71I54ClcXJJjRtqKQg3bAj/TUQafurAaYInswbDJTLq1z0
 kR+M85Gd7o3al/A+76/w7BCCl5jVz8TfJx2aMEh3UMhX3Ho8Nqi1/XdD9sAGN1yM/piS
 uKhg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=vBkZVeIdVTw3d3Cq4QN+AjMcMoOP45kgBpgt6BT80dE=;
 b=QZzUx/Su80TV6EHXr7B2tazKbQPKWAdeW+8f4cmgdG9lKoBIPVxdMGzJWbNQZU4WKx
 6ht1GpyDvVTEkS5uTL787QD+vPDVd5NHbAfILHlYJ3WG0fVnnGRJNIL5KjaJgMKwfJt8
 6UDgRz8XSBIkXzdabcnIPPosNYq3bAWTGwFe+myZO/kJtIoJPAl3zcq7jadunUF7+qI/
 Yn6yyHCK/fBiyuk8G+zFiWCgfiuZ1Cmysm2e3hSXXCEJgiFxnXGOn2EqKoPfTUud++iQ
 xT9VIcsHJKUmoIr/uSZcIYtkGedhMFxtJ7a2o7o4AN9el0Awa5qNL+qstvVtHsus/d4q
 /O/A==
X-Gm-Message-State: AOAM530l0D0bbA91BbuOQNvAvVA2SgoYA8I3NCqT9XWwjTYQP4eqXCqk
 NDMCdEZ0ZIDeZj867cKzbs0=
X-Google-Smtp-Source: ABdhPJxZBA3o/hNbbkvKYvcBDjcZqYVIHz+5MbpJU6dfOm3sUhtbMdmoOe5OzxstV/ZBHuQwvlDwTw==
X-Received: by 2002:adf:fbc8:: with SMTP id d8mr1809963wrs.94.1619727481095;
 Thu, 29 Apr 2021 13:18:01 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id y8sm6457655wru.27.2021.04.29.13.17.59
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 29 Apr 2021 13:18:00 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
 <8fba78a42ee78011f182@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <80b9aa43-9924-ae07-df60-87dde8c17378@HIDDEN>
Date: Thu, 29 Apr 2021 23:17:58 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <8fba78a42ee78011f182@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 29.04.2021 22:48, Gregory Heytings wrote:
> 
>>> and a new prettier bell function, which would be the default
>>
>> Another option would be to use your newer bell on MacOS (which has 
>> universally negative feedback), but keep the current one on GNU/Linux 
>> and Windows
>>
> 
> IMO a default that gives the same result across platforms would be much 
> better.

In theory, yes. In practice, I like the current GNU/Linux's default 
better than your proposal. We could work on converging on some version 
that satisfies all, of course.

But only replacing MacOS's bell would let us get around that.

> I'm not sure what you mean by "the current one on GNU/Linux and 
> Windows": the current default is an audible bell.  If you mean "make the 
> current visible-bell the default",

That one, yes, sorry.

> Would you imagine such a behavior in Visual 
> Studio, Sublime or Atom?

Briefly flashing some UI elements in a neutral fashion, without extra 
colors that may look out of place? Perhaps the implementation is a 
little old-fashioned, but the idea is solid, IMHO.

So from my POV, your proposal is not at that level of polish of VS 
Code/Atom either.

That's also why I asked whether somebody knows a corresponding UI 
element/animation in either of these editors we could, uh, "get inspired 
by".

>>
>> Windows (maybe? very little has been said here about whether it's 
>> better or worse).
>>
> 
> I can't really say whether it's better or worse, with visible-bell t on 
> Windows the frame briefly flashes (with the FlashWindow function), a bit 
> like a flash in a terminal.  Among the three visible-bell t behaviors, 
> it's the best one IMO, in the sense that it's visible and not intrusive.

Is it possible to replicate on other systems?

> Not sure this is relevant to the current discussion, but: 99% GNU/Linux 
> (Debian), 0.95% macOS, 0.05% Windows.

Of course it is relevant. If you were indeed a predominantly MacOS user, 
we could agree to split the difference. Apparently not, though.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 29 Apr 2021 19:48:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 15:48:54 2021
Received: from localhost ([127.0.0.1]:56837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lcCeb-0008Lm-SW
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 15:48:54 -0400
Received: from heytings.org ([95.142.160.155]:58358)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lcCeZ-0008Ld-MW
 for 1305 <at> debbugs.gnu.org; Thu, 29 Apr 2021 15:48:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619725729;
 bh=0a7E97FhLy9P7i3A/GxT86LS7G6TkbcWApT0Xwe6RaM=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=a9agedZhAqqSIPyHzW6inf3yFelkvzEoFOdJYV91XlpWGmsXJ4FvsMOmMIKjETrfm
 n77P4PQs6gOcwxvAWVrhZ2mXAwExxlNjsfXdhZtk3E1TlUbaVqA4GxsfIHSGYR+wVD
 W7mP+PCiX4oCVvzejwBFLqBIcDP7oMmkQc94C+wUU0qidMmO+WMcmgVywWixBXR/d8
 5fU3VJv+SXfYWeBcN/z/Tjvr9vux+hNvVaXSTRuUZvMf0tcfx0zXNwdftKDF3gEJoQ
 oZ29eZVJUGbmfTOVUKIHmA9h1T/Y6RMpnQ86rxLBQICMTFaLuaBSH5L9Wkb+ir4Ghb
 zPzV7nm9XREKA==
Date: Thu, 29 Apr 2021 19:48:48 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
Message-ID: <8fba78a42ee78011f182@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
 <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> and a new prettier bell function, which would be the default
>
> Another option would be to use your newer bell on MacOS (which has 
> universally negative feedback), but keep the current one on GNU/Linux 
> and Windows
>

IMO a default that gives the same result across platforms would be much 
better.  I'm not sure what you mean by "the current one on GNU/Linux and 
Windows": the current default is an audible bell.  If you mean "make the 
current visible-bell the default", I can only repeat that the visible bell 
on GNU/Linux is ugly.  Would you imagine such a behavior in Visual Studio, 
Sublime or Atom?

>
> Windows (maybe? very little has been said here about whether it's better 
> or worse).
>

I can't really say whether it's better or worse, with visible-bell t on 
Windows the frame briefly flashes (with the FlashWindow function), a bit 
like a flash in a terminal.  Among the three visible-bell t behaviors, 
it's the best one IMO, in the sense that it's visible and not intrusive. 
But I can't say it's nice.

>
> Which platform are you on, BTW?
>

Not sure this is relevant to the current discussion, but: 99% GNU/Linux 
(Debian), 0.95% macOS, 0.05% Windows.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 29 Apr 2021 16:50:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 29 12:50:33 2021
Received: from localhost ([127.0.0.1]:56709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lc9s1-0003TD-1T
	for submit <at> debbugs.gnu.org; Thu, 29 Apr 2021 12:50:33 -0400
Received: from mail-wm1-f52.google.com ([209.85.128.52]:52772)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lc9ry-0003Sv-DB
 for 1305 <at> debbugs.gnu.org; Thu, 29 Apr 2021 12:50:31 -0400
Received: by mail-wm1-f52.google.com with SMTP id g65so7115603wmg.2
 for <1305 <at> debbugs.gnu.org>; Thu, 29 Apr 2021 09:50:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=8T7deVMBxvIVevmlO2FUpGpQyAcedHLjZl6CXb+6GB0=;
 b=moi+qHkb69BjBEwLmK+iydIyIBmA0UQ6SwaV9NBQoOacSN1vg5aRk690wZHBE9wGe6
 Cs2/eH+7JWJLDYA7IhLd0NGEvpzALjuzngcdDGaHSsVggeWpnXddi2UyxQjGalKwD/8Z
 /WKPcHMJv3TSitWefwu3xWiaLfKDY4wvG5Sbze/ajIXulczQZ9CZIr0eEOVhOcOIaBML
 WfnbbeDQkIw+C7Okn6rBJc+jl0gx3VgvVmI4MskvsidGEqcPxAWbDNbgUkuC7VOX4Tmk
 r0o48/P6vB/5EdOGYhLJDsx4SFZjWeKEZK5RAwrnTvnp2yfNJiHcy5wuzDElEAYpiem5
 PgmQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=8T7deVMBxvIVevmlO2FUpGpQyAcedHLjZl6CXb+6GB0=;
 b=H7aFGsh6503dNiw+QGd5cpSoEzP0o8BxUFBmV7klAGrTM1z5kQpXqXfY38PSInaK/O
 v5HzrIyJyUl47wCGzVk8/6rs7cBSIUi4GonVUqFEJfz/iSVYAGjhG1n6Fo7KFlc7Bvvz
 ExR3Z/yG9Gq/HXWeuEJUjJqs3BoOUYq0zZHKjy4PjGvzJcX04l6W0IG1M13Vr3viCHpM
 NkmSoPBOCwdyKlq4M0Vvqmz4GN8mZks6szmZn1gU/VEPA4cntKU/Tg2hkdK3t/eCE96d
 ylveY1uaMeevIdM7IqWjf/gKMyid3v0KZwXxpb79cbRK71JiWi0vPTy0czhh18bnzBVz
 EaIQ==
X-Gm-Message-State: AOAM5338EiruxCFBFuDWXb5/iccAla5V4gunWzA4mTc+uw5EAZFHAmtv
 kIK3663PCWkLtzXeEugCzQQ=
X-Google-Smtp-Source: ABdhPJx7i2hEJV4Hzc90MR/w8th/8xt+NwGLfyr95/HiEzsrKWMHGZ4Iweck8ft67Uzcqr8dn7gxVQ==
X-Received: by 2002:a1c:9a83:: with SMTP id c125mr11462441wme.62.1619715023515; 
 Thu, 29 Apr 2021 09:50:23 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id 18sm11007489wmo.47.2021.04.29.09.50.21
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Thu, 29 Apr 2021 09:50:22 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>, Stefan Kangas <stefan@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
 <b02650b49996941561fc@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <f30f410a-c302-45c5-affa-3a3551648e1e@HIDDEN>
Date: Thu, 29 Apr 2021 19:50:20 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <b02650b49996941561fc@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 28.04.2021 16:12, Gregory Heytings wrote:
> 
> and a new prettier bell function, which would be the default

Another option would be to use your newer bell on MacOS (which has 
universally negative feedback), but keep the current one on GNU/Linux 
and Windows (maybe? very little has been said here about whether it's 
better or worse).

Which platform are you on, BTW?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 28 Apr 2021 13:13:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 09:13:07 2021
Received: from localhost ([127.0.0.1]:52038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbk03-0007Tz-4d
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 09:13:07 -0400
Received: from heytings.org ([95.142.160.155]:56698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lbjzw-0007TV-WA
 for 1305 <at> debbugs.gnu.org; Wed, 28 Apr 2021 09:13:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619615579;
 bh=QW2xrExOReuSM3VAuoFAaXZ8NyZanVGW2mtEzO31T78=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=lwfhKLXxdFWLP22WAKIflhEfVjLECDFoRf9neqB1fPbMhogTxA3tNrcu94Dkd5zgO
 nekPYwb5z4x7OjqK5P4grV5lqBboogDqAFJT9aoUglWQV7rG0uzDjkZrqzI5eaWK7r
 oAe2CDxI4Et3hbxUDnaBgOYBbEuXKQDVEihHhEkN7d1zUzvbbY38CIM071zusayqCX
 VjSa46MQqkpxhvICl2vGKL8y0RBhiNDMx5CY0mLRAjpC6R370OIT6isuztB5eeRERf
 vp7vQQGE94aLyiB51aShL3C0NIgr+/SQ5BB0IEc1sGHvRxwSHfXcMPRMvy2g8qCQrr
 xlzHcUJRkV2hw==
Date: Wed, 28 Apr 2021 13:12:59 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
Message-ID: <b02650b49996941561fc@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN>
 <874kfs3585.fsf@HIDDEN> <fe6aee4ffd72e8568001@HIDDEN>
 <87v987z53l.fsf@HIDDEN>
 <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="0YffYxNzKN"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--0YffYxNzKN
Content-Type: text/plain; format=flowed; charset=us-ascii


>> So we'd change the default of the former to be a new visible bell 
>> function (for instance something that works the same as the visible 
>> bell on GNU/Linux systems, but across all systems (or one of the new 
>> proposed visible bell functions)), and deprecate `visible-bell'.  I 
>> think that should be a pretty un-annoying way forward.
>
> Fully agreed; it's an improvement over my proposal.
>
> This is currently handled in different ways on different platforms, so I 
> we might want to clean that up a bit while we're at it.
>

Yes, the idea would be to have new predefined values for 
ring-bell-function:

ring-bell-beep = the former visible-bell nil (when ring-bell-function was 
nil)

ring-bell-visible = the former visible-bell t (when ring-bell-function was 
nil), whose behavior differs depending on the platform

and a new prettier bell function, which would be the default.

>
> The main thing remaining, besides writing the actual patch, is to decide 
> what the visual bell should look like.  I am currently running with 
> Gregory's patch for testing; it would useful if others carried out 
> similar experiments with one or more variations mentioned in this thread
>

Thank you.  I recently improved the patch to handle the explicit 'ding' 
events more cleanly, see attached.  In that case, because 'ding' is 
usually followed by 'message', there is a short delay between the flash 
and the message, but that seems unavoidable (or at least I do not see how 
it could be avoided).  Note that the delay is already present with 
visible-bell t (and ring-bell-function nil).
--0YffYxNzKN
Content-Type: text/x-diff; name=New-default-bell.patch
Content-Transfer-Encoding: base64
Content-ID: <b02650b499107ee77491@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=New-default-bell.patch
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--0YffYxNzKN--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 28 Apr 2021 10:08:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 28 06:08:38 2021
Received: from localhost ([127.0.0.1]:51787 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbh7W-0004rr-Gh
	for submit <at> debbugs.gnu.org; Wed, 28 Apr 2021 06:08:38 -0400
Received: from mail-pl1-f176.google.com ([209.85.214.176]:46854)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lbh7U-0004rf-It
 for 1305 <at> debbugs.gnu.org; Wed, 28 Apr 2021 06:08:37 -0400
Received: by mail-pl1-f176.google.com with SMTP id s20so16697038plr.13
 for <1305 <at> debbugs.gnu.org>; Wed, 28 Apr 2021 03:08:36 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=Ba59lsRUi/yUW/wz0ffUe4Iu+MM/RsmsDTayUzuthkw=;
 b=nBeP7p96fs4uftvVYUB0WJCjaIqjgtz2EWPbS35A301C5b3KAtnaw3YccULNQ8WdZF
 Um8BC4e09eqlcDyJNXuQE7KmvQlywzEIurnkMYK3wo3zqQv/zMH2qfjQ9bGIxOwl0Jvj
 e/4Q1zqL3WNLIcTSsGrA40ebdvFl2FziqW578CqvChBJUnCur0xzUM/XRXLG8XDcVYzI
 4IXQxv5kLfQs2wa1eRTM3j6DhnE7X8pCC5ho+NAEDnK2C/Bwh/FHQy3poVtP+ucYfMJW
 sw5UXyTiQIWW9kpsOLX7ZXIma4LY/mSLub7qMRScgAKPcZjofLeBClTMIV+T2o4hbdf6
 mRXg==
X-Gm-Message-State: AOAM532RAxK3BERdnW48CCjGphXd4CqTB1IKyVcvGSiX/6n8j4Gn3YgD
 qXnbH6jpEaPXpcAtZkBC0j7woIfzr8e7ALwNBVw=
X-Google-Smtp-Source: ABdhPJwArKI0Gur85nQvc2m62N0tvqpbNA+nkq0eBYeUH7Q6fzEQfAAphY/zkaJGIEU0pY5TooHHOwXmnWa/kTgc6xE=
X-Received: by 2002:a17:902:7788:b029:e9:11:5334 with SMTP id
 o8-20020a1709027788b02900e900115334mr28964834pll.70.1619604511100; Wed, 28
 Apr 2021 03:08:31 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 28 Apr 2021 03:08:30 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87v987z53l.fsf@HIDDEN>
References: <87blabpy54.fsf@HIDDEN> <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN> <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN> <87v987z53l.fsf@HIDDEN>
MIME-Version: 1.0
Date: Wed, 28 Apr 2021 03:08:30 -0700
Message-ID: <CADwFkmkdnocKL4crhCi5LaCPxqLwMHNG8NntpB9NHsNSF9+Vdw@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Lars Ingebrigtsen <larsi@HIDDEN>, Gregory Heytings <gregory@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 Stefan Monnier <monnier@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> So we'd change the default of the former to be a new visible bell
> function (for instance something that works the same as the visible bell
> on GNU/Linux systems, but across all systems (or one of the new proposed
> visible bell functions)), and deprecate `visible-bell'.  I think that
> should be a pretty un-annoying way forward.

Fully agreed; it's an improvement over my proposal.

This is currently handled in different ways on different platforms, so I
we might want to clean that up a bit while we're at it.

The main thing remaining, besides writing the actual patch, is to decide
what the visual bell should look like.  I am currently running with
Gregory's patch for testing; it would useful if others carried out
similar experiments with one or more variations mentioned in this thread
and reported back.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 27 Apr 2021 23:21:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 19:21:32 2021
Received: from localhost ([127.0.0.1]:51261 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbX1I-0002q2-KW
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 19:21:32 -0400
Received: from quimby.gnus.org ([95.216.78.240]:34252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lbX1H-0002pq-AH
 for 1305 <at> debbugs.gnu.org; Tue, 27 Apr 2021 19:21:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=+5kT4jrEHR5DfKSzH9EDiAeXSXxaXW/SqArpwnBJwDs=; b=oqIi4ymPAlLaS7bwFcwH1NXxY3
 WtrdS2gYB2FprUp/9TraVz6MWmpypNrtMnNTR6S60RQQk8ibrM+tdQ4e1t5H1RzXFFXFnpkgFQM4S
 5CrW0ZDbyHDRrf9CUz53ksjEJ0BbJIQ/zawz0LmCQ4SwwK0MZi6438g59ajxLHEbGgEg=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lbX15-0004bv-Hp; Wed, 28 Apr 2021 01:21:22 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <87blabpy54.fsf@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEUNDA0fHx0vLy5L
 S0ohIB5AQD9APz3///9zk+3GAAAAAWJLR0QHFmGI6wAAAAd0SU1FB+UEGxcRGk8XOVAAAADMSURB
 VDjLzdJRDoMgDAbgVs2eaXYBKR5AqQdQzA6w+19mqJlOCw9LzLI/MZh+UhAFuDQmXqjLtuwlABet
 3C1P9Q5u8hF82UnZ86PdAbdW690/pbIZcDIk6yhSJ6EQeeagT8LN87y6PhLkpajBBBzAoAZwhEAJ
 QAkGiDQEz4Az0LmTt2lgbxbAM4RlIQ3IzRgHmu0IDddJgOVrxNfQ/x1BJuYwfGTMwVpJneIK25z3
 Luj8+L69ASpIQq77LyMizkmngZmDOPt9x+sST+oF+ewRqQv+VL8AAAAldEVYdGRhdGU6Y3JlYXRl
 ADIwMjEtMDQtMjdUMjM6MTc6MjYrMDA6MDCFGjn/AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTA0
 LTI3VDIzOjE3OjI2KzAwOjAw9EeBQwAAAABJRU5ErkJggg==
X-Now-Playing: Lori Carson's _Where It Goes_: "Down Here"
Date: Wed, 28 Apr 2021 01:21:18 +0200
In-Reply-To: <fe6aee4ffd72e8568001@HIDDEN> (Gregory Heytings's message
 of "Tue, 27 Apr 2021 09:54:59 +0000")
Message-ID: <87v987z53l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Gregory Heytings <gregory@HIDDEN> writes: > Stefan M
 means (IIUC) that, instead of introducing a new variable to > clean up the
 current situation,
 it is better to reuse the already > existing ring-bell-function
 variable, to give it some new p [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Gregory Heytings <gregory@HIDDEN> writes:

> Stefan M means (IIUC) that, instead of introducing a new variable to
> clean up the current situation, it is better to reuse the already
> existing ring-bell-function variable, to give it some new possible
> values, and at the same time to deprecate the visible-bell variable.

Sure, that makes sense, I think.  (Since `ring-bell-function' has
precedence over `visible-bell'.)

So we'd change the default of the former to be a new visible bell
function (for instance something that works the same as the visible bell
on GNU/Linux systems, but across all systems (or one of the new proposed
visible bell functions)), and deprecate `visible-bell'.  I think that
should be a pretty un-annoying way forward.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 27 Apr 2021 15:15:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 11:15:19 2021
Received: from localhost ([127.0.0.1]:50552 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbPQk-0005M3-QI
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 11:15:19 -0400
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:46736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lbPQj-0005Lt-C0
 for 1305 <at> debbugs.gnu.org; Tue, 27 Apr 2021 11:15:18 -0400
Received: from pps.filterd (m0246617.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.0.43/8.16.0.43) with SMTP id
 13REuwfT008671; Tue, 27 Apr 2021 15:15:16 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=xc/v5lIztCsGAEVgPd42Rn3Fz0Fg/F4WIR3n3qwhcyk=;
 b=LiSkjx0db+VicXRsnqJL/oRoLxD+0AIbUFkWKDAwFx4N9yUq29PyyOjCnu9RJ8X8PV4t
 xuMl7Kuqzsn6adfO0WyuhP/cs+W2vcd+bWt2uDH4GhNkr7hzk1YXzFsEIwIcattrle/K
 8ZIum2Au7NH2aJf4M7fWrmg7AXRkR4BEzlGGDYULVB3G84OyqyfCJayzlx7zaYWSf1LF
 alOmq7WJjOGh4XbZ9XsmqbhLs62fk1klCdpgJSxHpWJw7g8XLigqvKLkRYxSZk+/LbUP
 onivylSWOr+jn1eV5gA51sE1Wqro07ra/BVpduO5c94qNWpDa7VspNUHiixgh5aMj7lV Ug== 
Received: from oracle.com (userp3020.oracle.com [156.151.31.79])
 by mx0b-00069f02.pphosted.com with ESMTP id 385sgq8bpj-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 27 Apr 2021 15:15:15 +0000
Received: from userp3020.oracle.com (userp3020.oracle.com [127.0.0.1])
 by pps.podrdrct (8.16.0.36/8.16.0.36) with SMTP id 13RFFEvV106906;
 Tue, 27 Apr 2021 15:15:14 GMT
Received: from nam10-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam10lp2105.outbound.protection.outlook.com [104.47.58.105])
 by userp3020.oracle.com with ESMTP id 384w3t9fgb-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 27 Apr 2021 15:15:13 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=fRUjbBSAKeJI4jB3iFV5Og6OuK3t0wwqjiKOwNiggGhkpwi4ts1UX+n9ooMRvP2YhuZyhRlT6bE4tWMYWmJ0iIsLevNupABKRtuKifCuMRFpAgnMd1+rwCEKRgkovYuHBw5eXMLXVzQZ8tDJJLkfvIxfEb5TCKyvh8L+y+GsKUSa4wsn1Iq4C3/avJIlLgGY3H6n1vhAozAZmea02gAe3G9nB2BHMKWCjVyeYZ15yFEbMcHTqwteyYfq3+UmQctS5p3aNWElMO59nKoVT6ieFQjKncJRmez1BEAmSwAIKWuXar6mE1E5dWV1lfluOAuW36HRjzz4vKhG+KIjcYbnvA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=xc/v5lIztCsGAEVgPd42Rn3Fz0Fg/F4WIR3n3qwhcyk=;
 b=MpciAsQxBpaKbWNDAwC4dQfGgCS62tmjJDvSgy5ErzG6UPe0ICpbpFtTVexSSy2HE/2NsTQxcJkG4cG/cgxeIcNP97XQW/hqzg/4G6oFyUugcPkJUae7P3QXyeozRJpcKd1vRA0Z09oPLsCqmPSfjW8PdrQ4Y2OE2wVIg87g0/sdU4YvttPPc8XE1qEWvBlSgTuligTCdy/MfZ91miMUBzwA7bCAUKbkNhsg679fQzKNV5uFtBCpyB+QE+jNlnSCr5pwFIuIyIlqAPcoaw9h13U8RDIdAj/p1+iebjKXgsk/fMPODOX9tDIEocOXdo7PZOwr5rypF3qwqi/ju1Vbog==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=xc/v5lIztCsGAEVgPd42Rn3Fz0Fg/F4WIR3n3qwhcyk=;
 b=ploMU1KitKW0FQc8wo6JrV/iDAejJAXU9MC1UBQse/tU7NdDdKTAcxWetlA6p0wd+W065DR+KAH3ry2LVu0QMgC+yI1qbSvYBmZUsE9KDNTupwUIR4F3uObT+1MZQ5WuojB7GpEPNJHpSRneSI443ak4rzMQezmsg5y9eRgA54k=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SN6PR10MB2638.namprd10.prod.outlook.com (2603:10b6:805:3f::26)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4065.23; Tue, 27 Apr
 2021 15:15:11 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4087.025; Tue, 27 Apr 2021
 15:15:11 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
Subject: RE: [External] : bug#1305: All code that currently beeps should use
 visual bell instead
Thread-Topic: [External] : bug#1305: All code that currently beeps should use
 visual bell instead
Thread-Index: AQHXO0tiU8gXuQXOIUm0DU5ELK4Wj6rIeT5w
Date: Tue, 27 Apr 2021 15:15:11 +0000
Message-ID: <SA2PR10MB44748B7FA66D73F42695FA0EF3419@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
 <fe6aee4ffd72e8568001@HIDDEN>
In-Reply-To: <fe6aee4ffd72e8568001@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: heytings.org; dkim=none (message not signed)
 header.d=none;heytings.org; dmarc=none action=none header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 91077d8a-0746-4183-9487-08d9098f4057
x-ms-traffictypediagnostic: SN6PR10MB2638:
x-microsoft-antispam-prvs: <SN6PR10MB26385C9E7B6D89AF678F20EBF3419@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8273;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: PQqXM2K9ToHK64p6ucOr4dKHLxKBGj66nPtQDPv1nhKzCj4EARh1c1GBdGU/FUeoNkTahiPJ0eUOYuYhCdJVCPcCpK6J7x2VP2hEKHV3B7vFv2Q9bjHKT6CPyxUZGrT/auXcnKP43lcgvNG5x8vWfW83zzOHlM/FmIJrBSVoD3P/08vPmkxJ4TsMBemFSCNCCaIMeF4LMfdzOlHwG25btVEzV+Trwhwmo4RFF+bOKaGsUyf7skwfo44hlAG4CG5SRbxeRq0jInJ5gZb8n+pNxrHqluSXq6+hE0dgZKNoF8ZAZ2d0dGjeFYAxBHbl+Fo2IX763oSprpFdC+YGMsfJGc8kNx3Kz0XvEWEFLMTGwgA8KdScTnQpBPn5znDRs8Xy6dLctUS4lbYVyct/CYxFJZduRsVPvrTawmQP/vA2SAS5EnF51xvY3rbEMfUtplVEUcmntQR+L+Gamg36BX3NJ9TPuiSPFcnN1jXe2PmWJbYaTNzpDp74A60eqA7+QYp5lbTxzlnNfGb0ypDVJA+ZXiitQqLKeC4EM5u9ft+m8CRzY2Xn30B84wtVp+bgYTy5phOQqn6/XodW37Fz2sLZbsW3uwtorce8q/L67AhzMHA=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(376002)(136003)(346002)(396003)(39860400002)(366004)(9686003)(76116006)(66946007)(478600001)(316002)(122000001)(33656002)(54906003)(5660300002)(6506007)(8936002)(66446008)(8676002)(4326008)(64756008)(66556008)(7696005)(55016002)(66476007)(26005)(186003)(52536014)(71200400001)(86362001)(2906002)(4744005)(44832011)(38100700002)(110136005);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?us-ascii?Q?lbYCEgC7bjrP0er+/gFgYHl+EXNkyKVuyotCvPelPjTDr/GKNQI8X6XRpJny?=
 =?us-ascii?Q?O6cid5MA+hRcFa8YzWWB2DMdts3xEtaM3qfEJna+QgBNjdc5l+2Wran1sc9p?=
 =?us-ascii?Q?TDctFBGmJKWBIoZw+/Gy5avMWqSu8FpJ2iL1yWqtqcqLJc8QOB4OOlFcy4as?=
 =?us-ascii?Q?WPW3wpqoFzCBA6d08TekqCY7UpVjNR6B8E8Gn/I3fQE0mdzDdVeG5gxS8utV?=
 =?us-ascii?Q?ZvGadsp3hB2kRDbcZQCZto3eKRCjUMIoP2D99HPgPw6vf7McfmCFuaM9qqDC?=
 =?us-ascii?Q?/P6gayKWaijpeIo5GGKGqtIPWFr2M7DmVGwP9nt3pXo436e1Rs9cqqV8j4XE?=
 =?us-ascii?Q?ErByc08O/4wVA8y4CjcCOuWSlnI50lxy/Hbuo8cl5qm1shuSDWJaAF81kOHj?=
 =?us-ascii?Q?Eoe7eUIke/OvSLF4suRsyFjQSkd0OLrDEfv9bp+G2yNnya2MP7r4+XSqwWSR?=
 =?us-ascii?Q?MS91Cy7vSitlrXxhfw5feIbyxzSPJncTjIfUIV08giun6CnuAezTvJDjcHiS?=
 =?us-ascii?Q?ujFZFtHObPsBomDD0yCRt8vDOMBsAbvWiVCVcpDHaqMmkO6q37eVXuQyrQJ/?=
 =?us-ascii?Q?rWtXU7v73Huu+Nbnu3kTSN19i5kLVTUVEUI0VSLZDtniFAcg8BJqlO5kv1TJ?=
 =?us-ascii?Q?f206O+zFp+DbnQfATWjBWFZvlERi6a/fTH1OJ/jkrqng+2Si4TLVzS0Tao5S?=
 =?us-ascii?Q?LM0vcIfIcfRtXpE7l1/A51EO6ow9vAbqPzVJY9HSSoSqec24sl3AptavPc+V?=
 =?us-ascii?Q?K/m2lEZyBnrxNV5keBqCTi0kV3YLbT1M+FfOGZWw70BbNX/9m44lWhs1pP8Z?=
 =?us-ascii?Q?O8YxSkdZJf90llpAHqJE+7v4sHcekgiiADXFNeJE5ScY3IBg/wEm5k+9r4rj?=
 =?us-ascii?Q?nM5MljmFaTjJQwJPMIFTZLLqxtmGnNL7ctCRfhT6LHx98Bt89rxP8H9usrTb?=
 =?us-ascii?Q?uq1bJpAMdZdBGFE+HRQwcZ7HM+wAksOTTgNnjm+tKGkJNqLdSWjUIwI3aKwi?=
 =?us-ascii?Q?VV39ysidWUlgSPLA3Et/NUzVsv8Ip+MLVlv+NlV4qVDkUArrqcno7yGCymKf?=
 =?us-ascii?Q?5+q/zdEe3S5s5I2QgP1I30OArwnT+RW1+2fhkyqK1NsvXZ81HgUgrBB/B+Gn?=
 =?us-ascii?Q?UuPivdAEmMYlMCPOxVEGmJqsvpWGpvpUCKl4Ph2i87JNW/Ew1ft2E9nQGgRF?=
 =?us-ascii?Q?LbnhTNp4z9cmuN/yIV7s3WpINzly6JO/OW0p4mSzMvfZA93o7Ud7k46e4MGN?=
 =?us-ascii?Q?vgETi30Bp/Yo8mjUZykW5upbIPmKl4rxUMduXicafVUFrwTEenEWHn9bw5RE?=
 =?us-ascii?Q?19wkTyJ+ivWxs+Titgy8fUa2?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 91077d8a-0746-4183-9487-08d9098f4057
X-MS-Exchange-CrossTenant-originalarrivaltime: 27 Apr 2021 15:15:11.3015 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: DTO7GAIr+Ht1U4IoK1BgHeNRVx6yibAGUfjOc+MQZFZZYcbjomtWladVRPQEc2qiMNRYw9f+4ELL9KLmpzWHuw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SN6PR10MB2638
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9967
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 adultscore=0
 malwarescore=0 mlxscore=0
 mlxlogscore=918 bulkscore=0 phishscore=0 spamscore=0 suspectscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104060000
 definitions=main-2104270107
X-Proofpoint-GUID: Vi7vP2gzhrz-Xy99Y6IrbVACe12FG2_y
X-Proofpoint-ORIG-GUID: Vi7vP2gzhrz-Xy99Y6IrbVACe12FG2_y
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, "1305 <at> debbugs.gnu.org" <1305 <at> debbugs.gnu.org>,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 "jasonspiro4@HIDDEN" <jasonspiro4@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> >> My point was that we can clean up without any new variable ;-)
> > I'm not sure I follow you at all here.  :-/
>=20
> Stefan M means (IIUC) that, instead of introducing a new variable to
> clean up the current situation, it is better to reuse the already existin=
g
> ring-bell-function variable, to give it some new possible values,

+1.

> and at the same time to deprecate the visible-bell variable.

Is that needed?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 27 Apr 2021 09:55:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 27 05:55:04 2021
Received: from localhost ([127.0.0.1]:48115 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbKQq-0004o4-8t
	for submit <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:55:04 -0400
Received: from heytings.org ([95.142.160.155]:55102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lbKQn-0004na-VH
 for 1305 <at> debbugs.gnu.org; Tue, 27 Apr 2021 05:55:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619517300;
 bh=SR9hRFwReYFfgMxm5Tg9XxVM7LDrD6oGyViGbGsfTAM=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=d+Ie2LTHaVFn0FxyQl+nbATMjwOPqcFF7kOE0rwqjYE02kg981CU3e8lTmnWRUzbQ
 SIJ+YkMMyGE6rH2wbshTHvz2PnIwytZlCYBSqMj2RPEdEynODFIF7zmg2TY+7O8vAb
 5cwbFE/itqqmAsWD2d8x1OJpQyRAEpWzfjVlV1uDzf7YPeFBmphfN7Zf9JyNUOZfFe
 QLlUOBkialcbxsdGbMnx57Nd8532W7exeq3bhMDpO3FEYy1lwh4j/qi8CWqX/WR/xn
 sV32mf6XYDoVDVDLGTtEoC1VAmS1gYjsey6ff95kF7h+DUQN+PrU5q3FQ8ugSptWO0
 Zfp+DzcLL9E8Q==
Date: Tue, 27 Apr 2021 09:54:59 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <874kfs3585.fsf@HIDDEN>
Message-ID: <fe6aee4ffd72e8568001@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> <874kfs3585.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Stefan Monnier <monnier@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> My point was that we can clean up without any new variable ;-)
>
> I'm not sure I follow you at all here.  :-/
>

Stefan M means (IIUC) that, instead of introducing a new variable to clean 
up the current situation, it is better to reuse the already existing 
ring-bell-function variable, to give it some new possible values, and at 
the same time to deprecate the visible-bell variable.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 27 Apr 2021 01:07:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 26 21:07:42 2021
Received: from localhost ([127.0.0.1]:47583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lbCCU-0003pc-08
	for submit <at> debbugs.gnu.org; Mon, 26 Apr 2021 21:07:42 -0400
Received: from quimby.gnus.org ([95.216.78.240]:51642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lbCCP-0003pM-P1
 for 1305 <at> debbugs.gnu.org; Mon, 26 Apr 2021 21:07:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=P43LkRyTdaEU45e1jHNADmhPTPhIjK4rqlhEHy0IB1I=; b=QKosxSAptSCU7xHch6+yNZaF4m
 2xqdkOu7ylFVTY3dv+XI2Dgkd5g9uefxEnNG9QsqyV/lq5oi7GETKj5AoLeN+7qrrzUHNToTioxsh
 q1ZkTsKat8ei1zQSmW8Xk1RVRmKjeQQWEQj7f7w862HtA/VpVorBCs48/ps6dgl9YLYA=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lbCCB-0005BQ-6P; Tue, 27 Apr 2021 03:07:28 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
 <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEX+7DP31TbQqkRq
 TnJ2mkK9Q0c4aJf///8DskB9AAAAAWJLR0QHFmGI6wAAAAd0SU1FB+UEGwEHCc+aEpsAAAG1SURB
 VDjLbVTBjqswDIwjcbez4g5Z+IIK7rsKd0hxf6B6+f9PeBPKtoTWEhcPMx7saY3ZiojNxyIDQJz3
 thVxrZf2iH51IbjuJ/yGEPwRcF3XWv/T+c7731KQoCl4PpXT5aMJr5N+MEiKuTq/AzX6YYrvhDVo
 rvYMVGHSxgEpxWzsg0Zj15MYXRVKs8X8SQtD4wZU4QR8p3HIAKkWgNxS+gdgMf2aJz0/QMfhNuSx
 ROv0cuWiJrgEoNyH11JcNHrX1uMeGX2uEX2zMfKmMvYgUN8a4j6hhm1VO0EqbKafN+C+5v5uiRz6
 uuiYkSwX98kMQKPq9XIZ0xC9/3NENSzNdcTtrmk4nFWy14j3iL/S8d7E3kC5MX0EcDiEAOhbrPui
 tzvwF8N4REnn73RJwzEgnG1ZuMJnFJEicTgSDOMeR6WNUWvPeVlFBjOjVotlnbL5YNimL4Vywh9S
 tZ4CCAZXyJ6esyxiuVpAOqcfPzm2bJ/bLhj5Io17A3xOz0JynmEbk4VE6A3AppiYSU5Ai2sIs5z+
 HQTvt0S5ywVFCH1GGSop6Jh9LhspGH/d7ZzHMGSZvcUv5D/+/2riRhtuBQAAACV0RVh0ZGF0ZTpj
 cmVhdGUAMjAyMS0wNC0yN1QwMTowNzowOCswMDowMNe86/kAAAAldEVYdGRhdGU6bW9kaWZ5ADIw
 MjEtMDQtMjdUMDE6MDc6MDgrMDA6MDCm4VNFAAAAAElFTkSuQmCC
X-Now-Playing: ESG's _Keep On Moving_: "Purely Physical"
Date: Tue, 27 Apr 2021 03:07:22 +0200
In-Reply-To: <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Sun, 25 Apr 2021 17:03:54 -0400")
Message-ID: <874kfs3585.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: > My point
 was that we can clean up without any new variable ;-) I'm not sure I follow
 you at all here. :-/ 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Gregory Heytings <gregory@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier <monnier@HIDDEN> writes:

> My point was that we can clean up without any new variable ;-)

I'm not sure I follow you at all here.  :-/

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 25 Apr 2021 21:04:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 25 17:04:05 2021
Received: from localhost ([127.0.0.1]:43927 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lalvA-0007i5-VA
	for submit <at> debbugs.gnu.org; Sun, 25 Apr 2021 17:04:05 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:23947)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1lalv9-0007hc-H3
 for 1305 <at> debbugs.gnu.org; Sun, 25 Apr 2021 17:04:04 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id F0A15100222;
 Sun, 25 Apr 2021 17:03:57 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 84B821001FE;
 Sun, 25 Apr 2021 17:03:56 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1619384636;
 bh=6tIuCYzmebAsvFyO/0DBiaE+7WQtR9/cdivLozgzD1A=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=ayFBkmsa2b20aHiq7mrBeI07fzMRSQCABlpAFi+O1aX7zkYKghYYFT8fvu9Ax79aW
 CI5taYBta0wJedEo4r727nDVPXwTxho9POysLp8Yax4aVt9F9OhskEp8cOEheB4qQV
 zu0vNXJ8eYv+7JZ0IBlGrtUtVw0eh3gLuS1YPrqgUURS9LN2GvlXM6pskYHtgqAl4E
 vJ9EcYxSfKut/F7Hsms676etFcktAiuqCHXqb7qZ0HoBcKASewUvu+qcz05fMmNHn2
 JtwgxmY+C5bUMMDek6w6U55wp2/s5immehFMiGZ9is6QXMVH8BOnC0VDhfJxVzUrTl
 fq7GLejEaoe6Q==
Received: from alfajor (104-222-126-84.cpe.teksavvy.com [104.222.126.84])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 2A1161202D5;
 Sun, 25 Apr 2021 17:03:56 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
Message-ID: <jwvbla2t6v4.fsf-monnier+emacs@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> <87zgxmjkr9.fsf@HIDDEN>
Date: Sun, 25 Apr 2021 17:03:54 -0400
In-Reply-To: <87zgxmjkr9.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 25 Apr 2021 20:12:58 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.039 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Gregory Heytings <gregory@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>>> I would be in favour of fixing this by adding one or more new variables
>>> with reasonable semantics.  For example, why not have a variable called
>>> `alarm-bell' with these valid values:
>>>
>>>     - a function    call this function
>>>     - `visual'      Use a visual bell
>>>     - t             Ring the bell
>>>     - nil           Do nothing
>>
>> Agreed, except I suggest to use slightly different names: `visual` becomes
>> `ring-bell-visual`, `t` becomes `ring-bell-beep`, `nil` becomes `ignore` and
>> `alarm-bell` becomes `ring-bell-function`.
>
> So just use function names instead of symbols?  I think, in general,
> it's nice to have things like nil/t in variables like this -- it's
> easier for users to deal with.
>
> Anyway, I agree that cleaning up this area by introducing a new variable
> and obsoleting the slightly confusing current state of affairs would be
> nice.  

My point was that we can clean up without any new variable ;-)


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 25 Apr 2021 20:06:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 25 16:06:28 2021
Received: from localhost ([127.0.0.1]:43888 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lal1Q-0004DL-M1
	for submit <at> debbugs.gnu.org; Sun, 25 Apr 2021 16:06:28 -0400
Received: from mail-pj1-f41.google.com ([209.85.216.41]:55873)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lal1P-0004D7-4D
 for 1305 <at> debbugs.gnu.org; Sun, 25 Apr 2021 16:06:27 -0400
Received: by mail-pj1-f41.google.com with SMTP id s14so20926224pjl.5
 for <1305 <at> debbugs.gnu.org>; Sun, 25 Apr 2021 13:06:27 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=OMLplXksd5lQpVLKK5D6qW9xfKfwSKXfoIgWKHY58V0=;
 b=X1ViBsywUcSmfYkX6lt+XiMj9n9b++w768uoIW5HEa4uXMLHQghD7UR16Zbzu0k1WP
 No1kYoK3CCuCDg2UeJj1+RGmHjNllGKzAxPTTwwUMw8OjCcPjMqrjuKlruFqvZVFWMJN
 PQU/Oa/THa53A03XIfwHvxeRd0hTBngHiXZhNQnSe6/8aYIakKEE24XbQQIkfcg1pKxF
 eDkBo38mt6fHhtlIt5psBQncuL7OYDkTpyDPhn6+ne675DLzARaJwMi2cnnJEEim7K91
 K6dcUoC/Kbvw3LYUUnC6EGl+1kNtfOQjlZEKpG/wbXjpctV6pgVM0N0/pbowR0IX1g2v
 O8dg==
X-Gm-Message-State: AOAM533bzFytgUB8qkNRTlUPuT/DyfJzDod1oW4hsu3hPsvTxj6Dm+IU
 hqZuacVeTax1MPaMaxw5FJ8H3zQm82kuEk/quVk=
X-Google-Smtp-Source: ABdhPJz0v3Z70aU4ywgU/IgcMXEIize1G2tLVapBuQ/aH1V9nGiRlFFATEqjGo9PiLUh0qlPXFCPYZWYNqT4zum3A7M=
X-Received: by 2002:a17:90b:716:: with SMTP id
 s22mr8075638pjz.179.1619381181304; 
 Sun, 25 Apr 2021 13:06:21 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 25 Apr 2021 15:06:20 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <874kfukzn8.fsf@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <CADwFkmkcLTJcB8FUOXejZQfp9A0mVBxbqoJ8WnNXb0GyJJTcmQ@HIDDEN>
 <8735vnpqho.fsf@HIDDEN> <jwvsg3n1url.fsf-monnier+emacs@HIDDEN>
 <87tuo3ob5f.fsf@HIDDEN> <jwvmttv1m3u.fsf-monnier+emacs@HIDDEN>
 <87h7k2o3fx.fsf@HIDDEN>
 <CADwFkmkXNvkid+9XFSmGWgajM5g2yFSwqvdGC-h-XjYV=jDDiw@HIDDEN>
 <874kfukzn8.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sun, 25 Apr 2021 15:06:20 -0500
Message-ID: <CADwFkmmifVegBAQCn9f=oQPXFG=B7_-PoTFs6RBrtS2UZqXDHg@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Michael Welsh Duggan <mwd@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>, jasonspiro4@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Oh, I see -- I imagined that visible-bell had precedence over
> ring-bell-function (without testing that).
>
> But then I guess flipping the default on visible-bell won't have the
> adverse effects on the popular Emacs distributions that I was worried
> about?

Looks like it, yes.  I guess the main thing to be fixed before we could
change the default is to figure out what to do about the visible bell on
macOS.  The other changes discussed in this thread would be very useful
to continue working on, but they seem orthogonal to me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 25 Apr 2021 19:33:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 25 15:33:53 2021
Received: from localhost ([127.0.0.1]:43867 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lakVt-0001IB-2l
	for submit <at> debbugs.gnu.org; Sun, 25 Apr 2021 15:33:53 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38330)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lakVq-0001Hw-NV
 for 1305 <at> debbugs.gnu.org; Sun, 25 Apr 2021 15:33:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=dMnSQ8aQ+i5rjQ0X/3Xtv/pCrvw3NRgIZKYFMsARN7s=; b=ihnFcATYc+fQNIHAloBwq1xvhv
 GyahDVNFlZkmslWNBDpyaC+Ch+ye/O2POfvRX6yZs3jXOg55W3nwf5TEx2EDNHLjutz2GDg4wJU3y
 idULbvZl6DjW/WhoysFZ6l4hv3Q83GuHbpidB6dBrDkZlDo3h5SLbcJTw6qb1G6cKCjw=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lakVO-0001Tu-6t; Sun, 25 Apr 2021 21:33:24 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <83mttvtyx4.fsf@HIDDEN>
 <877dkzpqzq.fsf@HIDDEN> <83lf9fty42.fsf@HIDDEN>
 <87v98imnzt.fsf@HIDDEN> <83v98is9jj.fsf@HIDDEN>
 <878s56kzqz.fsf@HIDDEN> <877dkqnqnh.fsf@HIDDEN>
 <87lf96jiip.fsf@HIDDEN> <8735venpg3.fsf@HIDDEN>
X-Now-Playing: The Body's _Remixed and Reinterpreted_: "Adamah (Rimixed by
 OAA)"
Date: Sun, 25 Apr 2021 21:33:21 +0200
In-Reply-To: <8735venpg3.fsf@HIDDEN> (Andreas Schwab's message of "Sun, 25
 Apr 2021 21:18:04 +0200")
Message-ID: <87y2d6i2gu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Andreas Schwab <schwab@HIDDEN> writes: > A delay in
 milliseconds may appear anywhere in a string capability, > enclosed in $<..>
 brackets, as in el=\EK$<5>, and padding characters > are supplied by tputs(3X)
 to provide this delay. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, gregory@HIDDEN, monnier@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas Schwab <schwab@HIDDEN> writes:

>        A  delay  in  milliseconds  may appear anywhere in a string capability,
>        enclosed in $<..> brackets, as in el=\EK$<5>,  and  padding  characters
>        are supplied by tputs(3X) to provide this delay.

So tputs(3), which Emacs calls, is supposed to translate that sequence
into a number of padding characters, which should provide a delay...
and that doesn't seem to work on this Debian/bullseye laptop.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 25 Apr 2021 19:18:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 25 15:18:10 2021
Received: from localhost ([127.0.0.1]:43858 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lakGg-0000nd-Ct
	for submit <at> debbugs.gnu.org; Sun, 25 Apr 2021 15:18:10 -0400
Received: from mail-out.m-online.net ([212.18.0.10]:40613)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1lakGe-0000m5-RO
 for 1305 <at> debbugs.gnu.org; Sun, 25 Apr 2021 15:18:09 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4FSyV61pxcz1rxbt;
 Sun, 25 Apr 2021 21:18:05 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4FSyV55kPtz1qqkH;
 Sun, 25 Apr 2021 21:18:05 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id 5utKFqlDzztd; Sun, 25 Apr 2021 21:18:04 +0200 (CEST)
X-Auth-Info: NO2mP5nX/rphTBh9UUXNx/8RWkqQsvX16GmGgeDtHoi1Uz0QbWc6kw0tZvLfdHZK
Received: from igel.home (ppp-46-244-174-172.dynamic.mnet-online.de
 [46.244.174.172])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sun, 25 Apr 2021 21:18:04 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 2A4F82C313A; Sun, 25 Apr 2021 21:18:04 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <83mttvtyx4.fsf@HIDDEN>
 <877dkzpqzq.fsf@HIDDEN> <83lf9fty42.fsf@HIDDEN>
 <87v98imnzt.fsf@HIDDEN> <83v98is9jj.fsf@HIDDEN>
 <878s56kzqz.fsf@HIDDEN> <877dkqnqnh.fsf@HIDDEN>
 <87lf96jiip.fsf@HIDDEN>
X-Yow: WHOA!!  I'm having a RELIGIOUS EXPERIENCE right NOW!!
Date: Sun, 25 Apr 2021 21:18:04 +0200
In-Reply-To: <87lf96jiip.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 25 Apr 2021 21:01:18 +0200")
Message-ID: <8735venpg3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, gregory@HIDDEN, monnier@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

On Apr 25 2021, Lars Ingebrigtsen wrote:

> But what's interpreting the $<100/> bit in the string Emacs is outputting?

RTFM.

       A  delay  in  milliseconds  may appear anywhere in a string capability,
       enclosed in $<..> brackets, as in el=\EK$<5>,  and  padding  characters
       are supplied by tputs(3X) to provide this delay.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 25 Apr 2021 19:01:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 25 15:01:47 2021
Received: from localhost ([127.0.0.1]:43824 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lak0p-0005uL-2e
	for submit <at> debbugs.gnu.org; Sun, 25 Apr 2021 15:01:47 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38034)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lak0n-0005pp-Jz
 for 1305 <at> debbugs.gnu.org; Sun, 25 Apr 2021 15:01:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/rm/hx78Btf3rLSbRT9lEU5bwlwVAO30lwUWh2+MSqE=; b=pa9qt2/yN7PjMolprWVuqa+hOm
 jjpjsEf1gs1Lw448+NcM8rewxW7LTyfRP97wo19yC74zYQl+CBIk91QXc4hpKa1HC3NI9QGICaUXy
 q4YbNxEKb7d9IMXOR05c3WiYoRf+gbAmcJ1VdG6vVwenzhHLPE5t/bEC0c+anu2/WJeE=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lak0M-0001Ck-TT; Sun, 25 Apr 2021 21:01:21 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <1869622e162377be79e9@HIDDEN> <83bladw0dh.fsf@HIDDEN>
 <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <83mttvtyx4.fsf@HIDDEN>
 <877dkzpqzq.fsf@HIDDEN> <83lf9fty42.fsf@HIDDEN>
 <87v98imnzt.fsf@HIDDEN> <83v98is9jj.fsf@HIDDEN>
 <878s56kzqz.fsf@HIDDEN> <877dkqnqnh.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEU1NimsbSbEmhh+
 hYb////81lOLAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+UEGRMAB9LIFs4AAAGwSURBVDjLbVRRlsQg
 CIN6AbAXEE7QLve/2wbUvuns+uGoMQRCHSIlcnch+hmHGVF3FnYsAJAqgE6HOTZ+DHYseh4S55QM
 VeMCpAsJuY68OzAjKkINTLjesct7llzDJlGIKADVwd26e2VyIFSJsObBkAk4blJepYw/M/M9kAoO
 BqIm+gK6Idc+skSMHWwCUgdYVs4LEKSSxbNrGbOjkRzORusm1Y0dyssTpA4Gpv4BlGxS7HjSQqgS
 n8GteJshC+BMYimka51egx/GUmixAaHo5XMOPe973qiOtV6Zi7IqyjPdcu32KsAAJBsm9LIBDZ55
 VtmC3jmXL6w8ATGFlw3oT+Wq7VqAnrNNZ2gBGSqwHhSpGtIiijM1spSW54Fq4t6Vr+JmVOKI8nH6
 EXFtANT7IdAtdH3YBcraxxlXK5nlyuNfAwCd8rE9YfMngWsB8cS8Ekzgsy3r0QA6X/1SigQ+pTcD
 xTMF/R3LFv0HkJl7e/d+MvLprP22htJ7NFx3rCcJS0J2XL408GkE9W7Gf8TrwwTxi1JfE16uylfG
 Ws9Vqs5vkTwE73qfc2rg70H17dYv17c8bOqLIYAAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEtMDQt
 MjVUMTk6MDA6MDcrMDA6MDCDhJcRAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTA0LTI1VDE5OjAw
 OjA3KzAwOjAw8tkvrQAAAABJRU5ErkJggg==
X-Now-Playing: Octo Octa's _Resonant Body_: "Spin Girl, Letas Activate!"
Date: Sun, 25 Apr 2021 21:01:18 +0200
In-Reply-To: <877dkqnqnh.fsf@HIDDEN> (Andreas Schwab's message of "Sun, 25
 Apr 2021 20:52:02 +0200")
Message-ID: <87lf96jiip.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andreas Schwab <schwab@HIDDEN> writes: >> cat-ing
 that file does not flash the terminal here, > > That's because the 100ms delay
 is missing. Yeah, just cat-ing \033[?5h does inverse the console. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, gregory@HIDDEN, monnier@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas Schwab <schwab@HIDDEN> writes:

>> cat-ing that file does not flash the terminal here,
>
> That's because the 100ms delay is missing.

Yeah, just cat-ing \033[?5h does inverse the console.

But what's interpreting the $<100/> bit in the string Emacs is outputting?

"\033[?5h$<100/>\033[?5l"

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 25 Apr 2021 18:52:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 25 14:52:08 2021
Received: from localhost ([127.0.0.1]:43777 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lajrU-0004PE-6K
	for submit <at> debbugs.gnu.org; Sun, 25 Apr 2021 14:52:08 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:54111)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1lajrR-0004P6-Tv
 for 1305 <at> debbugs.gnu.org; Sun, 25 Apr 2021 14:52:06 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 4FSxw40gjZz1qs42;
 Sun, 25 Apr 2021 20:52:03 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.70])
 by mail.m-online.net (Postfix) with ESMTP id 4FSxw35fblz1qqkH;
 Sun, 25 Apr 2021 20:52:03 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.70]) (amavisd-new,
 port 10024)
 with ESMTP id fOSMBKOIoO4s; Sun, 25 Apr 2021 20:52:02 +0200 (CEST)
X-Auth-Info: qNhZJd9b+qHt6jyNJ6eTbM7X2hw9uikuVSNB1rvqQhjQoyj4gp1TxgzTLfILaAEZ
Received: from igel.home (ppp-46-244-174-172.dynamic.mnet-online.de
 [46.244.174.172])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mail.mnet-online.de (Postfix) with ESMTPSA;
 Sun, 25 Apr 2021 20:52:02 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 334052C313A; Sun, 25 Apr 2021 20:52:02 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <83mttvtyx4.fsf@HIDDEN>
 <877dkzpqzq.fsf@HIDDEN> <83lf9fty42.fsf@HIDDEN>
 <87v98imnzt.fsf@HIDDEN> <83v98is9jj.fsf@HIDDEN>
 <878s56kzqz.fsf@HIDDEN>
X-Yow: I'm an East Side TYPE..
Date: Sun, 25 Apr 2021 20:52:02 +0200
In-Reply-To: <878s56kzqz.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 25 Apr 2021 20:03:48 +0200")
Message-ID: <877dkqnqnh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, gregory@HIDDEN, monnier@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

On Apr 25 2021, Lars Ingebrigtsen wrote:

> cat-ing that file does not flash the terminal here,

That's because the 100ms delay is missing.

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 25 Apr 2021 18:13:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 25 14:13:29 2021
Received: from localhost ([127.0.0.1]:43715 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lajFq-0003Oi-Rn
	for submit <at> debbugs.gnu.org; Sun, 25 Apr 2021 14:13:29 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lajFo-0003OU-WD
 for 1305 <at> debbugs.gnu.org; Sun, 25 Apr 2021 14:13:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=7szLUdjLS1d32+DM6pi+Prphau38Qc5TAyVv90EF/uE=; b=Qjic9LVJx06hAUE39RA+U7K64U
 9HytlaMIyA4ps7TU7nmCGK18bixZXcdgtK4VEIZhY5C8s6qTkuYykFU4kLwsidh+92A6D7YsZ64G7
 dh7MuLUShPOnrHFdtb230F3k2H8jYjqOqvScItzPqqirG3m/uY+YfoVLB0bqWe7XARdQ=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lajFb-0000lq-LY; Sun, 25 Apr 2021 20:13:03 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEX5+Prb1duro5+U
 bVBTOi////93TpsyAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UEGRE6G+DkQJYAAAGXSURBVDjLfZTh
 gYMgDIUT6AAJdgChHQCEAc7C/jNdAOlJz7v8QM3nywsIAgDBddhlvczjitdA/VVJ+epCyAgIbKWA
 XFskAgveGEVahYfZNJjDZIf/QjFaAvcbxOhiUPFEcACJFIt7N3m0m0pJMQvcBsF2h6nk1FTxLcEG
 pE6Jpcg41kH7Oi6xCBCSShiCLxnMs0ipKinlPS1XHcS7yCCVSqbD5SaCmpBCWdIV9CmoVcVaJDdN
 TtmOvnbVX+4iaetQgNe1m1xtWlt2gKBTqdkRAfkA+JOuFQMfYAdzFpTXocCA6pwveSiQcFJIrT4P
 y7NiAAesZ7A2gB4+FTsf+4rpeQVWYJ7NX1xXS1fw+OiXhkJdKKo5LxPYertBwP1cyHFTwEIzkKXq
 ACyzOQnksYNqzj23Sds13813kfaJvGiJGw8AHlu7+dlfngGnzCbzBTCR2X4A+cRIxFN0QLAaBcgr
 WGOconHAZbd7s8iH9GAdkgZ9BWS1Z3CTVf4Cez8DOQ/7osLiI2862NsARo6W/CYck2wXeLz/GN+7
 NXyuvfdRQwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wNC0yNVQxNzo1ODoyNyswMDowMFnHcGoA
 AAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDQtMjVUMTc6NTg6MjcrMDA6MDAomsjWAAAAAElFTkSu
 QmCC
X-Now-Playing: Susumu Yokota's _Cloud Hidden_: "Ama and the Mountain"
Date: Sun, 25 Apr 2021 20:12:58 +0200
In-Reply-To: <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Wed, 21 Apr 2021 10:33:35 -0400")
Message-ID: <87zgxmjkr9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: >> I would
 be in favour of fixing this by adding one or more new variables >> with
 reasonable
 semantics. For example, why not have a variable called >> `alarm-bell' with
 these valid values: >> >> - a [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Gregory Heytings <gregory@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier <monnier@HIDDEN> writes:

>> I would be in favour of fixing this by adding one or more new variables
>> with reasonable semantics.  For example, why not have a variable called
>> `alarm-bell' with these valid values:
>>
>>     - a function    call this function
>>     - `visual'      Use a visual bell
>>     - t             Ring the bell
>>     - nil           Do nothing
>
> Agreed, except I suggest to use slightly different names: `visual` becomes
> `ring-bell-visual`, `t` becomes `ring-bell-beep`, `nil` becomes `ignore` and
> `alarm-bell` becomes `ring-bell-function`.

So just use function names instead of symbols?  I think, in general,
it's nice to have things like nil/t in variables like this -- it's
easier for users to deal with.

Anyway, I agree that cleaning up this area by introducing a new variable
and obsoleting the slightly confusing current state of affairs would be
nice.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 25 Apr 2021 18:06:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 25 14:06:19 2021
Received: from localhost ([127.0.0.1]:43705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laj99-0003Ed-2l
	for submit <at> debbugs.gnu.org; Sun, 25 Apr 2021 14:06:19 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37562)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1laj97-0003ER-13
 for 1305 <at> debbugs.gnu.org; Sun, 25 Apr 2021 14:06:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=codFfwWTROlUbSCm4aTMyMNDgjWPUjv5WE/07qGlx64=; b=AaMXWGOTaKIjxj8LGsn7f3jSLH
 EMV+EWj4oe7t5TvHAdyYf/UBdz7xstiOQHgJae3kmwvIzp0Ma/+hT8U0YZhurb9TPklR3uOFKOsgo
 TTVA88bmAJC/mh6Rowsp7GibO0CAearVxLi2QHF2fnuBC1MeHqwmLlY67aqll9nxvYUU=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1laj8u-0000jM-4g; Sun, 25 Apr 2021 20:06:10 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <1869622e162377be79e9@HIDDEN> <83bladw0dh.fsf@HIDDEN>
 <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <CADwFkmkcLTJcB8FUOXejZQfp9A0mVBxbqoJ8WnNXb0GyJJTcmQ@HIDDEN>
 <8735vnpqho.fsf@HIDDEN> <jwvsg3n1url.fsf-monnier+emacs@HIDDEN>
 <87tuo3ob5f.fsf@HIDDEN> <jwvmttv1m3u.fsf-monnier+emacs@HIDDEN>
 <87h7k2o3fx.fsf@HIDDEN>
 <CADwFkmkXNvkid+9XFSmGWgajM5g2yFSwqvdGC-h-XjYV=jDDiw@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEX5+Prb1duro5+U
 bVBTOi////93TpsyAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UEGRE6G+DkQJYAAAGXSURBVDjLfZTh
 gYMgDIUT6AAJdgChHQCEAc7C/jNdAOlJz7v8QM3nywsIAgDBddhlvczjitdA/VVJ+epCyAgIbKWA
 XFskAgveGEVahYfZNJjDZIf/QjFaAvcbxOhiUPFEcACJFIt7N3m0m0pJMQvcBsF2h6nk1FTxLcEG
 pE6Jpcg41kH7Oi6xCBCSShiCLxnMs0ipKinlPS1XHcS7yCCVSqbD5SaCmpBCWdIV9CmoVcVaJDdN
 TtmOvnbVX+4iaetQgNe1m1xtWlt2gKBTqdkRAfkA+JOuFQMfYAdzFpTXocCA6pwveSiQcFJIrT4P
 y7NiAAesZ7A2gB4+FTsf+4rpeQVWYJ7NX1xXS1fw+OiXhkJdKKo5LxPYertBwP1cyHFTwEIzkKXq
 ACyzOQnksYNqzj23Sds13813kfaJvGiJGw8AHlu7+dlfngGnzCbzBTCR2X4A+cRIxFN0QLAaBcgr
 WGOconHAZbd7s8iH9GAdkgZ9BWS1Z3CTVf4Cez8DOQ/7osLiI2862NsARo6W/CYck2wXeLz/GN+7
 NXyuvfdRQwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wNC0yNVQxNzo1ODoyNyswMDowMFnHcGoA
 AAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDQtMjVUMTc6NTg6MjcrMDA6MDAomsjWAAAAAElFTkSu
 QmCC
X-Now-Playing: Susumu Yokota's _Cloud Hidden_: "Implications of Karma"
Date: Sun, 25 Apr 2021 20:06:03 +0200
In-Reply-To: <CADwFkmkXNvkid+9XFSmGWgajM5g2yFSwqvdGC-h-XjYV=jDDiw@HIDDEN>
 (Stefan Kangas's message of "Mon, 19 Apr 2021 08:26:53 -0500")
Message-ID: <874kfukzn8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > Is this the
 scenario
 you have in mind? > > (setq visible-bell t) > (setq ring-bell-function
 #'ignore)
 > (defun foo () (interactive) (ding)) > > M-x foo RET > > This gives no
 visible bell here. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Michael Welsh Duggan <mwd@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Stefan Monnier <monnier@HIDDEN>, jasonspiro4@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> Is this the scenario you have in mind?
>
>     (setq visible-bell t)
>     (setq ring-bell-function #'ignore)
>     (defun foo () (interactive) (ding))
>
>     M-x foo RET
>
> This gives no visible bell here.

Oh, I see -- I imagined that visible-bell had precedence over
ring-bell-function (without testing that).

But then I guess flipping the default on visible-bell won't have the
adverse effects on the popular Emacs distributions that I was worried
about?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 25 Apr 2021 18:04:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 25 14:04:10 2021
Received: from localhost ([127.0.0.1]:43695 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1laj74-0003Ax-Bz
	for submit <at> debbugs.gnu.org; Sun, 25 Apr 2021 14:04:10 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37466)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1laj72-0003Ak-FQ
 for 1305 <at> debbugs.gnu.org; Sun, 25 Apr 2021 14:04:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=I1VRB+y8YBz930IKK2ZIFJvOh+Lixh8UB0JrcwHKhMk=; b=oqC/PqZ49nM5nubK1trckibXsm
 GYDJHD7uz67JrVqzzP/PhestAv4BsZhlPr0dRmwxEE+mezHPqaLN75XMX23J3qgck8IngVslPXbEg
 fDH0nGArPUAqxKaYNBP4MwqSA54ZRdaV79EYXu+Jn7Fj4+JJfe+XP+P8DPJnbtKGOyf0=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1laj6i-0000gI-VL; Sun, 25 Apr 2021 20:03:59 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <83mttvtyx4.fsf@HIDDEN>
 <877dkzpqzq.fsf@HIDDEN> <83lf9fty42.fsf@HIDDEN>
 <87v98imnzt.fsf@HIDDEN> <83v98is9jj.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEX5+Prb1duro5+U
 bVBTOi////93TpsyAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+UEGRE6G+DkQJYAAAGXSURBVDjLfZTh
 gYMgDIUT6AAJdgChHQCEAc7C/jNdAOlJz7v8QM3nywsIAgDBddhlvczjitdA/VVJ+epCyAgIbKWA
 XFskAgveGEVahYfZNJjDZIf/QjFaAvcbxOhiUPFEcACJFIt7N3m0m0pJMQvcBsF2h6nk1FTxLcEG
 pE6Jpcg41kH7Oi6xCBCSShiCLxnMs0ipKinlPS1XHcS7yCCVSqbD5SaCmpBCWdIV9CmoVcVaJDdN
 TtmOvnbVX+4iaetQgNe1m1xtWlt2gKBTqdkRAfkA+JOuFQMfYAdzFpTXocCA6pwveSiQcFJIrT4P
 y7NiAAesZ7A2gB4+FTsf+4rpeQVWYJ7NX1xXS1fw+OiXhkJdKKo5LxPYertBwP1cyHFTwEIzkKXq
 ACyzOQnksYNqzj23Sds13813kfaJvGiJGw8AHlu7+dlfngGnzCbzBTCR2X4A+cRIxFN0QLAaBcgr
 WGOconHAZbd7s8iH9GAdkgZ9BWS1Z3CTVf4Cez8DOQ/7osLiI2862NsARo6W/CYck2wXeLz/GN+7
 NXyuvfdRQwAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMS0wNC0yNVQxNzo1ODoyNyswMDowMFnHcGoA
 AAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDQtMjVUMTc6NTg6MjcrMDA6MDAomsjWAAAAAElFTkSu
 QmCC
X-Now-Playing: Susumu Yokota's _Cloud Hidden_: "Spectrum of Love"
Date: Sun, 25 Apr 2021 20:03:48 +0200
In-Reply-To: <83v98is9jj.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 19 Apr
 2021 16:12:16 +0300")
Message-ID: <878s56kzqz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> gdb) print
 tty->TS_visible_bell
 >> $1 = 0x555555da95c3 "\033[?5h$<100/>\033[?5l" > > Then this should produce
 the same effect as "tput flash", I think. You'd think so. Hm... If I do a:
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, gregory@HIDDEN, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> gdb) print tty->TS_visible_bell 
>> $1 = 0x555555da95c3 "\033[?5h$<100/>\033[?5l"
>
> Then this should produce the same effect as "tput flash", I think.

You'd think so.  Hm...  If I do a:

$ tput flash > /tmp/a

I get a file with:

\033[?5h\033[?5l

(Raw ESC char translated here in this email.)  Which is similar to the
string we're outputting.  cat-ing that file does not flash the terminal
here, though, so I'm wondering whether the ... shell?  is doing
something weird on this laptop.  (Doing the same with, say, "tput cup 5
20" to a file, and then cat-ing that file, works as expected.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 22:03:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 18:03:50 2021
Received: from localhost ([127.0.0.1]:59997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZKwo-0008Ek-Ap
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 18:03:50 -0400
Received: from mx0b-00069f02.pphosted.com ([205.220.177.32]:27756)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1lZKwk-0008Ea-VN
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 18:03:49 -0400
Received: from pps.filterd (m0246632.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.16.0.43/8.16.0.43) with SMTP id
 13LLv5rm023014; Wed, 21 Apr 2021 22:03:46 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : cc :
 subject : date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2020-01-29;
 bh=DhllvMjEaglGZKB4q2dVYciypB/pHgTKNbY94SJG0y0=;
 b=W94Y2DR3NNKT8P5rkMljHASVfwqpFFJwvPP23lUR3Z7A9VkA2AHNNH2vGoAaL3PKnTEH
 dGFi3sX2/3y3acLzgV+dLHh9jY4ktKRJ835e0gEvMXqNRvffAJCM11/2Gbf1vOZ9aoDG
 NNX33y9fTR9eTzyVRjHho3HZHP1iw7oP/MjTmBcsO0TiZDMkchfl6p9nWxM9e5IIFHdF
 OHBcaNybZOqHtX0ET4P34b3JuaCxO9UBcTqlSUcJINsnRJvWJk6TnVCm7cpZb25ovC+t
 VAnfS+K9mJiuJ/3VSOJKNXMZL49fPQFzjy1EXqWJOx78lw9SIMuntzZ+0O2tGPlzJXri PQ== 
Received: from oracle.com (aserp3030.oracle.com [141.146.126.71])
 by mx0b-00069f02.pphosted.com with ESMTP id 381bjn8vt8-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 21 Apr 2021 22:03:45 +0000
Received: from aserp3030.oracle.com (aserp3030.oracle.com [127.0.0.1])
 by pps.podrdrct (8.16.0.36/8.16.0.36) with SMTP id 13LM3jo6161245;
 Wed, 21 Apr 2021 22:03:45 GMT
Received: from nam10-dm6-obe.outbound.protection.outlook.com
 (mail-dm6nam10lp2102.outbound.protection.outlook.com [104.47.58.102])
 by aserp3030.oracle.com with ESMTP id 38098sakbj-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Wed, 21 Apr 2021 22:03:44 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=J1SfCsJtN2RgtTqUU+mvo57hOEZ1x81uDNIRbUf9sHT69UGko7ldiildFa1QheI3rDe6oZm8AhI4OGDxiUUFWHJvkjB6IY+yDcwE3uOH7kly0kSe3VB0w1NPSoeipaM+nUye5il91CW8j92JAQvgpMd9WplGPh3KlGArr7nG+aUbjQqDLiO/sKH0u53yBembxuJSXeBOMGnQbqKQ370M/rMCO0SOfy7TSKo0ZJQRnTZANlbGqUMNjEpux+iScpwEAcdQZ3gL4/bdIfTFbyLxoE0Dw80xXJagEP+JgNJfaPkqSwOmb9S0JpmUFbpdtZ9m3+duUbFsx28Rw8lhA9iWzA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=DhllvMjEaglGZKB4q2dVYciypB/pHgTKNbY94SJG0y0=;
 b=OCTx6pibcVZX/Q3n77rLb8OZq8CsON40N4G6j242apg1ALKvbCm6NNJ4CqntrnzvWPR7VIcjTdC2TZlCLDmIqQEg+Ws7E3vsqRzDlPv93MZAWV1Hh8hTKBjo0XU/7iUJAXCR5lv36S9NRm3wYLkO1gkMY2hvxO9kWZ0ED1xLRvSssgpNsUKBTba80+snzhrVFtbW6TLp3aTpPudTcmWxrvUNU96cqcma0zLmgSEQ7BCpUbSVPg8dKfLypNRYI+udlzcw6ZLYUiwkMjrdFL2a4f40U/cZ9/ah3gClVfqktipOyjTZGUBbwK097gx4/elbwNSUN/KzeGG0wdjhWfxQ0w==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=DhllvMjEaglGZKB4q2dVYciypB/pHgTKNbY94SJG0y0=;
 b=rNe5ortvq+8KAPkI0zjAIrovy7kOyVaYIQHu9vDzwfV3HJvPhbYSjaK1jXVgxrXll/oGL+RzW20AwtSc8Dy+qVzXMjWG4PuRAhVuDlg9CH7q/1FKTdSgvXnanlKvUMz2edXBO7opgu4LDL/euc+8crnS/Wi5g0hpNZxz5S3zv5Y=
Received: from SA2PR10MB4474.namprd10.prod.outlook.com (2603:10b6:806:11b::15)
 by SA2PR10MB4444.namprd10.prod.outlook.com (2603:10b6:806:11f::14)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4042.16; Wed, 21 Apr
 2021 22:03:43 +0000
Received: from SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494]) by SA2PR10MB4474.namprd10.prod.outlook.com
 ([fe80::2109:9725:fd4a:6494%6]) with mapi id 15.20.4065.021; Wed, 21 Apr 2021
 22:03:43 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>, Gregory Heytings
 <gregory@HIDDEN>
Subject: RE: [External] : bug#1305: All code that currently beeps should use
 visual bell instead
Thread-Topic: [External] : bug#1305: All code that currently beeps should use
 visual bell instead
Thread-Index: AQHXNtOYU8gXuQXOIUm0DU5ELK4Wj6q/eEiw
Date: Wed, 21 Apr 2021 22:03:43 +0000
Message-ID: <SA2PR10MB44743BB9A146B476789D091BF3479@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <4fdaf2ab-30c0-c171-d46c-d22e02579962@HIDDEN>
 <jwvlf9bllbx.fsf-monnier+emacs@HIDDEN> <192e82f20fc0afe2bccd@HIDDEN>
 <jwva6prlfo9.fsf-monnier+emacs@HIDDEN>
In-Reply-To: <jwva6prlfo9.fsf-monnier+emacs@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: iro.umontreal.ca; dkim=none (message not signed)
 header.d=none;iro.umontreal.ca; dmarc=none action=none
 header.from=oracle.com;
x-originating-ip: [73.170.83.28]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 33600618-81f8-4576-30da-08d905115425
x-ms-traffictypediagnostic: SA2PR10MB4444:
x-microsoft-antispam-prvs: <SA2PR10MB44449F243F14AE9C25EE16FFF3479@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:10000;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: EDG26asT+omDscTi00VbzSBC4Mp7K5j3daKLuZ3vvE8khXZ89kjX1eXKiqYct4Mi76xlFKmqssXfUGTUFQvbUSP973x2+RXqFAuMBqc9zM2RMVaSRWOcNnbJ1H9bl/V0I+MEcbomSFbNFnq1JEWMUd9fWxAIiexZ4wmz4emA6hqui51Rq3EKh/w/qC0w+nJ8biDa/s+MMSnf8b2z5MJr06igS23Ij54Kje9y2B0DlFstajHsLqUF+1wTuKCuVvTWC8ypqBn9TxBXOTDx6qxIiuB+TDLID5G2QpIe4gVE/TrWqSyEEOuPw6EjxdQWB+W5IMGHw3RdAq2eEM7lRBQOdHPX2jcR+xRrfiZE7DmouyCp7AD/ZfiMjOLexq+TXMjm5vcwII2E7eoTmb3IDpR6f/wrSoO8fn0d33UAj+glquWdE5wsIiqh4788bGJimLGH0zY6MURtj+fekKesOpEPdpoAcv8j4eTQyNLbFJlx7knZkT9zlACSfs/wFHw/EMk18sZ6dKnn1gfViDI6GiK7/EBt0rHMhzTXvfdQjKAjj1NlrxZTGSrHgwgDlF0mwa/mOL/cFZsEly4dglIjIeOqj50sBn1XkelGjFKYorGPB74=
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SA2PR10MB4474.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(346002)(366004)(136003)(396003)(39860400002)(376002)(7696005)(9686003)(33656002)(44832011)(71200400001)(86362001)(52536014)(66476007)(478600001)(8676002)(186003)(54906003)(110136005)(26005)(66556008)(38100700002)(64756008)(66446008)(296002)(6506007)(8936002)(76116006)(83380400001)(66946007)(316002)(4326008)(55016002)(2906002)(122000001)(5660300002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata: =?iso-2022-jp?B?WHJTTEU3TjdqTVAvQXRzRTV5ZDBHbENiSUo2b0ljSXk0eTNLR2JMZVVX?=
 =?iso-2022-jp?B?UVFvZitQOGFQVEU3eGxiKzNic0JJQzFIK3AxazBUU3NKd0Y1WEJ4SzNT?=
 =?iso-2022-jp?B?NjkwWXZEcjZVd3dSRGFGbWRZbWt3UXFJMjJYNUdaYVMvTm95RDlvQ0Iy?=
 =?iso-2022-jp?B?eDE3Z2dKTEZhZzEzdmV3ZGVseVYyZU1waVdYd1FiVWdFZUFKUDlGcERR?=
 =?iso-2022-jp?B?cE5RcG1jeTRhTG1CSXJVc3kxSEJKUlJQNGl0cVpidDhka0h5dSs4aHpG?=
 =?iso-2022-jp?B?YjF3aUVYS29JY094T09XbFRHK29BcSt3b0MreXpCYXdtUmZQYnVwS2pn?=
 =?iso-2022-jp?B?c3dnQ05xV1Y3WTB6NE5WNUtqTHRDbUdxRWVBN1hJWWNacWhOamg2cUth?=
 =?iso-2022-jp?B?YURFaU05M1daTFhYTUFmdWl5eUVoS3BRVE95TmVGWlQxQ3lTQ0VpT1BN?=
 =?iso-2022-jp?B?aXBubmRqMUdnR2hpa1BoeU4wTkVkaWczWVpacmJxZWZkZi8vWWh0d0I3?=
 =?iso-2022-jp?B?YzlNazlVWlIybGpGUGtCb1BEMG5DakRiQ01ZQ3R5QndVb21BT2NpR1p4?=
 =?iso-2022-jp?B?RWxsVDc2bXNXdW16VTVkaDdneEZJQjRHV0RtQ0hoV1dmdW1ZTW4zZDJL?=
 =?iso-2022-jp?B?Y3BGbnZYckdZSzVYeFROVFAvUkV1YXJGUkhodFNSdmpPRnVvRHZpR2RS?=
 =?iso-2022-jp?B?NlZ5Z2dqNG5tUXVCbTgrbHdBd055by9ndXB6NVkwQ1hWc2xmaVlEbXgx?=
 =?iso-2022-jp?B?RzRZdStPSUxCc2RJbjVvbGx5RHM0ZUt1VHkzNVNIUHI0VkFXRTFCeFBO?=
 =?iso-2022-jp?B?TlFJZWpmZ3F5TE1qelJER242ZXl4aE5SNzZJY1d3aFVhZDYxbU9wblo4?=
 =?iso-2022-jp?B?bWNIMUNqeXc2RzIvQ2Ixa1BtTzBLVUZnMDhQMmJBRzdCRFBXYmFoOEkz?=
 =?iso-2022-jp?B?UEx2ZHdBbDNTeWVCM2Ivb0RwajVuUmxSRHZJMlAyVlZzdFcyMVBEWDVU?=
 =?iso-2022-jp?B?eXcyWEUwQU1YZ0pkSmFLanhhWEZHZnZKU3VxV08xMjZWNlpFUTR4UWxP?=
 =?iso-2022-jp?B?VVlqRWF0U1dnU2xzODVmTytsemxUb0hMRFFCM3FIMzF6VW1BSW1TVkJu?=
 =?iso-2022-jp?B?cW1mSU94VHRFa1dsbHFDL0V6R3VNU1RwbGcxbnh2VzBEcTZWS0s4L0cw?=
 =?iso-2022-jp?B?bWo0M3BwWExzNjlsK2IzWmRHQ0VzVEdOdXJrZkp2UzVkTW9tTmYwd3BN?=
 =?iso-2022-jp?B?OGhNQ3RINFZocnBmQlMrWW40Q1B4akQvcXEvbTNuaHVOM01vbVBkd1VM?=
 =?iso-2022-jp?B?Wm1EbStNT2JCYkFYakM5QkVkRW1BWGJlWEw1SnU5MFFxQnRxS3kxVlAv?=
 =?iso-2022-jp?B?aHRuYmRpd0J1ZUJla0VHS0xQYzNiUDhrWk1jTmF1cDN4SE5YbmcvWkxZ?=
 =?iso-2022-jp?B?MTVWamR1RHVZVERIS25KMlNRSzJNSVc5TG9QVlJ6a1dhQ0JoQ0o3a2Rv?=
 =?iso-2022-jp?B?bXBwZXFHK3EyVVViZkZETXdFdjUvaFdDbWQrRjNKTERrc2lqSTQwY1ZW?=
 =?iso-2022-jp?B?cDBLY01lWER0LzRHbFpKTGNWMXRsd3oxZnF2Wk5LZU5RaFpuUmdDS2t2?=
 =?iso-2022-jp?B?Wmk4b2E5SnM4Y25vOXBaZS8wUTdrMUhJc1JrNzkzUHB2bGNta0dKZlJu?=
 =?iso-2022-jp?B?YUhlV1BFaVRqVDlXMkdldWxVZzEwcGJ0R2hpZEpBQWZnWUVtQkhEOVpO?=
 =?iso-2022-jp?B?ajdFUXR4ajNrL3g5SnIrMWxxbllXdmZvVml5aVphWUphOTBPcDNHaEtL?=
 =?iso-2022-jp?B?NWFxR3U4ZE5XZXRnbTR1dXZhbUVMRUJmVmF4cnBDWFhya1crUDIrRi8v?=
 =?iso-2022-jp?B?ZG84SnpyajhqSnUrcXFxcU95RWpWcWYwQjlVZ0VuUGtGYzBaaytqTnFa?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="iso-2022-jp"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SA2PR10MB4474.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 33600618-81f8-4576-30da-08d905115425
X-MS-Exchange-CrossTenant-originalarrivaltime: 21 Apr 2021 22:03:43.2628 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: JX6x4YUROFum3ITIvXPIILgYTVb2bGmnC8tEqC6yXwB81XGq8S2UKy9HhwcL/4KROqJx0xaZr8qhYA4zGMhJRA==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA2PR10MB4444
X-Proofpoint-Virus-Version: vendor=nai engine=6200 definitions=9961
 signatures=668683
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 spamscore=0 phishscore=0
 mlxlogscore=894 malwarescore=0 bulkscore=0 mlxscore=0 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.12.0-2104060000
 definitions=main-2104210144
X-Proofpoint-GUID: Lqp9SxAHodPe09ulEUhNP9irrGDuV797
X-Proofpoint-ORIG-GUID: Lqp9SxAHodPe09ulEUhNP9irrGDuV797
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, "1305 <at> debbugs.gnu.org" <1305 <at> debbugs.gnu.org>,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 "jasonspiro4@HIDDEN" <jasonspiro4@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I proposed the mode-line as an alternative for those who don't like the
> current GNU/Linux flash, because it's one of the very few elements
> which are displayed in almost 100% of the cases.  We could flash the echo=
area
> instead, but I think it's a bit more delicate to implement and it could
> get in the way of reading the actual error message.

As mentioned, I use `echo-bell.el'.  It flashes a
message at the far right of the echo area.

By default the message is " =1B$B"v"v"v"v"v"v"v"v"v=1B(B", it's shown for
0.2 sec, and the echo-area background is highlighted
with "Aquamarine" for that time period.

That flash is as perceptible or imperceptible as a
user wants it to be.  Far from hiding error messages,
it makes them more visible (IMO), by briefly drawing
attention to the echo area.

This is very simple.  Just uses `ring-bell-function'.

Remove the highlighting, and that right-edge message
might not even be very noticeable.  But it's there,
and you can find it in `*Messages*', which is more than
can be said for mode-line fiddles -- IMO, presence in
`*Messages*' is a feature.  And for those modernistas
who remove the mode-line everywhere...

It sounds to me like the proposals discussed so far
complicate things for users, rather than simplifying
them.  But maybe it's just the discussion that's overly
complicated, not the actual proposals?  Is there really
something that needs "fixing" here?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 21:27:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 17:27:24 2021
Received: from localhost ([127.0.0.1]:59942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZKNS-0005Ai-Sy
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 17:27:24 -0400
Received: from mail-pl1-f174.google.com ([209.85.214.174]:43682)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lZKNM-0005AQ-FF
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 17:27:18 -0400
Received: by mail-pl1-f174.google.com with SMTP id u15so13843026plf.10
 for <1305 <at> debbugs.gnu.org>; Wed, 21 Apr 2021 14:27:12 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=pTrbLjPeLltjjS0I3XvzUPDtzCnTWG89rv7ULkozDTs=;
 b=sjIjkSAuRGtVfWIk3urT6OxSTQ6Yvyt2UGvRu9NVc/iQEaxCNCMkGInzqITIyef+oD
 N7Ku3+lo0XeQMEZJoAPuyRp7cYJ4ZEuScngQZfoLIKEPTu4N5EHMMfjYytrmPvhCxS2z
 CkNGG6McpkD/HvOKAyletkdNflmIr/ARmBAhWoYVwegVpo6pG5emUhCw46hCTHBw7nQg
 1c/wlTcaJEgtWZjAya583541Rqec7wk5kJ1kJgUmiyN7LfA07nnwAxQlwU90enxKZqUm
 LEWoMzxp3MVqWpegO1mXUR1NfAquMJrSmXQ0eCl1vOoLn8zGDJOLTVAbEQFr649mbCpn
 owSw==
X-Gm-Message-State: AOAM53176CoqhvlIoXSBf5QfV+518CnpRLAbUtjzziariG5CD7HE8NKr
 B7A2tMsyU6kK8zfbZDI/ZTNsYpWzd/QITYUXnA8=
X-Google-Smtp-Source: ABdhPJyfiIL9bSZdxqXegaRjRBPc7x1FPauuYluBv1NOw7C6va8v6ic4237k4CZLJjJGX90JD5ZJj65EskGNldfxJ3w=
X-Received: by 2002:a17:902:e9c4:b029:eb:4626:feba with SMTP id
 4-20020a170902e9c4b02900eb4626febamr240649plk.39.1619040426707; Wed, 21 Apr
 2021 14:27:06 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 21 Apr 2021 23:27:05 +0200
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <192e82f20f8ac75cbbb0@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN> <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <192e82f20fbb3e50ce0c@HIDDEN>
 <CADwFkm=iT_xtDeaRxAU_YNHm_=1x_0VQo2z=hS96y9vtXMzVWQ@HIDDEN>
 <192e82f20f3239696b3b@HIDDEN>
 <CADwFkmk+KCUL0iPr0ragXzJ6HrT5Ef10XMZvsXqm9S9nym81xQ@HIDDEN>
 <192e82f20f8ac75cbbb0@HIDDEN>
MIME-Version: 1.0
Date: Wed, 21 Apr 2021 23:27:05 +0200
Message-ID: <CADwFkmkW9nnFikZU4dfe2z_tApwOuQEZAX8wTvg-ZgvnSSY8fg@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Gregory Heytings <gregory@HIDDEN> writes:

> That was not a patch, that was only a proof of concept.  I attach the
> current version of the actual proposed patch.

Thanks.  This is better than what you had before, as it does not get in
the way of reading the minibuffer.

My main objection is probably the colour, as I find the yellow to be
barely noticeable.  But this is minor, as the colours can change.
I will need to give it some further testing before I can say more.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 20:26:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 16:26:56 2021
Received: from localhost ([127.0.0.1]:59899 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZJR2-0001bb-14
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 16:26:56 -0400
Received: from heytings.org ([95.142.160.155]:47964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lZJR0-0001bT-96
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 16:26:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619036813;
 bh=JF35RA6Wd77znmNfDL07RSQe2q7BazOJ85dgyKEPfz0=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=jKY0UTnWhi65VQL4/X7YWKkRKTS9u5VTkgVPyqWs8emfZ2xVHOPs0MEGCXyuyg06Q
 oFFk5uiCHybTHoAYtTSSttPZEO19YnBUi7e6WlcD9D905j9vaKcID/GLjqmyW/bR5r
 x3qu0sKkiyEaRLvKzgS9TfchMZi1X8fhlif7DGjAHYQPhZbt7B9qT/fcJtSkHUAR5V
 2e6bTCYuyr0bu8NFp3MrcVsvDDibEQs5rFFexP/BBpZ0GM43Lr9eHDnDlDSzp6U9mR
 42D7HJy0cr7JDv4WX8GzlQAHUmdrl5RitE1ZDoGvldZH7VdJZf3A293nIrno5VdI1q
 X7YF65AB2+5gA==
Date: Wed, 21 Apr 2021 20:26:53 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <jwva6prlfo9.fsf-monnier+emacs@HIDDEN>
Message-ID: <192e82f20ff223c07ed1@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <4fdaf2ab-30c0-c171-d46c-d22e02579962@HIDDEN>
 <jwvlf9bllbx.fsf-monnier+emacs@HIDDEN> <192e82f20fc0afe2bccd@HIDDEN>
 <jwva6prlfo9.fsf-monnier+emacs@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> I proposed the mode-line as an alternative for those who don't like the 
> current GNU/Linux flash, because it's one of the very few elements which 
> are displayed in almost 100% of the cases.  We could flash the echoarea 
> instead, but I think it's a bit more delicate to implement and it could 
> get in the way of reading the actual error message.
>

The good news is that it has been implemented ;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 20:22:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 16:22:56 2021
Received: from localhost ([127.0.0.1]:59895 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZJNA-0001Ve-Hk
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 16:22:56 -0400
Received: from heytings.org ([95.142.160.155]:47942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lZJN8-0001VR-2Y
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 16:22:55 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619036572;
 bh=g7dODnSlCAL7LK25XRWxQ5E30Z386fh+QKDk2Z8RnsA=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=mQ0WTju5cdlCKBnZsWs43znDR7yxMh68wE77sLk1OanxyDK3XWYO1HSoYvJbzU9re
 xky2KWvSOIM1m+Z5xMFDTOSHIPaQhqXrNXmzpzoQ0l077VMZI7ZwYmHS4Ci45dD3qE
 a8SDd6F9jV0Kywel7xyar9HAgSzSwF8w+YN67eL+f6I4JPQNFMW7U9fCuL7TJmorGv
 6H8+/UKN6TexYz2ZM7POeRZW1Wj155csXP/FSHElU8/EXwTYCI+I+vHzot0mtYeJDS
 OkJVk1NgJGiC48XtYpi+oBQEKVZ40c35e6cjKO6eYIOaJKcAHO1c9GwF1In1IXKtow
 djGFD4yeJkcyw==
Date: Wed, 21 Apr 2021 20:22:52 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <62fee2e3-8ae2-cbc9-9681-4d7f0fe680c0@HIDDEN>
Message-ID: <192e82f20f595f75a43c@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <62fee2e3-8ae2-cbc9-9681-4d7f0fe680c0@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="LkOWPj4q4n"
Content-ID: <192e82f20f2267054278@HIDDEN>
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, monnier@HIDDEN,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--LkOWPj4q4n
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable
Content-ID: <192e82f20f0c33451d1b@HIDDEN>


>> Does the attached patch fix the problem in your config?=C2=A0 It is prob=
ably=20
>> safer to check the cursor color each time color-bell is entered.
>
> It does not, sorry.
>

I just tried to use it with Doom, Spacemacs and Prelude, and AFAICS it=20
works correctly, the cursor does not become irreversibly red.  Could you=20
perhaps try to create a minimal recipe with your config?
--LkOWPj4q4n--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 17:35:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 13:35:07 2021
Received: from localhost ([127.0.0.1]:59727 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZGkf-0003jT-VE
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 13:35:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36834)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lZGkb-0003j9-11
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 13:35:00 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:60538)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lZGkS-0003nA-Mg; Wed, 21 Apr 2021 13:34:48 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:1686
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lZGkR-0005tT-Vi; Wed, 21 Apr 2021 13:34:48 -0400
Date: Wed, 21 Apr 2021 20:34:34 +0300
Message-Id: <83wnsvpmmt.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <192e82f20fb3cbebb89f@HIDDEN> (message from Gregory
 Heytings on Wed, 21 Apr 2021 16:01:23 +0000)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <62fee2e3-8ae2-cbc9-9681-4d7f0fe680c0@HIDDEN>
 <192e82f20fb3cbebb89f@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: alan@HIDDEN, 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, monnier@HIDDEN, dgutov@HIDDEN,
 larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> Date: Wed, 21 Apr 2021 16:01:23 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
>  Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
>  jasonspiro4@HIDDEN, monnier@HIDDEN,
>  Lars Ingebrigtsen <larsi@HIDDEN>
> 
> > Anyway, speaking about other faces you could inherit from (for the echo 
> > area flash), how about 'highlight' instead of 'match'?
> >
> > Seems more appropriate.
> 
> Yes, I noted that you'd prefer to use highlight instead of match, 
> presumably for a certain logical consistency.  If highlight had been 
> yellow, that's what I would have done.

IMO, we shouldn't use highlight for anything other than showing text
sensitive to mouse or to cursor entry.  That's what highlight was
invented for, and using the same colors for an utterly different
purpose is sub-optimal UI and UX.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 17:27:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 13:27:39 2021
Received: from localhost ([127.0.0.1]:59709 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZGdX-0003VS-Gh
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 13:27:39 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:48061)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1lZGdS-0003VC-U7
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 13:27:38 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 3A32610033B;
 Wed, 21 Apr 2021 13:27:29 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 6D166100201;
 Wed, 21 Apr 2021 13:27:27 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1619026047;
 bh=o5eGF+J8bw83A9WTLgRe1VKDh3ktm4/g8JHG2Si5odA=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=YG2yXeB/0FoSi8AwgP4bMeeyxJUj5Qv5X6PXogPjI628wjUlaqM9uxwxS45dCviv/
 gTwepMlNhuAa/vjehC0mulseZaAwV9P9PbCicI2l3SCa/CtkOkT73VLkbr1HoX2FA/
 xVdy9cL6R0YgpvylqAp9NG/9txw1o8//D1v4+DRz7zKkFGw7FWRhd/DZCY88/WIfkx
 38c4WAFWG7RtI1VLBjIKtzikbCJ1PeU0iGhXBC/JboNsx6YK/SKYVUAZDq/vgFM0Xz
 kQpfpugO92mnxVZAcNTK7vJ1Q9dDsBn/+NXZHG1oMRJZ0+97BgR4T9FL+QyUU9kDGW
 OU9hJyBJP8RcA==
Received: from alfajor (104-222-126-84.cpe.teksavvy.com [104.222.126.84])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 18F8E120257;
 Wed, 21 Apr 2021 13:27:27 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
Message-ID: <jwva6prlfo9.fsf-monnier+emacs@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <4fdaf2ab-30c0-c171-d46c-d22e02579962@HIDDEN>
 <jwvlf9bllbx.fsf-monnier+emacs@HIDDEN>
 <192e82f20fc0afe2bccd@HIDDEN>
Date: Wed, 21 Apr 2021 13:27:25 -0400
In-Reply-To: <192e82f20fc0afe2bccd@HIDDEN> (Gregory Heytings's message
 of "Wed, 21 Apr 2021 16:14:24 +0000")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.028 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> I don't understand why flashing the mode-line is among the possible options.

As a happy user of the current GNU/Linux `visual-bell`, I don't really
care where the flashing happens, because I don't look at it.  I just
need some flashing somewhere within my field of vision as an indicator
that "something's going on": it doesn't need to be at the place where
I need to look.

And indeed, the current GNU/Linux visual-bell works quite well for that
in my experience since it flashes both above and below, thus not
mistakenly attracting the attention to a particular spot.
In other words, for me the ideal visual bell is one that I can "feel"
more than i can "see".

I proposed the mode-line as an alternative for those who don't like the
current GNU/Linux flash, because it's one of the very few elements which
are displayed in almost 100% of the cases.  We could flash the echoarea
instead, but I think it's a bit more delicate to implement and it could
get in the way of reading the actual error message.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 16:14:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 12:14:31 2021
Received: from localhost ([127.0.0.1]:59604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZFUl-0007y1-0R
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 12:14:31 -0400
Received: from heytings.org ([95.142.160.155]:47636)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lZFUf-0007xq-OB
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 12:14:29 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619021664;
 bh=hscnQzj2cngHH/ohnlfpbRzyy8CHn4qjYgjFQEIAsvk=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=XlW1wCwqYLa/3s7A4olTs+VN/fUAJ2VyHcweGtxix7DMCk6NLlBNtsb6wAd99b4Ht
 ykxGkj3HF2HPyttUJEkwO91ftr+z9wSMqRVFaQK2ivQ8xnaegzaw4ZonGAnrFPIn+R
 jaciiRPoTsOD/vwMhyg+ja7N4f/g5qWu6mGozQQZrU/kArGvFWabYS/7BxPyoffqQw
 /yN10+WE9XBc0c0AA5itytVNCy7HbZU0L/kB04tKuPgjhyg+bpt8smjkxeBlReDLih
 JxZtgjNhuwwUoXBexzp6x/4C7fI3AccUbqCAq5W59nuvhNnRevpTrMcdgzQjdIrmPE
 g7RfshanjfJog==
Date: Wed, 21 Apr 2021 16:14:24 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <jwvlf9bllbx.fsf-monnier+emacs@HIDDEN>
Message-ID: <192e82f20fc0afe2bccd@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <4fdaf2ab-30c0-c171-d46c-d22e02579962@HIDDEN>
 <jwvlf9bllbx.fsf-monnier+emacs@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>> But I do have similar reservations about flashing red so prominently 
>> (given that the pressing C-g does not usually indicate an error of any 
>> sort).
>
> Why not flashing the mode line with something like:
>

I don't understand why flashing the mode-line is among the possible 
options.  Calling the attention of the user to the mode-line is not TRT, 
it's neither where the error happened (usually at point or around point) 
nor where the error that happened is explained (in the echo area).  It's 
like flashing the fringes, there's no point in doing that when an error 
happens.

Yes, there's an option in Doom to do this.  But AFAIU Doom does that 
because it can't do better, namely, because there is no way to access the 
last error symbol in Emacs and do something with it.  This (making the 
last error symbol and data accessible from Elisp) is included in my 
proposed patch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 16:01:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 12:01:26 2021
Received: from localhost ([127.0.0.1]:59572 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZFI6-0006kC-9P
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 12:01:26 -0400
Received: from heytings.org ([95.142.160.155]:47590)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lZFI4-0006i1-Ku
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 12:01:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619020883;
 bh=3RVg2ATha6MXB/goazPDnnsXAm7TcjwcJO3Obn0v6Fc=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=SYZYM+Soa784dz1u8ZHzDd3Qt0puSVG9Nv17QDzXJIe7uG9BleoPa9U2Ja7orDd+/
 PeX3Qk1mkCmeevGRKU58Ep1Otzqxtrq/sznVoo4uRO8wlZ+NVSepSh9P/uNUBW/zF9
 R6Od8RORo6yv7OLEKsJfOjbWjAwIwOf0APW4RNucwvvHrApPC3k9HVS3MkHbNePxMG
 6sUvvKc3aGRhWn5diDf8RfyGPDFKhZsnSbKxsxCxDoEOef7jWWu09uEzup6NievdKw
 LBgQcO47y77Ml5B50N9q6MyPuJmmTrlSMO5Mm1oXZox8GmYZxDjMl8VyWv5S+35IHf
 aD5ztTdhGEdZw==
Date: Wed, 21 Apr 2021 16:01:23 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <62fee2e3-8ae2-cbc9-9681-4d7f0fe680c0@HIDDEN>
Message-ID: <192e82f20fb3cbebb89f@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <62fee2e3-8ae2-cbc9-9681-4d7f0fe680c0@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, monnier@HIDDEN,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> Anyway, speaking about other faces you could inherit from (for the echo 
> area flash), how about 'highlight' instead of 'match'?
>
> Seems more appropriate.
>

Yes, I noted that you'd prefer to use highlight instead of match, 
presumably for a certain logical consistency.  If highlight had been 
yellow, that's what I would have done.  For this specific case I believe 
yellow is the most appropriate color.  If inheriting from highlight is not 
okay, I'd hardcode the yellow color.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 15:18:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 11:18:20 2021
Received: from localhost ([127.0.0.1]:59465 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZEcO-0004E9-4M
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 11:18:20 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:14159)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1lZEcM-0004Dt-Ao
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 11:18:19 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 2161E441235;
 Wed, 21 Apr 2021 11:18:13 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 4B1EC440C08;
 Wed, 21 Apr 2021 11:18:11 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1619018291;
 bh=oDdRWhqFKawRirmO1hCGxr46q+gincPu2Y/rXwix6t8=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=SbPV24+z2obPLBmJgEynckalW9bZNr2juxDJ4Aaq8UspWxD6fqxZ9aDDhqfgvMc4p
 QxEXRqwGJHvSrtGcelH4H1Ny2S6lBaae7TzJmqLBkAYAEsSzJEYuE2borU2awLhbfG
 TJARUdVRkSgiDMKZC3Lmi4RjqGcOECTTz5I8N/fO+5iA5BALIjVpv7G6/OncsJDed1
 sVAeB662BX7Oc8Lh/5GC/peafaZZGqusnOUq5fXhV0UMFYfNq2RDJZFeDdFayjw3WM
 q9VnnEhN60B4EM4Cq3yUw4YptSB8yy6DQRn42KD7MTAgkLGE88k27SNg7RwXecg0AU
 VYPeoV30OV6OA==
Received: from alfajor (104-222-126-84.cpe.teksavvy.com [104.222.126.84])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id A6E3B12020B;
 Wed, 21 Apr 2021 11:18:10 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
Message-ID: <jwvlf9bllbx.fsf-monnier+emacs@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <4fdaf2ab-30c0-c171-d46c-d22e02579962@HIDDEN>
Date: Wed, 21 Apr 2021 11:18:09 -0400
In-Reply-To: <4fdaf2ab-30c0-c171-d46c-d22e02579962@HIDDEN> (Dmitry Gutov's
 message of "Wed, 21 Apr 2021 18:08:43 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.099 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Gregory Heytings <gregory@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> But I do have similar reservations about flashing red so prominently (given
>  that the pressing C-g does not usually indicate an error of any sort).

Why not flashing the mode line with something like:

    (let ((val (face-attribute 'mode-line :inverse-video (selected-frame) t)))
      (set-face-attribute 'mode-line (selected-frame) :inverse-video (not val))
      (sit-for 0.1)
      (set-face-attribute 'mode-line (selected-frame) :inverse-video val))


-- Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 15:14:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 11:14:41 2021
Received: from localhost ([127.0.0.1]:59448 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZEYr-000470-Lm
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 11:14:41 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:15531)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1lZEYq-00046i-Go
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 11:14:40 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 8F91B80BC1;
 Wed, 21 Apr 2021 11:14:34 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 3072C80462;
 Wed, 21 Apr 2021 11:14:33 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1619018073;
 bh=lNoGtKeYzxo+V0ZyVditFQky00QrNB6Bxe34sW5XAls=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=krLvOrpueX/COCDowPCW1bLq47vRk8oUPF7wXiw85UdllTGiq8hLAi9VeIKwUljh8
 gdbtEFarOaKiLp0GswcLOF8sPEjCvpfewtTCYUqERNZ4VtB3T0ZLsETZVFlxMb5iQK
 skVDzBo+Jk3icD4pqozIaM1fgr8QXNm9XmLLhk+5lXzQEHVmD0vgYyXz1fI7SzTdpx
 e9escwdZy7D+qmvL4/KOxMtUnpUYqhlyWS0VjZ9vKYvppWtidlaAyFJRne4cwIuI8E
 uZJ1ud5AnYXlhoSvVifjySwqurdkb425FvGVFUDHmRGpvOOLqCYVDB6wmiyoP4NQ8V
 D4g2fmX8od/zw==
Received: from alfajor (104-222-126-84.cpe.teksavvy.com [104.222.126.84])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id C53E31202D7;
 Wed, 21 Apr 2021 11:14:32 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
Message-ID: <jwvr1j3llha.fsf-monnier+emacs@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN>
 <a7cd9615-9779-aeaf-a511-16ff5a9bb9a3@HIDDEN>
Date: Wed, 21 Apr 2021 11:14:32 -0400
In-Reply-To: <a7cd9615-9779-aeaf-a511-16ff5a9bb9a3@HIDDEN> (Dmitry Gutov's
 message of "Wed, 21 Apr 2021 17:51:55 +0300")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.063 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, Gregory Heytings <gregory@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>>> I think this is a bit of a mess, indeed.
>>>
>>> I would be in favour of fixing this by adding one or more new variables
>>> with reasonable semantics.  For example, why not have a variable called
>>> `alarm-bell' with these valid values:
>>>
>>>      - a function    call this function
>>>      - `visual'      Use a visual bell
>>>      - t             Ring the bell
>>>      - nil           Do nothing
>> Agreed, except I suggest to use slightly different names: `visual` becomes
>> `ring-bell-visual`, `t` becomes `ring-bell-beep`, `nil` becomes `ignore` and
>> `alarm-bell` becomes `ring-bell-function`.
>
> And obsoleting the visible-bell variable?

And/or use

    (defun ring-bell-default ()
      (if visible-bell (ring-bell-visual) (ring-bell-beep)))

as the default value of `ring-bell-function`.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 15:09:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 11:09:03 2021
Received: from localhost ([127.0.0.1]:59403 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZETL-0003vW-2g
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 11:09:03 -0400
Received: from mail-ed1-f47.google.com ([209.85.208.47]:40770)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lZETD-0003v8-V9
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 11:08:57 -0400
Received: by mail-ed1-f47.google.com with SMTP id k17so10277547edr.7
 for <1305 <at> debbugs.gnu.org>; Wed, 21 Apr 2021 08:08:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=lph0ISXSF+45NoPQABRsjGGW09z/QMewRLabzzdCprU=;
 b=txQ7WgNHNCtvLOCuBAsSy6PwC9NDWKj+pL5G+POPeBsRVGf3YC+d4nfWjiXb1sJBPm
 fJbgaD/fTK8p5v6lxEdx6NXnxXSDsWk0Q5lSDksL1ls/lRW/Zk+cbnd9okvayxLqTAtz
 KZQp8RIZ2SSjG6Br12zGtB+wIx/B1ZQBuHCwkw9fs2CWE4cDf4if8xfCj7VnqmUjZ9k2
 fMFr2MMyMtTXi8Sq22G1jWyOixFOJmSeCJ1TUyQJb6VMQKuErApfXkZWmyxphee9ahpf
 5HoNF/8F31qE0iWWCr3RtRSFGCqw8yUmmgtzHQqE1iwFSsNGjbtKFOifiZE1AOINu8Y1
 W61w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=lph0ISXSF+45NoPQABRsjGGW09z/QMewRLabzzdCprU=;
 b=m/01u+1ue7YU7gkdzNTGyPbQnl9w+EHt1c31WUgyO2LoRP+BBVkPz+D8w+lI/7HJ/h
 f83Lz0jFFk600Kto+nl9ri0ggIQS/MFqAshXOTWPMV2BmaeQTNoyrlUgXiEPEoCZUoPm
 IdnCg6Wi0E/Beg1WKwkEC72Ayk4sTLMjuaW4ZTSV4hCbgjgUIYVArBloUnkunBIPbte5
 whgw+nZK+58iVpIqULlXLO6HZTvrPYHJ36QZ2HG09pxpVRVHFDaLaF6tU1CbwnqYutRq
 h/9SDipaGChjqxQNYt3Fn+4K/3Xlpby6danLg+BGSZHPlmU/ra5CWcKvowAdWx4co3ww
 p44Q==
X-Gm-Message-State: AOAM530tmHMd3e0H+gr0vKNFEeuQ1nsJW95yULRUz/ShN3r+A+gfii0n
 MTYbCo4hu+L9HeydHtQkEOY=
X-Google-Smtp-Source: ABdhPJwc3FKbfDdi7AAaTFUCUexLZ5X/kyakH9LSlOUFsVpkDOmEAxox/HaE0NjHYum4s6hyHBmyuA==
X-Received: by 2002:a05:6402:350f:: with SMTP id
 b15mr38843433edd.6.1619017726247; 
 Wed, 21 Apr 2021 08:08:46 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id l15sm3612388edb.48.2021.04.21.08.08.44
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 21 Apr 2021 08:08:45 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Stefan Kangas <stefan@HIDDEN>, Gregory Heytings <gregory@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <4fdaf2ab-30c0-c171-d46c-d22e02579962@HIDDEN>
Date: Wed, 21 Apr 2021 18:08:43 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 21.04.2021 16:11, Stefan Kangas wrote:
> I have used this for a couple of days and find it strictly better than
> both the default behavior on GNU/Linux with inverse video and flashing
> the minibuffer background.
> 
> Did anyone have any objections to doing it that way?

It's... workable.

But I do have similar reservations about flashing red so prominently 
(given that the pressing C-g does not usually indicate an error of any 
sort).

Speaking of alternative mode-line themes, though, with the one I use 
(smart-mode-line), it just makes some text on it briefly turn to bold 
(without changing its color).

That's pretty subtle, and probably better aesthetically, but it's hard 
to notice unless one is looking directly at the mode-line.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 14:53:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 10:53:50 2021
Received: from localhost ([127.0.0.1]:59393 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZEEg-0003XI-2f
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:53:50 -0400
Received: from heytings.org ([95.142.160.155]:47496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lZEEa-0003X5-Ll
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:53:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619016822;
 bh=PA4MyhEXXRB4otVwsHdw5qkfyp4kzqgY0wVWg1D4IRY=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=O4UTe1mZbNytLD5SwxsTswixwibtmDdFBtaIN58/TYBa6LVQqSfW/KalGhuNR8gH9
 MmAnnEmDJ7aCpg29ifY0JDhqXwIxFvwf9ANQrtkYJkXiswZse+ZPdFQiYdo8792/oj
 DkaX3U1VVuT1rgspOXjeCpH4RTssKoNysJo+gkOzCFlQ6xBf27b44U0qUwm5qaP4N8
 6w4JO7m8KdPcbOLMjPdC4ac6jsHMTBKG9gOq1HDg6vKymyD2MyP19V2d3ATHoZBWYr
 L8bOyyIFchedI2gL7JfU1ojpINahDHAOGpb38s/lj/eICnwXXHnFuv//tFK1oQzPwN
 lTNBHd5xopFFA==
Date: Wed, 21 Apr 2021 14:53:42 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <CADwFkmk+KCUL0iPr0ragXzJ6HrT5Ef10XMZvsXqm9S9nym81xQ@HIDDEN>
Message-ID: <192e82f20f8ac75cbbb0@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <192e82f20fbb3e50ce0c@HIDDEN>
 <CADwFkm=iT_xtDeaRxAU_YNHm_=1x_0VQo2z=hS96y9vtXMzVWQ@HIDDEN>
 <192e82f20f3239696b3b@HIDDEN>
 <CADwFkmk+KCUL0iPr0ragXzJ6HrT5Ef10XMZvsXqm9S9nym81xQ@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="bLyeEoEhEd"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--bLyeEoEhEd
Content-Type: text/plain; charset=us-ascii; format=flowed


>>>>> I have used this for a couple of days and find it strictly better 
>>>>> than both the default behavior on GNU/Linux with inverse video and 
>>>>> flashing the minibuffer background.
>>>>
>>>> Did you try the patch I sent?
>>>
>>> Yes, of course.  I provided detailed comments in a previous post.
>>
>> You mean, the post to which I replied?  Okay, it wasn't clear to me 
>> that you were also commenting on that patch.
>
> See my comments here:
>
>    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=1305#574
>
> But that was on an earlier version of your patch.  Perhaps there are any 
> significant differences in your most recent version?
>

That was not a patch, that was only a proof of concept.  I attach the 
current version of the actual proposed patch.
--bLyeEoEhEd
Content-Type: text/x-diff; name=New-default-bell.patch
Content-Transfer-Encoding: base64
Content-ID: <192e82f20f1606280b0b@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=New-default-bell.patch
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--bLyeEoEhEd--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 14:52:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 10:52:14 2021
Received: from localhost ([127.0.0.1]:59384 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZED4-0003Ui-97
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:52:14 -0400
Received: from mail-ed1-f52.google.com ([209.85.208.52]:37411)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lZECy-0003UA-Pv
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:52:09 -0400
Received: by mail-ed1-f52.google.com with SMTP id s15so49732814edd.4
 for <1305 <at> debbugs.gnu.org>; Wed, 21 Apr 2021 07:52:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=jsmqMNux4JMDrPuZ4LDhm9cP/zcQ6LPShfWotJIwy30=;
 b=SGB7lgvfx/N7f0jqJQOHk1NU8eYlBSSIOh/GH+iqxc0+hlclFBvz6UuCINq0Cac6ha
 /Z9xvgPWiWRtbP+DIpCPrqx2X4OhHoNqjO3ysG1UyZeMzTMdoQvWFV/8CP412FeWtvOq
 KmcqO4q1YwiNhI0LtsHcyPhl3LS6YpC/lAotuUw0KuaZE2AdguLeXwX1+XNQMt2fLY15
 7KciqG0npdUdaqnz+tF+bWqZxtOHWWzcr2GGtI1NpRHSXH71Xt8xV1x8KaabmU2DrORa
 r7+q6eHoGccnK93AO+beSP4X0F79K6ZIwwTMkSZ0khcu7v5U+U+tJ/d05ngymV16llk/
 hQnA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=jsmqMNux4JMDrPuZ4LDhm9cP/zcQ6LPShfWotJIwy30=;
 b=KoLMxo1P0kDyhr1r8X2aNasxJO9gwWmGTupLMFYq+g2NBYg7g2HJc8JWT+Y/Qnlw0e
 BhAIiR920OT80Aa0OAu5IAobnsS6SirEhPGw9300lbgc0Xm3LshgJc41SVEzpE+TWjvJ
 LJZjVb1GPUORTPKIANJjWuN9km6zxbxzApP4x54L4PP3x9VM5gq37Pw7Zkaj/ARl86/U
 w5lPIqzhz/orau+onZAAJmI0wRBkkvC12ZylV43E6UnhaqDIJzdISLnt6xFOdDlmC3uY
 HGhdEOgLP54VeuSr7jll6HJk7ud9VfbNHHH0OZgKEHglU+ml2JQIlWBSZVsuh5Y1lcpC
 LQzw==
X-Gm-Message-State: AOAM533XoNibsiT/7NrGTyVWYvxeW5CMSgJwcDocDsO+t5f5cYvaqjHv
 VkaJHmmAOZmgFTNeiTKrFdU=
X-Google-Smtp-Source: ABdhPJwkWdemBLdp/KMyUO/ybOHwtN6zu/xT3NXf8AdB3RWMQWyunmj8ze7Y6xbi7qZHkNL7MjO+SA==
X-Received: by 2002:a05:6402:c1b:: with SMTP id
 co27mr39317934edb.61.1619016718756; 
 Wed, 21 Apr 2021 07:51:58 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id u23sm3602072eds.8.2021.04.21.07.51.57
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 21 Apr 2021 07:51:58 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Stefan Monnier <monnier@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <a7cd9615-9779-aeaf-a511-16ff5a9bb9a3@HIDDEN>
Date: Wed, 21 Apr 2021 17:51:55 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 Gregory Heytings <gregory@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 21.04.2021 17:33, Stefan Monnier wrote:
>> I think this is a bit of a mess, indeed.
>>
>> I would be in favour of fixing this by adding one or more new variables
>> with reasonable semantics.  For example, why not have a variable called
>> `alarm-bell' with these valid values:
>>
>>      - a function    call this function
>>      - `visual'      Use a visual bell
>>      - t             Ring the bell
>>      - nil           Do nothing
> Agreed, except I suggest to use slightly different names: `visual` becomes
> `ring-bell-visual`, `t` becomes `ring-bell-beep`, `nil` becomes `ignore` and
> `alarm-bell` becomes `ring-bell-function`.

And obsoleting the visible-bell variable?

Sounds good.

But if we're going to change the default behavior, it would (probably?) 
be weird to keep a special case in this variable for the old one.

So would 'ring-bell-visual' do what 'visible-bell' currently does, or 
will it implement one of the proposals under discussion?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 14:46:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 10:46:12 2021
Received: from localhost ([127.0.0.1]:59377 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZE7F-0003MA-4Q
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:46:12 -0400
Received: from mail-pg1-f178.google.com ([209.85.215.178]:36566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lZE7A-0003L3-9c
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:46:07 -0400
Received: by mail-pg1-f178.google.com with SMTP id j7so20633647pgi.3
 for <1305 <at> debbugs.gnu.org>; Wed, 21 Apr 2021 07:46:04 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=0nB4CSaIlxqLkMcYZxdZJfBWvARlrTQQ7KMxg7S3IY4=;
 b=RET1BQQM+Fvc5FmcYj6JJofwBeRtPmZLhmg/SpSPXh+T/PCYqZVgftOLkRQVQN8i72
 emIocUmSG6Z7tPjdxrc48/5x96fhfq6ZuF/ODHuY1wnwPktZLZIH1xnPurp3MrPZtIrN
 7f0TW4RpvbUHRyLthYHI/hZ/rxGOyCKJNRPEXZfs9zPnjbjc1f2I8EMGsJe6pNz/fLks
 LGsZ+HZoSWMyVQYf2V8nNRVnWKYDMkcBkQ9VgNMq/SxPr4FPZT1WYQlybu9g3iKkxoRT
 47Y6+jgUEYirMJxgAWjhPicHSjrht1O9c7DgycovxNQvDhGxcMnRsArM7M3dFH6+3jcR
 D51g==
X-Gm-Message-State: AOAM531vAnJj43l5eXxYi7MJAUZ/JYQWZF45ix0YLOJ1V+0Q6KiWWpzG
 e0aAchWys8db9jVRLUS0TSJ3TbOEqWje3ZD/BcY=
X-Google-Smtp-Source: ABdhPJwcilDTChkHAUod7/ygpoOPRxxIs0x37ng07HV6jzGvp53uzJ/RACVDY88qbEiyc7omRj9KFwVCiXx9GSEOttw=
X-Received: by 2002:a17:90a:670b:: with SMTP id
 n11mr4996909pjj.104.1619016358489; 
 Wed, 21 Apr 2021 07:45:58 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 21 Apr 2021 09:45:58 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <192e82f20f3239696b3b@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN> <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <192e82f20fbb3e50ce0c@HIDDEN>
 <CADwFkm=iT_xtDeaRxAU_YNHm_=1x_0VQo2z=hS96y9vtXMzVWQ@HIDDEN>
 <192e82f20f3239696b3b@HIDDEN>
MIME-Version: 1.0
Date: Wed, 21 Apr 2021 09:45:58 -0500
Message-ID: <CADwFkmk+KCUL0iPr0ragXzJ6HrT5Ef10XMZvsXqm9S9nym81xQ@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Gregory Heytings <gregory@HIDDEN> writes:

>>>> I have used this for a couple of days and find it strictly better than
>>>> both the default behavior on GNU/Linux with inverse video and flashing
>>>> the minibuffer background.
>>>
>>> Did you try the patch I sent?
>>
>> Yes, of course.  I provided detailed comments in a previous post.
>
> You mean, the post to which I replied?  Okay, it wasn't clear to me that
> you were also commenting on that patch.

See my comments here:

    https://debbugs.gnu.org/cgi/bugreport.cgi?bug=1305#574

But that was on an earlier version of your patch.  Perhaps there are any
significant differences in your most recent version?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 14:45:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 10:45:58 2021
Received: from localhost ([127.0.0.1]:59370 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZE70-0003Kq-6V
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:45:58 -0400
Received: from mail-ej1-f54.google.com ([209.85.218.54]:44559)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lZE6u-0003KX-1F
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:45:52 -0400
Received: by mail-ej1-f54.google.com with SMTP id r20so14131678ejo.11
 for <1305 <at> debbugs.gnu.org>; Wed, 21 Apr 2021 07:45:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=7HQkg7HCe6d5p+ux8ui0AjStEiJCJ51P6CfqMry4L4s=;
 b=uh8fi4oUgsNZZ5iXkiSdvRNCqw6Ky8I2Up/DUH04acIKjYTSWj2RI+ZyYf98qCEiR8
 YsdxTqfG1ziekPGHCk1zur3QZuGSHUsFzyAkKGd17RjZEOVxBaNNrwQpGOaRZktyf5Ru
 NDb7qbk0Z4N/2QzpfZX0/F/zbBX/DZLSAIcbj1/rGzjTbuOcHdBibKe0Aaa8R9+CtDN4
 Y/kTqREsVhGWK9YRLfq77k6s+cNP6yBvk/YvfU9IRQKMB9UWSrdEaIewxHWy8s8TjIGS
 IAoLC2wSLghfGsFzC7DIOUIAtWodd+X9OBMK+8byvcPBhkY5z32scH5SNk0DsMEwRY8f
 BwqA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=7HQkg7HCe6d5p+ux8ui0AjStEiJCJ51P6CfqMry4L4s=;
 b=hZFwTN36amL0S4qYvwPUE7nyQ30g5ED90LoHYXtXZkAX8O0dyeFH6vlRq2Nbdv22fz
 B2PyaB35ApVWxhA0X66DSy/SjfejPZ5dkv/F6oQwXrtV4XxvwcoAkX7Hv/QEMSvQ/oSd
 iA/sBRlJTlLvdSp9P8a8zq34cHkL5ZjclEkWJz4MgCcKRTBmFUdQUnZw7KwHIxHgJFN6
 U0/aG43JvVNwqWPtW5/GY3Ypxw5QWTsHO6ePLhY5d6uCC2CCSnEpM10q1fQIWFAh+Hh4
 JjIsCecNQS3WhL+hGOTS6IiCDFPf2BlSrtbIvDQdb84CHPNgDBvrVjkan9Woa89QMJuo
 UraQ==
X-Gm-Message-State: AOAM5339cRBT3fqxVXr72PfUKhEq6iZztBXqzfZL2/nx+KB8Uf9q6H9x
 07yx/vvagKb3SlrPedCzpTc=
X-Google-Smtp-Source: ABdhPJz0qJZgbZVBE5OOrnvlnEArRjTA+CMH8145leowOB2udRmN8OcSq8q9lTLu6kMRqvLz5jxxbg==
X-Received: by 2002:a17:906:cb88:: with SMTP id
 mf8mr33867526ejb.541.1619016341123; 
 Wed, 21 Apr 2021 07:45:41 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id mj7sm2627379ejb.39.2021.04.21.07.45.39
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 21 Apr 2021 07:45:40 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <62fee2e3-8ae2-cbc9-9681-4d7f0fe680c0@HIDDEN>
Date: Wed, 21 Apr 2021 17:45:38 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <192e82f20f5deb690394@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, monnier@HIDDEN,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 21.04.2021 09:47, Gregory Heytings wrote:
> 
>>>> And it turns the cursor red irreversibly in my config (but not in 
>>>> 'emacs -Q').
>>>
>>> That's rather strange, color-bell--cursor-background is saved only 
>>> once, when visual-bell is called for the first time.  I'll try to 
>>> reproduce the issue, but some more detailed information (e.g. with 
>>> debug-on-variable-change) would be welcome.
>>
>> I'll try bisecting when I have the time. In any case, it's just an 
>> implementation bug, not a blocker.
>>
> 
> Does the attached patch fix the problem in your config?  It is probably 
> safer to check the cursor color each time color-bell is entered.

It does not, sorry.

Anyway, speaking about other faces you could inherit from (for the echo 
area flash), how about 'highlight' instead of 'match'?

Seems more appropriate.

>>>> Is nobody bothered by having this kind of visual indication while 
>>>> 'visible-bell' is nil, though?
>>>
>>> It's easy to turn off, as indicated in NEWS: (setq ring-bell-function 
>>> nil).
>>
>> I mean, like, semantically: this new proposal is also visual/visible.
>>
>> But 'visible-bell' is nil.
>>
> 
> Yes, it's perhaps a bit unfortunate that "visible-bell" is nil in this 
> case, but note that with visible-bell t and ring-bell-function ignore 
> you also do not have what you could expect.  The semantics of 
> visible-bell and ring-bell-function are a bit unclear, but they cannot 
> be fixed anymore without introducing backward incompatible changes.

Perhaps a good idea would be introduce a visible-bell-function.

But that's hard to do without overriding current customizations, as you 
described.

> I understand that you're accustomed to what visible-bell t does on 
> GNU/Linux, but frankly, its ugly.  Ask their opinion to non-Emacs users 
> about that bell, I'd be surprised if they like it.

Do we have anything to compare to in other editors, BTW?

Ones that non-Emacs users employ and could consider preferable.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 14:35:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 10:35:58 2021
Received: from localhost ([127.0.0.1]:59362 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZDxN-00036H-Vu
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:35:58 -0400
Received: from heytings.org ([95.142.160.155]:47438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lZDxI-000363-Sl
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:35:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619015751;
 bh=S8vdG6lrJPoXdhOijheNba8lcuUP17Sr9uiGDNVVJSg=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=HO6CnddJnaK5F0DLbEjNgDiApgFkIgP6V10C9/UKeGcpb6i9W0Nt4/vSsMP1ZMUNS
 +bWXPM/P5sA9zoKEzcXyT1H8NqelPTa5A3x16COlGAwdqNj3Mj/o2BIMKdLIRTcpbv
 ORvJP8xk1I3gmuQ9rR3SJVWRvBPsTsMHKuLXPLOJ03YYg0+NZZSuCNTYLv0xp9HMlJ
 8nclAkxTf2Dkzq6ydMl5FwW1ulSahBwaNJpLa1O1aS3RnWk4ZG5v/ISWdbSJsC3LFZ
 yf55Cx6mmOqyudo144oPCHDrM1S74df657XHXms9zyB9mOVerZu+VlC7t4EJRvmlxC
 PJvxrcWjsY+lw==
Date: Wed, 21 Apr 2021 14:35:51 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <CADwFkm=iT_xtDeaRxAU_YNHm_=1x_0VQo2z=hS96y9vtXMzVWQ@HIDDEN>
Message-ID: <192e82f20f3239696b3b@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <192e82f20fbb3e50ce0c@HIDDEN>
 <CADwFkm=iT_xtDeaRxAU_YNHm_=1x_0VQo2z=hS96y9vtXMzVWQ@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> I have used this for a couple of days and find it strictly better than 
>>> both the default behavior on GNU/Linux with inverse video and flashing 
>>> the minibuffer background.
>>
>> Did you try the patch I sent?
>
> Yes, of course.  I provided detailed comments in a previous post.
>

You mean, the post to which I replied?  Okay, it wasn't clear to me that 
you were also commenting on that patch.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 14:33:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 10:33:51 2021
Received: from localhost ([127.0.0.1]:59358 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZDvL-000332-J2
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:33:51 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:17218)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1lZDvJ-00032n-99
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:33:50 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id BBCA4440C5C;
 Wed, 21 Apr 2021 10:33:43 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 363C3440C29;
 Wed, 21 Apr 2021 10:33:42 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1619015622;
 bh=q4GQ51r20viJCh7I0kXBa/BSACKMWt04KYT2s8PufVE=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=AGU95xNWnDmJzzacGQY6lhpbVuNuEo47RwG5SF+dU9pOyh3OcDPOd/t0y14zW1/Pd
 DwP71xWUWib6BBzzJNoC8A9UmzJyosZT7d7FlkcY1lpruPBPb4tNkhQ10x3T1srNSm
 wPSoxB8C1Q5Tg0sHf2obgwXBG8mmompI9m0on1KkWS4pxbFgpqPZ/6c4KX8U2yqwJU
 dPpdwi1o3PF7o7YnPscQC/5+/8/rA+A3Hfui++EaC/93AYsa16IGQcHQZPha45MtBK
 bG3SYK9afxyqS0gc0uJPF83d7fjbL7ld9QIaNRonedP0wt8sPZZIMXkiUO31Bquy09
 nlNtqpRGYVoUg==
Received: from alfajor (104-222-126-84.cpe.teksavvy.com [104.222.126.84])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id C6D69120264;
 Wed, 21 Apr 2021 10:33:41 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
Message-ID: <jwv35vjn1zt.fsf-monnier+emacs@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
Date: Wed, 21 Apr 2021 10:33:35 -0400
In-Reply-To: <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 (Stefan Kangas's message of "Wed, 21 Apr 2021 08:11:04 -0500")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.100 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Gregory Heytings <gregory@HIDDEN>,
 jasonspiro4@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> Yes, it's perhaps a bit unfortunate that "visible-bell" is nil in this
>> case, but note that with visible-bell t and ring-bell-function ignore you
>> also do not have what you could expect.  The semantics of visible-bell and
>> ring-bell-function are a bit unclear, but they cannot be fixed anymore
>> without introducing backward incompatible changes.
>
> I think this is a bit of a mess, indeed.
>
> I would be in favour of fixing this by adding one or more new variables
> with reasonable semantics.  For example, why not have a variable called
> `alarm-bell' with these valid values:
>
>     - a function    call this function
>     - `visual'      Use a visual bell
>     - t             Ring the bell
>     - nil           Do nothing

Agreed, except I suggest to use slightly different names: `visual` becomes
`ring-bell-visual`, `t` becomes `ring-bell-beep`, `nil` becomes `ignore` and
`alarm-bell` becomes `ring-bell-function`.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 14:30:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 10:30:36 2021
Received: from localhost ([127.0.0.1]:59354 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZDsC-0002yV-2I
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:30:36 -0400
Received: from mail-pg1-f169.google.com ([209.85.215.169]:40870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lZDsA-0002yG-HQ
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:30:35 -0400
Received: by mail-pg1-f169.google.com with SMTP id b17so30008422pgh.7
 for <1305 <at> debbugs.gnu.org>; Wed, 21 Apr 2021 07:30:34 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=DHtsqPtIAjAYvgKSrFmNWYpUWg9CLf/XSJUJiIrVPSg=;
 b=WVDAw5rNOj91FS3cEpZNdUWjmhRA+M1PlazrfJbpB4UI6iO8EHj+hQsagjk7aN7/i2
 ks8X8tUMcW+xNLQcI2din3gNZXDa9Ji9RafZO5tbje65X9DsuOGcn1bNCnBFZYY/i0U+
 Il38hE6km4F8ft/zO/JSFNllM0znGw59+cn0eYEPZ5l1OOu8D6RZJHsdLsinbV0pOQrx
 iorwMzgyxDWpBVxwZ/1lgCNN5QSBf+aUdDo7gNN5bOIlJx6hwLhAR7QNov6MI2YYZwib
 Y4UV0hQjUzBRj5qLYb/OGzNVFagvnwq6RgDhhbXaUl+5k6iUbF4j5/QQ4GENw+lk0LiO
 SkTQ==
X-Gm-Message-State: AOAM53299neiKqQByNCaTqJ4BvVGR8VKD+FwPTvD6e21aGxMQLAkge/+
 1uIUdF1VkriQ+Y2N+85oW0MPeKa7xw5GjdGnP54=
X-Google-Smtp-Source: ABdhPJyJOMJN2zPXXw4cSXfuiT/W44CZ8F9LbAbuuVuUunDeWBiQ4K+/LlQEnAneeajW3zpd9JNWiWRjRof/kx6Gi3k=
X-Received: by 2002:a63:a16:: with SMTP id 22mr8337811pgk.345.1619015428654;
 Wed, 21 Apr 2021 07:30:28 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 21 Apr 2021 09:30:28 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <192e82f20fbb3e50ce0c@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN> <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <192e82f20fbb3e50ce0c@HIDDEN>
MIME-Version: 1.0
Date: Wed, 21 Apr 2021 09:30:28 -0500
Message-ID: <CADwFkm=iT_xtDeaRxAU_YNHm_=1x_0VQo2z=hS96y9vtXMzVWQ@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Gregory Heytings <gregory@HIDDEN> writes:

>> For my money, the Doom idea, to flash the mode line in a different
>> color, is the most good looking one.  It is also hard to miss, and
>> doesn't risk hiding or obscuring the minibuffer.
>
> IMO having a default bell that changes the the mode-line on every error is
> a recipe for disaster.  There are too many packages that do all kinds of
> stuff with the mode-line.

That would just be bugs to be fixed though, right?  Most likely in those
packages themselves.

>> I have used this for a couple of days and find it strictly better than
>> both the default behavior on GNU/Linux with inverse video and flashing
>> the minibuffer background.
>>
>
> Did you try the patch I sent?

Yes, of course.  I provided detailed comments in a previous post.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 14:12:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 10:12:34 2021
Received: from localhost ([127.0.0.1]:59304 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZDak-0002Un-9i
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:12:34 -0400
Received: from mail-ej1-f46.google.com ([209.85.218.46]:41593)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lZDah-0002UY-J4
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:12:33 -0400
Received: by mail-ej1-f46.google.com with SMTP id mh2so42178248ejb.8
 for <1305 <at> debbugs.gnu.org>; Wed, 21 Apr 2021 07:12:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=keU7vwHjTXlBwzqkVH61DBdsUiDGrvyCycnz6NRZtdo=;
 b=VCOY9NGpZ3Km0abfE6gH0hpqjJdQlAVH20+QK581yZ32vbPRS0JDFREGFDIvZTjOt7
 e4wMQgEuVYIn6IR5iUeupGRpWWTnHhY+xBrxiHcKfS3z+1QviojnEQbetiEi2f5eh4DN
 zO4l3PcpWctq104oV7Im8N4XC/+gYbHwTJIh45lu5pIofFftOqfQZ3jruNvJEvyUnhMJ
 t6oXJ14MfzU3HWU+4vouu/t0db+pbCqvkqdtrOTZ6sAzFI+U7frUrev9icNztKPputx7
 Y1GbRMwzVNGPxUOGOLtSRcmjefBG53mUYdIV/23tsSCzmCafALIRZ5wZ6kU3uOTp4NQD
 lhRw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=keU7vwHjTXlBwzqkVH61DBdsUiDGrvyCycnz6NRZtdo=;
 b=IXZGXKEqqTAtGuGs8WLYexSsIuUWmPI3FQjBXrieNV5jG23Axou8wO1GnV4wvegy32
 PmlpZCI6WHCYhI0hmxqvRtqaZVae+1EkFhdG0DWeOSVu0Lvdh73xEOm0ZTBkut7Sn1G4
 NiDCyOrZMdY+I/y9JIQzv0gEn0/IXWCZkNNUup9J+mtLAf1QDvAkI8j5O2/KHfP/kZfa
 ch340KHaU2ObopjgHVx65mjBC4Re/Io1eVuJvp8V8Olvlw1fP7B3Uq4aPydLaMIvsyaa
 N58WR/tDtHAs+nAX+Icq6pW/ggHvqXZ6/2/e1tawy7TwGWydx7h+JOaHx0ki5FfQRSn3
 Sfhw==
X-Gm-Message-State: AOAM530rMJBr5SS1aXjjnhbm81KSPPiayEDq9m96GUKxfSNkvR5B+avn
 33mqlMc+6lLy1BXapVh4yX4=
X-Google-Smtp-Source: ABdhPJy9SEOiMMSwG6tM3UDgmCATW+V4Eb0YKAEvyLQ5KRGu0vk10ZvD7kgSawLHhv3AVZLEoRaxeA==
X-Received: by 2002:a17:906:b28c:: with SMTP id
 q12mr33550148ejz.284.1619014345856; 
 Wed, 21 Apr 2021 07:12:25 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id l6sm2614466ejc.92.2021.04.21.07.12.23
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Wed, 21 Apr 2021 07:12:25 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>, Stefan Kangas <stefan@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
 <192e82f20fbb3e50ce0c@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <fbeccfb3-9c59-9c39-84a3-1472a1afa8a4@HIDDEN>
Date: Wed, 21 Apr 2021 17:12:22 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <192e82f20fbb3e50ce0c@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 21.04.2021 17:05, Gregory Heytings wrote:
> You mean, that it's "a proven behavior with no significant complaints"? 
> I'd be very surprised if many GNU/Linux users did set visible-bell to t. 
> What I see is that it's not the default behavior, and that most popular 
> starter kits disable the bell completely.

Most starter kit maintainers are using macOS, unfortunately.

That must affect their choice of default.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 14:05:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 10:05:26 2021
Received: from localhost ([127.0.0.1]:59300 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZDTq-0002Kc-HH
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:05:26 -0400
Received: from heytings.org ([95.142.160.155]:47370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lZDTk-0002KP-Tu
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 10:05:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1619013919;
 bh=Ju6NzA98Qq9Rvl6uX9bKHyztGpvLjQX0FoRQ0Tw9Msw=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=dDGu/UginuJbfqEUZr87FNhR+nHajRDQpPnyhfX0BA26IumS1gIzOY/6LshngYgnX
 KLzqRNpwUWSPRtjnHXvBv/DvtEV2/4DcMKObJtQkZ5VMf6pAN6O5dpskn9mivtiYSQ
 ATDoGX0f6Y/Vw1vznFocqhcYkUH1SrXhX8QmSlloyxkZrvLHsOftKuWbQ0dahpSYAn
 Mtih/DWrGfQGqWR1RZ863eqA8E+8OqFKf2bvwNHJTf0V//htackUcajc66exsKzCyi
 4nqS6DUIYIybL6ZmlV9fuQrS5fsZkkAUfIJpttyZMLX1DjW/ET95GGLw8N1eRUX0F1
 D/Ns+SZDH4hNQ==
Date: Wed, 21 Apr 2021 14:05:19 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
Message-ID: <192e82f20fbb3e50ce0c@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
 <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>>> My #1 preference would be to make it all behave like (setq 
>>> visible-bell t) on GNU/Linux does. This way we both get a proven 
>>> behavior with no significant complaints, as well as consistency across 
>>> platforms.
>>
>> I understand that you're accustomed to what visible-bell t does on 
>> GNU/Linux, but frankly, its ugly.  Ask their opinion to non-Emacs users 
>> about that bell, I'd be surprised if they like it.
>
> That's a good point, IMO.  But Dmitry's argument is also fairly 
> compelling.
>

You mean, that it's "a proven behavior with no significant complaints"? 
I'd be very surprised if many GNU/Linux users did set visible-bell to t. 
What I see is that it's not the default behavior, and that most popular 
starter kits disable the bell completely.

>
> For my money, the Doom idea, to flash the mode line in a different 
> color, is the most good looking one.  It is also hard to miss, and 
> doesn't risk hiding or obscuring the minibuffer.
>

IMO having a default bell that changes the the mode-line on every error is 
a recipe for disaster.  There are too many packages that do all kinds of 
stuff with the mode-line.

>
> I have used this for a couple of days and find it strictly better than 
> both the default behavior on GNU/Linux with inverse video and flashing 
> the minibuffer background.
>

Did you try the patch I sent?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 13:11:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 09:11:13 2021
Received: from localhost ([127.0.0.1]:57183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZCdN-0006mm-9a
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 09:11:13 -0400
Received: from mail-pf1-f170.google.com ([209.85.210.170]:37713)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lZCdK-0006mZ-U5
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 09:11:11 -0400
Received: by mail-pf1-f170.google.com with SMTP id y62so4954359pfg.4
 for <1305 <at> debbugs.gnu.org>; Wed, 21 Apr 2021 06:11:10 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=GLfMKmekzrmXFJqPQiWgWtIbtgGnpz+GmYRAsER9OtQ=;
 b=ujGa2xSnGWQ1n1jOSCINaNwR2dFewWskD4xQxb7ABCPQb5TqtCmHVid+bsbcbwWRXI
 sWs9KBlUk7zkt9lGfIatyeZVXBjLiZj88XWIC7QB9h6a/MG4ibcVkm6FZKCU/v4sh1SU
 6hiwgHrLj7Bo1vv/x9bVa5Vig0W+IBo5FnsysDd+gruKa5XVJPcD6TAljyxcpRB9Wu53
 kfLcXegCw2aSQmYXXpNyxSslwc9D23fJLbJyvv699azAGuo5f5tLieDywX5KylNI82SZ
 zW9OPzTNkLReEhDbJVVYU1mXEUpazY9aPs4GEsbdD8uhQ+owwPrxfLU5JPdy8Jn2NFeH
 Noxw==
X-Gm-Message-State: AOAM5320kQeeyMu0TIh7Ds8mrDDPDoiDxly21A/JyTmGjuxIMeOFYZDl
 rr0Cu00cBpR0dx8iqtIhfNA1Bl4XGQLCSbDrJt8=
X-Google-Smtp-Source: ABdhPJxcKBoF/10nt9nnF9dTUDlPpgi5g9tG2sTwPPyO8PlDE3N4w+Vl+u/YsLFALgfyg8yVGIOgCXW6C033SlzqqPA=
X-Received: by 2002:a05:6a00:2353:b029:25c:7dc5:a718 with SMTP id
 j19-20020a056a002353b029025c7dc5a718mr19499186pfj.58.1619010664990; Wed, 21
 Apr 2021 06:11:04 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 21 Apr 2021 08:11:04 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <192e82f20f5deb690394@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN> <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
 <192e82f20f5deb690394@HIDDEN>
MIME-Version: 1.0
Date: Wed, 21 Apr 2021 08:11:04 -0500
Message-ID: <CADwFkmkSQH+=HuDyZcpWOOonRPWh8h6YTyfs-H1rJJ6xEUeyDA@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Gregory Heytings <gregory@HIDDEN> writes:

> Yes, it's perhaps a bit unfortunate that "visible-bell" is nil in this
> case, but note that with visible-bell t and ring-bell-function ignore you
> also do not have what you could expect.  The semantics of visible-bell and
> ring-bell-function are a bit unclear, but they cannot be fixed anymore
> without introducing backward incompatible changes.

I think this is a bit of a mess, indeed.

I would be in favour of fixing this by adding one or more new variables
with reasonable semantics.  For example, why not have a variable called
`alarm-bell' with these valid values:

    - a function    call this function
    - `visual'      Use a visual bell
    - t             Ring the bell
    - nil           Do nothing

We should be able to do that while declaring the old variables obsolete,
and preserving their semantics meanwhile, especially given that both
`visible-bell' and `ring-bell-function' is nil by default.

>> My #1 preference would be to make it all behave like (setq visible-bell
>> t) on GNU/Linux does. This way we both get a proven behavior with no
>> significant complaints, as well as consistency across platforms.
>
> I understand that you're accustomed to what visible-bell t does on
> GNU/Linux, but frankly, its ugly.  Ask their opinion to non-Emacs users
> about that bell, I'd be surprised if they like it.

That's a good point, IMO.  But Dmitry's argument is also fairly
compelling.

For my money, the Doom idea, to flash the mode line in a different
color, is the most good looking one.  It is also hard to miss, and
doesn't risk hiding or obscuring the minibuffer.

I have used this for a couple of days and find it strictly better than
both the default behavior on GNU/Linux with inverse video and flashing
the minibuffer background.

Did anyone have any objections to doing it that way?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 06:47:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 21 02:47:32 2021
Received: from localhost ([127.0.0.1]:56812 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZ6e3-0000pi-M1
	for submit <at> debbugs.gnu.org; Wed, 21 Apr 2021 02:47:32 -0400
Received: from heytings.org ([95.142.160.155]:46876)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lZ6e1-0000pY-Ht
 for 1305 <at> debbugs.gnu.org; Wed, 21 Apr 2021 02:47:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1618987647;
 bh=qWS+0pj6Cq1Vr8wPX3/BqCgZRk3ca09aK6Yiu+pub3Q=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=HxqXJHVIcTSiPjYiTpiR1LLKRD5skYfTJ2+hrSOldHpd1u5VutF+JBahlajn4v0nL
 2sVGJ5g4cAaFeMe494zI2EESy++xOkYkriog/KFDfyHWwzZ5aA9YNMyoSraN34AEdN
 WpVz/TCFGygXkt1s9MBE61NRAPXMo8xur0a4PlR/eQ7VMtbQ5rBtnsKD+QQ4x02+O+
 paFT+0H4PIuvMs3phI7jS1cdpBDyU23JqdHQDUA4AWjL8g8vbgLo4kRYlczZs0qbVA
 /GbolV7GCbPuPZ/foW+jSL3iw3nST+ipO87yIR9BSo/9mqLxrnDULDQqCCsHOMuEaO
 uhWiXZCs3FVtg==
Date: Wed, 21 Apr 2021 06:47:27 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
Message-ID: <192e82f20f5deb690394@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
 <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="QnLsfEgGj1"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, monnier@HIDDEN,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--QnLsfEgGj1
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable


>>> And it turns the cursor red irreversibly in my config (but not in=20
>>> 'emacs -Q').
>>=20
>> That's rather strange, color-bell--cursor-background is saved only=20
>> once, when visual-bell is called for the first time.=C2=A0 I'll try to=
=20
>> reproduce the issue, but some more detailed information (e.g. with=20
>> debug-on-variable-change) would be welcome.
>
> I'll try bisecting when I have the time. In any case, it's just an=20
> implementation bug, not a blocker.
>

Does the attached patch fix the problem in your config?  It is probably=20
safer to check the cursor color each time color-bell is entered.

>>> Is nobody bothered by having this kind of visual indication while=20
>>> 'visible-bell' is nil, though?
>>=20
>> It's easy to turn off, as indicated in NEWS: (setq ring-bell-function=20
>> nil).
>
> I mean, like, semantically: this new proposal is also visual/visible.
>
> But 'visible-bell' is nil.
>

Yes, it's perhaps a bit unfortunate that "visible-bell" is nil in this=20
case, but note that with visible-bell t and ring-bell-function ignore you=
=20
also do not have what you could expect.  The semantics of visible-bell and=
=20
ring-bell-function are a bit unclear, but they cannot be fixed anymore=20
without introducing backward incompatible changes.

>> And IMO this is way better than the current situation, in which the=20
>> default behavior depends on too many parameters that are outside the=20
>> control of Emacs, in which the available options are different=20
>> depending on the platform, and in which on certain platforms none of=20
>> the available options are good.
>
> My #1 preference would be to make it all behave like (setq visible-bell=
=20
> t) on GNU/Linux does. This way we both get a proven behavior with no=20
> significant complaints, as well as consistency across platforms.
>

I understand that you're accustomed to what visible-bell t does on=20
GNU/Linux, but frankly, its ugly.  Ask their opinion to non-Emacs users=20
about that bell, I'd be surprised if they like it.
--QnLsfEgGj1
Content-Type: text/x-diff; name=New-default-bell.patch
Content-Transfer-Encoding: base64
Content-ID: <192e82f20f4f90aaee6f@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=New-default-bell.patch
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--QnLsfEgGj1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 21 Apr 2021 01:16:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 20 21:16:14 2021
Received: from localhost ([127.0.0.1]:56492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lZ1TR-00084k-Qa
	for submit <at> debbugs.gnu.org; Tue, 20 Apr 2021 21:16:14 -0400
Received: from mail-wm1-f45.google.com ([209.85.128.45]:50801)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lZ1TP-0007yB-Td
 for 1305 <at> debbugs.gnu.org; Tue, 20 Apr 2021 21:16:12 -0400
Received: by mail-wm1-f45.google.com with SMTP id u187so1736041wmb.0
 for <1305 <at> debbugs.gnu.org>; Tue, 20 Apr 2021 18:16:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=0c9mMI1n9Y4KIds0aVGtXBct3sJqKaHaHOY/XuBstw0=;
 b=skvhXqTchp+XkG06s8Vl6C315g1UFvSqN4xcc7vA9XJ4elXHConYPjPj+yfcGOH+VD
 z+FF26tGMKG8NpzMPq4O3+d4Sj6r7mDPJ6OLVj96m7P1vDIczNLzCSJ2i49FjznK9C03
 sLBrpWpLhLeVWc6JYGL2PrdPgnwcggQ6oXM1Wff6FLshqBesO9L5wkXT1qLMJ7pElPkF
 QN4RidXf6aWcrP5duc4QnoRVm5xL7TBtLAkhOCzxKSXrbzgrTDRH2GSHhlhAo/rMF9BN
 1PyVdEWTs7JUncuUBQr3QfTSzhMnChVZUuyutBiv38OEi6925VIJWLVg6ESlFX7X8YQK
 eGGA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=0c9mMI1n9Y4KIds0aVGtXBct3sJqKaHaHOY/XuBstw0=;
 b=QFiaegLqOvIFSCeO6hvo+lqiHlr0Z7u2NRENKptYlt7A3RL4o2gJyag+ppjbV7dRZx
 AuAgdPHcpZy6alfCTY6NmfcAsob21ARauBOE2A8npYnBpNFjfsZacCmBSLiVfLepugOZ
 SkOTmtZJI+qHFZkrtthtHf1cuvi65odzAC0bA+z8g0KsErJZltHkpdDlzj2PMAy3C8eF
 F7RAVmq2QGyth4aBjMNfWk5mERX9jPkp5XzaJsc3Y6eubQSel5aulNkb9S1ByyuelfX0
 xofEIl3U8YI+znn4B4fyj108K/tOvXRTMAXSYPTjeDRywgIMrKyBbpCmeEkwDICNSy82
 wCOQ==
X-Gm-Message-State: AOAM530S3nZ3pjZR5GJMTVBpehP6sN3Jw839FL+1LFmI1Fjimj76H7+f
 7QP1NONfKC7Bf0tmUyUWFYQ=
X-Google-Smtp-Source: ABdhPJz/OHtp5kySaaf2ZQpOkuSZvYiugdB8mi+6747KSk5Dsl21tZXpEmTVonnVm+yWO1Ea9MUHAA==
X-Received: by 2002:a7b:c312:: with SMTP id k18mr7082058wmj.89.1618967765846; 
 Tue, 20 Apr 2021 18:16:05 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id y11sm894832wro.37.2021.04.20.18.16.03
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 20 Apr 2021 18:16:05 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
 <a6e276cb035195168c7d@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <0d7924a2-d09f-e2d0-f0e7-6b5ee3a7a7f2@HIDDEN>
Date: Wed, 21 Apr 2021 04:16:02 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <a6e276cb035195168c7d@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, monnier@HIDDEN,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 20.04.2021 22:19, Gregory Heytings wrote:
> 
>>
>> In general, I like it
>>
> 
> Thank you :-)
> 
>>
>> (though the concerns about colors are still there; perhaps just use 
>> inverse-video in GUI as well?).
>>
> 
> You mean, do what (setq visual-bell t) does?  There's already an option 
> for that...

Not on all platforms, though.

>> And it turns the cursor red irreversibly in my config (but not in 
>> 'emacs -Q').
>>
> 
> That's rather strange, color-bell--cursor-background is saved only once, 
> when visual-bell is called for the first time.  I'll try to reproduce 
> the issue, but some more detailed information (e.g. with 
> debug-on-variable-change) would be welcome.

I'll try bisecting when I have the time. In any case, it's just an 
implementation bug, not a blocker.

>> Is nobody bothered by having this kind of visual indication while 
>> 'visible-bell' is nil, though?
>>
> 
> It's easy to turn off, as indicated in NEWS: (setq ring-bell-function 
> nil).

I mean, like, semantically: this new proposal is also visual/visible.

But 'visible-bell' is nil.

> And IMO this is way better than the current situation, in which 
> the default behavior depends on too many parameters that are outside the 
> control of Emacs, in which the available options are different depending 
> on the platform, and in which on certain platforms none of the available 
> options are good.

My #1 preference would be to make it all behave like (setq visible-bell 
t) on GNU/Linux does. This way we both get a proven behavior with no 
significant complaints, as well as consistency across platforms.

But your proposal is a close second.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 20 Apr 2021 19:19:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 20 15:19:44 2021
Received: from localhost ([127.0.0.1]:56038 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYvuR-0006FO-Of
	for submit <at> debbugs.gnu.org; Tue, 20 Apr 2021 15:19:44 -0400
Received: from heytings.org ([95.142.160.155]:46316)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lYvuP-0006FG-VP
 for 1305 <at> debbugs.gnu.org; Tue, 20 Apr 2021 15:19:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1618946380;
 bh=fD29d9oPnYGhW47mWeJbvsAiHQdaUbWHPVvwQd8f+6Q=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=RERe2mGq7RRIG2C8FP6TOdbPTuU30noP9ejBjFToGXeQa+LlEXu0fRqlfmWqUzcwT
 2HuFQqfSu88ezCfq4slHplOlviTv49AHq7xQg0YLR13qL6efROqk3Zv5EF9SUi/K3C
 mqC2XL/hQyXp5H1YyWDL74wJxN0LeaA/gXJscwFTUI0xLdqZgubLXJlSs/h+rPBI5n
 4OrrB14nN5VrpfGKqdxRFxZtaQ5tDbk5DtIT5837qc3NypJV1YEMKHBXWt0eFrJSGx
 /hEE5tnxWurrFqgD7A51tH2XPmJ+mxpnaQLkUEWJH+KLMSqvYkNUAb0LjTNxRBz6Y9
 imgggC57t5KrQ==
Date: Tue, 20 Apr 2021 19:19:40 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
Message-ID: <a6e276cb035195168c7d@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
 <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>, Stefan Kangas <stefan@HIDDEN>,
 jasonspiro4@HIDDEN, monnier@HIDDEN,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> In general, I like it
>

Thank you :-)

>
> (though the concerns about colors are still there; perhaps just use 
> inverse-video in GUI as well?).
>

You mean, do what (setq visual-bell t) does?  There's already an option 
for that...

>
> And it turns the cursor red irreversibly in my config (but not in 'emacs 
> -Q').
>

That's rather strange, color-bell--cursor-background is saved only once, 
when visual-bell is called for the first time.  I'll try to reproduce the 
issue, but some more detailed information (e.g. with 
debug-on-variable-change) would be welcome.

>
> Is nobody bothered by having this kind of visual indication while 
> 'visible-bell' is nil, though?
>

It's easy to turn off, as indicated in NEWS: (setq ring-bell-function 
nil).  And IMO this is way better than the current situation, in which the 
default behavior depends on too many parameters that are outside the 
control of Emacs, in which the available options are different depending 
on the platform, and in which on certain platforms none of the available 
options are good.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 20 Apr 2021 18:27:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 20 14:27:54 2021
Received: from localhost ([127.0.0.1]:55960 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYv6I-0004xZ-ES
	for submit <at> debbugs.gnu.org; Tue, 20 Apr 2021 14:27:54 -0400
Received: from mail-wm1-f46.google.com ([209.85.128.46]:42769)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lYv6H-0004xN-4q
 for 1305 <at> debbugs.gnu.org; Tue, 20 Apr 2021 14:27:53 -0400
Received: by mail-wm1-f46.google.com with SMTP id
 y5-20020a05600c3645b0290132b13aaa3bso8797442wmq.1
 for <1305 <at> debbugs.gnu.org>; Tue, 20 Apr 2021 11:27:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=Go/2H+tFSKStsNSwss3a0V5RHdD4G4TR6ul1/WQGKf8=;
 b=J/5YqKy0kuGrp9+bSWYiOr4XGPEtGQuOFOZ+3gsrVK1YjWcay2UZabM/luvt6hyo1X
 dzreIvAqnW5Swx9SKli5KsYJtf3Xa+LezTdslokpcC9qb6vbWt2L6dMT+qGyQKK0TqBT
 269cScKGyy4MA55TPohxCmxlueRDXsUA3PIeJ3L8G52QrV6KijP3QoOwDVXvEhcOoZXT
 k13saAzIiefu8smOEyqHAevBXjXFpLcyhavMWFBOpLTcqs+uM5JbNKfpueHlYvBcREQ1
 3WmT5L6v/FqGnVUo+lKTF0beSpQmhJ9uqvg18BmHQHI/TrJPWPpNZv1uToykMnq+AvFj
 58+g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=Go/2H+tFSKStsNSwss3a0V5RHdD4G4TR6ul1/WQGKf8=;
 b=sm67OIp/Ahev3InamjxDJdYtCJiMlsVBxBs9gUzmzcFMM9sfR5pFnsQzQxg1qxj/KI
 ZEqGbru6GvYwunSjvsaAY8tLqVw/c9HTBNYLTgmW/Mf7FOckCzCiTntjdn5oRaJ1QbPs
 3+t4YvZFq8PUOOfaavmRZcfzhOfFD3h/ZND86NeS+deLoKB72L2CDs4CVvZGHuMSGCQT
 +0kzT7PQ2BhRk/cQ8ycV3AdoT2aiKDwM3Y7ZKMiQiYXhLpN/eOUCGnyNufT4hIwrzgK9
 mw9GOkiJ6drgyb0pyWiEmbD4KLh5zAhzFTdBtFF7gIaJQfGahy2/K9gx6SX2LjhVfmlx
 Lq3g==
X-Gm-Message-State: AOAM533Z7z23HYaOP1n8drb6up9d3LnvYY2ejGmR37SgTp99lMU2Ugzf
 EKJirKWDce22FqDzNbM3rH4=
X-Google-Smtp-Source: ABdhPJwaRHpllpaqw7xSSyntGri1RhyRDmVA/H2i6rV1hwJi9ehLwN0mxH86SEMlred8qqFWOBFEQw==
X-Received: by 2002:a7b:c7d2:: with SMTP id z18mr5806332wmk.104.1618943267263; 
 Tue, 20 Apr 2021 11:27:47 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id 61sm30544127wrm.52.2021.04.20.11.27.44
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Tue, 20 Apr 2021 11:27:45 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>, 1305 <at> debbugs.gnu.org
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
 <a6e276cb03af93fb74e4@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <f6242b8d-b48f-97b6-09d9-64db90bc3006@HIDDEN>
Date: Tue, 20 Apr 2021 21:27:43 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <a6e276cb03af93fb74e4@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, Michael Welsh Duggan <mwd@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 20.04.2021 17:21, Gregory Heytings wrote:
> 
> I attach a patch which implements a new default bell.
> 
> It can't be pushed yet (my paperwork is still not finished :(), but 
> comments are welcome.

In general, I like it (though the concerns about colors are still there; 
perhaps just use inverse-video in GUI as well?).

And it turns the cursor red irreversibly in my config (but not in 'emacs 
-Q').

Is nobody bothered by having this kind of visual indication while 
'visible-bell' is nil, though?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 20 Apr 2021 14:21:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 20 10:21:36 2021
Received: from localhost ([127.0.0.1]:55696 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYrFw-0005Bw-5q
	for submit <at> debbugs.gnu.org; Tue, 20 Apr 2021 10:21:36 -0400
Received: from heytings.org ([95.142.160.155]:46020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lYrFt-0005Bn-D3
 for 1305 <at> debbugs.gnu.org; Tue, 20 Apr 2021 10:21:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1618928491;
 bh=QFEGXmm8CzvunnPP6UiJUm0p5BH4k7Zpc8AJ2ZdDIiI=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=h3tOVNzqKYpbbwBdYNhzPTJtOo+0QnmqhEoZc4OcpY6Rn8R2c0p8bqNNColNiA5ml
 QizJ0I3J1vhQ6tiimmY6bcL5HR3RrST52nNzDYJkdi40jdo1fqNKd9WMErUGlgt+ve
 yewE0K0ZINLXHuWJ7BVzMwhzvZiTkj5h/iUKtcF5oQjSvsptOtog6T+V6ketuoHoCU
 5qgHJjWLcclCknlH3Ubr/28Hd/yCinyUIq8PnuDJBjiOlTGcPuKi6JZbmL+ioq/E+D
 o76GkTU/2X/q8ygMSgaCpR1ZKCPRPQucCcMo1x2ni5QgaTWoM+nt6t0Wr5aEY0/aBs
 lZpIz8djqFaLg==
Date: Tue, 20 Apr 2021 14:21:31 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: 1305 <at> debbugs.gnu.org
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <YH2Wk0ix6dxJ7J/m@HIDDEN>
Message-ID: <a6e276cb03af93fb74e4@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
 <YH2Wk0ix6dxJ7J/m@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="kx8uSG7NCW"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Alan Third <alan@HIDDEN>, Michael Welsh Duggan <mwd@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--kx8uSG7NCW
Content-Type: text/plain; charset=us-ascii; format=flowed


I attach a patch which implements a new default bell.

It can't be pushed yet (my paperwork is still not finished :(), but 
comments are welcome.
--kx8uSG7NCW
Content-Type: text/x-diff; name=New-default-bell.patch
Content-Transfer-Encoding: base64
Content-ID: <a6e276cb0367c3620f3e@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=New-default-bell.patch
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--kx8uSG7NCW--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 14:41:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 10:41:47 2021
Received: from localhost ([127.0.0.1]:51557 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYV5v-0008JH-Br
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 10:41:47 -0400
Received: from outbound.soverin.net ([116.202.65.218]:60573)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <alan@HIDDEN>) id 1lYV5q-0008J0-5L
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 10:41:46 -0400
Received: from smtp.soverin.net (unknown [10.10.3.28])
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256/256 bits))
 (No client certificate requested)
 by outbound.soverin.net (Postfix) with ESMTPS id BF5A46028A;
 Mon, 19 Apr 2021 14:41:35 +0000 (UTC)
Received: from smtp.soverin.net (smtp.soverin.net [159.69.232.142]) by
 soverin.net
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=idiocy.org; s=soverin;
 t=1618843294; bh=4eUCl8kAiiLvoP5lOFdMDAV1752TZ1KHfdfqi6g1dV0=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To:From;
 b=CEUpTcLZMl8mZ9kY7FZigidYijEXmrwmhDNmG2zo2Ei7hHvm87NDUgyCDxeZ9kykE
 0+WNKvLJOsvqBU4d+qLlnANyCNoPgOqGjuFiGuh1wuCzPQucgPJ58F47V4X10uL7gq
 8Zr7SxxMeTld7C7xA+pTlHhZhcM4pxLKgSmuMTDdCMJPUy9KCsmrnmoPvf7UeZukbg
 Pd5FAuJrpmW/LDuFJX1SDnJdt84JBodknBTujTLRYkpjSvjcetwTqB+53lcZlJbDfy
 w/6RlqE0K6ANlayRVTuC5YeQWhs2AYjBnaIFOncbDkdXFXjbbN4mtpr+2ATCgqiEF8
 +QI0KGNDhghUA==
Received: by breton.holly.idiocy.org (Postfix, from userid 501)
 id 20F8E202BD3DD1; Mon, 19 Apr 2021 15:41:23 +0100 (BST)
Date: Mon, 19 Apr 2021 15:41:23 +0100
From: Alan Third <alan@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
Message-ID: <YH2Wk0ix6dxJ7J/m@HIDDEN>
Mail-Followup-To: Alan Third <alan@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>,
 Dmitry Gutov <dgutov@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Michael Welsh Duggan <mwd@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>
References: <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <bb7c6f5fc9b160791013@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, Michael Welsh Duggan <mwd@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On Mon, Apr 19, 2021 at 01:16:00PM +0000, Gregory Heytings wrote:
> 
> > 
> > The huge exclamation icon, is that the one? Looks too much indeed.
> > 
> 
> Yes, that's the one.  And yes, that's too much.

There's some discussion in bug#22746 about the macOS visual bell.
Mostly just people not being happy with it.
-- 
Alan Third




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 14:03:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 10:03:49 2021
Received: from localhost ([127.0.0.1]:51444 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYUVA-0007KM-Sz
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 10:03:49 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:35669)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1lYUV8-0007K8-ND
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 10:03:47 -0400
Received: from pmg2.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id 579EA80BC1;
 Mon, 19 Apr 2021 10:03:41 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg2.iro.umontreal.ca (Proxmox) with ESMTP id C1C6780A77;
 Mon, 19 Apr 2021 10:03:39 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1618841019;
 bh=LH4BbSAn+VIM4VrR6RqIomQfS4LQul/egNDrmGdTQgQ=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=T0upe+pJrz+N8JifJIAHZOnRQYqaM4hOPJwI/b8apmvqGJqWvjZ9NUOyfIFFrDiew
 4BLcXkGiKwcusjrrswOxkDUGLOtXYiM6nBjsrKDFwhAdQWAsSDZ/pAGlGLlXj0VB1h
 /SwVeGtPuXNPxfWrTP6qTinTuL9PKjL2pkLAsaVDNy2iRI5s5p/y+z2Di4kdZTzt5d
 r/h+q0Lj4YoW7axON0CN8QjTaQpe/TXV5KLPs5ZETFXMK4aHUa+9278kdH0EbpqbUE
 45n4+BA066zTyYzcsssGYsQtsxyirCYECIqJRgX3Zk6j60Z7kDLl3ovAMv/Z0rcH20
 mQR358pkh8Qug==
Received: from alfajor (104-222-126-84.cpe.teksavvy.com [104.222.126.84])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 66AB6120262;
 Mon, 19 Apr 2021 10:03:39 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
Message-ID: <jwvlf9ewezk.fsf-monnier+emacs@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <1869622e162377be79e9@HIDDEN> <83bladw0dh.fsf@HIDDEN>
 <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <87zgxumo7y.fsf@HIDDEN>
Date: Mon, 19 Apr 2021 10:03:38 -0400
In-Reply-To: <87zgxumo7y.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Mon,
 19 Apr 2021 14:51:45 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.053 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, Michael Welsh Duggan <mwd@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>, jasonspiro4@HIDDEN,
 Gregory Heytings <gregory@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> users should complain more.  :-)

We make customization too easy.
Same with ELisp packages: it's too easy to work around a problem with
some `fboundp` or `condition-case` duct-tape, so the package authors
aren't encouraged to report problems to us (especially since even if we
fix the problem, they'll still need the duct-tape until our fix
trickles down to all their users).


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 13:37:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 09:37:35 2021
Received: from localhost ([127.0.0.1]:48847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYU5n-0001jO-Cg
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:37:35 -0400
Received: from mail-ej1-f48.google.com ([209.85.218.48]:37732)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lYU5i-0001j9-Gy
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:37:33 -0400
Received: by mail-ej1-f48.google.com with SMTP id w3so53006587ejc.4
 for <1305 <at> debbugs.gnu.org>; Mon, 19 Apr 2021 06:37:30 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=k9zBPEAGbJxP+j8DZeb/T9jEYpx5+rEzeOoQN4MBWK8=;
 b=rmHTbF5G52PIUCDR2LnN1ZTruaQv2YVm+GSWQaoSmApd2PWYpnw+RrK3Ju3TGLpnLU
 oUofD4MEVWs558Z9a6gAcjLNybn5LL635fKCHoNfxG1VqmoOVY8pqRJX69xnlfhi9X8o
 oLh/J8u+MY/KIToM8w0ijUhWS9NDKHlLh9UXtr+fl9EEmXgpKC27hcqEgGtK+MAzURpq
 PcDc8fVxCjHLHqEVGwinUVZ/lLb/VNd+yWXVTYsoE3n7iDLbpz0X1sZroPjBY3N1BgOI
 SWiVdWA0DJgK3juwaQRpWEobgHMWHIa3eLq1HELMEbxDcaEhc2eqYDQ4JqOpbiAxzOPV
 XqHg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=k9zBPEAGbJxP+j8DZeb/T9jEYpx5+rEzeOoQN4MBWK8=;
 b=GTjDptfj5yNzaLXEyxfJrF01j5O5l6kGDCiGXCL585VfGGIZEubTHTTs2uCLE7vZE1
 oRXSN+2N+XYPjeGccns2d4P3DtX5teGh3jm5hkJR/FEU0RfQSDiOAn4g2R7fT3qx5kh5
 V67s1P3BigdeRKyRmnkoqi8rTseEvcVkBJKWfqjo+wXvtDQS7/nKZD1ma0Qz9wVdaKa2
 wQt3Btkqem2Zy52exD6kVJDNv23ZPOT7p0io6eHXSe4pYw0+SJ+PMtdTAGfQ8u7yLFzn
 9qe3BAEVDthodQBi3wX/lZRUy0hNq5RkpSF7Lj1HiKGIKyf58bOU5eLLuiEX8JLh+JAc
 3lMg==
X-Gm-Message-State: AOAM533Wn4NNOlaDdY09MlEKHwEEZbJGI3hwuNByHHLLhkYUxwJMthfw
 5BY2+gU7vJaO7ZmOz4oYvVQ=
X-Google-Smtp-Source: ABdhPJylkqimUA7Ccf43XC7qTA/m6cq8rucDzayTo7eQXbiBm9IMcX4vnOfFTadY6ynWI3NyL0Whnw==
X-Received: by 2002:a17:906:e84:: with SMTP id
 p4mr22070008ejf.248.1618839444665; 
 Mon, 19 Apr 2021 06:37:24 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id n14sm10436351ejy.90.2021.04.19.06.37.22
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 19 Apr 2021 06:37:23 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <13aea0d5-e8fa-39cb-ad69-1fabc7d72d16@HIDDEN>
Date: Mon, 19 Apr 2021 16:37:21 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <bb7c6f5fc9b160791013@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, Michael Welsh Duggan <mwd@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 19.04.2021 16:16, Gregory Heytings wrote:
> 
>>
>> 'match' for purposes other than matching?
>>
> 
> Why not?  That would be only a default value, to call the user's 
> attention that the reason of the error is displayed there.  IMO using 
> yellow for that purpose is much better than green (highlight face).

Perhaps I'm just used to the 'inverse-video' effect on GNU/Linux, but 
that monochrome effect (having black and white switch places on two 
lines of the frame) is both noticeable but not alarming.

>> And speaking of 'error', seeing red is most likely more obtrusive than 
>> the current GNU/Linux behavior.
>>
> 
> Do you really mean that seeing the cursor becoming red during 0.25 
> seconds is obtrusive?

The cursor itself will be a mild disturbance, the colorful flash at the 
bottom should be a tad more jarring.

I'm not sure if red is a good choice, though. After all, the action we 
just performed (abort/quit) does not necessarily imply any kind of error.

> The current GNU/Linux default behavior is (for those who use Gnome or 
> KDE and have not disabled the system bell) to ring the system bell 
> (typically during 0.5 seconds).  That's IMO far more obtrusive (in 
> particular for your colleagues!) than seeing the cursor becoming red and 
> the echo area flashing during a fourth of a second.

I'm comparing to the (setq visible-bell t) behavior on GNU/Linux.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 13:30:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 09:30:53 2021
Received: from localhost ([127.0.0.1]:48832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTzJ-00007F-I0
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:30:53 -0400
Received: from heytings.org ([95.142.160.155]:44704)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lYTzH-0008WB-E5
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:30:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1618839050;
 bh=Puu8XBrqGfXcUwEfsobxj/FsqWMGbheWA1aFeNQ07xQ=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=AvZCy/PdC00o4TH4hVsg1Vt6HSWMCDora2TgAjZjoxjwr40dZNdeBSV9unjNNeK+Q
 1AZ07+2dG0SmbvEMeIerGvKbQs/bmV77pxxePRdILuEuCrr+K7Jggs2ITkFU2sOe4m
 PbQ0Ri5iwHhNIUrBGgXzQIBQ27CkMLSVN15VcRV3kifVS/GNjAlEmbGq6ypjVOsvVW
 4QVLxXSiU3d42aRB/A8LAEpYOVSlwrzK7T93xwed5I0RabhosKinShUT4pv40GJei2
 rEFN3MGjhhRAiAEMqMSzPvqUMRD6WOsB50xuk43xZFSWPzHH3YOkDlQXnfsocZ29Gq
 wU95+NHOf/MaA==
Date: Mon, 19 Apr 2021 13:30:49 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <87h7k2o3fx.fsf@HIDDEN>
Message-ID: <bb7c6f5fc9a19f535916@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <CADwFkmkcLTJcB8FUOXejZQfp9A0mVBxbqoJ8WnNXb0GyJJTcmQ@HIDDEN>
 <8735vnpqho.fsf@HIDDEN> <jwvsg3n1url.fsf-monnier+emacs@HIDDEN>
 <87tuo3ob5f.fsf@HIDDEN> <jwvmttv1m3u.fsf-monnier+emacs@HIDDEN>
 <87h7k2o3fx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 1305 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> Prelude and Spacemacs:
>
> (setq ring-bell-function 'ignore)
>
> If I understand correctly, this doesn't set `visible-bell', but only 
> uses the default value (which is nil).  So changing the default will 
> indeed affect these users (until the distributions update themselves to 
> set visible-bell to nil).
>

Hmmm... No, setting ring-bell-function to ignore means that ignore is 
executed to ring the bell instead of the default behavior.  With 
ring-bell-function non-nil, visible-bell is ignored.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 13:27:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 09:27:12 2021
Received: from localhost ([127.0.0.1]:48811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTvk-0007kg-6g
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:27:12 -0400
Received: from mail-pg1-f171.google.com ([209.85.215.171]:39871)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lYTvd-0007k3-QO
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:27:10 -0400
Received: by mail-pg1-f171.google.com with SMTP id s22so3151113pgk.6
 for <1305 <at> debbugs.gnu.org>; Mon, 19 Apr 2021 06:27:05 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=1/LA78Xufdhepvp9mj6M8g1Yq4PPApbWoUCRRJEj0mM=;
 b=QDHokG4IfU+onJ1NsXUUKbWkbLTpLK9RJ5W8wN30jQHmjtOdTywkOVQZpuSBhqezwS
 OQ4kzO0S1eO8ySDolaxUIUnplETACpetSrJEcdnFJ2u3PZpCd7N4I8qI+dQ85B+yd0Rm
 M9VjEQRT5Wxqjdlx/QEfZFxi/ULdLrFhBksIyxe6MMWLeG6PZTQ7WoEYWbimmRcHvAnc
 rXqZSLl59Ay8MUjLyS8tbI65lD18CHWu3CkTy2/8P2weVPBpl6hmgh4Ci5hkJW9bmGMP
 hgfJeu3FybWyXs8AS6U0zJ8TOEaPRYZq3q/UALvGFHoMX95FvU4Q8g9pzPX/v6PE9fQk
 n7TA==
X-Gm-Message-State: AOAM531wRAiN+RdtUVVsKhEI3IkNNZqRDNUPVc/dsTfR+xIZdZj9iCL6
 VdUvTiJ18cCZwkTv1I4us7FYN/S7Lsmd4U7SPy8=
X-Google-Smtp-Source: ABdhPJy2sOhY6c48SYQvb5ED76gzQ2NgsRLZcvgngbw+o74qLfuvVOeUZ4yJIzYU+x/moLe/HYtXIpq1ckiezyUvN0U=
X-Received: by 2002:aa7:828f:0:b029:200:6e27:8c8f with SMTP id
 s15-20020aa7828f0000b02902006e278c8fmr19544638pfm.44.1618838820068; Mon, 19
 Apr 2021 06:27:00 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 19 Apr 2021 08:26:59 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <bb7c6f5fc9b160791013@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
 <bb7c6f5fc9b160791013@HIDDEN>
MIME-Version: 1.0
Date: Mon, 19 Apr 2021 08:26:59 -0500
Message-ID: <CADwFkmnJKF6KtW98cG_pxKHxVWTjprprS6V2Z0dXM_pBfCNRuA@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>, Dmitry Gutov <dgutov@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Michael Welsh Duggan <mwd@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>,
 1305 <at> debbugs.gnu.org, jasonspiro4@HIDDEN, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Gregory Heytings <gregory@HIDDEN> writes:

>> 'match' for purposes other than matching?
>
> Why not?  That would be only a default value, to call the user's attention
> that the reason of the error is displayed there.  IMO using yellow for
> that purpose is much better than green (highlight face).

I would propose using a dedicated face for this purpose.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 13:27:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 09:27:02 2021
Received: from localhost ([127.0.0.1]:48807 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTvZ-0007kG-QL
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:27:02 -0400
Received: from mail-pj1-f44.google.com ([209.85.216.44]:54910)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lYTvY-0007jw-1t
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:27:00 -0400
Received: by mail-pj1-f44.google.com with SMTP id cu16so15936281pjb.4
 for <1305 <at> debbugs.gnu.org>; Mon, 19 Apr 2021 06:27:00 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=KljlbVyib6pvz7qdlgabwotZqwhz+EKuP9wunDykYk8=;
 b=Prutk/pHU2IRMtdZ7SD+Pfmz0KT8qahdxGvpBT+rkHgUzPZOcD0lXSEzHwJ0bVZ5nV
 rFLpo+2UDejF6Ol+rHWNpL4N6VkbaIs9iMalYhrT3RqEiwwy+Y0TfIA6ll+Gd8V3FiQD
 FT0YzMXA/8kVgySIrzGehrERmcW1rYLZkVEyaqrs9srrJDQrHRzsl8aZ+LbCMK0+dnaL
 tTSPtiYTOUwsFrMV/B619JfXVXjoDX6TsEiOPGE36bsFgdwUcjYWsOQ8Zu1kqPBKEtzN
 AzdMP6BVDyrnRo+vt8dFvkyYpZHVRV9uXgdKccWG/NgGIT3M5i8aycJPoQVbPWBirit5
 w1FQ==
X-Gm-Message-State: AOAM532fQU/CnpbDJI41XSC5MWH/kOyNL0BiGUSGGuw+KqUsUUDplUkU
 Gsbxa3ZBBQapsZ+dgLgDvhx0yMVwv7hTl740m6A=
X-Google-Smtp-Source: ABdhPJyt4+sb35k9l1WURw+YO7RLRdG1QbY+T8DzltKT1xR3YReWyc53hl/9w2N5ZLyP1YjGsXS45ggRBVrD7B37s5s=
X-Received: by 2002:a17:90b:f0b:: with SMTP id
 br11mr24584638pjb.179.1618838814276; 
 Mon, 19 Apr 2021 06:26:54 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Mon, 19 Apr 2021 08:26:53 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87h7k2o3fx.fsf@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <CADwFkmkcLTJcB8FUOXejZQfp9A0mVBxbqoJ8WnNXb0GyJJTcmQ@HIDDEN>
 <8735vnpqho.fsf@HIDDEN> <jwvsg3n1url.fsf-monnier+emacs@HIDDEN>
 <87tuo3ob5f.fsf@HIDDEN> <jwvmttv1m3u.fsf-monnier+emacs@HIDDEN>
 <87h7k2o3fx.fsf@HIDDEN>
MIME-Version: 1.0
Date: Mon, 19 Apr 2021 08:26:53 -0500
Message-ID: <CADwFkmkXNvkid+9XFSmGWgajM5g2yFSwqvdGC-h-XjYV=jDDiw@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Lars Ingebrigtsen <larsi@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Michael Welsh Duggan <mwd@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, 1305 <at> debbugs.gnu.org,
 jasonspiro4@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Stefan Monnier <monnier@HIDDEN> writes:
>
>>> It's more intrusive than what many people are using -- which is neither
>>> an audible nor a visible bell, but just the echo area saying "Quit" when
>>> you hit `C-g' (etc).
>>
>> But those people won't be affected by a change in the default.
>
> Dmitry's useful overview of the various distributions (thanks) had this,
> for instance:
>
> ---
> Prelude and Spacemacs:
>
>   (setq ring-bell-function 'ignore)
> ---
>
> If I understand correctly, this doesn't set `visible-bell', but only
> uses the default value (which is nil).  So changing the default will
> indeed affect these users (until the distributions update themselves to
> set visible-bell to nil).

Is this the scenario you have in mind?

    (setq visible-bell t)
    (setq ring-bell-function #'ignore)
    (defun foo () (interactive) (ding))

    M-x foo RET

This gives no visible bell here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 13:16:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 09:16:07 2021
Received: from localhost ([127.0.0.1]:48770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTl1-00063r-BP
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:16:07 -0400
Received: from heytings.org ([95.142.160.155]:44662)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lYTkw-0005zF-98
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:16:06 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1618838161;
 bh=dINfDsDfgdewT0L4f66jqxXGA0AHWjxTqcLrRVHiFYk=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=BKvvXl1kUjJMJXSC8f1lVTXe8zziSe18zsb5W8pKUecLYNhvR3BEcyCkAggJmUdux
 OHjr4OoaaUgcZ7+BE1mqq8xsxLcI3YnFHhn+vOJrl/KG3xPfgg7YIfnbqjKwih6eUA
 ngksHdPAUsSd5sbjFEJsXcmd504MZbVsC+ykbvngLuKhlR3SGBBIXO789T6b6QycUV
 DnloZFNG0Z50/dOKQfxwpv/sjOIAzhiD4u+wI28jbI/QKTQecBxhE/c30wMONG10AS
 uC7BkcZ9L7n8f91KGVyncCdUGu2/WMtryaMw5wjE0U9LPM0Ev/wAftYQ7Y9iqJRj6w
 DU/MQ6ZxL9HRQ==
Date: Mon, 19 Apr 2021 13:16:00 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
Message-ID: <bb7c6f5fc9b160791013@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
 <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, Michael Welsh Duggan <mwd@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> 'match' for purposes other than matching?
>

Why not?  That would be only a default value, to call the user's attention 
that the reason of the error is displayed there.  IMO using yellow for 
that purpose is much better than green (highlight face).

>
> And speaking of 'error', seeing red is most likely more obtrusive than 
> the current GNU/Linux behavior.
>

Do you really mean that seeing the cursor becoming red during 0.25 seconds 
is obtrusive?

The current GNU/Linux default behavior is (for those who use Gnome or KDE 
and have not disabled the system bell) to ring the system bell (typically 
during 0.5 seconds).  That's IMO far more obtrusive (in particular for 
your colleagues!) than seeing the cursor becoming red and the echo area 
flashing during a fourth of a second.

>
> The huge exclamation icon, is that the one? Looks too much indeed.
>

Yes, that's the one.  And yes, that's too much.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 13:12:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 09:12:50 2021
Received: from localhost ([127.0.0.1]:48764 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYThk-0005CH-JY
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:12:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59736)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lYThh-0005Bz-6w
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:12:42 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40138)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lYTha-0002C3-EY; Mon, 19 Apr 2021 09:12:34 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:2110
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lYThZ-0001K6-5U; Mon, 19 Apr 2021 09:12:33 -0400
Date: Mon, 19 Apr 2021 16:12:16 +0300
Message-Id: <83v98is9jj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87v98imnzt.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 19 Apr 2021 14:56:38 +0200)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <u8wrsr7ok.fsf@HIDDEN>
 <jwvej1kpc9t.fsf-monnier+emacsbugreports@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <83mttvtyx4.fsf@HIDDEN>
 <877dkzpqzq.fsf@HIDDEN> <83lf9fty42.fsf@HIDDEN>
 <87v98imnzt.fsf@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, gregory@HIDDEN, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: stefan@HIDDEN,  mwd@HIDDEN,  gregory@HIDDEN,
>   1305 <at> debbugs.gnu.org,  jasonspiro4@HIDDEN,  monnier@HIDDEN
> Date: Mon, 19 Apr 2021 14:56:38 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > If you put a breakpoint inside tty_ring_bell, do you see that
> > tty->TS_visible_bell is non-NULL or not?  If it's non-NULL, perhaps
> > the terminal emulator has that disabled somehow?
> 
> Let's see...
> 
> gdb) print tty->TS_visible_bell 
> $1 = 0x555555da95c3 "\033[?5h$<100/>\033[?5l"

Then this should produce the same effect as "tput flash", I think.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 13:04:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 09:04:14 2021
Received: from localhost ([127.0.0.1]:48743 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTZW-0004z3-BT
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:04:14 -0400
Received: from mail-ej1-f50.google.com ([209.85.218.50]:34745)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lYTZT-0004ym-Ux
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:04:12 -0400
Received: by mail-ej1-f50.google.com with SMTP id x12so32025796ejc.1
 for <1305 <at> debbugs.gnu.org>; Mon, 19 Apr 2021 06:04:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=eOrKRD1WH9w+q7ejaE7ahny7aA6C4+1Q6BkWlSwY4w8=;
 b=Q/6aTvdJKb8MT8Zz0uLa6jUwcmWcsBCytU9MQP+ZgacKZfK3Kc98KpL1k0WdGRK3Py
 +v9n5jN67XK12V1fEemaRn9py0WrCWiuzGR39xh1bfEhBKTaAb7zgM2DeAnAj9GZktLx
 B3t3tc8Rr8xGLOJVcsafLWdJaB2FL/x+G03NNniOS5hx9juNNP43XmrFmehuec5RkVNQ
 EMyoOpm3Uk4JJ7saeF3o8ChtEBY5zSJx+UeW30LLWMkNHZ2hgEK9F/fR48quEBt8oLS6
 Tm4YK6qeKyktbR1JPcfIxjTcbYIROlTaLKE8tGU1R+HHhYu1kYwnYySnQsuuQ21vfrya
 kbFg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=eOrKRD1WH9w+q7ejaE7ahny7aA6C4+1Q6BkWlSwY4w8=;
 b=S5hpYaudn5jpDzVl6p6OHxu4pRqV3rdrfJac43qzFt2yJ30H9XyWY7cJhDPBVmgpcN
 ByC10H2j86pVT9NQL4h2zAZ+9XvGRpFsfFU7VAEi+OepfPWCiESiTGn/88FO5Go0LbJJ
 spdRKi3IwXAD/8qBpkCdTBwyWSFUmdYf0h4jWBjPWHIpWguJTuhn4sluHDjMG+rYpdIm
 nF8k3ra8zWtganSnjfKg1UNhj+vDrMVppr+P9F0AezauNanJY9lWFAtgnzAGq8h7F7cp
 E/V0P+PmedbW9yMDDlK8rayCsL9AY78+KEnBkZMg5Z0nIVGaKAdtCb70jLom+/e0iR1f
 XJsA==
X-Gm-Message-State: AOAM5333WfWv2le5Ql4ZBnYK7HECsxCvZjHZ26zh2Y5ScqbBBSnbUb/C
 ZsQ9GM698WPODwKW2we1JbQ=
X-Google-Smtp-Source: ABdhPJx5YDcLE5VlWZlQCFmuY1ny6GW31D8wXSPec7Q/AV7GHTjZsit0ChQO5RhaN69c3XwogqWgdQ==
X-Received: by 2002:a17:906:4d10:: with SMTP id
 r16mr21587037eju.169.1618837446212; 
 Mon, 19 Apr 2021 06:04:06 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id p9sm12908356edu.79.2021.04.19.06.04.04
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 19 Apr 2021 06:04:05 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Lars Ingebrigtsen <larsi@HIDDEN>,
 Stefan Monnier <monnier@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <CADwFkmkcLTJcB8FUOXejZQfp9A0mVBxbqoJ8WnNXb0GyJJTcmQ@HIDDEN>
 <8735vnpqho.fsf@HIDDEN> <jwvsg3n1url.fsf-monnier+emacs@HIDDEN>
 <87tuo3ob5f.fsf@HIDDEN> <jwvmttv1m3u.fsf-monnier+emacs@HIDDEN>
 <87h7k2o3fx.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <e13e84be-b5c4-3a08-225b-2bfca783d96b@HIDDEN>
Date: Mon, 19 Apr 2021 16:04:03 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <87h7k2o3fx.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Michael Welsh Duggan <mwd@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Stefan Kangas <stefan@HIDDEN>, jasonspiro4@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 19.04.2021 15:37, Lars Ingebrigtsen wrote:
> ---
> Prelude and Spacemacs:
> 
>    (setq ring-bell-function 'ignore)
> ---
> 
> If I understand correctly, this doesn't set `visible-bell', but only
> uses the default value (which is nil).  So changing the default will
> indeed affect these users (until the distributions update themselves to
> set visible-bell to nil).

Their uses are pretty accustomed to change, though, and to having the 
distributions maintainers resolve this kind of issues.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 13:01:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 09:01:38 2021
Received: from localhost ([127.0.0.1]:48730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTWz-0004rv-Qd
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:01:38 -0400
Received: from mail-ed1-f42.google.com ([209.85.208.42]:40763)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lYTWv-0004qK-DV
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 09:01:36 -0400
Received: by mail-ed1-f42.google.com with SMTP id k17so1081967edr.7
 for <1305 <at> debbugs.gnu.org>; Mon, 19 Apr 2021 06:01:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=vOKPnNHKfoS8O9Meir+MkfWIV9JFfYihmwvpDvU5KzI=;
 b=e+6bHayLmgTfr6tw3r5SZFvTXTCQMRaQThYgdCRqG6BFEfy6TEOHg2V1vDSt8/8qxn
 UCVMIP3t4yDfCzb9W+Vyiyq6dXZiUeoFFmghYmyyDTEvckflcrEfLSLgQGM+PZGrCVmV
 GvRxzVjvHK7NKmCJ8moSolJ34g/mL6hvtXK3OC815krDDk2Ec5BQX5uxv26BkTmoQnfG
 yVTl0sZGAnMumhqpDQCaMWD2WJ8tLTA9e2Y6eIj3KJ5jGZXpnxdZ0IqfDdQ1sS3g0ULQ
 tBGcZjE3V5hgQA2DvamjTagY+qsB7j0vgqnEyJd4w6C0HKeRycWRuHjL/PUUAOscI1WE
 b+Nw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=vOKPnNHKfoS8O9Meir+MkfWIV9JFfYihmwvpDvU5KzI=;
 b=YKzK0pdX+m6HI4dVvqLR6TxyvPr4yjwGNgtui1f0urPhSxyu574b1Pxe3T+ZvZop2r
 I9vRpqFLHEmeum+9GiWjhfP72XLm0B9fgVP+Fncfb2PY0c59LV08a1IQi6HlqHON1skU
 DelHyWoODutk/HHXYMKwfj9alqQZG6Pzsg5MTJMbAt/xMFhkm9rLNlUxOL3AUjvvlY91
 giBK0qDG1qSTZ215vbgAItv2391T23+HMWSCRE0AwUvx2HKb65XMQy/dPk8GE5JWmod+
 RIKsPwGlBxWehDCd8QhS9EXDIcX3csKSCiWQSc8H1oQ0fmnWQ/ZkIGelvie1sC38AAbY
 h/CQ==
X-Gm-Message-State: AOAM533ll8yGZNFsqvZqEMNHDgjb4aEARGfpdb8ABp+8dK4ei/yuUDjc
 hFPHEijNFN1imsStoEeMlrg=
X-Google-Smtp-Source: ABdhPJzhS9RiwzhfiWtl0E52XQnNNPzf1dh+XWE8SOGpqwSNHzRAIfRmqaHGGBCF1ByJRdcyifi4Jw==
X-Received: by 2002:a05:6402:254c:: with SMTP id
 l12mr6917835edb.278.1618837287458; 
 Mon, 19 Apr 2021 06:01:27 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id t7sm10363277ejo.120.2021.04.19.06.01.25
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 19 Apr 2021 06:01:26 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
 <bb7c6f5fc9b6af96a154@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <d7e90ac9-bf0b-bb54-1119-1f1833349b7b@HIDDEN>
Date: Mon, 19 Apr 2021 16:01:24 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <bb7c6f5fc9b6af96a154@HIDDEN>
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, Michael Welsh Duggan <mwd@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 19.04.2021 15:47, Gregory Heytings wrote:
> 
>>
>> While I like to have alternatives, and the ideas are good, the color 
>> (non-monochrome) flashes are both more noticeable than flashing top 
>> and bottom lines of the frame with inverse-video, and are likely to 
>> clash with different color themes out there.
>>
> 
> Not if we use the standard faces, e.g. error and match.

'match' for purposes other than matching?

And speaking of 'error', seeing red is most likely more obtrusive than 
the current GNU/Linux behavior.

A specific patch could convince otherwise, but the last yours I saw fell 
into that category (with the yellow flash at the bottom).

>>
>> The popular distributions out there are made by developers using 
>> macOS. You say the notification is different there (I haven't seen 
>> it). Perhaps it's indeed too much.
>>
> 
> I posted a screenshot upthread, here it is again.

The huge exclamation icon, is that the one? Looks too much indeed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 12:56:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 08:56:59 2021
Received: from localhost ([127.0.0.1]:48720 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTSU-0004e3-US
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:56:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lYTSS-0004dn-ID
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:56:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=+Vl0QPBUT34/oRbZC2sJs47/95CE0ujo93WlTBThxA8=; b=kWctuPCz0hmRCP/7kQNIQnChiX
 QiTWRrSnEtWmunC+lSqsNgM034UsrQ9+oIC1tOle8swI5Yajdr6tqVrSTELbuGH1u9bPImWqV/Rnq
 hWjZnA3AXFKuuRvtScwrGNEJtc0oVnitS0Mxpdzl/+hwOdbpPOrA3XQR4sM+aHRdn+QA=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lYTSB-0007Iz-2X; Mon, 19 Apr 2021 14:56:48 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <u8wrsr7ok.fsf@HIDDEN>
 <jwvej1kpc9t.fsf-monnier+emacsbugreports@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <83mttvtyx4.fsf@HIDDEN>
 <877dkzpqzq.fsf@HIDDEN> <83lf9fty42.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEUSJhhtjxEvTEcv
 WR+fphyptKZseXzu7+z///9wJuluAAAAAWJLR0QIht6VegAAAAd0SU1FB+UEEwweFPrwbOYAAAGp
 SURBVDjLvZNNc4IwEIaD2OkVkB+gxI8r6rS9iqY925Gw59YJuVptzN/vboJS2zrTk5kAgSe777tJ
 YEGSsyAaRJyzmDMW8UWIo2zGHmSt3l7Kl62sX1VdV/IEwFprrAFDD+q7MHss3xFUml7BdRzBLhyP
 S0UACFgPjoCg1h8jl8p9B6BOqfhYfVYzNjKqkpWSSqlnJbFteDZLURwVdhMrMYmBbQftrsLMu5Kw
 pxxkAMGSQB5nOQOU0yh09CBBwBtg99AY23jgI7QzKjEXUgKRqzxHV2gKzaAjHIwWqhrJuqz8kjSl
 U1ujOXzHWG00LZV18mO9tlabiTVYINgW1LCmG0Y0qew5lV82SnWHwiWJOw9KVrgwTtwrgD2EFHVo
 d9DXBnCsHTgVOGP3PkJSgfo7eDKSpsJxYK2EC+A19oMfqYIk6wcJHZ9wxTN3fDxIheh1C7EYxrEQ
 cVzEgnsghFh18RqKU+t5MC2KfhCnq0GKs9NpkZ4igqTfD3Kn0eO059FZfN6KtztIgN8AzG8AblHH
 BVg2/8efEb9AwTvh8j9gfqmxuAq4P7vXwBfwRvQgZatAtQAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAy
 MS0wNC0xOVQxMjozMDoyMCswMDowMI6V/wwAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDQtMTlU
 MTI6MzA6MjArMDA6MDD/yEewAAAAAElFTkSuQmCC
X-Now-Playing: Des Airs's _Crammed Global Soundcrash 1980-89, Part 2:
 Electrowave_: "Lovely Lady Of The Roses"
Date: Mon, 19 Apr 2021 14:56:38 +0200
In-Reply-To: <83lf9fty42.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 18 Apr
 2021 18:23:57 +0300")
Message-ID: <87v98imnzt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > If you put a
 breakpoint
 inside tty_ring_bell, do you see that > tty->TS_visible_bell is non-NULL
 or not? If it's non-NULL, perhaps > the terminal emulator has that disabled
 somehow? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, gregory@HIDDEN, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> If you put a breakpoint inside tty_ring_bell, do you see that
> tty->TS_visible_bell is non-NULL or not?  If it's non-NULL, perhaps
> the terminal emulator has that disabled somehow?

Let's see...

gdb) print tty->TS_visible_bell 
$1 = 0x555555da95c3 "\033[?5h$<100/>\033[?5l"

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 12:52:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 08:52:03 2021
Received: from localhost ([127.0.0.1]:48714 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTNi-0004S1-TB
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:52:03 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lYTNg-0004RT-0o
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:52:01 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=MIr5bsYVDEkvnbOqVRinsm0TfCR8qUNgZHOhrLNH9ug=; b=AiwkLd3A6zvjzXpEq7Ckupm7yR
 0sLDc9SlHf79nIItm8FT1VCl4WhEPh4+5caRQev6riCg1WvWPx6ojC1Ip3MzHIzkW0X5fpvXMz0nF
 T7hUZJOFPXTBNyZjYuaPfLJcM6aq9zbMoiBHTWADFWcQkB/SfWeclW18OOXifxDIZCCY=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lYTNS-0007FN-GC; Mon, 19 Apr 2021 14:51:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN>
 <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEUSJhhtjxEvTEcv
 WR+fphyptKZseXzu7+z///9wJuluAAAAAWJLR0QIht6VegAAAAd0SU1FB+UEEwweFPrwbOYAAAGp
 SURBVDjLvZNNc4IwEIaD2OkVkB+gxI8r6rS9iqY925Gw59YJuVptzN/vboJS2zrTk5kAgSe777tJ
 YEGSsyAaRJyzmDMW8UWIo2zGHmSt3l7Kl62sX1VdV/IEwFprrAFDD+q7MHss3xFUml7BdRzBLhyP
 S0UACFgPjoCg1h8jl8p9B6BOqfhYfVYzNjKqkpWSSqlnJbFteDZLURwVdhMrMYmBbQftrsLMu5Kw
 pxxkAMGSQB5nOQOU0yh09CBBwBtg99AY23jgI7QzKjEXUgKRqzxHV2gKzaAjHIwWqhrJuqz8kjSl
 U1ujOXzHWG00LZV18mO9tlabiTVYINgW1LCmG0Y0qew5lV82SnWHwiWJOw9KVrgwTtwrgD2EFHVo
 d9DXBnCsHTgVOGP3PkJSgfo7eDKSpsJxYK2EC+A19oMfqYIk6wcJHZ9wxTN3fDxIheh1C7EYxrEQ
 cVzEgnsghFh18RqKU+t5MC2KfhCnq0GKs9NpkZ4igqTfD3Kn0eO059FZfN6KtztIgN8AzG8AblHH
 BVg2/8efEb9AwTvh8j9gfqmxuAq4P7vXwBfwRvQgZatAtQAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAy
 MS0wNC0xOVQxMjozMDoyMCswMDowMI6V/wwAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDQtMTlU
 MTI6MzA6MjArMDA6MDD/yEewAAAAAElFTkSuQmCC
X-Now-Playing: Peter Principle's _Crammed Global Soundcrash 1980-89, Part 2:
 Electrowave_: "The Observatory"
Date: Mon, 19 Apr 2021 14:51:45 +0200
In-Reply-To: <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN> (Dmitry Gutov's
 message of "Mon, 19 Apr 2021 15:40:53 +0300")
Message-ID: <87zgxumo7y.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Dmitry Gutov <dgutov@HIDDEN> writes: > If it was possible
 to port the (intended) behavior of the GNU/Linux > version to the other ports, 
 that could be ideal (we don't hear many > complaints about it). > > The
 popular distributions out th [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, Michael Welsh Duggan <mwd@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>, jasonspiro4@HIDDEN,
 Gregory Heytings <gregory@HIDDEN>, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dmitry Gutov <dgutov@HIDDEN> writes:

> If it was possible to port the (intended) behavior of the GNU/Linux
> version to the other ports, that could be ideal (we don't hear many
> complaints about it).
>
> The popular distributions out there are made by developers using
> macOS. You say the notification is different there (I haven't seen
> it). Perhaps it's indeed too much.

It's...  a lot, and we should fix it whatever else we decide to do.  I
don't remember anybody complaining about it, though -- users should
complain more.  :-)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 12:47:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 08:47:19 2021
Received: from localhost ([127.0.0.1]:48701 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTJ9-0004JE-1Y
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:47:19 -0400
Received: from heytings.org ([95.142.160.155]:44582)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lYTJ6-0004J3-Lb
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:47:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1618836435;
 bh=U815awi6OR4sMwbtZoW6JsacN8yCFMtjpyRAyrMQ/Ho=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=X/4IiuP4GWjXgP4PdlT2ovFgB2E1OUZNJPMT5wmWhZUYlYcZKmedDXb56qe5iOeEu
 oVJlLB6jS4kz3PPTSUUOwKIYmtKquqNFWYyaDR38siXXhCQ6Q8o3NfCsTJxUlsoxB/
 QMo6hE7q9T1xu3C28K/khHPthIAq4Lu7eT3R8T+F/BFoP9tJIA2D3jvep4sDs/WjM6
 yeMVFaorYpIPPMbDQx3NjhnA7doIf/lqFcaTNQtCN9DrZPiaJAg53MqJ4dAEtgS7aw
 MxrLp8oZIl3PnqiaICWZUsreSuXagqXBYHvK+/B7ABTDG0wYgIRgyONaK2WdhOFWvV
 mImsYkZfcWYOw==
Date: Mon, 19 Apr 2021 12:47:15 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Dmitry Gutov <dgutov@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
Message-ID: <bb7c6f5fc9b6af96a154@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN> <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="m30Ea0JWtw"
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, Michael Welsh Duggan <mwd@HIDDEN>,
 Stefan Kangas <stefan@HIDDEN>, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>


--m30Ea0JWtw
Content-Type: text/plain; charset=us-ascii; format=flowed


>
> While I like to have alternatives, and the ideas are good, the color 
> (non-monochrome) flashes are both more noticeable than flashing top and 
> bottom lines of the frame with inverse-video, and are likely to clash 
> with different color themes out there.
>

Not if we use the standard faces, e.g. error and match.

>
> The popular distributions out there are made by developers using macOS. 
> You say the notification is different there (I haven't seen it). Perhaps 
> it's indeed too much.
>

I posted a screenshot upthread, here it is again.
--m30Ea0JWtw
Content-Type: image/png; name=macos.png
Content-Transfer-Encoding: base64
Content-ID: <bb7c6f5fc92136679d45@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=macos.png
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--m30Ea0JWtw--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 12:41:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 08:41:07 2021
Received: from localhost ([127.0.0.1]:48689 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTD8-00047a-RM
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:41:07 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:43612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lYTD4-00046g-0B
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:41:05 -0400
Received: by mail-wr1-f49.google.com with SMTP id x7so33848187wrw.10
 for <1305 <at> debbugs.gnu.org>; Mon, 19 Apr 2021 05:41:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=NB69/A4WM0ZzezIzALonA/DbmcmpCQCMf+nFJ/i0KNg=;
 b=BhrGkJWyzyB+a7Pi0w4eK6M7o+1h3tJ7TP3gNOSK5Ma9fu+OCKfZ9NpfdnxPd7P+5T
 ZNV8xPCRuE/VglZ17gLdIV2qmmxcU0UYJYuik3ikwRvCvmc+erYd9qmh5vUa4WtcSQxn
 0V2JoVsqCmLLrnKrCcXpQiniTE0xmqx5Bly3R7Hq7SQQr8vq9a5d48OmMI9jTMVnfEg6
 71IUc1tJwUe0YW7MbAcX/8Dr4DBWQEhTNHgP+Eq4nDt6Z2KYMT6G9ELXCVj2Qqr2ahOy
 osnZa41vwbodZCZGDpAuGWkiWr74gWRm/5xebmzjKZ28H2TzuEmZfafbifvq16Sp9ZGv
 bGuA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=NB69/A4WM0ZzezIzALonA/DbmcmpCQCMf+nFJ/i0KNg=;
 b=QpVWWFDQpH2fuYNxtgXEYkA2hOIPK6ivpubC3Tg2xuCSEXWiyWDpZIAX7i1fqxPSTu
 3pcinlmGTYNCq5VTNVokJeR/+WrKJwFWZny7EeDr1U1FdvAkavfdfEYjOiQ1z89WhvU/
 sxyBgetR4EuN1nME2ed7cI4XpPioIZrRrBqT6nr0l8Oj1jCT7PAcrJqhygNRvQnQ0Ilr
 pXI72gXwXGZsHHEW+vTuC8xrqnj4dD/f6BvhnXd5NSVEWiFM8ViBzwAmUiWc6my4AWVJ
 W7xoKDiM3EgBig1KQXUqcdF36YlFscfzMKCAX3xW/WU8Vlvo4bXWsYEgyV7omibikO8+
 QQyA==
X-Gm-Message-State: AOAM532p6pgWmxJgQaSumViDV4Z2pEQ8saq/GmCSu9WkrPZDeB0GaloZ
 OKiPyjncKdKeCkT5ct3G6aU=
X-Google-Smtp-Source: ABdhPJwAotubs+pbUtfyF5KT/qTtixmPFizJ7JiQhPFoQN+F+CuQtg8yIFFKI6Cp4zxSU0a+lNbUNA==
X-Received: by 2002:a5d:51cf:: with SMTP id n15mr14618454wrv.30.1618836056187; 
 Mon, 19 Apr 2021 05:40:56 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id a8sm25068076wrh.91.2021.04.19.05.40.54
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Mon, 19 Apr 2021 05:40:55 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Lars Ingebrigtsen <larsi@HIDDEN>, Stefan Kangas <stefan@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <jwvej1kpc9t.fsf-monnier+emacsbugreports@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 <87lf9eo3mq.fsf@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <fc736263-aa76-03e0-96c1-fdc2a6eefe36@HIDDEN>
Date: Mon, 19 Apr 2021 15:40:53 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <87lf9eo3mq.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Michael Welsh Duggan <mwd@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, 1305 <at> debbugs.gnu.org,
 jasonspiro4@HIDDEN, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 19.04.2021 15:33, Lars Ingebrigtsen wrote:
> Stefan Kangas <stefan@HIDDEN> writes:
> 
>> No, only the foreground of the mode-line.
> 
> I haven't seen this in action, but that sounds like a sensible variation
> on visible-bell -- and should work well on most systems.

While I like to have alternatives, and the ideas are good, the color 
(non-monochrome) flashes are both more noticeable than flashing top and 
bottom lines of the frame with inverse-video, and are likely to clash 
with different color themes out there.

If it was possible to port the (intended) behavior of the GNU/Linux 
version to the other ports, that could be ideal (we don't hear many 
complaints about it).

The popular distributions out there are made by developers using macOS. 
You say the notification is different there (I haven't seen it). Perhaps 
it's indeed too much.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 12:39:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 08:39:54 2021
Received: from localhost ([127.0.0.1]:48674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTBy-000444-5q
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:39:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lYTBw-00043q-Qz
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:39:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=WPbrSUbSn0eru1/iD4J3zLL078G2wt5dWiNvKe6XjtU=; b=PMKxP5Bx/JzYEyt17lIDvE7PL8
 xFhsagSiPo1VUVYB2S16ftPq397b4g/GaH1B2UZ61N+89KlhaLrz+evBOQTdj7UP/2LAAlS9BAYOc
 7AJ2kesZXTm5lNSfslTNcHKMmc8L+HtcEV5YN0eprP4BXHC1M1u3nyTN+qov/zdTpPP8=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lYTBo-000798-0b; Mon, 19 Apr 2021 14:39:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <u8wrsr7ok.fsf@HIDDEN>
 <jwvej1kpc9t.fsf-monnier+emacsbugreports@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <83mttvtyx4.fsf@HIDDEN>
 <877dkzpqzq.fsf@HIDDEN>
 <CADwFkmn8e=qhE7E_pLESf8cxKRpxFV7KUpSz8bZ=_Xx6DBLseg@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEUSJhhtjxEvTEcv
 WR+fphyptKZseXzu7+z///9wJuluAAAAAWJLR0QIht6VegAAAAd0SU1FB+UEEwweFPrwbOYAAAGp
 SURBVDjLvZNNc4IwEIaD2OkVkB+gxI8r6rS9iqY925Gw59YJuVptzN/vboJS2zrTk5kAgSe777tJ
 YEGSsyAaRJyzmDMW8UWIo2zGHmSt3l7Kl62sX1VdV/IEwFprrAFDD+q7MHss3xFUml7BdRzBLhyP
 S0UACFgPjoCg1h8jl8p9B6BOqfhYfVYzNjKqkpWSSqlnJbFteDZLURwVdhMrMYmBbQftrsLMu5Kw
 pxxkAMGSQB5nOQOU0yh09CBBwBtg99AY23jgI7QzKjEXUgKRqzxHV2gKzaAjHIwWqhrJuqz8kjSl
 U1ujOXzHWG00LZV18mO9tlabiTVYINgW1LCmG0Y0qew5lV82SnWHwiWJOw9KVrgwTtwrgD2EFHVo
 d9DXBnCsHTgVOGP3PkJSgfo7eDKSpsJxYK2EC+A19oMfqYIk6wcJHZ9wxTN3fDxIheh1C7EYxrEQ
 cVzEgnsghFh18RqKU+t5MC2KfhCnq0GKs9NpkZ4igqTfD3Kn0eO059FZfN6KtztIgN8AzG8AblHH
 BVg2/8efEb9AwTvh8j9gfqmxuAq4P7vXwBfwRvQgZatAtQAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAy
 MS0wNC0xOVQxMjozMDoyMCswMDowMI6V/wwAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDQtMTlU
 MTI6MzA6MjArMDA6MDD/yEewAAAAAElFTkSuQmCC
X-Now-Playing: Tuxedomoon's _Crammed Global Soundcrash 1980-89, Part 2:
 Electrowave_: "Tritone"
Date: Mon, 19 Apr 2021 14:39:43 +0200
In-Reply-To: <CADwFkmn8e=qhE7E_pLESf8cxKRpxFV7KUpSz8bZ=_Xx6DBLseg@HIDDEN>
 (Stefan Kangas's message of "Sun, 18 Apr 2021 11:12:00 -0500")
Message-ID: <878s5eo3cg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefan@HIDDEN> writes: > Lars Ingebrigtsen
 <larsi@HIDDEN> writes: > >> I tried in both Console and xterm on this
 Debian/bullseye
 system, and >> `C-g' doesn't do anything visible to me with `visible-bell'
 switched >> on... [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, mwd@HIDDEN, jasonspiro4@HIDDEN,
 gregory@HIDDEN, monnier@HIDDEN, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> I tried in both Console and xterm on this Debian/bullseye system, and
>> `C-g' doesn't do anything visible to me with `visible-bell' switched
>> on...
>
> Did you try this in "xterm -vb"?  I get flashing here when I use that
> (my X Resources disables it so I need to use that flag).

I can't see any differences here...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 12:39:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 08:39:16 2021
Received: from localhost ([127.0.0.1]:48671 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTBL-00042z-Qf
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:39:16 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41236)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lYTBJ-00042j-UD
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:39:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=f26d+qzFvdVxyCh6QyJZ92GvF1sTDxad5A9O1fnrwjE=; b=jVdcklCAqbXLfeHeLD7xlQWxvo
 japbqs8WbwS6kSgOutRAPjl9T+OvsbcAZtauxPQv/GtDJMkZfXftQokneDi7fnpm05UeKGycHqpD/
 IBpWa7i8WXn0szAuL7nBauJY1ZbZcoX6eY1Praf4Wm5AsbWGFIw8MiE2+9YiqR5ivGmU=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lYTAt-00077j-JR; Mon, 19 Apr 2021 14:38:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <u8wrsr7ok.fsf@HIDDEN>
 <jwvej1kpc9t.fsf-monnier+emacsbugreports@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <83mttvtyx4.fsf@HIDDEN>
 <877dkzpqzq.fsf@HIDDEN> <87zgxvtw3m.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEUSJhhtjxEvTEcv
 WR+fphyptKZseXzu7+z///9wJuluAAAAAWJLR0QIht6VegAAAAd0SU1FB+UEEwweFPrwbOYAAAGp
 SURBVDjLvZNNc4IwEIaD2OkVkB+gxI8r6rS9iqY925Gw59YJuVptzN/vboJS2zrTk5kAgSe777tJ
 YEGSsyAaRJyzmDMW8UWIo2zGHmSt3l7Kl62sX1VdV/IEwFprrAFDD+q7MHss3xFUml7BdRzBLhyP
 S0UACFgPjoCg1h8jl8p9B6BOqfhYfVYzNjKqkpWSSqlnJbFteDZLURwVdhMrMYmBbQftrsLMu5Kw
 pxxkAMGSQB5nOQOU0yh09CBBwBtg99AY23jgI7QzKjEXUgKRqzxHV2gKzaAjHIwWqhrJuqz8kjSl
 U1ujOXzHWG00LZV18mO9tlabiTVYINgW1LCmG0Y0qew5lV82SnWHwiWJOw9KVrgwTtwrgD2EFHVo
 d9DXBnCsHTgVOGP3PkJSgfo7eDKSpsJxYK2EC+A19oMfqYIk6wcJHZ9wxTN3fDxIheh1C7EYxrEQ
 cVzEgnsghFh18RqKU+t5MC2KfhCnq0GKs9NpkZ4igqTfD3Kn0eO059FZfN6KtztIgN8AzG8AblHH
 BVg2/8efEb9AwTvh8j9gfqmxuAq4P7vXwBfwRvQgZatAtQAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAy
 MS0wNC0xOVQxMjozMDoyMCswMDowMI6V/wwAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDQtMTlU
 MTI6MzA6MjArMDA6MDD/yEewAAAAAElFTkSuQmCC
X-Now-Playing: Tuxedomoon's _Crammed Global Soundcrash 1980-89, Part 2:
 Electrowave_: "Tritone"
Date: Mon, 19 Apr 2021 14:38:46 +0200
In-Reply-To: <87zgxvtw3m.fsf@HIDDEN> (Andreas Schwab's message of "Sun, 18
 Apr 2021 18:07:25 +0200")
Message-ID: <87czuqo3e1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andreas Schwab <schwab@HIDDEN> writes: > What does
 tput flash do? It flashes the terminal (both in Console and xterm). 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, gregory@HIDDEN, monnier@HIDDEN,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andreas Schwab <schwab@HIDDEN> writes:

> What does tput flash do?

It flashes the terminal (both in Console and xterm).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 12:37:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 08:37:53 2021
Received: from localhost ([127.0.0.1]:48667 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYTA1-00040P-DR
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:37:53 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41190)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lYT9w-000406-M6
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:37:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=hgeG8ibpiuDOFvzl+ieBOoW/s4dVDqBYZbzx7eRmty4=; b=gySfvmxOu1TdNJU2YZ0NRSQ9q4
 BBTJ8wtwK3ehoufGmr03PLzHljn3ZfHmqnQIsnCRFtwpEvdxYlJ7pjHA3vt65S5Vt0wiOV3TgVIHn
 KPKq47yb+eVHRxobzw6qYZmQwrzkf4DYpqIyXen2zmEcXGkICN0ZASyqJRAC4PRubBrw=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lYT9m-00077G-S5; Mon, 19 Apr 2021 14:37:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <CADwFkmkcLTJcB8FUOXejZQfp9A0mVBxbqoJ8WnNXb0GyJJTcmQ@HIDDEN>
 <8735vnpqho.fsf@HIDDEN> <jwvsg3n1url.fsf-monnier+emacs@HIDDEN>
 <87tuo3ob5f.fsf@HIDDEN> <jwvmttv1m3u.fsf-monnier+emacs@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEUSJhhtjxEvTEcv
 WR+fphyptKZseXzu7+z///9wJuluAAAAAWJLR0QIht6VegAAAAd0SU1FB+UEEwweFPrwbOYAAAGp
 SURBVDjLvZNNc4IwEIaD2OkVkB+gxI8r6rS9iqY925Gw59YJuVptzN/vboJS2zrTk5kAgSe777tJ
 YEGSsyAaRJyzmDMW8UWIo2zGHmSt3l7Kl62sX1VdV/IEwFprrAFDD+q7MHss3xFUml7BdRzBLhyP
 S0UACFgPjoCg1h8jl8p9B6BOqfhYfVYzNjKqkpWSSqlnJbFteDZLURwVdhMrMYmBbQftrsLMu5Kw
 pxxkAMGSQB5nOQOU0yh09CBBwBtg99AY23jgI7QzKjEXUgKRqzxHV2gKzaAjHIwWqhrJuqz8kjSl
 U1ujOXzHWG00LZV18mO9tlabiTVYINgW1LCmG0Y0qew5lV82SnWHwiWJOw9KVrgwTtwrgD2EFHVo
 d9DXBnCsHTgVOGP3PkJSgfo7eDKSpsJxYK2EC+A19oMfqYIk6wcJHZ9wxTN3fDxIheh1C7EYxrEQ
 cVzEgnsghFh18RqKU+t5MC2KfhCnq0GKs9NpkZ4igqTfD3Kn0eO059FZfN6KtztIgN8AzG8AblHH
 BVg2/8efEb9AwTvh8j9gfqmxuAq4P7vXwBfwRvQgZatAtQAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAy
 MS0wNC0xOVQxMjozMDoyMCswMDowMI6V/wwAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDQtMTlU
 MTI6MzA6MjArMDA6MDD/yEewAAAAAElFTkSuQmCC
X-Now-Playing: Zazou-Bikaye's _Crammed Global Soundcrash 1980-89, Part 2:
 Electrowave_: "M'Pasi Ya M'Pamba rmx"
Date: Mon, 19 Apr 2021 14:37:38 +0200
In-Reply-To: <jwvmttv1m3u.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Sun, 18 Apr 2021 14:34:33 -0400")
Message-ID: <87h7k2o3fx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Monnier <monnier@HIDDEN> writes: >> It's
 more intrusive than what many people are using -- which is neither >> an
 audible
 nor a visible bell, but just the echo area saying "Quit" when >> you hit
 `C-g' (etc). > > But those people won' [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Michael Welsh Duggan <mwd@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Stefan Kangas <stefan@HIDDEN>, jasonspiro4@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier <monnier@HIDDEN> writes:

>> It's more intrusive than what many people are using -- which is neither
>> an audible nor a visible bell, but just the echo area saying "Quit" when
>> you hit `C-g' (etc).
>
> But those people won't be affected by a change in the default.

Dmitry's useful overview of the various distributions (thanks) had this,
for instance:

---
Prelude and Spacemacs:

  (setq ring-bell-function 'ignore)
---

If I understand correctly, this doesn't set `visible-bell', but only
uses the default value (which is nil).  So changing the default will
indeed affect these users (until the distributions update themselves to
set visible-bell to nil).

> The only people which would see a "more intrusive" bell is those who
> keep the default settings but whose environment ends up muting the
> audible bell.  I don't know how common this is.

Me neither -- but just as a data point: In Gnome Shell the customisation
element for switching "system sounds" off is prominent, so my guess
would be that it's something people do use.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 19 Apr 2021 12:33:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 19 08:33:54 2021
Received: from localhost ([127.0.0.1]:48661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYT66-0003tG-Ir
	for submit <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:33:54 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1lYT61-0003sq-UA
 for 1305 <at> debbugs.gnu.org; Mon, 19 Apr 2021 08:33:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=3W/3d1Y2uOJB7Pg7qE7i8WXXNYupVKx5zBNgp7vrPcI=; b=EwYql4cKJk2wMzxT4PKYacBW34
 8BwJbGmU+JAUu6B1mkGKO9NlMOwsIjx8jRBlLmsYbQ1LphC3LB68BLg/OOxX5oAaNZHJ1AeM+yEy+
 TyGgvOMYADS00Mu2GQ4KpXVFyPcV0apoVIFKwD751CM4fdHzVbwrsj+/dw582uy8u988=;
Received: from cm-84.212.220.105.getinternet.no ([84.212.220.105] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1lYT5q-00075y-GL; Mon, 19 Apr 2021 14:33:36 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <jwvej1kpc9t.fsf-monnier+emacsbugreports@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
 <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEUSJhhtjxEvTEcv
 WR+fphyptKZseXzu7+z///9wJuluAAAAAWJLR0QIht6VegAAAAd0SU1FB+UEEwweFPrwbOYAAAGp
 SURBVDjLvZNNc4IwEIaD2OkVkB+gxI8r6rS9iqY925Gw59YJuVptzN/vboJS2zrTk5kAgSe777tJ
 YEGSsyAaRJyzmDMW8UWIo2zGHmSt3l7Kl62sX1VdV/IEwFprrAFDD+q7MHss3xFUml7BdRzBLhyP
 S0UACFgPjoCg1h8jl8p9B6BOqfhYfVYzNjKqkpWSSqlnJbFteDZLURwVdhMrMYmBbQftrsLMu5Kw
 pxxkAMGSQB5nOQOU0yh09CBBwBtg99AY23jgI7QzKjEXUgKRqzxHV2gKzaAjHIwWqhrJuqz8kjSl
 U1ujOXzHWG00LZV18mO9tlabiTVYINgW1LCmG0Y0qew5lV82SnWHwiWJOw9KVrgwTtwrgD2EFHVo
 d9DXBnCsHTgVOGP3PkJSgfo7eDKSpsJxYK2EC+A19oMfqYIk6wcJHZ9wxTN3fDxIheh1C7EYxrEQ
 cVzEgnsghFh18RqKU+t5MC2KfhCnq0GKs9NpkZ4igqTfD3Kn0eO059FZfN6KtztIgN8AzG8AblHH
 BVg2/8efEb9AwTvh8j9gfqmxuAq4P7vXwBfwRvQgZatAtQAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAy
 MS0wNC0xOVQxMjozMDoyMCswMDowMI6V/wwAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjEtMDQtMTlU
 MTI6MzA6MjArMDA6MDD/yEewAAAAAElFTkSuQmCC
X-Now-Playing: Zazou-Bikaye's _Crammed Global Soundcrash 1980-89, Part 2:
 Electrowave_: "M'Pasi Ya M'Pamba rmx"
Date: Mon, 19 Apr 2021 14:33:33 +0200
In-Reply-To: <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
 (Stefan Kangas's message of "Sun, 18 Apr 2021 12:14:46 -0500")
Message-ID: <87lf9eo3mq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Kangas <stefan@HIDDEN> writes: > No,
 only the foreground
 of the mode-line. I haven't seen this in action,
 but that sounds like a sensible
 variation on visible-bell -- and should work well on most systems. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, Michael Welsh Duggan <mwd@HIDDEN>,
 jasonspiro4@HIDDEN, Gregory Heytings <gregory@HIDDEN>,
 monnier@HIDDEN, Dmitry Gutov <dgutov@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefan@HIDDEN> writes:

> No, only the foreground of the mode-line.

I haven't seen this in action, but that sounds like a sensible variation
on visible-bell -- and should work well on most systems.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 18 Apr 2021 19:19:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 15:19:09 2021
Received: from localhost ([127.0.0.1]:47859 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYCwm-0001Bi-T4
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 15:19:09 -0400
Received: from heytings.org ([95.142.160.155]:43702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lYCwl-0001Ba-Hj
 for 1305 <at> debbugs.gnu.org; Sun, 18 Apr 2021 15:19:08 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1618773546;
 bh=hInaqvB/DpEGcsIOzJn/gMiNfAeok7k53aGsMurF5Z8=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=tYjYdrHZ0FOZTgl13Uu9joQG6J8yibCGWnDiQe3AjG+YhhleYfH38RU3YbBB0/ox1
 IDB3/7Te1taw0CLKW1xz9a9KEanLwiXsUagODbuyR3nZNRiqdsT/0g8+paRAlunq1X
 WBYjTUKTwZ/wSU1WeidliZm0yGPUq/nwTqkACD+VWJ4jrZ3eDyKtR8YqPAB94GcLXs
 0gBpid5xcvz6/FQxuch49UtPyd21iMJdLxT3Mbnvd7NhPpW9Y6cZQz2BWFfyhC0zGJ
 3QNSX66VdC0RI+ukilPUHF4V6mulSs6SbPI0lk41lGgwDku7k4iBFlZNaYt12/N6z2
 fBEHZruZmEUIw==
Date: Sun, 18 Apr 2021 19:19:06 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <CADwFkmm116wUkXnm0eqiwQeggpu-DerqUcc9M=LXz-=b5+3hhg@HIDDEN>
Message-ID: <c40b32b1f8b928da2451@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <CADwFkmkcLTJcB8FUOXejZQfp9A0mVBxbqoJ8WnNXb0GyJJTcmQ@HIDDEN>
 <8735vnpqho.fsf@HIDDEN> <c40b32b1f8e2fba7fb9a@HIDDEN>
 <83fszntt1u.fsf@HIDDEN> <c40b32b1f8accd57d982@HIDDEN>
 <CADwFkmm116wUkXnm0eqiwQeggpu-DerqUcc9M=LXz-=b5+3hhg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, mwd@HIDDEN, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> Eli is correct, 0.25 is far too long.  0.1 is much better.  That is also 
> closer to the duration of the current behavior for `visible-bell' on 
> GNU/Linux (in fact, there is no reason not to use the exact same 
> duration as before).
>

FTR, the duration of the current visible-bell on GNU/Linux is 0.2 seconds.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 18 Apr 2021 19:04:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 15:04:13 2021
Received: from localhost ([127.0.0.1]:47828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYCiK-0000mv-TH
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 15:04:13 -0400
Received: from mail-pl1-f177.google.com ([209.85.214.177]:40708)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lYCiI-0000mh-L9
 for 1305 <at> debbugs.gnu.org; Sun, 18 Apr 2021 15:04:11 -0400
Received: by mail-pl1-f177.google.com with SMTP id 20so12608767pll.7
 for <1305 <at> debbugs.gnu.org>; Sun, 18 Apr 2021 12:04:10 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=R+2WNGGhMQT8E+5lLMVZZ06w2yVM+QdFY1SWu/yTq7k=;
 b=D/XzTUOeChfoWADbHr6eZ/hzKSv/W98jJFOLfCc0lje6KxiXJg7cookmuVEHC416AJ
 EQN5MlPgvpFqgy9kmu+Q9GZGaSKrIM54ISFLAiriijVCMWtO08wiserOjzZ6zVPUHclE
 /mFsiqfpCbOIykZHx53zpP9QnWmCjl1Rjspg8ES9RaLPlgX/UogL8D7t4uKqRTH0ADqf
 HmZo2zh6dpdA/EZnJ52nwukJip0lV6TYKryddJwVuVvQmgcXpMLYnTM45mmQryQeRHzO
 kSohnJfzWSA9P/uhe5YWdR7KiMAo7TonU1nY5umk1kVRx2UaMzTanmfYzm3kyLnVwpvY
 reYA==
X-Gm-Message-State: AOAM531EiccZY+5WcUMgwJBOPkmvpz44rwsvV2RfthPlBu0u3F3MF1VS
 gZWEHEDsFaUz7/OkNYn1TKfY+pjgPIhfm1XG30o=
X-Google-Smtp-Source: ABdhPJxQzhqGVywufe1ltnwMZSalFaJ+hHGqPAiCgd7NXfWVat40aDnhpEZn4B9hZ0H7onbe0dqCuLm+vGPwD2yyTkY=
X-Received: by 2002:a17:90b:19ca:: with SMTP id
 nm10mr21256256pjb.175.1618772644994; 
 Sun, 18 Apr 2021 12:04:04 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 18 Apr 2021 14:04:04 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <c40b32b1f85328c78646@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <1869622e162377be79e9@HIDDEN> <83bladw0dh.fsf@HIDDEN>
 <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <CADwFkmkcLTJcB8FUOXejZQfp9A0mVBxbqoJ8WnNXb0GyJJTcmQ@HIDDEN>
 <8735vnpqho.fsf@HIDDEN> <c40b32b1f8e2fba7fb9a@HIDDEN>
 <83fszntt1u.fsf@HIDDEN> <c40b32b1f8accd57d982@HIDDEN>
 <CADwFkmm116wUkXnm0eqiwQeggpu-DerqUcc9M=LXz-=b5+3hhg@HIDDEN>
 <c40b32b1f85328c78646@HIDDEN>
MIME-Version: 1.0
Date: Sun, 18 Apr 2021 14:04:04 -0500
Message-ID: <CADwFkmmLbouNQwyQEZ96bh7mdn21nyH8cPU23gYdRRTL5HDMMg@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, mwd@HIDDEN, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Gregory Heytings <gregory@HIDDEN> writes:

>> Eli is correct, 0.25 is far too long.  0.1 is much better.
>>
>
> He said 0.5 is too long, I tried 0.1, and find it too short to be noticed,
> so I tried 0.25, which seems okay from my point of view.

Hmm, I find the flashing effect to be noticeable even with 0.03 or 0.05,
but I did also change the colour to red which is more visible to my
eyes.  But yes, we can't go too low.

I suggest just using the same value as with the old visible bell,
whatever that may be.

>> In comparison with the old GNU/Linux behavior, your patch is basically
>> as good or better.  However, with your patch I have to wait until the
>> flashing is over to read the text at the bottom.  This was not the case
>> previously.  I think that would need to be fixed.
>
> It's just a quick proof of concept, perhaps it's possible to do something
> better, I'll try to do that if there's an agreement that it's a good
> starting point.

Sounds good, thanks for your work here.

> That being said, I'd be surprised if you can move your
> eye from point to the echo area in less than 0.25 seconds.  What you
> describe is annoying only if you already look at the echo area to see the
> error.

I don't know which if any eye-movement was or wasn't involved as I
didn't carry out this experiment with any scientific rigor.  ;-)

So I can only tell you my experiences.  With your patch I found myself
having to wait to see the text at the bottom, which was frustrating when
I expected to see it immediately.  This was the case also with a 0.1
second delay: I saw first a block of red text before the text popped up.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 18 Apr 2021 18:45:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 14:45:19 2021
Received: from localhost ([127.0.0.1]:47772 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYCQ2-0006aQ-QF
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 14:45:19 -0400
Received: from heytings.org ([95.142.160.155]:43642)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lYCPw-0006a9-OB
 for 1305 <at> debbugs.gnu.org; Sun, 18 Apr 2021 14:45:16 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1618771511;
 bh=cbZ2xH3nMPzkfRKZFLTjZNqutUDnem6hELY/v8Zeros=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=csyOHO1X3nrx7og2HwjbLS5fL9lfXqdJM5fbyeteaUpFdnijH+hf2Z8mB1jnvX57o
 /F5/O9hYn1Ovc5fXszDAAsgr+c21YRFw7gHGKI7jA9laGtphusma43C1XeG+Y//gcW
 ALlzr7vz//Wqkp2c7HynH3J1T8Be5ECLC+UJbnSqafzhKT1a0RVQGfWWguGUzv5ooK
 6y1mG8qdQZGycoP5jqr4asKCTUK6GcdtaqBFJ+Ap/Yfd6PTdp1aXh2afz5GDIO1huq
 zbSW+sI5ajkBNkycJkOJjyLCBAqCL00c70fuI0U2yy3vsDVZVnVLmBo6LWqJiNPIZd
 J/l5xwon4coGg==
Date: Sun, 18 Apr 2021 18:45:11 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <CADwFkmm116wUkXnm0eqiwQeggpu-DerqUcc9M=LXz-=b5+3hhg@HIDDEN>
Message-ID: <c40b32b1f85328c78646@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <CADwFkmkcLTJcB8FUOXejZQfp9A0mVBxbqoJ8WnNXb0GyJJTcmQ@HIDDEN>
 <8735vnpqho.fsf@HIDDEN> <c40b32b1f8e2fba7fb9a@HIDDEN>
 <83fszntt1u.fsf@HIDDEN> <c40b32b1f8accd57d982@HIDDEN>
 <CADwFkmm116wUkXnm0eqiwQeggpu-DerqUcc9M=LXz-=b5+3hhg@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, mwd@HIDDEN, jasonspiro4@HIDDEN,
 monnier@HIDDEN, Eli Zaretskii <eliz@HIDDEN>, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> Eli is correct, 0.25 is far too long.  0.1 is much better.
>

He said 0.5 is too long, I tried 0.1, and find it too short to be noticed, 
so I tried 0.25, which seems okay from my point of view.

>
> In comparison with the old GNU/Linux behavior, your patch is basically 
> as good or better.  However, with your patch I have to wait until the 
> flashing is over to read the text at the bottom.  This was not the case 
> previously.  I think that would need to be fixed.
>

It's just a quick proof of concept, perhaps it's possible to do something 
better, I'll try to do that if there's an agreement that it's a good 
starting point.  That being said, I'd be surprised if you can move your 
eye from point to the echo area in less than 0.25 seconds.  What you 
describe is annoying only if you already look at the echo area to see the 
error.

>
> If we do eventually decide to go this way, perhaps we could include a 
> few variations, for example the idea of changing the mode-line text from 
> Doom could be added as optional behaviour.
>

FWIW, I'm not sure it's right to do that, it might interfere with packages 
which use the mode-line in exotic ways.  Moreover what's the point of 
changing the color of the mode-line?  It's distracting, what the user 
should be invited to look at at that moment is the echo area, where the 
error message is (about to be) displayed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 18 Apr 2021 18:35:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 14:35:52 2021
Received: from localhost ([127.0.0.1]:47762 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYCGu-0006MB-IS
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 14:35:52 -0400
Received: from mail-pg1-f173.google.com ([209.85.215.173]:34438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lYCGs-0006Lz-Vj
 for 1305 <at> debbugs.gnu.org; Sun, 18 Apr 2021 14:35:51 -0400
Received: by mail-pg1-f173.google.com with SMTP id z16so22683264pga.1
 for <1305 <at> debbugs.gnu.org>; Sun, 18 Apr 2021 11:35:50 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=W/0OBKaHSfIJ5rCgQKBd5RfsbAs5uBw5zSOub6hK9dA=;
 b=IZ3UenYgFdvunQ2a3DynONlbHQa5m7Ee/Wfnx5L0JGD8D5hZbIiAPru51G/LMLzKr/
 KJswlPl7FXMWyllZo+80+cPmKiR3J08T6yfxzOeVLPW7JdTKe9Q0FxFufZfvpIVG8aWP
 WKbck9WgHqoi/i/GlYRYQdPs/ncMb0uyZz+btV4mLkogUNDhIq8Tb3VC9BHkC+HbRagw
 h+JqKJuNcpv81nYn/z+N4U01BcRvWzpVP+et51cuvLqBSNUxlnOoNB0ceQjDmXEL+EPH
 DBGwOCCKkleUdQcMRSlRBcyffI6sGFBOj5vNVpwas8pqh4MXViza5qMz2fTsIvPYLWFk
 KJIA==
X-Gm-Message-State: AOAM531HbuRpDRC/eEeZHFR9vckJ2TdtXqdzQQMq6xj13XOBMzcXpxK7
 S8WeaCQNuIJXER/9oIqj0elY7yF5SgQ27hmvRfU=
X-Google-Smtp-Source: ABdhPJwKCg0sBwcYnR0Th/8mxSrkc9Jehz04SzGY7vJisCATMI0YCL+6oVW1X6bLaEIFxHh5c983lih4IR5ZMhRnEMg=
X-Received: by 2002:a63:5b5c:: with SMTP id l28mr8226384pgm.363.1618770945121; 
 Sun, 18 Apr 2021 11:35:45 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 18 Apr 2021 13:35:44 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <c40b32b1f8accd57d982@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <CADwFkmkcLTJcB8FUOXejZQfp9A0mVBxbqoJ8WnNXb0GyJJTcmQ@HIDDEN>
 <8735vnpqho.fsf@HIDDEN> <c40b32b1f8e2fba7fb9a@HIDDEN>
 <83fszntt1u.fsf@HIDDEN> <c40b32b1f8accd57d982@HIDDEN>
MIME-Version: 1.0
Date: Sun, 18 Apr 2021 13:35:44 -0500
Message-ID: <CADwFkmm116wUkXnm0eqiwQeggpu-DerqUcc9M=LXz-=b5+3hhg@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: mwd@HIDDEN, larsi@HIDDEN, 1305 <at> debbugs.gnu.org, jasonspiro4@HIDDEN,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Gregory Heytings <gregory@HIDDEN> writes:

>>>   (sit-for 0.5)
>>
>> I think half a second is too long, a bell should be much shorter, like
>> 0.1 sec or something.
>>
>
> Hmmm... 0.5 seconds is the duration of typical audible bells.  And with a
> sit-for, it's at most 0.5 seconds, when the user presses a key the bell
> signal disappears.  That being said, I agree with you that 0.5 seconds is
> perhaps a bit too long, so I changed it to 0.25 seconds.

Eli is correct, 0.25 is far too long.  0.1 is much better.  That is also
closer to the duration of the current behavior for `visible-bell' on
GNU/Linux (in fact, there is no reason not to use the exact same
duration as before).

In comparison with the old GNU/Linux behavior, your patch is basically
as good or better.  However, with your patch I have to wait until the
flashing is over to read the text at the bottom.  This was not the case
previously.  I think that would need to be fixed.

My guess (without looking at the code) is that we would need to make
sure that the bell function is called after the text is displayed rather
than before.  Perhaps this would require us to add a new hook or
something.

(If we do eventually decide to go this way, perhaps we could include a
few variations, for example the idea of changing the mode-line text from
Doom could be added as optional behaviour.  I don't feel very strongly
about this, but I thought it might be worth floating the idea.  It's
very easy to implement, and there is demonstrably at least some demand
for it.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 18 Apr 2021 18:34:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 14:34:44 2021
Received: from localhost ([127.0.0.1]:47754 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYCFo-0006K1-0P
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 14:34:44 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:18624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1lYCFm-0006Jo-46
 for 1305 <at> debbugs.gnu.org; Sun, 18 Apr 2021 14:34:42 -0400
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 4AC8B10022F;
 Sun, 18 Apr 2021 14:34:36 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 99A9410020E;
 Sun, 18 Apr 2021 14:34:34 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1618770874;
 bh=ShoP2uTkBFNiWlz1irCU0+TOqmLpS2AkW4x+EYUnbmE=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=lCtmTtsfoVBoVRSbvLpvDUhPhEjtqLp5TTP0mi6JsmKXG0mdTCfg54LXB0UA196yL
 W+iR8YAFVUcC3ad5yLsh6DZdhOC5xD4bszkuWRPHAYdnlcmaYTfLWEtb3JHvFtcFmL
 MybsAqaQEDEoAXlK7ECzmMUnpxYU3lMG21mltr8KdsjtlFuzwb+uxTNH7j4QlaAFg8
 RLBS0uJMbMTMsF+xN+udgSmL2gEWBh+2IO+fOaF3hAqOL7e6GHok9bmdRwLQKLc14q
 VTcePd57pvpvCU+RkepJmc3o9yLNJS9IIiMQU98PdCf4Je7lUG3fJPOz5mo79CbH6m
 6ZXOpkZbJzmfA==
Received: from alfajor (104-222-126-84.cpe.teksavvy.com [104.222.126.84])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 4B2031202A0;
 Sun, 18 Apr 2021 14:34:34 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
Message-ID: <jwvmttv1m3u.fsf-monnier+emacs@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <jwvej1kpc9t.fsf-monnier+emacsbugreports@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <CADwFkmkcLTJcB8FUOXejZQfp9A0mVBxbqoJ8WnNXb0GyJJTcmQ@HIDDEN>
 <8735vnpqho.fsf@HIDDEN> <jwvsg3n1url.fsf-monnier+emacs@HIDDEN>
 <87tuo3ob5f.fsf@HIDDEN>
Date: Sun, 18 Apr 2021 14:34:33 -0400
In-Reply-To: <87tuo3ob5f.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 18 Apr 2021 17:38:52 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.023 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 1305
Cc: Michael Welsh Duggan <mwd@HIDDEN>,
 Gregory Heytings <gregory@HIDDEN>, 1305 <at> debbugs.gnu.org,
 Stefan Kangas <stefan@HIDDEN>, jasonspiro4@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

>> FWIW, I don't see what's "intrusive" about the "blink top and bottom lines of
>> the selected frame" which I currently see in GNU/Linux.
> In this Emacs, it blinks the two topmost lines.  Which may be a bug?

My crystal ball tells me it's a hidpi bug, indeed: it probably doubles
something where it shouldn't, so at the top, it turns into 1 line into
2 and at the bottom, the line ends up being twice too far (and probably
twice too think as well, but we don't get to see it anyway).

>> It may not be slick but it does the job and I don't find it intrusive.
>> Of course, I'm biased (I've used it for too many years), but it's
>> clearly less intrusive than the non-visual bell.
> It's more intrusive than what many people are using -- which is neither
> an audible nor a visible bell, but just the echo area saying "Quit" when
> you hit `C-g' (etc).

But those people won't be affected by a change in the default.
The only people which would see a "more intrusive" bell is those who
keep the default settings but whose environment ends up muting the
audible bell.  I don't know how common this is.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 18 Apr 2021 18:02:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 14:02:15 2021
Received: from localhost ([127.0.0.1]:47730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYBkN-0005VV-CJ
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 14:02:15 -0400
Received: from heytings.org ([95.142.160.155]:43576)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lYBkL-0005VL-GB
 for 1305 <at> debbugs.gnu.org; Sun, 18 Apr 2021 14:02:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1618768932;
 bh=9s9TQ93Xwf5IU0+/8jom1v4I4kXjEtdez6x3fad3kG0=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=Nn+RxIxYSvBYNDcADg5OteJ1va06kbqwIQVSGNN9IL/qapgcTCL69O/a0W9mPhbla
 RxD20oxV197rKSweJj6EMm2436aBS0X4P4ROOhbXhkn147QoKfBcE3Y3VMRzznJjTl
 TNPO0y3N9Yl24ShUqo6TwESezju6p45yJIU34kn9QJZFHz/rUFMaMCwbGLpLDJxbZo
 iN0G9wWwhwJQfu/7Td85W/1U4n0iIRSlQqwsFIQtHNgFlt3oGGoQSjq5innEKk5tsr
 bVVqFRYWDvLwSmj5FmMoNnsl8p/1cdVEuNY/mgLKcjmhCX2gPFmdYqir2x06qw7ays
 SCkBTapEy67UQ==
Date: Sun, 18 Apr 2021 18:02:11 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <83fszntt1u.fsf@HIDDEN>
Message-ID: <c40b32b1f8accd57d982@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <ud4h4raa7.fsf@HIDDEN> <00ad01c942a0$1f49ca60$0200a8c0@HIDDEN>
 <u8wrsr7ok.fsf@HIDDEN> <jwvej1kpc9t.fsf-monnier+emacsbugreports@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <CADwFkmkcLTJcB8FUOXejZQfp9A0mVBxbqoJ8WnNXb0GyJJTcmQ@HIDDEN>
 <8735vnpqho.fsf@HIDDEN> <c40b32b1f8e2fba7fb9a@HIDDEN>
 <83fszntt1u.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="pxftHDc3cB"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, monnier@HIDDEN, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--pxftHDc3cB
Content-Type: text/plain; format=flowed; charset=us-ascii


>>> I think, perhaps, introducing a new visible bell (across all 
>>> significant system), that's considerably less intrusive than the ones 
>>> we have today on GNU/Linux and Macos, might be an option.  And then 
>>> defaulting to using that.
>>>
>>> Gregory suggested blinking the cursor in a different colour -- 
>>> perhaps?
>>
>> I attach a POC of what I have in mind.
>
> If this is being proposed as the default setting, then we should have a 
> different default for TTY frames, because AFAIR cursor color cannot be 
> changed there, right?
>

Indeed.

>>   (sit-for 0.5)
>
> I think half a second is too long, a bell should be much shorter, like 
> 0.1 sec or something.
>

Hmmm... 0.5 seconds is the duration of typical audible bells.  And with a 
sit-for, it's at most 0.5 seconds, when the user presses a key the bell 
signal disappears.  That being said, I agree with you that 0.5 seconds is 
perhaps a bit too long, so I changed it to 0.25 seconds.

I attach the updated POC, which works on non-graphical displays.
--pxftHDc3cB
Content-Type: text/plain; charset=us-ascii; name=visible-bell.el
Content-Transfer-Encoding: base64
Content-ID: <c40b32b1f8e6b7c5f89a@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=visible-bell.el

KGRlZmZhY2UgdmlzaWJsZS1iZWxsLWZhY2UNCiAgJygoKCh0eXBlIHR0eSkp
IDpiYWNrZ3JvdW5kICJyZWQiKSh0ICg6YmFja2dyb3VuZCAieWVsbG93Iikp
KSAiIikNCihkZWZmYWNlIHZpc2libGUtYmVsbC1jdXJzb3ItZmFjZSBgKCh0
ICg6YmFja2dyb3VuZCAicmVkIikpKSAiIikNCihkZWZ2YXIgdmlzaWJsZS1i
ZWxsLS1jdXJzb3ItYmFja2dyb3VuZCBuaWwpDQooZGVmdmFyIHZpc2libGUt
YmVsbC0tZmFjZS1yZW1hcHBpbmcgbmlsKQ0KKGRlZnVuIHZpc2libGUtYmVs
bCAoKQ0KICAodW5sZXNzIHZpc2libGUtYmVsbC0tY3Vyc29yLWJhY2tncm91
bmQNCiAgICAoc2V0cSB2aXNpYmxlLWJlbGwtLWN1cnNvci1iYWNrZ3JvdW5k
DQogICAgICAgICAgKGZhY2UtYXR0cmlidXRlICdjdXJzb3IgOmJhY2tncm91
bmQpKSkNCiAgKHNldC1mYWNlLWF0dHJpYnV0ZSAnY3Vyc29yIG5pbCA6YmFj
a2dyb3VuZA0KCQkgICAgICAoZmFjZS1hdHRyaWJ1dGUgJ3Zpc2libGUtYmVs
bC1jdXJzb3ItZmFjZSA6YmFja2dyb3VuZCkpDQogICh3aXRoLWN1cnJlbnQt
YnVmZmVyICIgKkVjaG8gQXJlYSAwKiINCiAgICAoc2V0cS1sb2NhbCB2aXNp
YmxlLWJlbGwtLWZhY2UtcmVtYXBwaW5nDQogICAgICAgICAgICAgICAgKGZh
Y2UtcmVtYXAtYWRkLXJlbGF0aXZlICdkZWZhdWx0ICd2aXNpYmxlLWJlbGwt
ZmFjZSkpKQ0KICAoc2l0LWZvciAwLjI1KQ0KICAoc2V0LWZhY2UtYXR0cmli
dXRlICdjdXJzb3IgbmlsIDpiYWNrZ3JvdW5kIHZpc2libGUtYmVsbC0tY3Vy
c29yLWJhY2tncm91bmQpDQogICh3aXRoLWN1cnJlbnQtYnVmZmVyICIgKkVj
aG8gQXJlYSAwKiINCiAgICAoZmFjZS1yZW1hcC1yZW1vdmUtcmVsYXRpdmUg
dmlzaWJsZS1iZWxsLS1mYWNlLXJlbWFwcGluZykpKQ0KKHNldHEgcmluZy1i
ZWxsLWZ1bmN0aW9uICMndmlzaWJsZS1iZWxsKQ0KKHNldHEgdmlzaWJsZS1i
ZWxsIG5pbCkgOzsganVzdCBpbiBjYXNlDQo=

--pxftHDc3cB--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 18 Apr 2021 17:14:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 13:14:55 2021
Received: from localhost ([127.0.0.1]:47679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYB0Y-0002Bg-TL
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 13:14:55 -0400
Received: from mail-pg1-f169.google.com ([209.85.215.169]:38454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lYB0X-0002BT-61
 for 1305 <at> debbugs.gnu.org; Sun, 18 Apr 2021 13:14:53 -0400
Received: by mail-pg1-f169.google.com with SMTP id w10so22618475pgh.5
 for <1305 <at> debbugs.gnu.org>; Sun, 18 Apr 2021 10:14:53 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=1Cyopegim/hu2OLb76gN4BHz20yCi4ASjpDvyQSi0ck=;
 b=Uh+TrpmkA33iqUVWRuSGnDCQweS+vS7xL3aVgBl8RP864Do7bBSYafvlQNd7bqN/t/
 MSp+n3qX2WE66l7KfJoPFarE6TAcPbznCcUX9a0wrxFniUaJn/2VuUDJMBjYjh2XRZZb
 NMv73edTH7oh9KDYZ9An/K3/b6k4wIyEEKLJP0i0P9wBLarXFKMp0XHvRVXNRdkYgZxB
 yg+OI2WxFmdsFY93E9TIyMRgT/L/wCyFq5v/5J9237VI8XIQUHcH2SK9bYFra8amaSRz
 8n5bOc57wPTmWMwPaPlcsjzmLSppp5kNZJli4I2jDg55MdDuawLaUM56ICXVBptE0BZe
 cMvg==
X-Gm-Message-State: AOAM530FQiYEcdIeECo2qLkycaKKA7kphSm1xRFFcgcWABLdWVMsY696
 krYd0IIJmavLZvTS9uCxLRhL13849LFeyG8vQDY=
X-Google-Smtp-Source: ABdhPJzivo754e+5h1goiRLW9T9oW8X3TO8cPoVwkBrMJjiGltC9Ir+gc9WJg5k7rR8OCaOrNcDzNkSrqk69uypBaNU=
X-Received: by 2002:aa7:828f:0:b029:200:6e27:8c8f with SMTP id
 s15-20020aa7828f0000b02902006e278c8fmr16038353pfm.44.1618766087242; Sun, 18
 Apr 2021 10:14:47 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 18 Apr 2021 12:14:46 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <c40b32b1f8ff7ac59959@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <u8wrsr7ok.fsf@HIDDEN> <jwvej1kpc9t.fsf-monnier+emacsbugreports@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
MIME-Version: 1.0
Date: Sun, 18 Apr 2021 12:14:46 -0500
Message-ID: <CADwFkmkmx2iRKcEq=7ZsYxS=QbvYVS=9R7U8+kvVZKYjQZYZgA@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, Michael Welsh Duggan <mwd@HIDDEN>,
 jasonspiro4@HIDDEN, monnier@HIDDEN,
 Dmitry Gutov <dgutov@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Gregory Heytings <gregory@HIDDEN> writes:

>> The docstring isn't clear what "blinking" means, but they briefly set
>> the *foreground* color to red (or whatever color `error' is configured
>> to be).
>
> The foreground of the whole buffer?  IMO that's very intrusive for a
> default.  Also, this isn't the default Doom behavior, I just checked and
> doom-visual-bell is an optional extension.

No, only the foreground of the mode-line.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 18 Apr 2021 17:13:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 13:13:53 2021
Received: from localhost ([127.0.0.1]:47674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYAzV-00029l-Cm
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 13:13:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36632)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1lYAzT-00029Y-0T
 for 1305 <at> debbugs.gnu.org; Sun, 18 Apr 2021 13:13:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53271)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1lYAzN-0001ur-Ht; Sun, 18 Apr 2021 13:13:41 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:4545
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1lYAzL-0007b8-Rh; Sun, 18 Apr 2021 13:13:41 -0400
Date: Sun, 18 Apr 2021 20:13:17 +0300
Message-Id: <83fszntt1u.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Gregory Heytings <gregory@HIDDEN>
In-Reply-To: <c40b32b1f8e2fba7fb9a@HIDDEN> (message from Gregory
 Heytings on Sun, 18 Apr 2021 17:02:35 +0000)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <ud4h4raa7.fsf@HIDDEN> <00ad01c942a0$1f49ca60$0200a8c0@HIDDEN>
 <u8wrsr7ok.fsf@HIDDEN> <jwvej1kpc9t.fsf-monnier+emacsbugreports@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <CADwFkmkcLTJcB8FUOXejZQfp9A0mVBxbqoJ8WnNXb0GyJJTcmQ@HIDDEN>
 <8735vnpqho.fsf@HIDDEN> <c40b32b1f8e2fba7fb9a@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, mwd@HIDDEN, stefan@HIDDEN,
 jasonspiro4@HIDDEN, monnier@HIDDEN, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> Date: Sun, 18 Apr 2021 17:02:35 +0000
> From: Gregory Heytings <gregory@HIDDEN>
> Cc: Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
>  1305 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>,
>  monnier@HIDDEN
> 
> > I think, perhaps, introducing a new visible bell (across all significant 
> > system), that's considerably less intrusive than the ones we have today 
> > on GNU/Linux and Macos, might be an option.  And then defaulting to 
> > using that.
> >
> > Gregory suggested blinking the cursor in a different colour -- perhaps?
> >
> 
> I attach a POC of what I have in mind.

If this is being proposed as the default setting, then we should have
a different default for TTY frames, because AFAIR cursor color cannot
be changed there, right?

>   (sit-for 0.5)

I think half a second is too long, a bell should be much shorter, like
0.1 sec or something.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 18 Apr 2021 17:05:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 13:05:17 2021
Received: from localhost ([127.0.0.1]:47648 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYArF-0001wU-1s
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 13:05:17 -0400
Received: from mail-wr1-f54.google.com ([209.85.221.54]:36445)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <raaahh@HIDDEN>) id 1lYArD-0001wE-Dp
 for 1305 <at> debbugs.gnu.org; Sun, 18 Apr 2021 13:05:15 -0400
Received: by mail-wr1-f54.google.com with SMTP id m9so18799384wrx.3
 for <1305 <at> debbugs.gnu.org>; Sun, 18 Apr 2021 10:05:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=gsNhfn9CAFssaUGST+fZmgONo02/XX+gxtq2Dt/zF54=;
 b=dLGI7OLFR7aj6HIJ8cvrOwq0hmDSf/o5xq6Mjh/rsG04LQODRNPFXnQH/Es2zwHDD5
 mAyDLt+37MoG5rbZIPRNorpyU1OZrynI8L9ZQ75RjhXF17ZJVAEkJ6S4OPBxivcC3Boe
 Yd8ucTGVQjUdmajNPpNJxMSo/IbuGUkj8ayNLxec1uFpFwiPQIhqHAMwWPyKB+t6wnXp
 Sl5tmPtGO72ZdlW9PHOp+bt5tVfVoQl6J14/TXxg6+n5mExvXgEoXFwKTmcnTqLWHnkn
 TdB//D29X9wtTFRXf2v4zmT5LPBSoj/1tcYcXuWWdmZSjeeBM4wffz6cu+WQcH9Jg7Hw
 uJgg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:subject:to:cc:references:from:message-id
 :date:user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=gsNhfn9CAFssaUGST+fZmgONo02/XX+gxtq2Dt/zF54=;
 b=E3RGZSpbO5XeS4zqqaKF1SiwRbtv096I+pLoUuiZufhps4uoslC/ChY/qMsJiSTazF
 KENy/ze7afaC0ZbGeKjsHiWBejqRrCgbDU2tFojGbTSIwTWa3WeiZ5jBOerkbtGnF23H
 QZMxL+iUbFzMd7wxKnDQHVA0kUxZSfzbbA8WhzxIrORYxfovSPaejkxFtUNnk9aJgzIb
 fknwMDxPgX2kIhx6sWCNgemJpqgnCA9Z5lQ/H0IksqEx7CVFWsnAuLvJgCNweoGfig7P
 O57LAum8nJ9xYeRqZsvduDIaIhN2Dn/zj4h1lrt5zbvwmUjc6v7SlSNC+PpsKATxMmHC
 Rrmw==
X-Gm-Message-State: AOAM5339IdopJiJoe9QjrVRn2gvn0YEgUU/g0GdqPJAy25NgcCU+RDMR
 CnHsFarwRIPwnAgCOhnFjiE=
X-Google-Smtp-Source: ABdhPJzvwQ8rVf7Pc8GhBWmQlGyXLMY2DiSqdnG3GSOZQajtFM9uzkXcECn+5eFhsxtomvCxXPLeoQ==
X-Received: by 2002:adf:a119:: with SMTP id o25mr9826404wro.36.1618765509738; 
 Sun, 18 Apr 2021 10:05:09 -0700 (PDT)
Received: from [192.168.0.6] ([46.251.119.176])
 by smtp.googlemail.com with ESMTPSA id
 b187sm16711019wmh.17.2021.04.18.10.05.07
 (version=TLS1_3 cipher=TLS_AES_128_GCM_SHA256 bits=128/128);
 Sun, 18 Apr 2021 10:05:08 -0700 (PDT)
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
To: Gregory Heytings <gregory@HIDDEN>, Stefan Kangas <stefan@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <ud4h4raa7.fsf@HIDDEN> <00ad01c942a0$1f49ca60$0200a8c0@HIDDEN>
 <u8wrsr7ok.fsf@HIDDEN> <jwvej1kpc9t.fsf-monnier+emacsbugreports@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN> <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
 <c40b32b1f8ff7ac59959@HIDDEN>
From: Dmitry Gutov <dgutov@HIDDEN>
Message-ID: <583ee267-ffc1-47e5-56bd-00c9a2096d0d@HIDDEN>
Date: Sun, 18 Apr 2021 20:05:06 +0300
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:78.0) Gecko/20100101
 Thunderbird/78.7.1
MIME-Version: 1.0
In-Reply-To: <c40b32b1f8ff7ac59959@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 1305
Cc: Michael Welsh Duggan <mwd@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>,
 jasonspiro4@HIDDEN, 1305 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

On 18.04.2021 19:38, Gregory Heytings wrote:
> 
>>
>> The docstring isn't clear what "blinking" means, but they briefly set 
>> the *foreground* color to red (or whatever color `error' is configured 
>> to be).
>>
> 
> The foreground of the whole buffer?

For the mode-line.

> Also, this isn't the default Doom behavior, I just checked and 
> doom-visual-bell is an optional extension.

That's true. I have misread the commit log, sorry.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 18 Apr 2021 17:02:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 13:02:38 2021
Received: from localhost ([127.0.0.1]:47644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYAog-0001sU-KU
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 13:02:38 -0400
Received: from heytings.org ([95.142.160.155]:43484)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lYAof-0001sM-0U
 for 1305 <at> debbugs.gnu.org; Sun, 18 Apr 2021 13:02:37 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1618765355;
 bh=XiWEOnHCbGrUq5seXZS3cmFKs//X2jcBgXbBPu36Oe4=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=ZLyCQlxah5MyBHejwG4/RNW/r5VRmQD+eJQiMSoP1CckGlN2Fq7ZXJG6RMJbFD7IY
 B95l9MO+IoBfmZ/joEn+l/Y6kukAj3AkouQeQls5/qwbrC5vSQI84AzmeT9MMT4/iZ
 dKBe44MTNp/ceNfkII9Bq18UiGovpzoK9GItXlr18PMzOxAZyLAlA1V44OfLGIV3ZS
 9PZUoRqicXoNJN5GhDF9378JAqU6+i2H6ZE0yiVK+5NqKO/o9v5XMaDNcxrFNEON64
 OJyhKwsbgYk2iXwnECMKgn9m5JfRYzknfVksxE+ifUGRVdfvR9jhcvXjgDEK1GRZvS
 mp/yW+PEmm5eg==
Date: Sun, 18 Apr 2021 17:02:35 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <8735vnpqho.fsf@HIDDEN>
Message-ID: <c40b32b1f8e2fba7fb9a@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <ud4h4raa7.fsf@HIDDEN> <00ad01c942a0$1f49ca60$0200a8c0@HIDDEN>
 <u8wrsr7ok.fsf@HIDDEN> <jwvej1kpc9t.fsf-monnier+emacsbugreports@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <CADwFkmkcLTJcB8FUOXejZQfp9A0mVBxbqoJ8WnNXb0GyJJTcmQ@HIDDEN>
 <8735vnpqho.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="eTRe4humA8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: Michael Welsh Duggan <mwd@HIDDEN>, jasonspiro4@HIDDEN,
 1305 <at> debbugs.gnu.org, Stefan Kangas <stefan@HIDDEN>,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--eTRe4humA8
Content-Type: text/plain; charset=us-ascii; format=flowed


>
> I think, perhaps, introducing a new visible bell (across all significant 
> system), that's considerably less intrusive than the ones we have today 
> on GNU/Linux and Macos, might be an option.  And then defaulting to 
> using that.
>
> Gregory suggested blinking the cursor in a different colour -- perhaps?
>

I attach a POC of what I have in mind.
--eTRe4humA8
Content-Type: text/plain; charset=us-ascii; name=visible-bell.el
Content-Transfer-Encoding: base64
Content-ID: <c40b32b1f8f138610a72@HIDDEN>
Content-Description: 
Content-Disposition: attachment; filename=visible-bell.el

KGRlZmZhY2UgdmlzaWJsZS1iZWxsLWZhY2UgYCgodCAoOmJhY2tncm91bmQg
InllbGxvdyIpKSkgIiIpDQooZGVmZmFjZSB2aXNpYmxlLWJlbGwtY3Vyc29y
LWZhY2UgYCgodCAoOmJhY2tncm91bmQgInJlZCIpKSkgIiIpDQooZGVmdmFy
IHZpc2libGUtYmVsbC0tY3Vyc29yLWJhY2tncm91bmQgbmlsKQ0KKGRlZnZh
ciB2aXNpYmxlLWJlbGwtLWZhY2UtcmVtYXBwaW5nIG5pbCkNCihkZWZ1biB2
aXNpYmxlLWJlbGwgKCkNCiAgKHVubGVzcyB2aXNpYmxlLWJlbGwtLWN1cnNv
ci1iYWNrZ3JvdW5kDQogICAgKHNldHEgdmlzaWJsZS1iZWxsLS1jdXJzb3It
YmFja2dyb3VuZA0KICAgICAgICAgIChmYWNlLWF0dHJpYnV0ZSAnY3Vyc29y
IDpiYWNrZ3JvdW5kKSkpDQogIChzZXQtZmFjZS1hdHRyaWJ1dGUgJ2N1cnNv
ciBuaWwgOmJhY2tncm91bmQNCiAgICAgICAgICAgICAgICAgICAgICAoZmFj
ZS1hdHRyaWJ1dGUgJ3Zpc2libGUtYmVsbC1jdXJzb3ItZmFjZSA6YmFja2dy
b3VuZCkpDQogICh3aXRoLWN1cnJlbnQtYnVmZmVyICIgKkVjaG8gQXJlYSAw
KiINCiAgICAoc2V0cS1sb2NhbCB2aXNpYmxlLWJlbGwtLWZhY2UtcmVtYXBw
aW5nDQogICAgICAgICAgICAgICAgKGZhY2UtcmVtYXAtYWRkLXJlbGF0aXZl
ICdkZWZhdWx0ICd2aXNpYmxlLWJlbGwtZmFjZSkpKQ0KICAoc2l0LWZvciAw
LjUpDQogIChzZXQtZmFjZS1hdHRyaWJ1dGUgJ2N1cnNvciBuaWwgOmJhY2tn
cm91bmQgdmlzaWJsZS1iZWxsLS1jdXJzb3ItYmFja2dyb3VuZCkNCiAgICh3
aXRoLWN1cnJlbnQtYnVmZmVyICIgKkVjaG8gQXJlYSAwKiINCiAgICAoZmFj
ZS1yZW1hcC1yZW1vdmUtcmVsYXRpdmUgdmlzaWJsZS1iZWxsLS1mYWNlLXJl
bWFwcGluZykpKQ0KKHNldHEgcmluZy1iZWxsLWZ1bmN0aW9uICMndmlzaWJs
ZS1iZWxsKQ0KKHNldHEgdmlzaWJsZS1iZWxsIG5pbCkgOzsganVzdCBpbiBj
YXNlDQo=

--eTRe4humA8--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 18 Apr 2021 16:39:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 12:39:00 2021
Received: from localhost ([127.0.0.1]:47576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYARo-0007Wt-3A
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 12:39:00 -0400
Received: from heytings.org ([95.142.160.155]:43454)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gregory@HIDDEN>) id 1lYARm-0007Wk-Ts
 for 1305 <at> debbugs.gnu.org; Sun, 18 Apr 2021 12:38:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=heytings.org;
 s=20210101; t=1618763937;
 bh=T3+IFgct3csilNzo0aNP8ZO3OsNo++FL8oRuT0O4I7w=;
 h=Date:From:To:cc:Subject:In-Reply-To:Message-ID:References:From;
 b=ddI8Zme0m6LzuAOMafYvEW1AT9DVy9ZrjAR+azJBdN1rO46p06iRIiewhNLaYjJZT
 /9Rpeb33LbEjOuKLYp9uRZcvlwhJWwDtCkVc0GNeSpSc9Zpndd9DxRrZ1vqaJ/AOnR
 YZRN+0FSLrHgULuEzOzuecMbgrAk7eSbAZ78bDdACkLSXyIiqt9Zy804+SzvDx2LxD
 tUcbq5DuQMpoBM07hmqYBu8+OOe/S+9lbvkDA3hscuu7kji/qNeopLECmE+9uXhb/3
 OOpt19K/vNWd3LVw1VwoZ0K7iYHvqBnU6rTWHqomqzE0w5d2fDo6VmUFy70bjHyOy4
 RLiA+8jLyXwWg==
Date: Sun, 18 Apr 2021 16:38:56 +0000
From: Gregory Heytings <gregory@HIDDEN>
To: Stefan Kangas <stefan@HIDDEN>
Subject: Re: bug#1305: All code that currently beeps should use visual bell
 instead
In-Reply-To: <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
Message-ID: <c40b32b1f8ff7ac59959@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <ud4h4raa7.fsf@HIDDEN> <00ad01c942a0$1f49ca60$0200a8c0@HIDDEN>
 <u8wrsr7ok.fsf@HIDDEN> <jwvej1kpc9t.fsf-monnier+emacsbugreports@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <1869622e165c625e097b@HIDDEN>
 <874kg4vast.fsf@HIDDEN> <1869622e166ad3c37a69@HIDDEN>
 <87k0ozq3n8.fsf@HIDDEN>
 <CADwFkmm5fnCQEVLhJCDRGh4EDXQ1kkSE-9Y=HEVYjVgfJQMtdw@HIDDEN>
 <87blabpy54.fsf@HIDDEN>
 <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
 <CADwFkmkS_WT3op4nMjrC48VQjWso38ztOSRjKcs=Ou-F4MZoLQ@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed; charset=us-ascii
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 1305
Cc: 1305 <at> debbugs.gnu.org, Michael Welsh Duggan <mwd@HIDDEN>,
 jasonspiro4@HIDDEN, monnier@HIDDEN,
 Dmitry Gutov <dgutov@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


>
> The docstring isn't clear what "blinking" means, but they briefly set 
> the *foreground* color to red (or whatever color `error' is configured 
> to be).
>

The foreground of the whole buffer?  IMO that's very intrusive for a 
default.  Also, this isn't the default Doom behavior, I just checked and 
doom-visual-bell is an optional extension.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#1305; Package emacs. Full text available.

Message received at 1305 <at> debbugs.gnu.org:


Received: (at 1305) by debbugs.gnu.org; 18 Apr 2021 16:27:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 12:27:34 2021
Received: from localhost ([127.0.0.1]:47565 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lYAGk-000567-0g
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 12:27:34 -0400
Received: from mail-pf1-f169.google.com ([209.85.210.169]:37589)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1lYAGf-00055e-S2
 for 1305 <at> debbugs.gnu.org; Sun, 18 Apr 2021 12:27:30 -0400
Received: by mail-pf1-f169.google.com with SMTP id o123so21588477pfb.4
 for <1305 <at> debbugs.gnu.org>; Sun, 18 Apr 2021 09:27:29 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=uV3cJr3Ca9rClRbpVt3hTTItxWbrNJw4JKyTsM60aro=;
 b=OBNawU9gY8jwjkD4pyWGIQxZIfKAXPjnwR8zFcGZirysNeuYvDVOSsi47bV4awFivz
 rCVZu5Ft0BZUDbGTWFLYZoMiMt0zfrRClj3it1n2qimLy9Q29/VNTH99YjFymPxize1l
 peb1gB+G/iajPpge6H5Ry3Jp2VbIXnb8Ryp045Aeyjz+cCWxB76AkyBQ7PLp4+lGK41G
 559dkP+z7GpmFHuIDhVUFUfWApz8j+HQ+zqpj+UkpRdTuf5jq8dXcD+/q0JYjHKdjpNe
 F0Dknwho3VYuoleFiJJ3qRq9QUs/Fth6t929mWiR8lgL36rUqG5qB0GEmplnn3thD97I
 qMiw==
X-Gm-Message-State: AOAM532dlmPmnGtm09KakF3u31L5wXpYVT1VwAWOkiASCHjVlrSpvLet
 Go7ZRJVfhEM/+tH1VOTfFBCXH+alK/1Od18BzJl60piU
X-Google-Smtp-Source: ABdhPJzzzgnJuCMdZh5U3Y/HJEOGcOaZW2kXpbCRRKTiNNBDiQTUf/eVpWhgctzwvY+CKHCx/LNwfdyQ/BRFB6dfXaY=
X-Received: by 2002:a63:942:: with SMTP id 63mr8143364pgj.67.1618763244183;
 Sun, 18 Apr 2021 09:27:24 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sun, 18 Apr 2021 11:27:23 -0500
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <a0832624-b0c7-a407-a62e-14aee7783ab7@HIDDEN>
References: <c241693f0811081750x6abb7237hc663bee09af55e@HIDDEN>
 <ud4h4raa7.fsf@HIDDEN> <00ad01c942a0$1f49ca60$0200a8c0@HIDDEN>
 <u8wrsr7ok.fsf@HIDDEN> <jwvej1kpc9t.fsf-monnier+emacsbugreports@HIDDEN>
 <CADwFkm=jcroPQYyr=4HTPdDEFK250sJqFQ4eJpGi+QBvGJKtGg@HIDDEN>
 <87eef9qg81.fsf@HIDDEN> <1869622e162377be79e9@HIDDEN>
 <83bladw0dh.fsf@HIDDEN> <87a6pxqdeg.fsf@HIDDEN>
 <CADwFkmkE-Aq9W1EKFrvL=2GrFuKvLBKT_RvYq3-kQD8hbGErnA@HIDDEN>
 <875z0lqcj4.fsf@HIDDEN> <1869622e1602a39e56a6@HIDDEN>
 <87a6pwvcrv.fsf@HIDDEN> <186962